Copyright: Copyright (c) 2002-2014 ChyronHego


Overview
Lyric Enhancement Interface Framework (LEIF)

Overview

The purpose of Lyric Enhancement Interface Framework (LEIF) is to provide a mechanism for adding customized features and enhancements into Lyric. LEIF offers a plug-in architecture that enables specialized menu driven functionality, user-definable object properties, and an API for integral control over the internal mechanisms of Lyric. Using LEIF, developers can create extensions that perform image processing, import and export to custom file formats, automate template field updates, implement remote application control, access browser data, and handle many more diverse operations.

The plug-in architecture is based on COM technology and specifies one method the plug-in must have in order to be loaded. Plug-ins can be written using any development environment that is capable of producing COM objects. Examples of popular tools include Visual Basic, Delphi, and Visual C++. Installing the plug-in simply requires placing it into Lyrics plug-in directory.

User-definable object properties provide developers with the means to store specialized data with any object in a Lyric message. The data is saved with the message and is readily available upon reloading. This particular feature allows for the association and storage of information that is unique to the Lyric enhancement. Object Properties are named and can be presented to the Lyric operator for informational and editing purposes. Provisions exist in LEIF to allow the developer to provide custom property editors offering a preferred presentation of data to the operator; otherwise, a default property editor is available.

The API consists of a series of components that offer direct manipulation over the internal mechanisms in Lyric. Such control offers flexibility and efficiency for operations and scenarios that require customized user controls and automated processes. The API is built on COM technology and integrates seamlessly with components constructed in Visual Basic and Delphi in addition to many other Rapid Application Development tools.


Plug-in
LEIFlets

LEIF provides a plug-in architecture that enables specialized menu driven functionality. By defining new features readily available to the operator, plug-ins offer an extensive range of solutions and customized behavior. A subset of canvas mouse events can also be captured by plug-ins providing additional interactive control. The plug-ins are called LEIFlets.

The plug-in architecture is based on COM technology and specifies one method the plug-in must have in order to be loaded. Plug-ins can be written using any development environment that is capable of producing COM objects. To ease the development requirements for creating plug-ins, there’s no requirement for an IDL implementation; only a handful of methods need to be defined. Furthermore, the plug-in installation process requires nothing more than placing the COM object anywhere under Lyric’s plug-in directory (the ‘anywhere’ flexibility allows for plug-in organization by using sub-directories.)

One method must be available on any COM object that wants to act as a plug-in to Lyric:

Public Sub OnInitialize(ByVal Lyric, ByRef Succeeded As Boolean)

These optional methods can be defined for handling user-initiated actions:

Public Sub OnMouseDown(ByVal Sender, ByVal Button As Long, _

ByVal Shift As Long, ByVal X As Long, _

ByVal Y As Long, ByRef Handled As Boolean)

Public Sub OnMouseMove(ByVal Sender, ByVal Button As Long, _

ByVal Shift As Long, ByVal X As Long, _

ByVal Y As Long, ByRef Handled As Boolean)

Public Sub OnMouseUp(ByVal Sender, ByVal Button As Long, _

ByVal Shift As Long, ByVal X As Long, _

ByVal Y As Long, ByRef Handled As Boolean)

Public Sub OnCommand(ByValTStr command, ByRef Handled As Boolean)

Public Sub OnRead(ByValTStr tFileName, ByRef Handled As Boolean)

Public Sub OnRecord(ByValTStr tFileName, ByRef Handled As Boolean)

Public Sub LyricEvent(ByVal EventID)

To get started, open a new project using your favorite development tool that is capable of building COM objects (Visual Basic, Delphi, and Visual C++.) Create your COM object and add the OnInitialize method according to the IDL definition.

Public Sub OnInitialize(ByVal Lyric, ByRef Succeeded As Boolean)

License = "DFOMONSZ8X24BNCSSHF6C82NZL48I3I6…"

RegisterLEIFlet(License, "TRIAL", "My LEIFlet")

Succeeded = True

End Sub

RegisterLEIFlet must be called within the OnInitialize method in order to properly load and register the LEIFlet within Lyric.  Succeeded must also be set to True. The first argument to RegisterLEIFlet specifies the developers SDK license issued by Chyron. The second argument is the developer ID also issued by Chyron. The third argument is the title of the LEIFlet that will be displayed in the LEIFlets section of Lyric’s About Box.

Next, use the RegisterMenuItem method from the Lyric object to create a menu item.

Public Sub OnInitialize(ByVal Lyric, ByRef Succeeded As Boolean)

Call Lyric.RegisterMenuItem("&Hello", "Tools", "Hello")

End Sub

The first argument to RegisterMenuItem specifies the caption to appear on the menu. The second argument in this example selects the “Tools” menu as the location for the menu item. The third argument is used to determine what method will be called when the user clicks the “Hello” menu item.

Before building the plug-in, the “Hello” method must be implemented:

Public Sub Hello()

MsgBox "Hello"

End Sub

Finally, compile the COM object and install the plug-in by placing it in Lyrics plug-in directory. Let this incredible tutorial come to life by starting Lyric and selecting the Hello menu item from the Tools menu!


IDL Definition

The following is an IDL snippet defining the plug-in methods:

HRESULT _stdcall OnInitialize(

                        [in] VARIANT Lyric,

                        [in, out] VARIANT_BOOL* Succeeded);

HRESULT _stdcall Execute(

                  [in] VARIANT Sender,

      	            [in] VARIANT Properties);

void    _stdcall LyricEvent(

[in] VARIANT EventID);

HRESULT _stdcall OnMouseDown(

                        [in] VARIANT Sender,

                        [in] long Button,

                        [in] long Shift,

                        [in] long X,

                        [in] long Y,

                        [in, out] VARIANT_BOOL* Handled);

HRESULT _stdcall OnMouseMove(

                        [in] VARIANT Sender,

                        [in] long Button,

                        [in] long Shift,

                        [in] long X,

                        [in] long Y,

                        [in, out] VARIANT_BOOL* Handled);

HRESULT _stdcall OnMouseUp(

                        [in] VARIANT Sender,

                        [in] long Button,

                        [in] long Shift,

                        [in] long X,

                        [in] long Y,

                        [in, out] VARIANT_BOOL* Handled);

HRESULT _stdcall OnCommand(

[in] LPCTSTR command,
[in, out] VARIANT_BOOL* Handled);

HRESULT _stdcall OnRead(

[in] LPCTSTR tFileName,

[in, out] VARIANT_BOOL* Handled);

HRESULT _stdcall OnRecord(

[in] LPCTSTR tFileName,

[in, out] VARIANT_BOOL* Handled);


Custom Properties
Custom Object Properties

LEIF exposes a system for defining and manipulating Custom Object Properties. Given this capability, developers can augment the underlying data structure of Messages to store, persist, and present information relative to some arbitrary context. The properties can be used to store text, numeric, and binary data. The property data is saved with the Lyric Message and is accessible upon reloading.

Before any operations are performed on a custom property, the property must be defined. The RegisterObjectProperty method is used to register new properties for a set of objects:

Function RegisterObjectProperty(Namespace, Name, Type, _

Default, Objects, Specifics)

The Namespace argument is used to organize properties under a given caption that will appear on object’s context menu. The Name argument specifies the name of the property. The property data type is specified by the Type argument. Default specifies the default value for the property. Objects is an array of object classes that will take on the new property. And, Specifics is used for choice entries when the Type parameter is set to Combo.

LEIF provides a presentation hook for Custom Object Properties. Developers can use this mechanism to display custom interfaces for the purpose of viewing and editing the values of the properties. The RegisterObjectPropertyEditor is used to register custom property editors:

Function RegisterObjectPropertyEditor(Namespace, ProgID, Objects)

The Namespace parameter specifies the class of properties the editor will handle. The ProgID parameter specifies the COM interface used for editing. And, the Objects parameter specifies a subset of objects the editor will handle.


API
LEIF API

The LEIF API consists of a series of components that offer direct manipulation over the internal mechanisms in Lyric. Such control offers flexibility and efficiency for operations and scenarios that require customized user controls and automated processes. The API is built on COM technology and integrates seamlessly with components constructed in Visual Basic and Delphi in addition to many other Rapid Application Development tools.

Object	Description
2DObjElement	Object used to access properties specific to an image object
3DFont	Object that describes a Lyric Font
3DFontEdge	Provides information on 3D Edge characteristics for a given font
3DObjElement	Object used to access properties specific to a 3D Primitive object
3DSelection	Represents a selection of text within a template
3DTemplate	Provides information on a 3D template and its properties
3DTemplateText	Represents the text and font information of a 3D Template
ActivationReaction	Object that describes an Activation Reaction to a hotspot
ActiveCanvas	Object used to access items that are specific to the currently active Lyric canvas
AnimationState	Represents the state of each animatable attribute for an object at a given frame
AutoFollow	Object representing the Auto Follow Settings for a node
AutoSpacing	Object representing an Auto Spacing Group
Background	Allows access to the background of the canvas or a template element
Browser	Gets a particular asset (table) from a Lyric Browser database
BrowserAsset	Enumeration object used to access individual records of a Lyric browser database
BrowserFont	Object that provides access to a font record from a Lyric Browser database
BrowserImage	Object that provides access to an image record from a browser database
BrowserMessage	Object that provides access to a message record from a browser database
BrowserRGBFont	Object that provides access to an RGB font record from a Lyric Browser database
BrowsersCollection	Object used to enumerate and obtain all registered Lyric browsers
Character	Object used to contain image and size information for a character specified by ASCII value
ClockTimer	Object used to access properties specific to a Clock or Timer
CustProps	Gets/Sets the value of a custom property.
CustomPrimitive	Allows access to custom primitive ID and class name
DBLink	Object used to contain database link information for an image or template
DataObject	Object representing a Data Object
Element	Object that allows selection and control of Lyric Graphic and Template objects
Event	Represents an animation event
FileSave	Provides an interface to export the current scene to an image or video media format
Flipbook	Object used to access flipbook properties and to allow access to individual pages
Font	Object that describes a Lyric Font
FontEdge	Provides information on edge characteristics for a given font
FontToolBar	Object that represents the font toolbar in Lyric
FrameBuffer	Object used to access properties for a frame buffer
FrameBufferEffect	Object used to define an effect, such as dissolve, that occurs as a scene is transferred to and from output
FrameBufferSharedMemory	Object referencing a shared memory region for passing frame data to a plugin.
Group	Provides access to a group of nodes within the scene graph
HardwareResolution	Provides access to the current hardware standard dimensions, scan rate, and scan type.
HotSpot	Object that describes the HotSpot
HotSpotMgr	Object that handles the management of hotspots
Image	Object used to generate images from elements in the Lyric scene
KeyFrame	Represents a keyframe, a control point in the animation of an object.
KeyFrames	Represents the keyframes of an object in a scene transition
LicenseObject	Object to verify features and add license codes to the Lyric license manager
LyricObject	Top level Lyric interface. Provides access to Canvas, Browsers, Images, Plugins, License Manager, and Custom Properties.
LyricVersion	Object containing version and build information for the Lyric application
MacroReaction	Object that describes the macro reaction to a hotspot
MasterCustomProperties	Registered custom property enumeration object
Metadata	Object that allows a user to query the metadata in certain Lyric Elements.
Movie	Object used to access properties specific to a movie
Node	Provides access to a node
OpenGL
OverlayLayer	Object that describes the overlay layer
Palette	Provides information on a given color palette
PaletteEntry	Provides information on a given entry in a color palette
Palettes	Provides information on the color palettes
PlayList	Provides access to edit and control a playlist
PlayListData	Provides access to a playlist line.
PluginCollection	Enumeration object used to access Lyric plugins
PluginObject	Object used to access/control a registered Plugin
Preferences	Allows access to application preferences
Reaction	Base Object that describes the reaction to a HotSpot
Rect	Object used to get rectangular coordinate information for a scene element
RectFloat	Object used to get rectangular coordinate information for a scene element
Rectdouble	Object used to get rectangular coordinate information for a scene element
RegisteredCustomEditorProperty	Object used to retrieve information about a registered property
RegisteredNamespaceEnum	Registered Namespace enumeration object
RegisteredProperties	Enumerator object that gives access to the registered properties for a specific Lyric Object
RegisteredProperty	Object used to retrieve information about a registered property
RegisteredPropertyContext	Object with which to retrieve attributes for a set of properties registered for a specific object
Resolution	Provides access to the current canvas dimensions, aspect ratio, and animation frame rate
RowElement	Object used to access a row within a text window
Scene	Allows access to scene components
Selection	Used to perform operations within 2D text windows in Lyric
Size	Used to get width and height dimensions from various Lyric Objects
Surface	Object which represents a surface of a 3D Character/Object
TemplateAttributes	Provides information on Lyric properties associated with template text
Text	Object to allow access to the text and font information of a element such as a template or freeform row
TextTemplate	Extension of {Element} Object for 2D Text Templates
TextWindow	can be retrieved via {RowElement.TextWindow} or {TextTemplate.TextWindow}
Transform	Retrieves an object representing the transformation of a node in a specifc transition.
Transition	An object representing a transition within a scene
TransitionCondition	Object that describes a condition of a Transition Rule
TransitionConditionContent	Object that describes a TransitionCondition of the type Content
TransitionConditionName	Object that describes a TransitionCondition of the type By Name
TransitionConditionNumTemplates	Object that describes a TransitionCondition of the type Number of Templates
TransitionRule	Object that represents a Transition Rule
TransitionRulesMgr	Object that represents the set of transition rules for a scene
Verticies	Object used to access the verticies of a {2DObjElement}
VideoCapture	The Video Capture interface is currently disabled


Public Const scCtrl = 1

Public Const scAlt = 2

Public Const scCtrlAlt = 3

Public Const scShift = 4

Public Const scCtrlShift = 5

Public Const scAltShift = 6

Public Const scCtrlAltShift = 7

Public Const kfXPos = 0

Public Const kfYPos = 1

Public Const kfZPos = 2

Public Const kfXRot = 3

Public Const kfYRot = 4

Public Const kfZRot = 5

Public Const kfXScale = 6

Public Const kfYScale = 7

Public Const kfZScale = 8

Public Const kfXCenter = 9

Public Const kfYCenter = 10

Public Const kfZCenter = 11

Public Const kfRGBADiffuse = 12

Public Const kfFocus = 13

Public Const kfShine = 14

Public Const kfLoopEnabled = 15

Public Const kfTransp = 16

Public Const kfEffectPct = 17

Public Const kfUnused = 18

Public Const kfLoopFrames = 19

Public Const kfLoopIterations = 20

Public Const kfPauseEnabled = 21

Public Const kfPauseType = 22

Public Const kfPauseTimeout = 23

Public Const kfLinear = 0

Public Const kfSpline = 1

Public Const kfJump = 2

Public Const kfEaseIn = 3

Public Const kfEaseOut = 4

Public Const kfEaseInOut = 5

Public Const kfEaseOutIn = 6

Public Const soAbsolute = 0

Public Const soRelative = 1

Public Const otText = 0

Public Const otCrawl = 1

Public Const otRoll = 2

Public Const otTypeOn = 3

Public Const otClock = 4

Public Const otTimer = 5

Public Const otImage = 6

Public Const otBkgCentered = 7

Public Const otBkgSizeToFit = 8

Public Const otAprisa = 9

Public Const otInfinitMsg = 10

Public Const ot3DObj = 11

Public Const otTimerUp = 12

Public Const otTimerDown = 13

Public Const otMovie = 14

Public Const ot3DTemplate = 15

Public Const otSplineWnd = 16

Public Const ot3DRoll = 17

Public Const ot3DCrawl = 18

Public Const ot3DTypeOn = 19

Public Const ot3DPlugin = 20

Public Const otPhotoshopLayers = 21

Public Const otBulletRegion = 22

Public Const EraseTextActiveWindow = 0

Public Const EraseAllText = 1

Public Const EraseScene = 2

Public Const EraseAllOutput = 3

Public Const EraseActiveOutput = 4

Public Const EraseOutput1 = 5

Public Const EraseOutput2 = 6

Public Const EraseOutput3 = 7

Public Const EraseOutput4 = 8

Public Const EraseTemplatesLeaveText = 9

Public Const EraseScenes = 10

Public Const PlayPreview = 0

Public Const PlayOutput = 1

Public Const PlayOutputAll = 2

Public Const PlayOutputCurrentFrame = 3

Public Const PlayImmediate = 0

Public Const PlayWait = 1

Public Const Unknown = 0

Public Const ThreeDCharacter = 1

Public Const WavefrontObject = 2

Public Const ThreeDStudioObject = 3

Public Const ImageObject = 4

Public Const OrthographicCamera = 5

Public Const PerspectiveCamera = 6

Public Const GlobalLight = 7

Public Const DirectionalLight = 8

Public Const PositionalLight = 9

Public Const Spotlight = 10

Public Const TextWindow = 11

Public Const LoopObject = 12

Public Const PauseObject = 13

Public Const Clip = 14

Public Const VideoRegion = 15

Public Const ClockTimer = 16

Public Const AnimatedElement = 17

Public Const Mix = 18

Public Const Flipbook = 19

Public Const ITVEvent = 20

Public Const MultiFXObj = 21

Public Const SplineWindow = 22

Public Const SqueezeBackRegion = 23

Public Const ThreeDTemplate = 24

Public Const Custom = 25

Public Const ProxyBased = 26

Public Const Media = 27

Public Const EventObject = 28

Public Const CameraTarget = 29

Public Const TwoDTemplate = 30

Public Const TwoDRow = 31

Public Const GeoPlugin = 32

Public Const ImageElement = 0

Public Const TemplateElement = 1

Public Const WindowElement = 2

Public Const BrowserBitmapElement = 3

Public Const BrowserMessageElement = 4

Public Const StaticElement = 5

Public Const FlipbookElement = 6

Public Const RowElement = 7

Public Const ClipElement = 8

Public Const Character2D = 9

Public Const MovieElement = 10

Public Const ThreeDObjectElement = 11

Public Const Template3D = 12

Public Const BottomToTop = 0

Public Const TopToBottom = 1

Public Const RightToLeft = 0

Public Const LeftToRight = 1

Public Const MTExact = 0

Public Const MTBegins = 1

Public Const MTEnds = 2

Public Const MTContains = 3

Public Const elyrErrAbort = &HA001F104

Public Const elyrErrFileNotFound = &HA001A104

Public Const elyrErrInvalidItem = &HA001F200

Public Const elyrErrNotEnoughValues = &HA001F106

Public Const elyrErrInvalidArgument = &HA001F105

Public Const elyrErrOutOfMemory = &HA0019101

Public Const elyrErrLEIFNotRegistered = &HA001B101

Function ActiveCanvas

Set ActiveCanvas = Lyric.ActiveCanvas

End Function


2DObjElement
2DObjElement object

Properties	Methods	Events
Description

Object used to access properties specific to an image object

Remarks

This object is derived from the Element object

To replace the image on this object, see the example in 2DObjElement.Filename


2DObjElement Properties
Properties

CompressImageData	FileName	ReplaceMode
DBLink	IIUpdateEnable	TemplateSize
EmbedImageData	ImageSize	TextureSize
ExternalUpdateEnable	PixelAspect	Verticies


2DObjElement Methods
Methods

RefreshTexture	SetSizeAndPositionNDC


2DObjElement Events
Events


2DObjElement CompressImageData
CompressImageData property

Applies to

2DObjElement

Declaration

property object.CompressImageData(Compress)

Description

gets/sets whether image data is compressed

Parameter	Description
Compress	Boolean. If true, image data is compressed.
Returns

Compress - Boolean. If true, image data is compressed.

Remarks


2DObjElement DBLink
DBLink property

Applies to

2DObjElement

Declaration

property object.DBLink

Description

Gets the associated {DBLink} Object that contains the database link information

Returns

DBLink, DBLink Object.

Remarks


2DObjElement EmbedImageData
EmbedImageData property

Applies to

2DObjElement

Declaration

property object.EmbedImageData(EmbedData)

Description

gets/sets whether image data is embedded on save

Parameter	Description
EmbedData	Boolean. If true, image data is saved with the image in the Lyric message.  If false, it is not saved and the image file will be re-imported when the message is read
Returns

EmbedData - Boolean

Remarks

If image data is not embedded, the image file must be re-imported when the message is read


2DObjElement ExternalUpdateEnable
ExternalUpdateEnable property

Applies to

2DObjElement

Declaration

property object.ExternalUpdateEnable(UpdateEnable)

Description

Flag that enables External Update of this image through Intelligent Interface

Parameter	Description
UpdateEnable	Bool. True if external update is enabled for this template.
Returns

UpdateEnable - Bool. True if external update is enabled for this template.

Remarks


2DObjElement FileName
FileName property

Applies to

2DObjElement

Declaration

property object.FileName(Filename)

Description

Gets/sets the filename, if applicable, of the image

Parameter	Description
Filename	String.  Imports the file given
Returns

Filename - String.  Filename corresponding to the current image

Remarks

VBScript example to change the path to a team logo

set obj = ActiveCanvas.Scene.Element("TEAM LOGO").Element(0)

sContents = UCase (obj.filename)

'check the file's path for home or away and switch folder to other set

if InStr (sContents, "HOME") > 0 then

  'change to away

  sContents = Replace (sContents, "HOME", "AWAY")

elseif InStr (sContents, "AWAY") > 0 then

  sContents = Replace (sContents, "AWAY", "HOME")

end if

obj.Filename = sContents


2DObjElement IIUpdateEnable
IIUpdateEnable property

Applies to

2DObjElement

Declaration

property object.IIUpdateEnable(UpdateEnable)

Description

Flag that allows Intelligent Interface to update this image

Parameter	Description
UpdateEnable	Bool. True if updates are allowed.
Returns

UpdateEnable - Bool. True if updates are allowed.

Remarks


2DObjElement ImageSize
ImageSize property

Applies to

2DObjElement

Declaration

property object.ImageSize

Description

Returns the size of the image

Returns

Size object

Remarks


2DObjElement PixelAspect
PixelAspect property

Applies to

2DObjElement

Declaration

property object.PixelAspect

Description

Gets the pixel aspect ratio for this image was added to the scene

Returns

PixelAspectRatio, double.

Remarks

The pixel aspect of an image is dependent on two options available on the Canvas Resolution dialog If "Use 1:1 Pixel Aspect" was enabled when the image was added to the scene, its pixel aspect will be 1.0 (square).  If not enabled, pixel aspect will be that of the resolution of the scene The scene resolution is dependent on the "Auto Standards Conversion" setting,


2DObjElement ReplaceMode
ReplaceMode property

Applies to

2DObjElement

Declaration

property object.ReplaceMode(Mode)

Description

Gets/sets the replacement mode for image update

Parameter	Description
Mode	Integer. If mode is 0, the new image is sized to the area occupied by the original image If mode is 1, the new image maintains its true size
Returns

Mode - Integer.

Remarks


2DObjElement TemplateSize
TemplateSize property

Applies to

2DObjElement

Declaration

property object.TemplateSize({Size})

Description

Returns the size of the image template

Parameter	Description
{Size}	Object.  Contains new dimensions for the image template
Returns

Size - Object.  Current dimensions for the image template

Remarks


2DObjElement TextureSize
TextureSize property

Applies to

2DObjElement

Declaration

property object.TextureSize

Description

Returns the size of the texture for this image

Returns

Size object

Remarks


2DObjElement Verticies
Verticies property

Applies to

2DObjElement

Declaration

property object.Verticies

Description

Gets the objects verticies (X and Y)

Returns

Vertex Object Verticies

Remarks


2DObjElement RefreshTexture
RefreshTexture method

Applies to

2DObjElement

Declaration

sub object.RefreshTexture

Description

Refreshes the texture for this object (For example, reloads the file from disk)

Remarks


2DObjElement SetSizeAndPositionNDC
SetSizeAndPositionNDC sub

Applies to

2DObjElement

Declaration

sub object.SetSizeAndPositionNDC(Left, Top, Width, Height)

Description

Modifies the vertex data of the image such that it is positioned at x,y with a size of h x w.

Parameter	Description
Left	Double. The X position (in screen coordinates) of the top left corner of the image
Top	Double. The Y position (in screen coordinates) of the top left corner of the image
Width	Double. The new width of the image
Height	Double. The new height of the image
Remarks

Use Node.NDCRect to retrieve the current vertex information for this object


3DFont
3DFont object

Properties	Methods	Events
Description

Object that describes a Lyric Font

Remarks

The active Lyric font can be obtained from ActiveCanvas.GetFont
Fonts for text in the current scene can be obtained from Text.Font


3DFont Properties
Properties

BevelDepth	BorderCount	Leading3D
BevelMode	CharacterDepth	Spacing3D
BevelType	CurveSmoothness
Border	Kerning3D


3DFont Methods
Methods


3DFont Events
Events


3DFont BevelDepth
BevelDepth property

Applies to

3DFont

Declaration

property object.BevelDepth(BevelDepth)

Description

BevelDepth of the 3DFont

Parameter	Description
BevelDepth	double float
Returns

BevelDepth - double float

Remarks

BevelDepth is valid for floating point ranges from 0 to 1.0


3DFont BevelMode
BevelMode property

Applies to

3DFont

Declaration

property object.BevelMode(BevelMode)

Description

BevelMode of the 3DFont

Parameter	Description
BevelMode	int
Returns

BevelMode - int

Remarks

BevelModes are as follows:
  0 = Front
  1 = Back
  2 = Front and Back


3DFont BevelType
BevelType property

Applies to

3DFont

Declaration

property object.BevelType(BevelType)

Description

BevelType of the 3DFont

Parameter	Description
BevelType	int
Returns

BevelType - int

Remarks

BevelTypes are as follows:
  0 = Square
  1 = 45-Degree Bevel
  2 = Outer Rounded
  3 = Innter Rounded
  4 = Step Down
  5 = Step Up


3DFont Border
Border property

Applies to

3DFont

Declaration

property object.Border(BorderIndex)

Description

Gets the border effect with the specified index.

Parameter	Description
BorderIndex	Integer. Range from 0 to one less than the number of border effects applied
Returns

3DFontEdge Object.

Remarks

The number of border effects applied can be obtained from 3DFont.BorderCount.


3DFont BorderCount
BorderCount property

Applies to

3DFont

Declaration

property object.BorderCount

Description

Gets the number of border effects applied to this font

Returns

Number of borders - integer

Remarks


3DFont CharacterDepth
CharacterDepth property

Applies to

3DFont

Declaration

property object.CharacterDepth(CharacterDepth)

Description

CharacterDepth of the 3DFont

Parameter	Description
CharacterDepth	double float
Returns

CharacterDepth - double float

Remarks

CharacterDepth is valid for floating point ranges from 0 to 2.0


3DFont CurveSmoothness
CurveSmoothness property

Applies to

3DFont

Declaration

property object.CurveSmoothness(CurveSmoothness)

Description

CurveSmoothness of the 3DFont

Parameter	Description
CurveSmoothness	int
Returns

CurveSmoothness - int

Remarks

CurveSmoothness is valid for integer ranges from 1 to 10


3DFont Kerning3D
Kerning3D property

Applies to

3DFont

Declaration

property object.Kerning3D(Kerning)

Description

Kerning of the 3DFont

Parameter	Description
Kerning	double float
Returns

Kerning - double float

Remarks

Kerning is valid for floating point ranges from -999.0 to 999.0


3DFont Leading3D
Leading3D property

Applies to

3DFont

Declaration

property object.Leading3D(Leading)

Description

Leading of the 3DFont

Parameter	Description
Leading	double float
Returns

Leading - double float

Remarks

Leading is valid for floating point ranges from -999.0 to 999.0


3DFont Spacing3D
Spacing3D property

Applies to

3DFont

Declaration

property object.Spacing3D(Spacing)

Description

Spacing of the 3DFont

Parameter	Description
Spacing	double float
Returns

Spacing - double float

Remarks

Spacing is valid for floating point ranges from 0.0 to 999.0


3DFontEdge
3DFontEdge object

Properties	Methods	Events
Description

Provides information on 3D Edge characteristics for a given font

Remarks

Obtained through Font.Edge
For example, the following VBScript macro will add an edge effect to the selected 3D template:

set t = activecanvas.scene.template(-1)

set f = t.text.font

f.BorderCount 1

t.text.font = f

set f = t.text.Font

set e = f.Border(0)

sTrans = activecanvas.scene.ActiveTransitionName

e.SetKeyParam "Enabled", 0, sTrans, true

e.SetKeyParam "Color", 0, sTrans, RGB(0, 0, 128)

t.text.font = f


3DFontEdge Properties
Properties


3DFontEdge Methods
Methods

ClearAllKeyParams	GetKeyParam	SetKeyParam
ClearAllTransitionKeyParams	SetKeyInterpolation


3DFontEdge Events
Events


3DFontEdge ClearAllKeyParams
ClearAllKeyParams method

Applies to

3DFontEdge

Declaration

sub object.ClearAllKeyParams

Description

Clears all the keytracks for this edge.

Remarks


3DFontEdge ClearAllTransitionKeyParams
ClearAllTransitionKeyParams sub

Applies to

3DFontEdge

Declaration

sub object.ClearAllTransitionKeyParams(Param)

Description

Clears the animation for this edge in the specified transition.

Parameter	Description
Param	String. The name of the transition containing the edge's animation.
Remarks


3DFontEdge GetKeyParam
GetKeyParam sub

Applies to

3DFontEdge

Declaration

sub object.GetKeyParam(Param, Frame, Transition)

Description

Gets the value of an attribute for this edge effect.

Parameter	Description
Param	String.  The name of the attribute to retrieve.  See Remarks.
Frame	Integer. The frame at which to retrieve the attribute.
Transition	String.  The name of the transition in which the attribute is applied
Returns

Success - Variant.  Contains the value of the attribute at the given frame. Type will be dependent on the attribute

Remarks

Here is a list of supported parameters and the expected type of the variant returned
"Softness" - Integer. The number of blur steps for the effect. 0 connotes a Hard Edge Effect.
"Strength" - Double. The strength at the given frame.
"Offset.X" - Double. The X offset at the given frame.
"Offset.Y" - Double. The Y offset at the given frame.
"Offset.Z" - Double. The Z offset at the given frame.
"Enabled" - Boolean. True if the edge is enabled at this frame.
"Color" - Integer as COLORREF. The color of the edge effect.
"Color.TopLeft" - Integer as COLORREF. The color of the top left of the edge effect.
"Color.TopRight" - Integer as COLORREF. The color of the top right of the edge effect.
"Color.BottomLeft" - Integer as COLORREF. The color of the bottom left of the edge effect.
"Color.BottomRight" - Integer as COLORREF. The color of the bottom right of the edge effect.
"StdDev" - Double. Standard Deviation.
"Scale.X" - Double. X Scale at the given frame.
"Scale.Y" - Double. Y Scale at the given frame.
"Scale.Z" - Double. Z Scale at the given frame.
"Alpha" - Double. The alpha value of the edge effect.
"Alpha.TopLeft" - Double. The alpha value of the top left of the edge effect.
"Alpha.TopRight" - Double. The alpha value of the top right of the edge effect.
"Alpha.BottomLeft" - Double. The alpha value of the bottom left of the edge effect.
"Alpha.BottomRight" - Double. The alpha value of the bottom right of the edge effect.

 For specification of color, see Background.SetColor


3DFontEdge SetKeyInterpolation
SetKeyInterpolation sub

Applies to

3DFontEdge

Declaration

sub object.SetKeyInterpolation(Param, Frame, Transition, Interpolation, Length)

Description

Sets the interpolation method for the keyframe in the transition at the frame.

Parameter	Description
Param	String.  The name of the attribute to set.
Frame	Integer. The frame at which to apply the value.
Transition	String.  The name of the transition in which the attribute is applied.
Interpolation	Integer. The interpolation method. 0=Linear, 1=Spline, 2=Jump, 3=Ease In, 4=Ease Out, 5=Ease_InOut, 6=Ease_OutIn
Length	Double. For ease interpolation, the ease length.
Returns

Success - Boolean.  TRUE if successful at setting the param, FALSE otherwise.

Remarks

See 3DFontEdge.GetKeyParam for a list of supported parameters


3DFontEdge SetKeyParam
SetKeyParam sub

Applies to

3DFontEdge

Declaration

sub object.SetKeyParam(Param, Frame, Transition, Value)

Description

Sets the value of an attribute for this edge effect.

Parameter	Description
Param	String.  The name of the attribute to set.
Frame	Integer. The frame at which to apply the value.
Transition	String.  The name of the transition in which the attribute is applied
Value	Variant.  Appropriate value for that parameter.  See remarks.
Returns

Success - Boolean.  TRUE if successful at setting the param, FALSE otherwise.

Remarks

See 3DFontEdge.GetKeyParam for a list of supported parameters


3DObjElement
3DObjElement object

Properties	Methods	Events
Description

Object used to access properties specific to a 3D Primitive object

Remarks

This object is derived from the Element object


3DObjElement Properties
Properties

EmbedGeometry	FileName
EmbedImageData	MaintainSurfaces


3DObjElement Methods
Methods


3DObjElement Events
Events


3DObjElement EmbedGeometry
EmbedGeometry property

Applies to

3DObjElement

Declaration

property object.EmbedGeometry(EmbedData)

Description

gets/sets whether geometry data is embedded on save

Parameter	Description
EmbedData	Boolean. If true, geometry is saved with the object in the Lyric message. If false, it is not saved and the geometry will need to be re-imported when the message is read
Returns

EmbedData - Boolean

Remarks


3DObjElement EmbedImageData
EmbedImageData property

Applies to

3DObjElement

Declaration

property object.EmbedImageData(EmbedData)

Description

gets/sets whether texture image data is embedded on save

Parameter	Description
EmbedData	Boolean. If true, image data is saved with the object in the Lyric message.   If false, it is not saved and the image file will be re-imported when the message is read
Returns

EmbedData - Boolean

Remarks


3DObjElement FileName
FileName property

Applies to

3DObjElement

Declaration

property object.FileName(Filename)

Description

Gets/sets the filename of the 3D Object

Parameter	Description
Filename	String.  Imports the file given
Returns

Filename - String.  Filename corresponding to the current 3D Object

Remarks


3DObjElement MaintainSurfaces
MaintainSurfaces property

Applies to

3DObjElement

Declaration

property object.MaintainSurfaces(Mode)

Description

Gets/sets the functionality for replacing surfaces when the 3D geometry for this object is updated

Parameter	Description
Mode	Boolean. If TRUE, the 3D Object's surface properties are maintained with the new 3D Object If FALSE, the new 3D Object's surface properties are used
Returns

Mode - Boolean

Remarks


3DSelection
3DSelection object

Properties	Methods	Events
Description

Represents a selection of text within a template

Remarks

Methods returning an instance of this object include  3DTemplateText.Selection

The following macro will change the face color of the first three characters in a template to green
set t = activecanvas.scene.template(0)

set sel = t.Text.Selection

sel.Min 0

sel.Max 3

t.Text.Selection = sel

set f = t.Text.SelectionFont

f.Color = RGB(0, 255, 0)

t.text.selectionfont = f


3DSelection Properties
Properties

Max	Min


3DSelection Methods
Methods


3DSelection Events
Events


3DSelection Max
Max property

Applies to

3DSelection

Declaration

property object.Max(Max)

Description

Gets/sets the maximum range of the selection

Parameter	Description
Max	Integer.  Range is one above the minimum value to one above the number of characters within the template
Returns

Max - Integer.  Range is one above the minimum value to one above the number of characters within the template

Remarks

A Max of -1 is also valid, signifying a selection to the end of the range.


3DSelection Min
Min property

Applies to

3DSelection

Declaration

property object.Min(Min)

Description

Gets/sets the minimum range of the selection

Parameter	Description
Min	Integer.   Range is from 0 to the number of characters within the template.
Returns

Min - Integer.   Range is from 0 to the number of characters within the template.

Remarks


3DTemplate
3DTemplate object

Properties	Methods	Events
Description

Provides information on a 3D template and its properties

Remarks

Retrieved via Node.Element


3DTemplate Properties
Properties

AllCaps	JustificationY	SizeToFitWidth
AnimateElements	JustifyClipBounds	Supersample
AutoErase	MaxRows	TemplateID
Background	NDCTemplateRect	TemplateRect
CorrectForOverlap	Numeric	TemplateRectReference
DBLink	RTLMode	TextWidth
DigitSubstitution	RectReference	TilingMode
ExternalUpdateEnable	Region	UseOutlineAA
Height	RowCount	UseTemplateRect
Homogenous	SizeToFitHeight	Width
HorizontalTyping	SizeToFitMinimum	WordWrap
IIUpdateEnable	SizeToFitScaleHeight
JustificationX	SizeToFitScaleWidth


3DTemplate Methods
Methods

CopyContents	NextTemplate	SetActive
IsEmpty	ResetClipBounds	SetDefaultLang


3DTemplate Events
Events


3DTemplate AllCaps
AllCaps property

Applies to

3DTemplate

Declaration

property object.AllCaps(AllCaps)

Description

Flag that enables conversion of all alphabetic characters within the template to upper case

Parameter	Description
AllCaps	Bool. True if upper-case conversion is enabled
Returns

AllCaps - Bool. True if upper-case conversion is enabled

Remarks

See 3DTemplate.Width and 3DTemplate.Height


3DTemplate AnimateElements
AnimateElements property

Applies to

3DTemplate

Declaration

property object.AnimateElements(AnimateElements)

Description

Enables converting the characters that make up the 3D template into individually animatable objects

Parameter	Description
AnimateElements	Bool. True if animate elements is on.
Returns

AnimateElements - Bool. True if animate elements is on.

Remarks

AnimateElements is exclusive of Homogenous and Supersample and can not be enabled if either already is.


3DTemplate AutoErase
AutoErase property

Applies to

3DTemplate

Declaration

property object.AutoErase(AutoErase)

Description

Flag that when set causes the template to erase its contents when new data is entered.

Parameter	Description
AutoErase	Bool. True if Auto erase is enabled.
Returns

AutoErase - Bool. True if Auto erase is enabled.

Remarks

Auto erase will erase the template contents when character data when the template is selected and new data is entered.


3DTemplate Background
Background property

Applies to

3DTemplate

Declaration

property object.Background

Description

Gets an object for accessing image information about the background associated with the template

Returns

Background Object

Remarks


3DTemplate CorrectForOverlap
CorrectForOverlap property

Applies to

3DTemplate

Declaration

property object.CorrectForOverlap(CorrectForOverlap)

Description

Flag that the template should pass through a separate rendering pass for proper transparency blending.

Parameter	Description
CorrectForOverlap	Bool. True if a separate pass is made for proper transparency blending.
Returns

CorrectForOverlap - Bool. True if a separate pass is made for proper transparency blending.

Remarks

CorrectForOverlap's functionality is automatically included in 3DTemplate.Supersample, and cannot be flagged separately.


3DTemplate DBLink
DBLink property

Applies to

3DTemplate

Declaration

property object.DBLink

Description

Gets the associated {DBLink} Object that contains database link information

Returns

DBLink Object.

Remarks


3DTemplate DigitSubstitution
DigitSubstitution property

Applies to

3DTemplate

Declaration

property object.DigitSubstitution(Mode)

Description

Sets the digit substitution mode (usage of national numeral system) for text input into this template.

Parameter	Description
Mode	Integer.
Returns

Mode - Integer.

Remarks

Values are as follows:
0 None
1 Context
2 National


3DTemplate ExternalUpdateEnable
ExternalUpdateEnable property

Applies to

3DTemplate

Declaration

property object.ExternalUpdateEnable(UpdateEnable)

Description

Flag that enables external update of this template.through Intelligent Interface

Parameter	Description
UpdateEnable	Bool. True if external update is enabled for this template.
Returns

UpdateEnable - Bool. True if external update is enabled for this template.

Remarks


3DTemplate Height
Height property

Applies to

3DTemplate

Declaration

property object.Height(Height)

Description

Gets/Sets the height of the template

Parameter	Description
Height	Integer.  The height of the template's clip bound, in pixels
Returns

Height - Integer.  The height of the template's clip bound, in pixels

Remarks


3DTemplate Homogenous
Homogenous property

Applies to

3DTemplate

Declaration

property object.Homogenous(Homogenous)

Description

Flag that all material information is shared among all text in the 3DTemplate.

Parameter	Description
Homogenous	Bool. True if all material information is shared, False if characters can have individually set materials.
Returns

Homogenous - Bool. True if all material information is shared, False if characters can have individually set materials.

Remarks

If set to True from False, the material information for all characters in the template will be conformed from the first character. Homogenous and 3DTemplate.AnimateElements are exclusive of each other, and cannot be enabled if another already is.


3DTemplate HorizontalTyping
HorizontalTyping property

Applies to

3DTemplate

Declaration

property object.HorizontalTyping(HorizTyping)

Description

Flag that enables writing vertically or horizontally.

Parameter	Description
HorizTyping	Bool. True if the text should appear horizontally, False if it should appear vertically
Returns

HorizTyping - Bool. True if the text should appear horizontally, False if it should appear vertically

Remarks


3DTemplate IIUpdateEnable
IIUpdateEnable property

Applies to

3DTemplate

Declaration

property object.IIUpdateEnable(UpdateEnable)

Description

Flag that allows Intelligent Interface to update template text

Parameter	Description
UpdateEnable	Bool. True if Intelligent Interface updates are enabled
Returns

UpdateEnable, Bool. True if Intelligent Interface updates are enabled

Remarks


3DTemplate JustificationX
JustificationX property

Applies to

3DTemplate

Declaration

property object.JustificationX(Justification)

Description

Justification of text within the template

Parameter	Description
Justification	Integer. None = 0, CenterRow = 1, LeftJustify = 2, RightJustify = 4
Returns

Justification - Integer. None = 0, CenterRow = 1, LeftJustify = 2, RightJustify = 4

Remarks


3DTemplate JustificationY
JustificationY property

Applies to

3DTemplate

Declaration

property object.JustificationY(Justification)

Description

Justification of text within the template

Parameter	Description
Justification	Integer. None = 0, Top = 1, Middle = 2, Bottom = 3, First Line = 4
Returns

Justification - Integer. None = 0, Top = 1, Middle = 2, Bottom = 3, First Line = 4

Remarks


3DTemplate JustifyClipBounds
JustifyClipBounds property

Applies to

3DTemplate

Declaration

property object.JustifyClipBounds(JustifyClip)

Description

Flag that the clip bounds should be justified according to the 3DTemplate's Justification X and Y.

Parameter	Description
JustifyClip	Bool. True if the Clip Bound is justified to the 3DTemplate's justification, False if at Canvas Edge.
Returns

JustifyClip - Bool. True if the Clip Bound is justified to the 3DTemplate's justification, False if at Canvas Edge.

Remarks

If set to False, the clip bound is placed at the canvas edge in reference to the 3DTemplate's position in the current transition and frame. This can be reset using 3DTemplate.ResetClipBounds


3DTemplate MaxRows
MaxRows property

Applies to

3DTemplate

Declaration

property object.MaxRows(MaxRows)

Description

Gets/sets the maximum number of rows of text in the template

Parameter	Description
MaxRows	Integer.  Note: Existing rows beyond this limit will be deleted
Returns

MaxRows - Integer

Remarks

A value of 0 indicates a row limit is not in force
The current number of rows in the template can be obtained from 3DTemplate.RowCount


3DTemplate NDCTemplateRect
NDCTemplateRect property

Applies to

3DTemplate

Declaration

property object.NDCTemplateRect

Description

Returns the 3d template's rect as normalized device coordinates.

Returns

RectFloat Object

Remarks

Similar to Element.Rect, which applies to the template's clipping bound.


3DTemplate Numeric
Numeric property

Applies to

3DTemplate

Declaration

property object.Numeric(Numeric)

Description

Flag that allows only numeric values to be entered into template

Parameter	Description
Numeric	Bool. True if only numeric values are allowed.
Returns

Numeric - Bool. True if only numeric values are allowed.

Remarks


3DTemplate RTLMode
RTLMode property

Applies to

3DTemplate

Declaration

property object.RTLMode(RTLMode)

Description

Flag that enables RTL mode or LTR mode

Parameter	Description
RTLMode	Bool. True if RTL is on, False if LTR is on.
Returns

RTLMode - Bool. True if RTL is on, False if LTR is on.

Remarks


3DTemplate RectReference
RectReference property

Applies to

3DTemplate

Declaration

property object.RectReference

Description

Gets the screen coordinates of the template's clipping bound, in reference to the template's position

Returns

Rect Object

Remarks

Similar to 3DTemplate.TemplateRectReference, which applies to the template's bounding box


3DTemplate Region
Region property

Applies to

3DTemplate

Declaration

property object.Region

Description

Gets the region id of the template

Returns

Region - Integer. The region number to use for Node.Update

Remarks

Although the region is not relevant for Continuous Update of a 3D template, this property is available for compatibility with macros that also may process 2D text templates


3DTemplate RowCount
RowCount property

Applies to

3DTemplate

Declaration

property object.RowCount

Description

Gets the number of current rows of text in the template

Returns

Rows - Integer

Remarks


3DTemplate SizeToFitHeight
SizeToFitHeight property

Applies to

3DTemplate

Declaration

property object.SizeToFitHeight(SizeToFit)

Description

Gets/Sets whether the template text is sized-to-fit vertically.

Parameter	Description
SizeToFit	True to force the template to size characters to fit, False otherwise
Returns

SizeToFit - True if the template is in size to fit mode, False otherwise

Remarks

If 3DTemplate.SizeToFitWidth and 3DTemplate.SizeToFitHeight are both True, the aspect ratio of the text is preserved


3DTemplate SizeToFitMinimum
SizeToFitMinimum property

Applies to

3DTemplate

Declaration

property object.SizeToFitMinimum(Min)

Description

Gets/sets the minimum scaling factor for text that has been sized to fit

Parameter	Description
Min	Double. Range of 0.0 to 1.0
Returns

Min - Double. Range of 0.0 to 1.0

Remarks


3DTemplate SizeToFitScaleHeight
SizeToFitScaleHeight property

Applies to

3DTemplate

Declaration

property object.SizeToFitScaleHeight

Description

Gets the current scaling factor necessary to fit the text vertically within the clip bounds

Returns

Scale - Double. Range of 0.0 to 1.0

Remarks

If both 3DTemplate.SizeToFitWidth and 3DTemplate.SizeToFitHeight are enabled, this value will equal 3DTemplate.SizeToFitScaleWidth

The clip bounds can be retrieved through 3DTemplate.Width and 3DTemplate.Height


3DTemplate SizeToFitScaleWidth
SizeToFitScaleWidth property

Applies to

3DTemplate

Declaration

property object.SizeToFitScaleWidth

Description

Gets the current scaling factor necessary to fit the text horizontally within the clip bounds

Returns

Scale - Double. Range of 0.0 to 1.0

Remarks

If both 3DTemplate.SizeToFitWidth and 3DTemplate.SizeToFitHeight are enabled, this value will equal 3DTemplate.SizeToFitScaleHeight

The clip bounds can be retrieved through 3DTemplate.Width and 3DTemplate.Height


3DTemplate SizeToFitWidth
SizeToFitWidth property

Applies to

3DTemplate

Declaration

property object.SizeToFitWidth(SizeToFit)

Description

Gets/Sets whether the template text is sized-to-fit horizontally

Parameter	Description
SizeToFit	True to force the template to size characters to fit, False otherwise
Returns

SizeToFit - True if the template is in size to fit mode, False otherwise

Remarks

If 3DTemplate.SizeToFitWidth and 3DTemplate.SizeToFitHeight are both True, the aspect ratio of the text is preserved


3DTemplate Supersample
Supersample property

Applies to

3DTemplate

Declaration

property object.Supersample(QualityMode)

Description

Gets/sets whether the template should be sampled at a higher resolution.

Parameter	Description
QualityMode	Integer. Non-zero if the template should be sampled at a higher resolution.  See Remarks.
Returns

QualityMode - Integer. Non-zero if the template should be sampled at a higher resolution.  See Remarks.

Remarks

Supersample and AnimateElements are exclusive of each other and cannot be enabled if the other already is. Supersample includes the functionality of 3DTemplate.CorrectForOverlap.
Defined quality modes:
 	Off = 0
 	4X  = 1
 	8X  = 2


3DTemplate TemplateID
TemplateID property

Applies to

3DTemplate

Declaration

property object.TemplateID

Description

Gets/sets the template id/number

Returns

Template ID, Integer between -1 and 9999

Remarks


3DTemplate TemplateRect
TemplateRect property

Applies to

3DTemplate

Declaration

property object.TemplateRect

Description

Gets the screen coordinates of the template's bounding box

Returns

Rect Object

Remarks

Similar to Element.Rect, which applies to the template's clipping bound.


3DTemplate TemplateRectReference
TemplateRectReference property

Applies to

3DTemplate

Declaration

property object.TemplateRectReference

Description

Gets the screen coordinates of the template's bounding box, in reference to the template's position

Returns

Rect Object

Remarks

Similar to 3DTemplate.RectReference, which applies to the template's clipping bound


3DTemplate TextWidth
TextWidth property

Applies to

3DTemplate

Declaration

property object.TextWidth

Description

Gets the width of the text in the template (first row only)

Returns

Width - Integer.  The width of the text in the template, in pixels

Remarks


3DTemplate TilingMode
TilingMode property

Applies to

3DTemplate

Declaration

property object.TilingMode(TilingMode)

Description

Apply the tiling mode as the default for the template. If a selection mode is used, only the glyphs in the range will be modified.

Parameter	Description
TilingMode	Bool. The tiling mode to be applied to the template or selection.
Returns

TilingMode - Bool. The default tiling mode that is applied to updated text.

Remarks

If a default tiling mode is applied, the template will use this for all future updated text. To apply to a specific selection only, use a selection mode after setting the selection using 3DTemplateText.Selection
Defined tiling modes:
 	Off     =  0
  	By Character   =  1
  	By Word    =  2
  	By Line    =  3
  	Template    =  4
  	Unscaled    =  5
  	Selection    =  6
 	Selection By Character =  7
 	Selection By Word  =  8
 	Selection By Line  =  9


3DTemplate UseOutlineAA
UseOutlineAA property

Applies to

3DTemplate

Declaration

property object.UseOutlineAA(UseOutlineAA)

Description

Gets/sets whether a smooth outline is applied to the characters in the template for anti-aliasing

Parameter	Description
UseOutlineAA	Boolean.  True if smooth outlines are applied
Returns

UseOutlineAA - Boolean.  True if smooth outlines are applied

Remarks


3DTemplate UseTemplateRect
UseTemplateRect property

Applies to

3DTemplate

Declaration

property object.UseTemplateRect(UseTemplateRect)

Description

Controls whether the area returned by methods such as {Element.Rect} and {Element.Image} indicates the boundaries of the entire template or only its textual contents

Parameter	Description
UseTemplateRect	Boolean.  True if the template rect should be used, False if the text rect should be used
Returns

UseTemplateRect - Boolean.  True if the template rect is being used, False if the text rect is being used

Remarks

Refer to TextTemplate.UseTemplateRect


3DTemplate Width
Width property

Applies to

3DTemplate

Declaration

property object.Width(Width)

Description

Gets/Sets the width of the template

Parameter	Description
Width	Integer.  The width of the template's clip bound, in pixels
Returns

Width - Integer.  The width of the template's clip bound, in pixels

Remarks


3DTemplate WordWrap
WordWrap property

Applies to

3DTemplate

Declaration

property object.WordWrap(WordWrap)

Description

Flag that allows text to wrap to next line in a multi-line template

Parameter	Description
WordWrap	Bool. True if word wrap is enabled.
Returns

WordWrap - Bool. True if word wrap is enabled.

Remarks

If set to True, JustifyClipBounds is automatically set to True.


3DTemplate CopyContents
CopyContents method

Applies to

3DTemplate

Declaration

function object.CopyContents(Template)

Description

Copies the contents of another template to this template

Parameter	Description
Template	Variant.  The source template's object, name, or number can be provided
Returns

Success - Boolean.  True if the contents were successfully copied

Remarks


3DTemplate IsEmpty
IsEmpty function

Applies to

3DTemplate

Declaration

function object.IsEmpty

Description

Returns true if the template contains no text

Returns

Empty - Boolean.  True if template is empty

Remarks


3DTemplate NextTemplate
NextTemplate function

Applies to

3DTemplate

Declaration

function object.NextTemplate

Description

Returns the next template in sequential order

Returns

NextTemplate object, which can be either a TextTemplate or 3DTemplate

Remarks


3DTemplate ResetClipBounds
ResetClipBounds function

Applies to

3DTemplate

Declaration

function object.ResetClipBounds

Description

Resets the clip bounds of the template

Remarks

If JustifyClipBounds is True, the clip bounds are reset to the extents of the text. If JustifyClipBounds is False, the clip bounds are reset to be the Canvas Edge in reference to the 3DTemplate's position in the current transition.


3DTemplate SetActive
SetActive function

Applies to

3DTemplate

Declaration

function object.SetActive

Description

Sets this template as active in the current scene

Remarks


3DTemplate SetDefaultLang
SetDefaultLang function

Applies to

3DTemplate

Declaration

function object.SetDefaultLang(DefaultLang)

Description

Sets the default language for this template

Parameter	Description
DefaultLang	Variant.  If an integer, the language HKL or LANGID. If a string, the name or abbreviation of the language.
Remarks

Valid parameters as a string take the language and country code, eg. "EN", "English", or "English (United States)"


3DTemplateText
3DTemplateText object

Properties	Methods	Events
Description

Represents the text and font information of a 3D Template

Remarks

This object is created by calling Element.Text.


3DTemplateText Properties
Properties

Selection	SelectionFont


3DTemplateText Methods
Methods


3DTemplateText Events
Events


3DTemplateText Selection
Selection property

Applies to

3DTemplateText

Declaration

property object.Selection

Description

Gets and sets the range of characters that is selected in the 3D Template.

Returns

Selection Object

Remarks


3DTemplateText SelectionFont
SelectionFont property

Applies to

3DTemplateText

Declaration

property object.SelectionFont

Description

Gets and sets the font for the currently selected text.

Returns

3DFont Object

Remarks

Text can be selected through 3DTemplateText.Selection
To change the default font for the template, use Text.Font instead.


ActivationReaction
ActivationReaction object

Properties	Methods	Events
Description

Object that describes an Activation Reaction to a hotspot

Remarks

This object can be obtained from HotSpot.GetReaction


ActivationReaction Properties
Properties

Transitions


ActivationReaction Methods
Methods

Add	Remove


ActivationReaction Events
Events


ActivationReaction Transitions
Transitions property

Applies to

ActivationReaction

Declaration

property object.Transitions(Transitions)

Description

Gets/sets the transitions that will be activated when this reaction is triggered

Parameter	Description
Transitions	String.  The transitions that will be activated when this reaction is triggered  as a string concatenation delimited with a question mark.  Existing transitions in the reaction are not removed.
Returns

Transitions - String.  The transitions that will be activated when this reaction is triggered as a string concatenation delimited with a question mark

Remarks


ActivationReaction Add
Add method

Applies to

ActivationReaction

Declaration

function object.Add(TransitionName)

Description

Add a transition activation to the reaction

Parameter	Description
TransitionName	String.  Name of the transition to be activated
Returns

Succeeded - Boolean.   Returns true on success

Remarks


ActivationReaction Remove
Remove function

Applies to

ActivationReaction

Declaration

function object.Remove(TransitionName)

Description

Remove a transition activation from the reaction

Parameter	Description
TransitionName	String.  Name of the transition that should be removed
Returns

Succeeded - Boolean.   Returns true on success

Remarks


ActiveCanvas
ActiveCanvas object

Properties	Methods	Events
Description

Object used to access items that are specific to the currently active Lyric canvas

Remarks

Retrieved through LyricObject.ActiveCanvas


ActiveCanvas Properties
Properties

ActiveFont	Playing	ShowBackground
CurrentMessage	RenderToDuet	ShowSafeTitle
DocumentBeingSaved	SafeTitle	ShowSelectionGuides
Field	ScalingIncrement	ShowViewportLabels
FileSave	Scene	TranslationMode
FrameCount	Selection	WindowDimension
OverstrikeEnabled	Show4x3SafeTitle


ActiveCanvas Methods
Methods

ActiveFileSave	GetSnapshot	SetFrame
ClientToScreenX	MakeCurrent	SetPixelAspect
ClientToScreenY	RemoteKey	SetResolution
GetFont	RemoteMouse	Update
GetFrame	SetBackground
GetMaskLayerData	SetFormat


ActiveCanvas Events
Events


ActiveCanvas ActiveFont
ActiveFont property

Applies to

ActiveCanvas

Declaration

property object.ActiveFont(Object)

Description

Gets/sets the active font for the canvas

Parameter	Description
Object	Font to activate
Returns

Font Object - Currently active font

Remarks


ActiveCanvas CurrentMessage
CurrentMessage property

Applies to

ActiveCanvas

Declaration

property object.CurrentMessage

Description

Gets the path and file name of the currently loaded message.

Returns

CurrentMessage, String. Path and file name of the currently loaded message

Remarks


ActiveCanvas DocumentBeingSaved
DocumentBeingSaved property

Applies to

ActiveCanvas

Declaration

property object.DocumentBeingSaved

Description

Gets the filename of the message currently being saved

Returns

File - String. Path and file name of the message being saved

Remarks


ActiveCanvas Field
Field property

Applies to

ActiveCanvas

Declaration

property object.Field(FieldMode)

Description

Allows control of the field that is to be rendered for a given frame

Parameter	Description
FieldMode	0=full frame, 1=field 1, 2=field 2;
Returns

FieldMode - 0=full frame, 1=field 1, 2=field 2;

Remarks


ActiveCanvas FileSave
FileSave property

Applies to

ActiveCanvas

Declaration

property object.FileSave

Description

Gets a file save object for exporting Lyric messages to various image and movie formats.

Returns

FileSave Object.

Remarks


ActiveCanvas FrameCount
FrameCount property

Applies to

ActiveCanvas

Declaration

property object.FrameCount

Description

Gets the number of frames in the animation

Returns

FrameCount - Integer. Number of frames in animation.

Remarks


ActiveCanvas OverstrikeEnabled
OverstrikeEnabled property

Applies to

ActiveCanvas

Declaration

property object.OverstrikeEnabled(Enabled)

Description

 Sets/Gets whether overstrike mode is enabled

Parameter	Description
Enabled	Boolean. True to enable overstrike, false for insert mode.
Returns

 Enabled - Boolean. True if overstrike is enabled, false if inserting

Remarks


ActiveCanvas Playing
Playing property

Applies to

ActiveCanvas

Declaration

property object.Playing

Description

Flag that is set if an animation is playing.

Returns

Playing, Bool. True if an animation is playing.

Remarks


ActiveCanvas RenderToDuet
RenderToDuet property

Applies to

ActiveCanvas

Declaration

property object.RenderToDuet

Description

Gets whether Live Render mode is enabled (i.e. the state of the Live button) If enabled, the current scene is automatically transferred to output after modification

Returns

Enable - Boolean. True if rendering to Duet

Remarks

Duet Render mode can be toggled via Selection.Execute
 e.g. ActiveCanvas.Selection.Execute("Duet Render")
e.g. ActiveCanvas.Selection.Toggle "Duet Render", true


ActiveCanvas SafeTitle
SafeTitle property

Applies to

ActiveCanvas

Declaration

property object.SafeTitle(Object)

Description

Gets/sets safe-title dimensions for the canvas

Parameter	Description
Object	rectangle indicating new dimensions for safe-title area
Returns

Rect Object - rectangle indicating dimensions of current safe-title area

Remarks

Display of safe-title can be toggled via ActiveCanvas.ShowSafeTitle


ActiveCanvas ScalingIncrement
ScalingIncrement property

Applies to

ActiveCanvas

Declaration

property object.ScalingIncrement(Scale)

Description

Gets/sets the value for scaling elements within in a 2D text window

Parameter	Description
Scale	Integer
Returns

Scale - Integer

Remarks


ActiveCanvas Scene
Scene property

Applies to

ActiveCanvas

Declaration

property object.Scene

Description

Gets the scene object for the current message displayed by the canvas

Returns

Scene Object

Remarks


ActiveCanvas Selection
Selection property

Applies to

ActiveCanvas

Declaration

property object.Selection

Description

Gets an object that can be used to simulate text editing

Returns

Selection Object

Remarks


ActiveCanvas Show4x3SafeTitle
Show4x3SafeTitle property

Applies to

ActiveCanvas

Declaration

property object.Show4x3SafeTitle(Enable)

Description

Get/set the preference controlling the display of the 4:3 Safe Title guide

Parameter	Description
Enable	Boolean.  Set To TRUE (Non-zero) to show the 4:3 safe title guide, set to FALSE (0) to hide it
Returns

Enabled - Boolean. TRUE (Non-zero) if the 4:3 safe title guide is being displayed, FALSE (0) if it is hidden

Remarks

The 4:3 safe title is not displayed if the canvas resolution is not 16x9 nor if the primary safe title is not shown. See ActiveCanvas.ShowSafeTitle


ActiveCanvas ShowBackground
ShowBackground property

Applies to

ActiveCanvas

Declaration

property object.ShowBackground(Enable)

Description

Get/set the preference controlling the display of the default canvas background

Parameter	Description
Enable	Boolean.  Set To TRUE (Non-zero) to show the canvas background, set to FALSE (0) to hide it
Returns

Enabled - Boolean. TRUE (Non-zero) if the canvas background is being displayed, FALSE (0) if it is hidden

Remarks


ActiveCanvas ShowSafeTitle
ShowSafeTitle property

Applies to

ActiveCanvas

Declaration

property object.ShowSafeTitle(Enable)

Description

Get/set the preference controlling the display of the Safe Title guide

Parameter	Description
Enable	Boolean. Set To TRUE (Non-zero) to show the safe title guide, set to FALSE (0) to hide it
Returns

Enabled - Boolean. TRUE (Non-zero) if the safe title guide is displayed, FALSE (0) if it is hidden

Remarks

ActiveCanvas.SafeTitle can be used to modify the size and position of the guide


ActiveCanvas ShowSelectionGuides
ShowSelectionGuides property

Applies to

ActiveCanvas

Declaration

property object.ShowSelectionGuides(Enable)

Description

Get/set the preference controlling the display of the selection guides

Parameter	Description
Enable	Boolean. Set To TRUE (Non-zero) to show the selection guides, set to FALSE (0) to hide
Returns

Enabled - Boolean. TRUE (Non-zero) if the selection guides are displayed, FALSE (0) if hidden

Remarks

See ActiveCanvas.ShowSafeTitle and ActiveCanvas.ShowViewportLabels to control the display of other guides


ActiveCanvas ShowViewportLabels
ShowViewportLabels property

Applies to

ActiveCanvas

Declaration

property object.ShowViewportLabels(Enable)

Description

Get/set the preference controlling the display of the viewport labels

Parameter	Description
Enable	Boolean.  Set To TRUE (Non-zero) to show the viewport labels, set to FALSE (0) to hide
Returns

Enabled - Boolean. TRUE (Non-zero) if the viewport labels are displayed, FALSE (0) if hidden

Remarks

See ActiveCanvas.ShowSafeTitle and ActiveCanvas.ShowSelectionGuides to control the display of other guides


ActiveCanvas TranslationMode
TranslationMode property

Applies to

ActiveCanvas

Declaration

property object.TranslationMode(Enabled)

Description

 Sets/Gets Character Translation Mode. Indicates whether use of alternate character set is enabled

Parameter	Description
Enabled	Boolean. True if alternate character set is enabled
Returns

 Enabled - Boolean. True if alternate character set is enabled

Remarks


ActiveCanvas WindowDimension
WindowDimension property

Applies to

ActiveCanvas

Declaration

property object.WindowDimension

Description

Gets the current dimensions of the canvas's client area.

Returns

Dimensions, Size object. Client area dimensions

Remarks


ActiveCanvas ActiveFileSave
ActiveFileSave method

Applies to

ActiveCanvas

Declaration

function object.ActiveFileSave(Options)

Description

Gets a file save object for exporting Lyric messages to various image and movie formats.

Parameter	Description
Options	Variant. Optional flags.
Returns

FileSave Object.

Remarks

To retrieve a default file save proxy, leave the optional flags empty or set to 0. To retrieve a  proxy with parameters initialized from the last File Save As dialog, set to 1.


ActiveCanvas ClientToScreenX
ClientToScreenX function

Applies to

ActiveCanvas

Declaration

function object.ClientToScreenX(ClientX)

Description

Converts the x coordinate given in canvas upper-left relative coordinates, to screen upper-left relative coordinates.

Parameter	Description
ClientX	Client x coordinate to convert
Returns

ScreenX - Converted x coordinate

Remarks


ActiveCanvas ClientToScreenY
ClientToScreenY function

Applies to

ActiveCanvas

Declaration

function object.ClientToScreenY(ClientY)

Description

Converts the y coordinate given in canvas upper-left relative coordinates, to screen upper-left relative coordinates.

Parameter	Description
ClientY	Client y coordinate to convert
Returns

ScreenY - Converted y coordinate

Remarks


ActiveCanvas GetFont
GetFont function

Applies to

ActiveCanvas

Declaration

function object.GetFont

Description

Gets the current font.

Returns

Font Object. Current canvas font.

Remarks

Use ActiveCanvas.ActiveFont to change the font


ActiveCanvas GetFrame
GetFrame function

Applies to

ActiveCanvas

Declaration

function object.GetFrame

Description

Gets the current frame number.

Returns

FrameNumber - Integer. The current frame number.

Remarks

Use ActiveCanvas.SetFrame to set the current frame number


ActiveCanvas GetMaskLayerData
GetMaskLayerData function

Applies to

ActiveCanvas

Declaration

function object.GetMaskLayerData(Data, Layer, Width, Height)

Description

Reads and decodes the FBO mask data texture for a given layer into the provided buffer

Parameter	Description
Data	Array. Will contain byte data of the mask FBO
Layer	Integer.  The layer for which the mask data should be retrieved
Width	Integer.  The desired width of the data
Height	Integer.  The desired height of the data
Remarks


ActiveCanvas GetSnapshot
GetSnapshot function

Applies to

ActiveCanvas

Declaration

function object.GetSnapshot(Pixels, Width, Height, PixelFormat)

Description

Renders the current scene and provides a snapshot at the desired resolution and in the desired format

Parameter	Description
Pixels	Array.  Will contain byte data of the canvas.
Width	Integer.  The desired width of the snapshot resolution
Height	Integer.  The desired height of the snapshot resolution
PixelFormat	Short Integer.  Desired Pixel Format.  0 for RGBA, 1 for BGRA
Remarks


ActiveCanvas MakeCurrent
MakeCurrent function

Applies to

ActiveCanvas

Declaration

function object.MakeCurrent

Description

Remarks


ActiveCanvas RemoteKey
RemoteKey function

Applies to

ActiveCanvas

Declaration

function object.RemoteKey(Command, Char, RepCnt, Flags)

Description

Allows a remote process to force a key event within the canvas

Parameter	Description
Command	WM_CHAR, WM_KEYDOWN, WM_KEYUP, or WM_SYSKEYDOWN
Char	ASCII character code of key
RepCnt	Repetition Count
Flags	Flags parameter associated with the command
Remarks


ActiveCanvas RemoteMouse
RemoteMouse function

Applies to

ActiveCanvas

Declaration

function object.RemoteMouse(Command, Flags, X, Y, Width, Height)

Description

Allows a remote process to activate a mouse action within the canvas

Parameter	Description
Command	WM_MOUSEMOVE, WM_LBUTTONDOWN, WM_RBUTTONDOWN, WM_LBUTTONUP or WM_RBUTTONUP
Flags	Flags parameter associated with the command
X	X Coordinate relative to the upper left of the canvas.
Y	Y Coordinate relative to the upper left of the canvas
Width	width of the client area in which the mouse event occurred
Height	height of the client area in which the mouse event occurred
Remarks


ActiveCanvas SetBackground
SetBackground function

Applies to

ActiveCanvas

Declaration

function object.SetBackground(Data, Options)

Description

Configure the default canvas background

Parameter	Description
Data	Variant.  If an integer, the color for the background
Options	Variant.  If a boolean, whether the checkerboard is enabled
Remarks


ActiveCanvas SetFormat
SetFormat function

Applies to

ActiveCanvas

Declaration

function object.SetFormat(Width, Height, Rate, PixelAspect)

Description

Sets video settings for the canvas

Parameter	Description
Width	Integer.  Width of canvas
Height	Integer.  Height of canvas
Rate	double float. Animation rate in frames per second
PixelAspect	double float. Pixel aspect ratio.
Returns

None

Remarks

A user-defined resolution named "Plugin" will be created based on the specified parameters
See also ActiveCanvas.SetResolution, LyricObject.FrameRate and LyricObject.BasicModeSize


ActiveCanvas SetFrame
SetFrame function

Applies to

ActiveCanvas

Declaration

function object.SetFrame(FrameNumber)

Description

Sets the current frame

Parameter	Description
FrameNumber	Variant.  Can be provided as an integer (frame number) or string (timecode)
Remarks

Use ActiveCanvas.GetFrame to get the current frame number


ActiveCanvas SetPixelAspect
SetPixelAspect function

Applies to

ActiveCanvas

Declaration

function object.SetPixelAspect(PixelAspect)

Description

Sets the pixel aspect ratio.

Parameter	Description
PixelAspect	double float. Pixel aspect ratio.
Remarks


ActiveCanvas SetResolution
SetResolution function

Applies to

ActiveCanvas

Declaration

function object.SetResolution(Width, Height)

Description

Sets the canvas resolution

Parameter	Description
Width	Integer. Width of canvas in pixels.
Height	Integer. Height of canvas in scanlines.
Remarks

See also ActiveCanvas.SetFormat, LyricObject.FrameRate and LyricObject.BasicModeSize


ActiveCanvas Update
Update function

Applies to

ActiveCanvas

Declaration

function object.Update

Description

Updates the canvas

Remarks


AnimationState
AnimationState object

Properties	Methods	Events
Description

Represents the state of each animatable attribute for an object at a given frame

Remarks

Method names conform to the attributes as given in Lyric's timeline view Obtained through Node.AnimationState
e.g. To display the transparency at the first frame of the selected node in the scene graph:
set astate = ActiveCanvas.Scene.ActiveObject.AnimationState(0, 0)

msgbox astate.Transp

The animation state of an object can be modified by setting keyframes before and after the given frame. See Node.Keyframe for further information


AnimationState Properties
Properties

EffectPct	PauseType	YCenter
Focus	RGBADiffuse	YPosition
ITVEventType	Shine	YRotation
LoopEnabled	Transp	YScale
LoopFrames	XCenter	ZCenter
LoopIterations	XPosition	ZPosition
PauseEnabled	XRotation	ZRotation
PauseTimeout	XScale	ZScale


AnimationState Methods
Methods

AttributeNames	AttributeValue


AnimationState Events
Events


AnimationState EffectPct
EffectPct property

Applies to

AnimationState

Declaration

property object.EffectPct

Description

Gets the effect percentage for the object at the given frame

Returns

EffectPct - Double. Node's Effect Pct as a percentage from 0 to 100

Remarks

Applies to rolls, crawls, and type-on windows, and advanced image effects


AnimationState Focus
Focus property

Applies to

AnimationState

Declaration

property object.Focus

Description

Gets the Focus for the object at the given frame

Returns

Focus - Double. Node's Focus

Remarks

Applies to a camera object only


AnimationState ITVEventType
ITVEventType property

Applies to

AnimationState

Declaration

property object.ITVEventType

Description

Gets the ITV Event Type for the object at the given frame

Returns

ITVEventType - Double. Node's ITV Event Type

Remarks


AnimationState LoopEnabled
LoopEnabled property

Applies to

AnimationState

Declaration

property object.LoopEnabled

Description

Gets a flag indicating whether a loop is active at the given frame.

Returns

LoopEnabled - Double.  1.0 if a loop is enabled, else 0.0

Remarks


AnimationState LoopFrames
LoopFrames property

Applies to

AnimationState

Declaration

property object.LoopFrames

Description

Gets the number of frames in the loop which is active at the given frame.

Returns

LoopFrames - Double. Node's Loop Frames

Remarks


AnimationState LoopIterations
LoopIterations property

Applies to

AnimationState

Declaration

property object.LoopIterations

Description

Gets the number of iterations in the loop which is active at the given frame.

Returns

LoopIterations - Double. Node's Loop Iterations.

Remarks


AnimationState PauseEnabled
PauseEnabled property

Applies to

AnimationState

Declaration

property object.PauseEnabled

Description

Gets a flag indicating whether a pause is active at the given frame.

Returns

PauseEnabled - Double. 1.0 if a pause is enabled, else 0.0

Remarks


AnimationState PauseTimeout
PauseTimeout property

Applies to

AnimationState

Declaration

property object.PauseTimeout

Description

Pause attribute, the meaning of which is dependent on the type returned by {AnimationState.PauseType}

Returns

PauseParameter - Double.

Remarks

For timeout pauses, this parameter is the number of frames to pauseFor GPI pauses, this parameter is the GPI indexFor all other pauses, this parameter is not used.


AnimationState PauseType
PauseType property

Applies to

AnimationState

Declaration

property object.PauseType

Description

Gets the Pause Type for the object at the given frame

Returns

PauseType - Double. Node's Pause Type

Remarks

Types of pauses are as follows.  See AnimationState.PauseTimeout
0 = No pause is active
1 = Pause until a key is pressed
2 = Pause for a specified number of frames
3 = Pause until a GPI is triggered
4 = Replay pause


AnimationState RGBADiffuse
RGBADiffuse property

Applies to

AnimationState

Declaration

property object.RGBADiffuse

Description

Gets the color value for the object at the given frame

Returns

RGBADiffuse - Double. Node's color value

Remarks


AnimationState Shine
Shine property

Applies to

AnimationState

Declaration

property object.Shine

Description

Gets the shininess (intensity) value for the object at the given frame

Returns

Shine - Double. Node's Shine

Remarks

Applies to a light object only


AnimationState Transp
Transp property

Applies to

AnimationState

Declaration

property object.Transp

Description

Gets the transparency value for the object at the given frame

Returns

Transp - Double. Node's transparency as a percentage from 0 (completely opaque) to 100 (completely transparent)

Remarks

Note: The Surface page in Lyric displays the alpha value for the object at the current frame which is the inverse of the transparency value.  An alpha value of 100 is completely opaque.


AnimationState XCenter
XCenter property

Applies to

AnimationState

Declaration

property object.XCenter

Description

Gets the X Center for the object at the given frame

Returns

XCenter - Double. Node's X Center in world coordinates

Remarks


AnimationState XPosition
XPosition property

Applies to

AnimationState

Declaration

property object.XPosition

Description

Gets the X Position for the object at the given frame

Returns

XPosition - Double. Node's x position in world coordinates

Remarks


AnimationState XRotation
XRotation property

Applies to

AnimationState

Declaration

property object.XRotation

Description

Gets the X Rotation for the object at the given frame

Returns

XRotation - Double. Node's X Rotation in degrees

Remarks


AnimationState XScale
XScale property

Applies to

AnimationState

Declaration

property object.XScale

Description

Gets the X Scale for the object at the given frame

Returns

XScale - Double. Node's X Scale.  Range 0 to 100.  Set to 1 for no scale.

Remarks


AnimationState YCenter
YCenter property

Applies to

AnimationState

Declaration

property object.YCenter

Description

Gets the Y Center for the object at the given frame

Returns

YCenter - Double. Node's Y Center in world coordinates

Remarks


AnimationState YPosition
YPosition property

Applies to

AnimationState

Declaration

property object.YPosition

Description

Gets the Y Position for the object at the given frame

Returns

YPosition - Double. Node's y position in world coordinates

Remarks


AnimationState YRotation
YRotation property

Applies to

AnimationState

Declaration

property object.YRotation

Description

Gets the Y Rotation for the object at the given frame

Returns

YRotation - Double. Node's Y Rotation in degrees

Remarks


AnimationState YScale
YScale property

Applies to

AnimationState

Declaration

property object.YScale

Description

Gets the Y Scale for the object at the given frame

Returns

YScale - Double. Node's Y Scale.  Range 0 to 100.  Set to 1 for no scale.

Remarks


AnimationState ZCenter
ZCenter property

Applies to

AnimationState

Declaration

property object.ZCenter

Description

Gets the Z Center for the object at the given frame

Returns

ZCenter - Double. Node's Z Center in world coordinates

Remarks


AnimationState ZPosition
ZPosition property

Applies to

AnimationState

Declaration

property object.ZPosition

Description

Gets the Z Position for the object at the given frame

Returns

ZPosition - Double. Node's z position in world coordinates

Remarks


AnimationState ZRotation
ZRotation property

Applies to

AnimationState

Declaration

property object.ZRotation

Description

Gets the Z Rotation for the object at the given frame

Returns

ZRotation - Double. Node's Z Rotation in degrees

Remarks


AnimationState ZScale
ZScale property

Applies to

AnimationState

Declaration

property object.ZScale

Description

Gets the Z Scale for the object at the given frame

Returns

ZScale - Double. Node's Z Scale.  Range 0 to 100.  Set to 1 for no scale.

Remarks


AnimationState AttributeNames
AttributeNames method

Applies to

AnimationState

Declaration

function object.AttributeNames

Description

Gets a list of all attribute names currently defined for this animation state

Returns

AttributeNames - String.  A concatenation of each attribute name delimited with a question mark

Remarks

The value of each attribute can then be obtained by providing its name to AnimationState.AttributeValue


AnimationState AttributeValue
AttributeValue function

Applies to

AnimationState

Declaration

function object.AttributeValue(Attribute)

Description

Gets the value of an animatable attribute specified by either name or index

Parameter	Description
Attribute	Variant. If a string, the attribute name.   If an integer, the attribute index
Returns

AttributeValue - Double.  The value of the given attribute at the given frame.

Remarks


AutoFollow
AutoFollow object

Properties	Methods	Events
Description

Object representing the Auto Follow Settings for a node

Remarks

Can be retrieved through Node.GetAutoFollowSettings

VBScript example to have a background bar match a 3D Template in position and size

set sc = ActiveCanvas.Scene

set src = sc.Element("3D Template 1")

set tgt = sc.Element("Background Bar")

set af = tgt.GetAutoFollowSettings

af.referencenode = src

af.connectx 1

af.referenceanchorx 1

af.scalex true

af.connecty 0

af.referenceanchory 0

af.scaley true


AutoFollow Properties
Properties

ConnectX	ReferenceAnchorX	ScalePaddingZ
ConnectY	ReferenceAnchorY	ScaleX
ConnectZ	ReferenceAnchorZ	ScaleY
PositionOffsetX	ReferenceNode	ScaleZ
PositionOffsetY	ScalePaddingX	UpdateTimingMode
PositionOffsetZ	ScalePaddingY	UpdateTimingValue


AutoFollow Methods
Methods


AutoFollow Events
Events


AutoFollow ConnectX
ConnectX property

Applies to

AutoFollow

Declaration

property object.ConnectX(Connect)

Description

Get/set the connection point for the target on the X axis

Parameter	Description
Connect	Integer
Returns

Connect - Integer

Remarks

Left - 0
Horizontal Center - 1
Right = 2


AutoFollow ConnectY
ConnectY property

Applies to

AutoFollow

Declaration

property object.ConnectY(Connect)

Description

Get/set the connection point for the target on the Y axis

Parameter	Description
Connect	Integer
Returns

Connect - Integer

Remarks

Top - 0
Vertical Center - 1
Bottom = 2


AutoFollow ConnectZ
ConnectZ property

Applies to

AutoFollow

Declaration

property object.ConnectZ(Connect)

Description

Get/set the connection point for the target on the Z axis

Parameter	Description
Connect	Integer
Returns

Connect - Integer

Remarks

Front - 0
Middle - 1
Back = 3


AutoFollow PositionOffsetX
PositionOffsetX property

Applies to

AutoFollow

Declaration

property object.PositionOffsetX(Offset)

Description

Get/set the position offset for the X axis

Parameter	Description
Offset	Double
Returns

Offset - Double

Remarks


AutoFollow PositionOffsetY
PositionOffsetY property

Applies to

AutoFollow

Declaration

property object.PositionOffsetY(Offset)

Description

Get/set the position offset for the Y axis

Parameter	Description
Offset	Double
Returns

Offset - Double

Remarks


AutoFollow PositionOffsetZ
PositionOffsetZ property

Applies to

AutoFollow

Declaration

property object.PositionOffsetZ(Offset)

Description

Get/set the position offset for the Z axis

Parameter	Description
Offset	Double
Returns

Offset - Double

Remarks


AutoFollow ReferenceAnchorX
ReferenceAnchorX property

Applies to

AutoFollow

Declaration

property object.ReferenceAnchorX(Connect)

Description

Get/set the anchor point to the reference on the X axis

Parameter	Description
Connect	Integer
Returns

Connect - Integer

Remarks

Left - 0
Horizontal Center - 1
Right = 2


AutoFollow ReferenceAnchorY
ReferenceAnchorY property

Applies to

AutoFollow

Declaration

property object.ReferenceAnchorY(Connect)

Description

Get/set the anchor point to the reference on the Y axis

Parameter	Description
Connect	Integer
Returns

Connect - Integer

Remarks

Top - 0
Vertical Center - 1
Bottom = 2


AutoFollow ReferenceAnchorZ
ReferenceAnchorZ property

Applies to

AutoFollow

Declaration

property object.ReferenceAnchorZ(Connect)

Description

Get/set the anchor point to the reference on the Z axis

Parameter	Description
Connect	Integer
Returns

Connect - Integer

Remarks

Front - 0
Middle - 1
Back = 3


AutoFollow ReferenceNode
ReferenceNode property

Applies to

AutoFollow

Declaration

property object.ReferenceNode(Name)

Description

Get/set the reference node that the target node is following

Parameter	Description
Name	Variant. Name of the reference node as a string, or its node object, or its index as an integer
Returns

Name - Variant. Name of the reference node as a string

Remarks

To disable auto-follow, provide an empty string as the reference node.


AutoFollow ScalePaddingX
ScalePaddingX property

Applies to

AutoFollow

Declaration

property object.ScalePaddingX(Padding)

Description

Get/set the auto-scale padding for the X axis

Parameter	Description
Padding	Double.
Returns

Padding - Double.

Remarks


AutoFollow ScalePaddingY
ScalePaddingY property

Applies to

AutoFollow

Declaration

property object.ScalePaddingY(Padding)

Description

Get/set the auto-scale padding for the Y axis

Parameter	Description
Padding	Double.
Returns

Padding - Double.

Remarks


AutoFollow ScalePaddingZ
ScalePaddingZ property

Applies to

AutoFollow

Declaration

property object.ScalePaddingZ(Padding)

Description

Get/set the auto-scale padding for the Z axis

Parameter	Description
Padding	Double.
Returns

Padding - Double.

Remarks


AutoFollow ScaleX
ScaleX property

Applies to

AutoFollow

Declaration

property object.ScaleX(Enable)

Description

Get/set whether auto-scale is enabled on the X axis

Parameter	Description
Enable	Boolean.  True if auto-scale is enabled
Remarks


AutoFollow ScaleY
ScaleY property

Applies to

AutoFollow

Declaration

property object.ScaleY(Enable)

Description

Get/set whether auto-scale is enabled on the Y axis

Parameter	Description
Enable	Boolean.  True if auto-scale is enabled
Remarks


AutoFollow ScaleZ
ScaleZ property

Applies to

AutoFollow

Declaration

property object.ScaleZ(Enable)

Description

Get/set whether auto-scale is enabled on the Z axis

Parameter	Description
Enable	Boolean.  True if auto-scale is enabled
Remarks


AutoFollow UpdateTimingMode
UpdateTimingMode property

Applies to

AutoFollow

Declaration

property object.UpdateTimingMode(Mode)

Description

Get/set the update timing mode

Parameter	Description
Mode	Integer.   0 for fixed number of frames, 1 for pixels per second
Returns

Mode - Integer.   0 for fixed number of frames, 1 for pixels per second

Remarks

The mode determines whether AutoFollow.UpdateTimingValue is given in frames or pixels per second


AutoFollow UpdateTimingValue
UpdateTimingValue property

Applies to

AutoFollow

Declaration

property object.UpdateTimingValue(Timing)

Description

Get/set the update timing

Parameter	Description
Timing	Variant.   Fixed frames as integer or a timecode string. Pixels per second as double
Returns

Timing - Variant.   Fixed frames as integer. Pixels per second as double

Remarks

If AutoFollow.UpdateTimingMode is fixed (0), the update timing value will be given in frames Otherwise, the update timing value will be given in pixels per second


AutoSpacing
AutoSpacing object

Properties	Methods	Events
Description

Object representing an Auto Spacing Group

Remarks

This object is derived from the Element object.  It can be retrieved from Scene.GetAutoSpacingGroup, Node.Element or Scene.Element
 An auto spacing group can be created from an existing group through Scene.InsertObject

VBScript example for creating an auto spacing group for two 3D Templates

set sc = ActiveCanvas.Scene

sc.insertobject(ot3DTemplate)

set tnode = sc.activeobject

tnode.element(-1).text = tnode.name

sc.insertobject(ot3DTemplate)

sc.template(-1).text = sc.activeobject.name

sc.group("Spacing Group")

set g = sc.activeobject

g.element(0).addnode tnode

sc.select g

sc.InsertObject(otAutoSpacing)

set b = sc.GetAutoSpacingGroup

b.DefaultSpacing 0.4

b.RegionBounds = activecanvas.safetitle


AutoSpacing Properties
Properties

Alignment	IsVertical	RegionBounds
AllowOverflow	MinimumSpacing
DefaultSpacing	ReferenceNode


AutoSpacing Methods
Methods


AutoSpacing Events
Events


AutoSpacing Alignment
Alignment property

Applies to

AutoSpacing

Declaration

property object.Alignment(Alignment)

Description

Get/set the alignment of the Auto Spacing Group

Parameter	Description
Alignment	Integer. See Remarks.
Returns

Alignment - Integer. See Remarks.

Remarks

Horizontal Orientation: Left = 0, Center = 1, Right = 2
  Vertical Orientation: Top = 4, Center = 5, Bottom = 6
Orientation can be retrieved through AutoSpacing.IsVertical


AutoSpacing AllowOverflow
AllowOverflow property

Applies to

AutoSpacing

Declaration

property object.AllowOverflow(AllowOverflow)

Description

Get/set whether items which lie outside the spacing area are shown or hidden

Parameter	Description
AllowOverflow	Boolean. True if items which lie outside the spacing area are shown, false if hidden
Returns

AllowOverflow - Boolean. True if items which lie outside the spacing area are shown, false if hidden

Remarks


AutoSpacing DefaultSpacing
DefaultSpacing property

Applies to

AutoSpacing

Declaration

property object.DefaultSpacing(DefaultSpacing)

Description

Get/set the default offset between items

Parameter	Description
DefaultSpacing	Double. Default offset between items.
Returns

DefaultSpacing - Double. Default offset between items.

Remarks


AutoSpacing IsVertical
IsVertical property

Applies to

AutoSpacing

Declaration

property object.IsVertical(Vertical)

Description

Get/set the orientation of the Auto Spacing Group

Parameter	Description
Vertical	Boolean. True if the region is oriented vertically, false if horizontally
Returns

Vertical - Boolean. True if the region is oriented vertically, false if horizontally

Remarks


AutoSpacing MinimumSpacing
MinimumSpacing property

Applies to

AutoSpacing

Declaration

property object.MinimumSpacing(MinimumSpacing)

Description

Get/set the minimum allowed offset between items

Parameter	Description
MinimumSpacing	Double. Minimum allowed offset between items.
Returns

MinimumSpacing - Double. Minimum allowed offset between items.

Remarks


AutoSpacing ReferenceNode
ReferenceNode property

Applies to

AutoSpacing

Declaration

property object.ReferenceNode(Name)

Description

Get/set the reference node that defines the bounds of the auto spacing region

Parameter	Description
Name	Variant. Name of the reference node  or its {Node} object.  This will override a custom region if one has been set
Returns

Name - Variant. Name of the reference node.

Remarks

See also AutoSpacing.RegionBounds


AutoSpacing RegionBounds
RegionBounds property

Applies to

AutoSpacing

Declaration

property object.RegionBounds({Rectdouble})

Description

Get/set the bounds for the Auto Spacing Region

Parameter	Description
{Rectdouble}	object. Can also be a {Rectfloat} or {Rect} object.  If the bounds are based on a reference node, this will be overridden by the bounds specified
Returns

Rectdouble object

Remarks

See also AutoSpacing.ReferenceNode


Background
Background object

Properties	Methods	Events
Description

Allows access to the background of the canvas or a template element

Remarks

Derived from Element Object. Obtained from Scene.Background or TextTemplate.Background


Background Properties
Properties

ApplyMode	FileName


Background Methods
Methods

SetColor	SetPaletteEntry


Background Events
Events


Background ApplyMode
ApplyMode property

Applies to

Background

Declaration

property object.ApplyMode(Mode)

Description

Gets/sets how the background is applied

Parameter	Description
Mode	Integer.  Imports the file given as a background
Returns

Mode - Integer.  Mode corresponding to the current background image

Remarks


Background FileName
FileName property

Applies to

Background

Declaration

property object.FileName(Filename)

Description

Gets/sets the filename, if applicable, of the background

Parameter	Description
Filename	String.  Imports the file given as a background
Returns

Filename - String.  Filename corresponding to the current background image

Remarks


Background SetColor
SetColor method

Applies to

Background

Declaration

function object.SetColor(Color, Transparency)

Description

sets the background to the given solid color

Parameter	Description
Color	Integer.   See Remarks.
Transparency	Integer - between 0 and 255
Returns

True if the background color was successfully set

Remarks

For specification of color, the low-order byte contains the value for red, followed by green and then blue.  The high-order byte should be set to 0 The RGB function may also be used where available where the first argument is red, the second is blue and the third is green.

VBScript example:

set b = ActiveCanvas.Scene.Background

b.SetColor 255, 255  	'set background to red

b.SetColor 255 * 65536, 255 	'set background to blue

b.SetColor RGB(0, 255, 0), 255 	'set background to green


Background SetPaletteEntry
SetPaletteEntry function

Applies to

Background

Declaration

function object.SetPaletteEntry(Index, Index)

Description

sets the background to the given palette entry

Parameter	Description
Index	between 1 and 8
Index	between 1 and 16
Returns

True if the background was successfully set

Remarks


Browser
Browser object

Properties	Methods	Events
Description

Gets a particular asset (table) from a Lyric Browser database

Remarks

Obtain from BrowsersCollection.Browser


Browser Properties
Properties


Browser Methods
Methods

Asset	AssetSearch


Browser Events
Events


Browser Asset
Asset method

Applies to

Browser

Declaration

function object.Asset(AssetType)

Description

Gets an object used to access a table of a Lyric Browser database

Parameter	Description
AssetType	String. Can be one of "Messages", "Images" or "Fonts"
Returns

BrowserAsset Object

Remarks


Browser AssetSearch
AssetSearch function

Applies to

Browser

Declaration

function object.AssetSearch(AssetType, FieldName, SearchText, Contains)

Description

Gets an object used to access specified records within a Lyric Browser database

Parameter	Description
AssetType	String. Can be one of "Messages", "Images" or "Fonts"
FieldName	String. Field name to search.  See Remarks
SearchText	String. Text to search for
Contains	Integer.   0 for "Can Contain", 1 for "Must Contain", 2 for "Must Not Contain"
Returns

BrowserAsset Object

Remarks

Valid field names for font assets are "StyleName", "Typeface", "Comments", "Keywords", "Height", "Edge", "LastModified"
Valid field names for message and bitmap assets are "Author", "Title", "Comments", "Keywords", "Subject", "LastModified"


BrowserAsset
BrowserAsset object

Properties	Methods	Events
Description

Enumeration object used to access individual records of a Lyric browser database

Remarks

Retrieved through Browser.Asset


BrowserAsset Properties
Properties


BrowserAsset Methods
Methods

AddFont	Record
Count	Refresh


BrowserAsset Events
Events


BrowserAsset AddFont
AddFont method

Applies to

BrowserAsset

Declaration

function object.AddFont(RecordData, StyleName, HotKey)

Description

Adds a font record to this asset's table

Parameter	Description
RecordData	Variant. Data to add.  See Remarks.
StyleName	Variant.  If provided and a string, stylename (title) for the record
HotKey	Variant.  If provided and a string, hotkey for the record
Returns

Success - Boolean.  True if the font was added to the database.

Remarks

If RecordData is boolean and true, the record will be created with a blank RGB font.

If RecordData is boolean and false, the record will be created with the default TrueType font

If RecordData is a Font object, the record will be created with that font

If RecordData is a string array, the record will be created with an RGB font using the filenames provided in the array.  Prepend the character to be mapped to each filename. Ex. rgbchar(0) = "Ac:\temp\test.bmp"   will map the character A to the image c:\temp\test.bmp


BrowserAsset Count
Count function

Applies to

BrowserAsset

Declaration

function object.Count

Description

Gets the number of records this asset holds

Returns

RecordCount - Integer.

Remarks


BrowserAsset Record
Record function

Applies to

BrowserAsset

Declaration

function object.Record(RetrievalIndex, ByRecordID)

Description

Gets a record from this asset's table

Parameter	Description
RetrievalIndex	Integer. Record to retrieve. Record is retrieved by zero based index  if optional arg is not supplied or is set to false. If optional arg is supplied and  set to true record is retrieved by record ID
ByRecordID	Variant.  If boolean and set to true, RetrievalIndex will be treated  as a record ID as opposed to an enumeration index.  If a string, retrieves the record by its title.
Returns

BrowserImage Object if this asset was retrieved as "Images"
BrowserMessage Object if it was retrieved as "Messages"
BrowserFont Object if this is a "Fonts" asset

Remarks


BrowserAsset Refresh
Refresh function

Applies to

BrowserAsset

Declaration

function object.Refresh

Description

Refreshes this object's list of assets from the database

Remarks


BrowserFont
BrowserFont object

Properties	Methods	Events
Description

Object that provides access to a font record from a Lyric Browser database

Remarks

Retrieved through BrowserAsset.Record

VBScript example to create and add characters to an RGB font:

  set ball = Lyric.Browsers

     set b = ball.Browser(Lyric.FontBrowser)

     set bfont = b.Asset("Fonts")

     bfont.AddFont 1, "Team Logos"

     set bf = bfont.Record(0, "Team Logos")

     bf.RGBChar 65, "I:\TeamLogos\Atlanta.tif"

     bf.RGBChar 66, "I:\TeamLogos\Baltimore.tif"


BrowserFont Properties
Properties

FontFile	IsBitmapFont	StyleName
FontKey	RGBChar	TypeFace


BrowserFont Methods
Methods

BitmapFont	Delete	Font


BrowserFont Events
Events


BrowserFont FontFile
FontFile property

Applies to

BrowserFont

Declaration

property object.FontFile

Description

Gets the name of the TrueType font file corresponding to this font

Returns

Filename - String: TrueType font file or empty if not applicable.  Ex: "ARIAL.TTF"

Remarks


BrowserFont FontKey
FontKey property

Applies to

BrowserFont

Declaration

property object.FontKey(FontKey)

Description

Gets/sets the hotkey which is assigned to the font

Parameter	Description
FontKey	String.
Returns

FontKey - String.  Empty if no hotkey is assigned.

Remarks

See LyricObject.FontKey for more information


BrowserFont IsBitmapFont
IsBitmapFont property

Applies to

BrowserFont

Declaration

property object.IsBitmapFont

Description

Returns true if the record contains an RGB (bitmap) font, false if not

Returns

IsRGBFont, Boolean - True if record contains an RGB font

Remarks


BrowserFont RGBChar
RGBChar property

Applies to

BrowserFont

Declaration

property object.RGBChar(Character)

Description

Gets/sets the RGB character mapping.  Applicable to RGB fonts only

Parameter	Description
Character	Integer.  ASCII code of character to retrieve.
Returns

ImageFile - String.  Absolute path of image file mapped to the given character

Remarks

See also BrowserRGBFont.PathAndFile


BrowserFont StyleName
StyleName property

Applies to

BrowserFont

Declaration

property object.StyleName(Style)

Description

Gets/sets the style name of the font entry

Parameter	Description
Style	String.
Returns

Style - String

Remarks


BrowserFont TypeFace
TypeFace property

Applies to

BrowserFont

Declaration

property object.TypeFace

Description

Gets the facename of the TrueType font for this record

Returns

Facename - String: Facename of the font

Remarks


BrowserFont BitmapFont
BitmapFont method

Applies to

BrowserFont

Declaration

function object.BitmapFont

Description

Provides the RGB font referenced by this font record, if applicable

Returns

BrowserRGBFont Object

Remarks


BrowserFont Delete
Delete function

Applies to

BrowserFont

Declaration

function object.Delete

Description

Deletes this record from the database

Returns

Success - Boolean.  True if record was deleted.

Remarks


BrowserFont Font
Font function

Applies to

BrowserFont

Declaration

function object.Font

Description

Provides the font referenced by this font record

Returns

Font Object

Remarks


BrowserImage
BrowserImage object

Properties	Methods	Events
Description

Object that provides access to an image record from a browser database

Remarks

Retrieved through BrowserAsset.Record


BrowserImage Properties
Properties


BrowserImage Methods
Methods

Author	RecordID	Title
Comments	Subject	URL
KeyWords	Thumbnail


BrowserImage Events
Events


BrowserImage Author
Author method

Applies to

BrowserImage

Declaration

function object.Author

Description

Gets the author of the image

Returns

Author - String

Remarks


BrowserImage Comments
Comments function

Applies to

BrowserImage

Declaration

function object.Comments

Description

Gets the comment string associated with the image

Returns

Comments - String

Remarks


BrowserImage KeyWords
KeyWords function

Applies to

BrowserImage

Declaration

function object.KeyWords

Description

Gets the keyword string associated with the image

Returns

Keywords - String

Remarks


BrowserImage RecordID
RecordID function

Applies to

BrowserImage

Declaration

function object.RecordID

Description

Gets the record ID used by the database to uniquely identify this entry

Returns

RecordID - Integer: Record ID from database

Remarks


BrowserImage Subject
Subject function

Applies to

BrowserImage

Declaration

function object.Subject

Description

Gets the subject of the image

Returns

Subject - String

Remarks


BrowserImage Thumbnail
Thumbnail function

Applies to

BrowserImage

Declaration

function object.Thumbnail

Description

Gets an interface to the image by its filename as it exists on the host filesystem

Returns

Image Object

Remarks


BrowserImage Title
Title function

Applies to

BrowserImage

Declaration

function object.Title

Description

Gets the title of the image

Returns

Title - String

Remarks


BrowserImage URL
URL function

Applies to

BrowserImage

Declaration

function object.URL

Description

Gets the path and file name of the image as it exists on the host filesystem

Returns

URL - String

Remarks


BrowserMessage
BrowserMessage object

Properties	Methods	Events
Description

Object that provides access to a message record from a browser database

Remarks

Retrieved through BrowserAsset.Record


BrowserMessage Properties
Properties


BrowserMessage Methods
Methods

Author	MessageNumber	Thumbnail
Comments	RecordID	Title
Keywords	Subject	URL


BrowserMessage Events
Events


BrowserMessage Author
Author method

Applies to

BrowserMessage

Declaration

function object.Author

Description

Gets the author of the message

Returns

Author - String

Remarks


BrowserMessage Comments
Comments function

Applies to

BrowserMessage

Declaration

function object.Comments

Description

Gets the comment string associated with the message

Returns

Comments - String

Remarks


BrowserMessage Keywords
Keywords function

Applies to

BrowserMessage

Declaration

function object.Keywords

Description

Gets the keyword string associated with the message

Returns

Keywords - String

Remarks


BrowserMessage MessageNumber
MessageNumber function

Applies to

BrowserMessage

Declaration

function object.MessageNumber

Description

Gets the message number to which the message was recorded

Returns

MessageNumber - Integer

Remarks


BrowserMessage RecordID
RecordID function

Applies to

BrowserMessage

Declaration

function object.RecordID

Description

Gets the record ID used by the database to uniquely identify this entry

Returns

RecordID - Integer. Record ID from database

Remarks


BrowserMessage Subject
Subject function

Applies to

BrowserMessage

Declaration

function object.Subject

Description

Gets the subject of the message

Returns

Subject - String

Remarks


BrowserMessage Thumbnail
Thumbnail function

Applies to

BrowserMessage

Declaration

function object.Thumbnail

Description

Gets a graphical representation of the message

Returns

Image Object

Remarks


BrowserMessage Title
Title function

Applies to

BrowserMessage

Declaration

function object.Title

Description

Gets the title of the message

Returns

Title - String

Remarks


BrowserMessage URL
URL function

Applies to

BrowserMessage

Declaration

function object.URL

Description

Gets the path and file name of the message as it exists on the host filesystem

Returns

PathAndFile - String

Remarks


BrowserRGBFont
BrowserRGBFont object

Properties	Methods	Events
Description

Object that provides access to an RGB font record from a Lyric Browser database

Remarks

Obtain through BrowserFont.BitmapFont


BrowserRGBFont Properties
Properties

RecordCount


BrowserRGBFont Methods
Methods

PathAndFile


BrowserRGBFont Events
Events


BrowserRGBFont RecordCount
RecordCount property

Applies to

BrowserRGBFont

Declaration

property object.RecordCount

Description

Provides the number of characters in this font (i.e. those which are mapped to files)

Returns

Count, Integer.  Number of characters in the font

Remarks


BrowserRGBFont PathAndFile
PathAndFile method

Applies to

BrowserRGBFont

Declaration

function object.PathAndFile(Index)

Description

Provides the filename mapped to a given record in the RGB font

Parameter	Description
Index	Integer.  Index of the record, which is greater or equal to zero and less than RecordCount
Returns

Filename - String.  Full pathname of the file mapped to this record

Remarks

See also BrowserFont.RGBChar


BrowsersCollection
BrowsersCollection object

Properties	Methods	Events
Description

Object used to enumerate and obtain all registered Lyric browsers

Remarks

Obtain through LyricObject.Browsers


BrowsersCollection Properties
Properties


BrowsersCollection Methods
Methods

Browser	Count	DataSource


BrowsersCollection Events
Events


BrowsersCollection Browser
Browser method

Applies to

BrowsersCollection

Declaration

function object.Browser(DSN)

Description

Gets an object to retrieve information from a registered Lyric browser

Parameter	Description
DSN	String. Data Source Name of the registered Lyric browser
Returns

Browser Object

Remarks


BrowsersCollection Count
Count function

Applies to

BrowsersCollection

Declaration

function object.Count

Description

Gets the number of registered Lyric browsers

Returns

BrowserCount - Integer.Number of browsers

Remarks


BrowsersCollection DataSource
DataSource function

Applies to

BrowsersCollection

Declaration

function object.DataSource(BrowserIndex)

Description

Gets the Data Source Name (DSN) for a registered Lyric browser

Parameter	Description
BrowserIndex	Index of the registered Lyric browser.
Returns

DSN - String : Data Source Name

Remarks


Character
Character object

Properties	Methods	Events
Description

Object used to contain image and size information for a character specified by ASCII value

Remarks

Retrieved through Font.CharacterData.  Derived from Element


Character Properties
Properties

AsciiValue	Image
Descent	Rect


Character Methods
Methods

Scale


Character Events
Events


Character AsciiValue
AsciiValue property

Applies to

Character

Declaration

property object.AsciiValue

Description

Gets the ASCII value for the character

Returns

ASCIIValue - Integer.

Remarks


Character Descent
Descent property

Applies to

Character

Declaration

property object.Descent

Description

Gets the number of scanlines that the character extends below the baseline.

Returns

Descent - Integer. Number of scanlines that the character extends.below the baseline

Remarks


Character Image
Image property

Applies to

Character

Declaration

property object.Image

Description

Gets the associated {Image} Object that contains the character's rendered RGBA data

Returns

CharacterImage, Image Object.

Remarks

The Image object returned MUST be released before the Character object


Character Rect
Rect property

Applies to

Character

Declaration

property object.Rect

Description

Gets the bounding rectangle (size) of this object's image data

Returns

BoundingRect, Rect Object.

Remarks


Character Scale
Scale method

Applies to

Character

Declaration

function object.Scale(Horizontal, Vertical)

Description

Gets the number of scanlines that the character extends below the baseline.

Parameter	Description
Horizontal	Integer.  Amount to scale the character horizontally
Vertical	Integer.  Amount to scale the character vertically
Returns

Success - Boolean.  True if the function succeeded

Remarks


ClockTimer
ClockTimer object

Properties	Methods	Events
Description

Object used to access properties specific to a Clock or Timer

Remarks

This object is derived from the Element object

VBScript macro to add a one-minute countdown timer to the scene and start it:

ActiveCanvas.Scene.InsertObject otTimerDown

set pnode = ActiveCanvas.Scene.ActiveObject

if (pnode.Type = ClockTimer) then

set tmr = pnode.Element(0)

tmr.Format("mm:ss")

tmr.ResetTime("1:00")

tmr.Action("Reset")

ActiveCanvas.Scene.Refresh

tmr.Action("Start")

end if

Lyric PRO users : To modify this script to reference the timer on output from an event macro, see FrameBuffer.SceneByID


ClockTimer Properties
Properties

Format	Justify	ResetTime


ClockTimer Methods
Methods

Action	DelNotification
AddNotification	ValidateFormat


ClockTimer Events
Events


ClockTimer Format
Format property

Applies to

ClockTimer

Declaration

property object.Format(String)

Description

Gets/sets the format of the clock/timer to that specified

Parameter	Description
String	Format string.  Must be one of the available formats as accepted by the  the Clock/Timer property page
Returns

String - Current format string of the clock or timer

Remarks

Call ClockTimer.ValidateFormat first to ensure the format will be accepted


ClockTimer Justify
Justify property

Applies to

ClockTimer

Declaration

property object.Justify(Justification)

Description

Justification of the text within the clock/timer

Parameter	Description
Justification	Integer, None = 0, Left = 1, Center = 2, Right = 3, CenterPage = 4
Returns

Justification - Integer. None = 0, Left = 1, Center = 2, Right = 3, CenterPage = 4

Remarks


ClockTimer ResetTime
ResetTime property

Applies to

ClockTimer

Declaration

property object.ResetTime(String)

Description

Gets/sets the reset time to that specified.  Applicable to countdown timers only.

Parameter	Description
String	Reset Time.  Must conform to the current format of the countdown timer
Returns

String - Current reset time of the countdown timer

Remarks


ClockTimer Action
Action method

Applies to

ClockTimer

Declaration

function object.Action(String)

Description

Executes the action specified on the clock or timer

Parameter	Description
String	Action to perform. See remarks.
Returns

True if successful

Remarks

Actions, as listed in Lyric's Clock/Timer property page, include
"Start"
"Stop"
"Toggle Start"
"Split"
"Toggle Split"
"Reset"
"Show"
"Hide"
"Toggle Show"
"Anim In"
"Anim Out"
"Toggle Anim"


ClockTimer AddNotification
AddNotification function

Applies to

ClockTimer

Declaration

function object.AddNotification(Frames)

Description

Adds a notification event to inform all plugins when a timer reaches the specified value

Parameter	Description
Frames	Integer.  The time, in number of frames, that will be displayed by the timer when the notification should be sent out
Returns

NotificationID - Integer.  Unique ID of the notification event that will be provided to the plugin in the Event call

Remarks

The notification event can be deleted by ClockTimer.DelNotification


ClockTimer DelNotification
DelNotification function

Applies to

ClockTimer

Declaration

function object.DelNotification(ID)

Description

Deletes an existing notification on a timer

Parameter	Description
ID	Integer.  The ID of the notification to delete.  See Remarks.
Remarks

The notification id is returned by ClockTimer.AddNotification


ClockTimer ValidateFormat
ValidateFormat function

Applies to

ClockTimer

Declaration

function object.ValidateFormat(String)

Description

Validate a specified format for a clock/timer

Parameter	Description
String	Format:  String corresponding to the format to be validated
Returns

Bool - Return true if the input string corresponds to a valid format, else returns false.

Remarks

Call ClockTimer.Format to then set this format


CustProps
CustProps object

Properties	Methods	Events
Description

Gets/Sets the value of a custom property.

Remarks

This interface is accessed through a property namespace originating at a Node, an Element or the Scene. As an example the Scene object has the method Scene.Properties which takes a namespace parameter and returns an  object of this type. From that object the property CustProps.Value is available for getting and setting the values of custom properties for the scene. Remember that before a property can be accessed in this manner it has to be registered with LyricObject.RegisterObjectProperty


CustProps Properties
Properties

Value


CustProps Methods
Methods

GetValue	SetValue


CustProps Events
Events


CustProps Value
Value property

Applies to

CustProps

Declaration

property object.Value(Name, Value)

Description

Gets or Sets the value of a custom property

Parameter	Description
Name	Custom property name
Value	Custom property value (when setting)
Returns

Variant : Custom property value

Remarks

See also CustProps.GetValue and CustProps.SetValue

VBScript Example :

The following example registers a namespace "Export Properties" with Lyric2DObjects, and the LyricGlobalLight (the global light is used to hold all the scene properties). It also declares a property named "File Name" within that namespace. Then, it gets the Scene object from the ActiveCanvas object and in turn gets the scene's  CustProps object. Once this object is obtained, its value is set and retrieved via this property

dim lyricObjects(1)
lyricObjects(0)  = "Lyric2DObject"
lyricObjects(1)  = "LyricGlobalLight"
call lyric.RegisterObjectProperty("Export Properties", "File Name", 0, "", lyricObjects, "")

set canvas = lyric.ActiveCanvas
set scene = canvas.Scene
set sceneProperties = scene.Properties("Export Properties")

sceneProperties.Value("File Name") = "c:\chyron\exported files\export1.xml"

MsgBox sceneProperties.Value("File Name")


CustProps GetValue
GetValue method

Applies to

CustProps

Declaration

function object.GetValue(Name)

Description

Gets the current value of a custom property

Parameter	Description
Name	String.  Name of the property to retrieve
Returns

Value - Variant. Current value of the property

Remarks

Functionally equivalent to getting the CustProps.Value property


CustProps SetValue
SetValue function

Applies to

CustProps

Declaration

function object.SetValue(Name, Value)

Description

Sets a custom property to a given value

Parameter	Description
Name	String.  Name of the property to set
Value	Variant. Value to set the property to
Remarks

Functionally equivalent to setting the CustProps.Value property


CustomPrimitive
CustomPrimitive object

Properties	Methods	Events
Description

Allows access to custom primitive ID and class name

Remarks

Obtain from Scene.StaticObject Derived from Element Object


CustomPrimitive Properties
Properties

Class	ID


CustomPrimitive Methods
Methods


CustomPrimitive Events
Events


CustomPrimitive Class
Class property

Applies to

CustomPrimitive

Declaration

property object.Class

Description

Gets the class name for the custom primitive

Returns

Classname - String.

Remarks


CustomPrimitive ID
ID property

Applies to

CustomPrimitive

Declaration

property object.ID

Description

Gets Custom ID

Returns

CustomID - Integer.

Remarks


DBLink
DBLink object

Properties	Methods	Events
Description

Object used to contain database link information for an image or template

Remarks

Obtain through TextTemplate.DBLink or 2DObjElement.DBLink or 3DTemplate.DBLink


DBLink Properties
Properties

DataSource	Enabled	RecordNumber
DecimalPlaces	Field	Table


DBLink Methods
Methods


DBLink Events
Events


DBLink DataSource
DataSource property

Applies to

DBLink

Declaration

property object.DataSource

Description

Gets/Sets the data source name (DSN)

Returns

DSN, String : Name of data source to link to

Remarks


DBLink DecimalPlaces
DecimalPlaces property

Applies to

DBLink

Declaration

property object.DecimalPlaces

Description

Gets/Sets the decimal places that should be displayed for numeric database fields

Returns

DecPlaces, Integer: Number of decimal places to be displayed.  Range 0 to 10 or set to -1 to indicate the field is non-numeric

Remarks

Applicable only to templates which are linked to numeric database fields


DBLink Enabled
Enabled property

Applies to

DBLink

Declaration

property object.Enabled

Description

Gets/Sets the enable flag

Returns

True if database link is enabled for this element

Remarks


DBLink Field
Field property

Applies to

DBLink

Declaration

property object.Field

Description

Gets/Sets the field name

Returns

Field, String : Name of field in database to link to

Remarks


DBLink RecordNumber
RecordNumber property

Applies to

DBLink

Declaration

property object.RecordNumber

Description

Gets/Sets the record number

Returns

Record, Integer: Number of record in database to link to

Remarks


DBLink Table
Table property

Applies to

DBLink

Declaration

property object.Table

Description

Gets/Sets the table name

Returns

Table, String : Name of table in database to link to

Remarks


DataObject
DataObject object

Properties	Methods	Events
Description

Object representing a Data Object

Remarks

This object is derived from the Element object.  It can be retrieved from Node.Element or Scene.Element A new Data Object can be created via Scene.InsertObject


DataObject Properties
Properties

PreviewOnRead	Provider


DataObject Methods
Methods

Close	GetProviderProperty	SetBindingProperty
GetBindingProperty	Open	SetFilterProperty
GetFilterProperty	Preview	SetProviderProperty


DataObject Events
Events


DataObject PreviewOnRead
PreviewOnRead property

Applies to

DataObject

Declaration

property object.PreviewOnRead(PreviewOnRead)

Description

Gets/sets whether the Data Object will preview automatically on read

Parameter	Description
PreviewOnRead	Boolean.  True if the Data Object will preview automatically on read
Returns

PreviewOnRead - Boolean.  True if the Data Object will preview automatically on read

Remarks


DataObject Provider
Provider property

Applies to

DataObject

Declaration

property object.Provider

Description

Gets/sets provider property of Data Object

Returns

Property type - Variant.

Remarks

Provider types are as follows:
"APWebFeed"
"Access"
"Dsn"
"Excel"
"Google"
"Images"
"Movies"
"Rss"
"Sql"
"Text"
"Web"
"Xml"


DataObject Close
Close method

Applies to

DataObject

Declaration

function object.Close

Description

Close the data object

Returns

Status

Remarks


DataObject GetBindingProperty
GetBindingProperty function

Applies to

DataObject

Declaration

function object.GetBindingProperty(Property)

Description

Gets specified property of Data Object Binding

Parameter	Description
Property	String
Returns

Value - Variant. Property value

Remarks


DataObject GetFilterProperty
GetFilterProperty function

Applies to

DataObject

Declaration

function object.GetFilterProperty(Property)

Description

Gets specified property of Data Object Filter

Parameter	Description
Property	String
Returns

Value - Variant. Property value

Remarks


DataObject GetProviderProperty
GetProviderProperty function

Applies to

DataObject

Declaration

function object.GetProviderProperty(Property)

Description

Gets specified property of Data Object Provider

Parameter	Description
Property	String
Returns

Value - Variant. Property value

Remarks


DataObject Open
Open function

Applies to

DataObject

Declaration

function object.Open

Description

Open the data object with specified properties

Returns

Status

Remarks


DataObject Preview
Preview function

Applies to

DataObject

Declaration

function object.Preview

Description

Preview the data object

Returns

Status - Boolean

Remarks


DataObject SetBindingProperty
SetBindingProperty function

Applies to

DataObject

Declaration

function object.SetBindingProperty(Property, Value)

Description

Sets specified property of Data Object Binding

Parameter	Description
Property	String.
Value	Variant
Returns

None

Remarks


DataObject SetFilterProperty
SetFilterProperty function

Applies to

DataObject

Declaration

function object.SetFilterProperty(Property, Value)

Description

Sets specified property of Data Object Filter

Parameter	Description
Property	String.
Value	Variant
Returns

None

Remarks


DataObject SetProviderProperty
SetProviderProperty function

Applies to

DataObject

Declaration

function object.SetProviderProperty(Property, Value)

Description

Sets specified property of Data Object Provider

Parameter	Description
Property	String.
Value	Variant
Returns

None

Remarks


Element
Element object

Properties	Methods	Events
Description

Object that allows selection and control of Lyric Graphic and Template objects

Remarks

Can be obtained from Node.Element which returns any of the following derivations
 2DObjElement
 Flipbook
 TextTemplate
 CustomPrimitive
 ClockTimer
 Background
 Character
 Movie


Element Properties
Properties

AntiAlias	MaskToLayer	ShowInAltT
CenterRelativeToPosition	Metadata	Text
Continuous	Name	Type
ExternalUpdateEnable	Node	UniqueID
IIUpdateEnable	RGBAImage
Image	Rect


Element Methods
Methods

AlignCOR	LoadFromURL	RetrieveDispatchMap
AlignCOREx	Move	SetMaskOptions
ClipRect	MoveByCOR	ThumbnailImage
GetMaskOptions	Properties	Update


Element Events
Events


Element AntiAlias
AntiAlias property

Applies to

Element

Declaration

property object.AntiAlias(AntiAlias)

Description

For images, gets/sets whether a border is applied around the image data before it is rendered. For any other object, gets/sets whether antialiasing is enabled for the object

Parameter	Description
AntiAlias	Boolean.  True if antialiasing is enabled
Returns

AntiAlias - Boolean.  True if antialiasing is enabled

Remarks


Element CenterRelativeToPosition
CenterRelativeToPosition property

Applies to

Element

Declaration

property object.CenterRelativeToPosition(Relative)

Description

Gets/Sets the Center Relative To Position option for this object.

Parameter	Description
Relative	Bool. True if this object should have the center of rotation relative to the position.
Returns

Center Relative - Bool. True if this object has the center of rotation relative to the position.

Remarks

If the center of rotation is relative to the position, then the center of rotation is offset from the position. Otherwise, the position is subtracted from the center of rotation value prior to the rotation and scale.


Element Continuous
Continuous property

Applies to

Element

Declaration

property object.Continuous(Continuous)

Description

Gets/sets whether the object's animation is continuous

Parameter	Description
Continuous	Boolean.  True if continuous
Returns

Continuous - Boolean.  True if continuous

Remarks


Element ExternalUpdateEnable
ExternalUpdateEnable property

Applies to

Element

Declaration

property object.ExternalUpdateEnable(UpdateEnable)

Description

Flag that enables External Update of this object through Intelligent Interface

Parameter	Description
UpdateEnable	Bool. True if external update is enabled for this object.
Returns

UpdateEnable - Bool. True if external update is enabled for this object.

Remarks


Element IIUpdateEnable
IIUpdateEnable property

Applies to

Element

Declaration

property object.IIUpdateEnable(UpdateEnable)

Description

Flag that allows Intelligent Interface to update this object

Parameter	Description
UpdateEnable	Bool. True if updates are allowed.
Returns

UpdateEnable - Bool. True if updates are allowed.

Remarks


Element Image
Image property

Applies to

Element

Declaration

property object.Image

Description

Gets the elements Image Object using the RGBA data from the canvas.

Returns

Image Object

Remarks


Element MaskToLayer
MaskToLayer property

Applies to

Element

Declaration

property object.MaskToLayer(Mask)

Description

Gets/Sets the Mask-To Layer for this object.

Parameter	Description
Mask	To Layer - Integer. The mask layer with which to associate this object.
Returns

Mask-To Layer - Integer. The mask layer with which to associate this object.

Remarks

This property will not be set if the Soft Mask option is set for the object. See Element.SetMaskOptions and Element.GetMaskOptions.


Element Metadata
Metadata property

Applies to

Element

Declaration

property object.Metadata

Description

Gets the metadata associated with this object

Returns

Metadata Object

Remarks


Element Name
Name property

Applies to

Element

Declaration

property object.Name(Name)

Description

Gets/Sets the name of the Element

Parameter	Description
Name	String. Name of the element
Returns

Name - String. Name of the element

Remarks


Element Node
Node property

Applies to

Element

Declaration

property object.Node

Description

Gets the node associated with this element

Returns

Node Object.

Remarks


Element RGBAImage
RGBAImage property

Applies to

Element

Declaration

property object.RGBAImage

Description

Gets the elements Image Object, if the element is a Bitmap. The image object references the original RGBA data used to create the object

Returns

Image Object

Remarks

The Image Object allows for raw manipulation of the image data.  To simply replace the image on this object, see 2DObjElement.Filename


Element Rect
Rect property

Applies to

Element

Declaration

property object.Rect

Description

Gets the coordinates of the element relative to the canvas.

Returns

Rect Object

Remarks

Refer to TextTemplate.UseTemplateRect and TextTemplate.TemplateRect for specifics on how this applies to 2D text templates.


Element ShowInAltT
ShowInAltT property

Applies to

Element

Declaration

property object.ShowInAltT(ShowInAltT)

Description

Gets/Sets the ShowInAltT option for this object.

Parameter	Description
ShowInAltT	Bool. True if this object should be visible in the Template Update Dialog.
Returns

ShowInAltT - Bool. True if this object should visible in the Template Update Dialog.

Remarks


Element Text
Text property

Applies to

Element

Declaration

property object.Text

Description

Gets the text object (if applicable) used by the element

Returns

Text Object

Remarks


Element Type
Type property

Applies to

Element

Declaration

property object.Type

Description

Gets the type of the element

Returns

Integer - Element type

Remarks

 0 = Image
 1 = Template
 2 = Template Window
 3 = Browser Image
 4 = Browser Message
 5 = Static Primitive
 6 = Flipbook
 7 = Row
 8 = ClipElement
 9 = 2D Character
10 = Movie
11 = 3D Object
12 = 3D Template


Element UniqueID
UniqueID property

Applies to

Element

Declaration

property object.UniqueID

Description

Gets the GUID used to reference the custom properties of this element

Returns

GUID - String. custom property container GUID.  Ex. 152AB1C2-1D2A-4B3C-9F12-4CA1A6554322

Remarks

This element can always be retrieved by this ID using Scene.ElementFromGUID


Element AlignCOR
AlignCOR method

Applies to

Element

Declaration

function object.AlignCOR(XAlignment, YAlignment, ZAlignment, Frame)

Description

Moves the object's Center of Rotation in relation to its bounds.

Parameter	Description
XAlignment	Double. X alignment to set
YAlignment	Double. Y alignment to set
ZAlignment	Double. Z alignment to set
Frame	Integer. Frame at which to move, -1 for all frames
Returns

True if successful

Remarks

Increments of 1.0 specifies a local space width equal to the extents of the object along the respective alignment, with -0.5 for the minimum bound, 0.0 for the center, and 0.5 for the max bound. See Element.AlignCOREx for more advanced options.


Element AlignCOREx
AlignCOREx function

Applies to

Element

Declaration

function object.AlignCOREx(XAlignment, YAlignment, ZAlignment, Frame, Flags)

Description

Moves the object's Center of Rotation in relation to its bounds.

Parameter	Description
XAlignment	Double. X alignment to set
YAlignment	Double. Y alignment to set
ZAlignment	Double. Z alignment to set
Frame	Integer. Frame at which to move, -1 for all frames
Flags	Integer Bitmask. Flag as to how extents should be calculated. See remarks.
Returns

True if successful

Remarks

Increments of 1.0 specifies a local space width equal to the extents of the object along the respective alignment, with -0.5 for the minimum bound, 0.0 for the center, and 0.5 for the max bound.
Flags will modify how extents are calculated:
1 - Use clip extents for 2D Text
2 - Use clip extents for 3D Text


Element ClipRect
ClipRect function

Applies to

Element

Declaration

function object.ClipRect(Left, Top, Right, Bottom)

Description

Sets the maximum bounding rectangle for the element

Parameter	Description
Left	Integer. Minimum x coordinate for clip rectangle
Top	Integer. Minimum y coordinate for clip rectangle
Right	Integer. Maximum x coordinate for clip rectangle
Bottom	Integer. Maximum y coordinate for clip rectangle
Remarks


Element GetMaskOptions
GetMaskOptions function

Applies to

Element

Declaration

function object.GetMaskOptions(Object, Mask, Inside, Object)

Description

Gets Mask options for this object.

Parameter	Description
Object	Pointer to Bool. True if this object acts as a mask for objects associated with the same layer.
Mask	Pointer to Bool. True if a soft border is created for this mask object.
Inside	Pointer to Bool. True if this object acts as a reverse/inverted mask.
Object	Pointer to Bool. True if transparent borders are being trimmed for this object.
Returns

CanBeMask - Bool. True if values returned through input arguments are valid, false if this object cannot act as a mask.

Remarks

See Element.MaskToLayer.


Element LoadFromURL
LoadFromURL function

Applies to

Element

Declaration

function object.LoadFromURL(URL)

Description

Loads an element from the specified URL.

Parameter	Description
URL	Variant BSTR. The URL can be directly specified e.g. c:\temp\test.bmp      OR  determined by looking up a GUID in a Lyric browser database.   This query is of the format GUID://DSN/TABLE/AssetGUID e.g. GUID://Browser/Messages/{7FA99E9B-4CA0-4610-94DB-7C20EA68799B}
Returns

True if the URL was successfully loaded

Remarks


Element Move
Move function

Applies to

Element

Declaration

function object.Move(XCoord, YCoord, Frame, Relative)

Description

Moves the object to the specific screen coordinates, or relative to the specific coordinates

Parameter	Description
XCoord	Integer. X coordinate to move (relative) to
YCoord	Integer. Y coordinate to move (relative) to
Frame	Integer. Frame at which to move, -1 for all frames
Relative	Boolean.  If true, coordinates are relative to current position.  If false, coordinates are absolute with the origin at the upper left.  The point at the bottom-right of the canvas is equal to its resolution
Returns

True if successful

Remarks


Element MoveByCOR
MoveByCOR function

Applies to

Element

Declaration

function object.MoveByCOR(XCoord, YCoord, Frame, Relative)

Description

Moves the object so that its Center of Rotation is at the specific screen coordinates, or relative to the specific coordinates.

Parameter	Description
XCoord	Integer. X coordinate to move (relative) to
YCoord	Integer. Y coordinate to move (relative) to
Frame	Integer. Frame at which to move, -1 for all frames
Relative	If true, coordinates are relative to current position. Currently unused.
Returns

True if successful

Remarks

This does not modify the object's Center of Rotation in relation to itself, rather it keyframes the position similar to Element.Move


Element Properties
Properties function

Applies to

Element

Declaration

function object.Properties(Namespace)

Description

Gets the CustomProperties Object for this element

Parameter	Description
Namespace	String. Property namespace
Returns

CustProps Object

Remarks

See Remarks under Node.Properties


Element RetrieveDispatchMap
RetrieveDispatchMap function

Applies to

Element

Declaration

function object.RetrieveDispatchMap

Description

Provides access to the dispatch map of a custom primitive which was created by a plugin installed with Lyric.

Returns

The primitive's dispatch map if one exists.  Consult the documentation of the appropriate plugin for further information.

Remarks

A custom object can be added through Scene.CustomPrimitive

Objects created by Chyron's eFX plugin can be accessed through this function.  For example, the following VBScript macro will replace a video clip in the current canvas scene:

set clipNode = ActiveCanvas.Scene.Element("eFX Clip")

set elem = clipNode.Element(0)

set dispatch = elem.RetrieveDispatchMap

sFile = "J:\Clips\OTS.ltv"

dispatch.SetProxyValue "data.video.file", sFile

dispatch.SetProxyValue "data.key.file", sFile


Element SetMaskOptions
SetMaskOptions function

Applies to

Element

Declaration

function object.SetMaskOptions(Object, Mask, Inside, Object)

Description

Sets Mask options for this object.

Parameter	Description
Object	Bool. Set to true to treat this object as a mask for objects associated with the same mask layer.
Mask	Bool.  Set to true to create a soft border for this mask object.
Inside	Bool.  Set to true to act as as a reversemask (MaskObject must be enabled)
Object	Bool. Set to true to trim transparent borders for this object.
Returns

CanBeMask - Bool. True if options were set, false if this object cannot act as a mask.

Remarks

Soft Mask option will not be set if Element.MaskToLayer is not currently set to 0.


Element ThumbnailImage
ThumbnailImage function

Applies to

Element

Declaration

function object.ThumbnailImage(ThumbnailFile)

Description

Allow an object to be represented on the Lyric canvas by a specified image

Parameter	Description
ThumbnailFile	Variant BSTR.  Filename of the image to be used (i.e. c:\temp\thumb.bmp)
Returns

Success - Boolean.  True if the element will use that image on the canvas

Remarks

Applies to Movie objects only


Element Update
Update function

Applies to

Element

Declaration

function object.Update

Description

Call to indicate that the element has been updated and should be re-rendered.

Remarks

Scene.Refresh may also be used for this purpose.


Event
Event object

Properties	Methods	Events
Description

Represents an animation event

Remarks

Obtain from Transition.GetEvent, Transition.AddEvent, or Transition.NewEvent

VBScript macro which will create an activation for the effect-out transition at frame 10 of the current transition

set e = ActiveCanvas.Scene.ActiveTransition.AddEvent(1, 10)

e.SetParam "Add.Activation", "Effect Out"

VBScript macro which will locate the activations in the Default transition of the scene in the canvas

set sc = ActiveCanvas.Scene

set n = sc.Element("Events")

set trans = sc.Transition("Default")

set xf = n.GetTransform("Default")

set kfs = xf.Keyframes

for f = 0 to kfs.Count - 1

     set k = kfs.Keyframe(f)

     if k.Attribute = 46 then

        set e = trans.GetEvent(1, k.Frame)

        if TypeName(e) <> "Nothing" then

           msgbox Replace(e.GetParam("Activation"), "?",vbcr),,"Activations at Frame " & k.Frame

        end if

     end if

next


Event Properties
Properties

Name	Node


Event Methods
Methods

AddEvent	GetParam	SetParam
Frame	Move	Type


Event Events
Events


Event Name
Name property

Applies to

Event

Declaration

property object.Name(Name)

Description

Gets the type of the event as a string

Parameter	Description
Name	String.  The type of the event
Remarks

See Event.Type for a list of event names


Event Node
Node property

Applies to

Event

Declaration

property object.Node

Description

Gets the node on which this event resides

Returns

Node Object.

Remarks


Event AddEvent
AddEvent method

Applies to

Event

Declaration

function object.AddEvent(Type, Frame)

Description

Adds an event at a specified frame.

Parameter	Description
Type	Integer.  The type of event.  See Remarks.
Frame	Integer.  The frame at which this event should occur.
Returns

Success - Boolean. TRUE if successful, FALSE otherwise.

Remarks

Event Types are listed in Event.Type


Event Frame
Frame function

Applies to

Event

Declaration

function object.Frame

Description

The frame in the animation at which this event occurs

Returns

Frame - Integer.  The frame at which this event occurs

Remarks


Event GetParam
GetParam function

Applies to

Event

Declaration

function object.GetParam(Param)

Description

Gets a parameter for this event.

Parameter	Description
Param	String.  The name of the parameter to get
Returns

Value - Variant.  Current value for that parameter.  See remarks.

Remarks

Following is a list of supported parameters for each type of event and variant type that will be returned. See Event.SetParam for more information

Activation
"Activations" - String. The names of the transition that will be activated as a string concatenation delimited with question marks

GPI Out
 	"Index" - String - Comma-delimited list of GPI numbers that will be triggered.  Values are 1-based.
"Type" - Integer - Type of the GPI that will be triggered.

External Activation
"Description" - String. Description of the scene to activate
"Transition" - String. Name of the transition within the scene to activate.
"Pattern.Description" - Integer. Pattern match type for Description.
"Pattern.Transition" - Integer. Pattern match type for Transition.
"Effect" - Boolean. True to set this activation for all frame buffers, false to use current only.

Macro
"script" - String. The VBScript that will be executed when the event fires

Frame Notify
"ID" - Integer. The notification ID assigned to this event

SaveAsActivation
""Activations" - String. The transitions that will be activated as a string concatenation delimited with question marks
"Offset" - integer.  Offset value in frames.

Network Activation
"Hostname" - String. Name of the remote computer
"Message" - String. Name of the message
"Transition" - String. Name of the transition within the scene to activate
"Target" - Integer indicating which frame buffer(s) will be searched:


Event Move
Move function

Applies to

Event

Declaration

function object.Move(NewFrame)

Description

Moves the event to another frame on the timeline.

Parameter	Description
NewFrame	Integer.  The new frame where the event should be moved to
Returns

Success - Boolean.  TRUE if successful, FALSE if an event of the same type already exists for that frame.

Remarks


Event SetParam
SetParam function

Applies to

Event

Declaration

function object.SetParam(Param, Value)

Description

Sets a parameter for this event.

Parameter	Description
Param	String.  The name of the parameter to set
Value	Variant.  Value for that parameter.  See remarks.
Returns

Success - Boolean.  TRUE if successful at setting the param, FALSE otherwise.

Remarks

Following is a list of supported parameters for each type of event and expected variant type

Activation
"Add.Activation" - String. Add the transition specified by the string parameter to the activation list
"Del.Activation" - String  Delete the transition specified by the string parameter if it exists

GPI Out
 	"Add.GPIOut" - Integer - Add this GPI out to the list.  Value is 1-based.
"Del.GPIOut" - Integer - Delete this GPI out from the list, if it exists.  Value is 1-based.
"GPI.Type" - Integer - Set the type of GPI out at this event.
- Pulse. (Duration of this must be set in Hardware config)
- Low.  The GPI will go low and stay low
- High.  The GPI will go high and stay high

External Activation
"Description" - String. Description of the scene to activate
"Transition" - String. Name of the transition within the scene to activate.
"Pattern.Description" - Integer. Pattern match type for Description.
"Pattern.Transition" - Integer. Pattern match type for Transition.
"Effect" - Boolean. True to set this activation for all frame buffers, false to use current only.
Pattern match types include:
0 - MTExact (default)
1 - MTBegins
2 - MTEnds
3 - MTContains
SetParam will fail for pattern matching if the respective string to match is empty.

Macro
"script" - String. Execute the VBScript given in the Value argument

Frame Notify
"ID" - Integer. The notification ID to assign to this event

SaveAsActivation
"Add.Activation" - String. Add the transition specified by the string parameter to the activation list
"Del.Activation" - String  Delete the transition specified by the string parameter if it exists.
"Set.Offset" - integer.  Offset value in frames.

Network Activation
"Hostname" - String. Name of the remote computer
"Message" - String. Name of the message
"Transition" - String. Name of the transition within the scene to activate
"Target" - String or Integer indicating which frame buffer to search in:
0 - "All" 	All frame buffers
1 - "FB1" 	Frame Buffer 1
2 - "FB2" 	Frame Buffer 2


Event Type
Type function

Applies to

Event

Declaration

function object.Type

Description

Gets the type of the event

Returns

Type - Integer.  The type of event

Remarks

Event Types are
 1 = Activation             Activates another transition or transitions
 2 = DBLink                 Updates all enabled DBLink fields
 3 = External Activation    Activates an event outside the current scene
 4 = Macro                  Executes macro script
 5 = GPIOut                 Triggers a GPO
 6 = FrameNotify            Notifies plugins that a specified frame in the animation has played to output
 7 = ConditionalEvaluation  Triggers the evaluation of the Conditional Transition Rules for this scene.  See TransitionRulesMgr
 8 = Activation (Save As)   Activates another transition when exporting to an image sequence or movie
 9 = Timer                  Starts/stops all timers in the scene
10 = Camera Switcher        Activates a new camera in the scene
11 = Network Activation     Activates a transition on a remote machine


FileSave
FileSave object

Properties	Methods	Events
Description

Provides an interface to export the current scene to an image or video media format

Remarks

Obtained through ActiveCanvas.FileSave

VBScript example to save canvas scene as a QuickTime movie
Set fileSaver = ActiveCanvas.FileSave

fileSaver.SetParam "Filename", "c:\temp\MOVTest.mov"

fileSaver.SetParam "SaveAlpha", true

fileSaver.Save


FileSave Properties
Properties


FileSave Methods
Methods

GetParam	Save	SetParam


FileSave Events
Events


FileSave GetParam
GetParam method

Applies to

FileSave

Declaration

function object.GetParam(Param)

Description

Gets a parameter

Parameter	Description
Param	String.  The name of the parameter to get.  See Remarks.
Returns

ParamValue - Variant.  Returned variant data.

Remarks

Different parameters will have different return types. Below is a description of supported parameters with the type of variant to be returned for each.
"StartFrame" - Integer. Gets the first frame of the scene to be captured.
"EndFrame" - Integer. Gets the last frame of the scene to be captured.
"ImageWidth" - Integer. Gets the width of the captured scene.
"ImageHeight" - Integer. Gets the height of the captured scene.
"Matte" - Boolean. Gets whether a separate matte file should be created. Valid for AVI only.
"SaveAlpha" - Boolean. Gets whether an alpha channel should be included in the capture.
"InvertAlpha" - Boolean. Gets whether an alpha channel should be inverted.
"FieldRender" - Boolean. Gets whether field rendering should taken into account.
"InvertFields" - Boolean. Gets whether fields should be inverted.
"ClipToSafeTitle" - Boolean. Gets the captured scene should be clipped to the safe title bounds.
"ShapeVideo" - Boolean. Gets whether a captured scene should be shaped.
"SupportedFileTypes" - String. Gets a string of all supported file types, delimited by ?.
"CurrentFileType" - String. Gets the current file type to save.
"SupportedCodecs" - String. Gets a string of all supported codecs for the CurrentFileType, delimited by ?.
"CurrentCodec" - String. Gets the current codec for compression. Valid for QuickTime and AVI only.
"SupportedQuality" - String. Gets a string of all supported qualities for the CurrentFileType, delimited by ?.
"CurrentQuality" - String. Gets the current compression quality.
"Filename" - String. Gets the filename to save. If no extension is provided, the current file type is used.
"FollowActivationEvents" - Boolean. Gets whether Activation Events in the scene should be honored.
"FrameRate" - Float. Gets the frame rate at which the scene will be saved.
"Compression" - String. Gets the compression scheme.


FileSave Save
Save function

Applies to

FileSave

Declaration

function object.Save

Description

Saves the scene to disk, using the current parameters.

Returns

Success - Boolean. Returns true for success, false on error.

Remarks


FileSave SetParam
SetParam function

Applies to

FileSave

Declaration

function object.SetParam(Param)

Description

Sets a parameter

Parameter	Description
Param	String.  The name of the parameter to set.   See Remarks.
Returns

Success - Boolean.  Returns true for success, false on error.

Remarks

Different parameters will have different input types. Below is a description of supported parameters, with the type of variant expected for each
"StartFrame" - Integer. Sets the first frame of the scene to be captured.
"EndFrame" - Integer. Sets the last frame of the scene to be captured.
"ImageWidth" - Integer. Sets the width of the captured scene.
"ImageHeight" - Integer. Sets the height of the captured scene.
"Matte" - Boolean. Sets whether a separate matte file should be created. Valid for AVI only.
"SaveAlpha" - Boolean. Sets whether an alpha channel should be included in the capture.
"InvertAlpha" - Boolean. Sets whether an alpha channel should be inverted.
"FieldRender" - Boolean. Sets whether field rendering should be taken into account.
"InvertFields" - Boolean. Sets whether fields should be inverted.
"ClipToSafeTitle" - Boolean. Sets whether the captured scene should be clipped to the safe title bounds.
"ShapeVideo" - Boolean. Sets whether a captured scene should be shaped.
"CurrentFileType" - String. Sets the current file type to save with.
"CurrentCodec" - String. Sets the current codec for compression. Valid for QuickTime and AVI only.
"CurrentQuality" - String for QuickTime, Integer for Image formats. Sets the current compression quality.
"Filename" - String. Sets the filename to save. If no extension is provided, the current file type is used.
"FollowActivationEvents" - Boolean. Sets whether Activation Events in the scene should be honored.
"Compression" - String. Sets the compression scheme. Currently supports:
- "RLE" for *.tif


Flipbook
Flipbook object

Properties	Methods	Events
Description

Object used to access flipbook properties and to allow access to individual pages

Remarks

This object is derived from the Element object Flipbooks can be created with Scene.AddFlipbook


Flipbook Properties
Properties

CompressImageData	IgnorePauses	PageCount
EmbedImageData	Loop	PlayToEnd


Flipbook Methods
Methods

Page	Replace	ResetFlipbook


Flipbook Events
Events


Flipbook CompressImageData
CompressImageData property

Applies to

Flipbook

Declaration

property object.CompressImageData(Compress)

Description

gets/sets whether image data is compressed

Parameter	Description
Compress	Boolean. If true, image data is compressed.
Returns

Compress - Boolean. If true, image data is compressed.

Remarks


Flipbook EmbedImageData
EmbedImageData property

Applies to

Flipbook

Declaration

property object.EmbedImageData(EmbedData)

Description

gets/sets whether image data is embedded on save

Parameter	Description
EmbedData	Boolean. If true, image data is saved with the image in the Lyric message.  If false, it is not saved and the image file will be re-imported when the message is read
Returns

EmbedData - Boolean

Remarks


Flipbook IgnorePauses
IgnorePauses property

Applies to

Flipbook

Declaration

property object.IgnorePauses(IgnorePauses)

Description

gets/sets whether the flipbook will continue to play even though the animation is paused

Parameter	Description
IgnorePauses	Boolean. If true, pauses are ignored
Returns

IgnorePauses - Boolean. If true, pauses are ignored

Remarks


Flipbook Loop
Loop property

Applies to

Flipbook

Declaration

property object.Loop

Description

Gets a boolean flag that determines if the flipbook should loop if its timeline length exceeds the number of available pages

Returns

Loop - Boolean set to True if flipbook loops, False otherwise

Remarks


Flipbook PageCount
PageCount property

Applies to

Flipbook

Declaration

property object.PageCount

Description

Gets the number of pages (cels) contained in the flipbook

Returns

Page Count - Integer. Number of pages in the flipbook.

Remarks

This method can be used in conjunction with Flipbook.Page to iterate each page of the flipbook


Flipbook PlayToEnd
PlayToEnd property

Applies to

Flipbook

Declaration

property object.PlayToEnd(PlayToEnd)

Description

gets/sets whether the flipbook will play to its last cel even though the rest of the animation has stopped

Parameter	Description
PlayToEnd	Boolean.  If true, the flipbook plays to its end
Returns

PlayToEnd - Boolean.  If true, the flipbook plays to its end

Remarks


Flipbook Page
Page method

Applies to

Flipbook

Declaration

function object.Page(Number)

Description

Gets the {Image} Object for a specific page.

Parameter	Description
Number	Integer. Determines which page to get.
Returns

Page, Image Object.

Remarks

The page number ranges from 0 to Flipbook.PageCount - 1


Flipbook Replace
Replace function

Applies to

Flipbook

Declaration

function object.Replace(FirstFile, LastFile)

Description

Replaces the flipbook with the one given

Parameter	Description
FirstFile	String. First file in flipbook
LastFile	String. Last file in flipbook
Returns

True if flipbook was successfully loaded

Remarks

Filename format for all cels must follow Lyric conventions for flipbooks. All filenames in the series must have the same base name, followed by the cel number padded to a consistent number of digits. followed by the file extension. Only TARGA (*.tga), TIFF (*.tif), or Windows bitmap (*.bmp) image formats are supported
  e.g. Replace("Flp0000.tga", "Flp0030.tga")


Flipbook ResetFlipbook
ResetFlipbook function

Applies to

Flipbook

Declaration

function object.ResetFlipbook

Description

Resets the internal page reference to the first page (cel) of the flipbook

Remarks

The first call to Element.Image on this object gets the first page of the flipbook and increments an internal pointer such that the next call will get the second page if one exists. Calling ResetFlipbook sets this pointer back to the first page.


Font
Font object

Properties	Methods	Events
Description

Object that describes a Lyric Font

Remarks

The active Lyric font can be obtained from ActiveCanvas.GetFont
Fonts for text in the current scene can be obtained from Text.Font


Font Properties
Properties

AspectRatio	Height	TexturePath
Blur	HorizShear	Transparency
Bold	HorizontalFlip	Underline
Color	Italic	VerticalFlip
ColorIndex	Kerning	VerticalShear
DefaultSpaceWidth	Leading	Weight
Edge	Name	Width
EdgeCount	RotationAngle	XYFilter
HasRamp	SpaceWidth
HasTexture	Style


Font Methods
Methods

CharacterData	ResetToDefault
IsSame	Update


Font Events
Events


Font AspectRatio
AspectRatio property

Applies to

Font

Declaration

property object.AspectRatio(AspectRatio)

Description

Aspect ratio of the font

Parameter	Description
AspectRatio	double float. Sets the aspect ratio for the font.
Returns

AspectRatio - double float. Gets the aspect ratio for the font.

Remarks


Font Blur
Blur property

Applies to

Font

Declaration

property object.Blur(BlurValue)

Description

Blur setting 0 (no blur) to 100 completely blurred

Parameter	Description
BlurValue	Integer. Range 0 to 100
Returns

BlurValue - Integer. Range 0 to 100

Remarks


Font Bold
Bold property

Applies to

Font

Declaration

property object.Bold

Description

Gets/sets whether or not the font is bold.

Returns

Bold - Bool : True if the font is bold, False if it is not

Remarks

The weight of the font can be get/set through Font.Weight.  A font weight of 600 or above is considered bold.


Font Color
Color property

Applies to

Font

Declaration

property object.Color(FaceColor)

Description

Gets/sets the face color of the font

Parameter	Description
FaceColor	Integer. See Remarks.
Returns

FaceColor - Integer. See Remarks.

Remarks

For specification of color, see Background.SetColor


Font ColorIndex
ColorIndex property

Applies to

Font

Declaration

property object.ColorIndex(Index)

Description

Sets face and edge color to palette entry provided

Parameter	Description
Index	Integer. Range 1 - 16.
Remarks


Font DefaultSpaceWidth
DefaultSpaceWidth property

Applies to

Font

Declaration

property object.DefaultSpaceWidth

Description

Sets width of space character to the default value for the current font parameters

Returns

SpaceWidth - Integer.  Default space width

Remarks


Font Edge
Edge property

Applies to

Font

Declaration

property object.Edge(EdgeIndex)

Description

Get an object corresponding to an edge defined for the font

Parameter	Description
EdgeIndex	Integer. Edge index range 0 to {Font.EdgeCount} - 1.
Returns

FontEdge or 3DFontEdge Object.

Remarks

For 3DFont objects, bevel and side are always defined as 0 and 1, respectively.


Font EdgeCount
EdgeCount property

Applies to

Font

Declaration

property object.EdgeCount(EdgeCount)

Description

Get/sets the number of edges contained in the font

Parameter	Description
EdgeCount	Integer. Number of edges.  For 2D, Range of 0 to 6. For 3D, Range of 2 to 6.
Returns

EdgeCount - Integer. Number of edges.

Remarks

This property can be used to add or delete edges to the font.  To add edges, increase the edge count to the desired number and then retrieve each new edge through Font.Edge to set its attributes. For 3DFont objects, bevel and side are always defined as 0 and 1, respectively, with a default edge count of 2.


Font HasRamp
HasRamp property

Applies to

Font

Declaration

property object.HasRamp

Description

Returns true if face is textured with a a gradated ramp

Returns

HasRamp - Bool.  True if face texture is gradated.

Remarks


Font HasTexture
HasTexture property

Applies to

Font

Declaration

property object.HasTexture(HasTexture)

Description

Flag that is set if face of font has a texture file mapped to it

Parameter	Description
HasTexture	Bool. True if font face has a texture file mapped.
Returns

HasTexture - Bool. True if font face has a texture file mapped.

Remarks


Font Height
Height property

Applies to

Font

Declaration

property object.Height(FontHeight)

Description

Height of the font in scanlines

Parameter	Description
FontHeight	Integer. Height of font in scanlines
Returns

FontHeight - Integer. Height of font in scanlines

Remarks


Font HorizShear
HorizShear property

Applies to

Font

Declaration

property object.HorizShear(HorizontalShear)

Description

Horizontal Shear for the font

Parameter	Description
HorizontalShear	double float.
Returns

HorizontalShear - double float.

Remarks


Font HorizontalFlip
HorizontalFlip property

Applies to

Font

Declaration

property object.HorizontalFlip(HorizontalFlip)

Description

Indicates whether or not the font is flipped horizontally

Parameter	Description
HorizontalFlip	Bool. True to flip font horizontally.
Returns

HorizontalFlip - Bool. True if font is flipped

Remarks


Font Italic
Italic property

Applies to

Font

Declaration

property object.Italic(Italic)

Description

Indicates whether or not the font style is Italic

Parameter	Description
Italic	Bool. True to set the font style to Italic.
Returns

Italic - Bool. True if the font style is Italic.

Remarks


Font Kerning
Kerning property

Applies to

Font

Declaration

property object.Kerning(Kerning)

Description

Kerning (extra inter-character spacing) in pixels.

Parameter	Description
Kerning	Integer.
Returns

Kerning - Integer.

Remarks


Font Leading
Leading property

Applies to

Font

Declaration

property object.Leading(Leading)

Description

Leading (extra row spacing) in scanlines

Parameter	Description
Leading	Integer.
Returns

Leading - Integer.

Remarks


Font Name
Name property

Applies to

Font

Declaration

property object.Name(FaceName)

Description

Typeface of the font

Parameter	Description
FaceName	String
Returns

FaceName - String

Remarks


Font RotationAngle
RotationAngle property

Applies to

Font

Declaration

property object.RotationAngle(RotationAngle)

Description

Angle (0-360) that the font is rotated

Parameter	Description
RotationAngle	Integer. Range 0 to 360.
Returns

RotationAngle - Integer. Range 0 to 360.

Remarks


Font SpaceWidth
SpaceWidth property

Applies to

Font

Declaration

property object.SpaceWidth(SpaceWidth)

Description

Width of a space character in pixels

Parameter	Description
SpaceWidth	Integer.
Returns

SpaceWidth - Integer.

Remarks


Font Style
Style property

Applies to

Font

Declaration

property object.Style(Style)

Description

Gets/sets the style for the font.

Parameter	Description
Style	String: Style of the font
Returns

Style - String: Style of the font

Remarks


Font TexturePath
TexturePath property

Applies to

Font

Declaration

property object.TexturePath(TexturePath)

Description

Path to image file containing texture that is mapped to font

Parameter	Description
TexturePath	String. Path and file name of texture image (i.e. c:\images\texture.tif).
Returns

TexturePath - String. Path and file name of texture image (i.e. c:\images\texture.tif).

Remarks


Font Transparency
Transparency property

Applies to

Font

Declaration

property object.Transparency(Transparency)

Description

Transparency setting

Parameter	Description
Transparency	Integer. 0 fully opaque to 100 fully transparent.
Returns

Transparency - Integer. 0 fully opaque to 100 fully transparent.

Remarks


Font Underline
Underline property

Applies to

Font

Declaration

property object.Underline(Underline)

Description

Indicates whether or not the font is underlined

Parameter	Description
Underline	Bool. True to set the font for underline.
Returns

Underline - Bool. True if the font is underlined

Remarks


Font VerticalFlip
VerticalFlip property

Applies to

Font

Declaration

property object.VerticalFlip(VerticalFlip)

Description

Indicates whether or not the font is flipped vertically

Parameter	Description
VerticalFlip	Bool. True to flip font vertically.
Returns

VerticalFlip - Bool. True if the font is flipped vertically.

Remarks


Font VerticalShear
VerticalShear property

Applies to

Font

Declaration

property object.VerticalShear(VerticalShear)

Description

Vertical Shear for the font

Parameter	Description
VerticalShear	double float.
Returns

VerticalShear - double float.

Remarks


Font Weight
Weight property

Applies to

Font

Declaration

property object.Weight(Weight)

Description

Gets/sets the weight of the font.

Parameter	Description
Weight	Integer: Weight of the font
Returns

Weight - Integer: Weight of the font

Remarks


Font Width
Width property

Applies to

Font

Declaration

property object.Width(CharacterWidth)

Description

Gets the average character width

Parameter	Description
CharacterWidth	Integer. Average character width in pixels.
Returns

CharacterWidth - Integer. Average character width in pixels.

Remarks


Font XYFilter
XYFilter property

Applies to

Font

Declaration

property object.XYFilter(0)

Description

X and Y blur values

Parameter	Description
0	7 valid range 0-50, X blur bits 8-15 valid range 0-50
Returns

Y blur bits 0-7 valid range 0-50, X blur bits 8-15 valid range 0-50

Remarks


Font CharacterData
CharacterData method

Applies to

Font

Declaration

function object.CharacterData(Value)

Description

Retrieves a {Character} object for a given character using the font settings.

Parameter	Description
Value	Integer. ASCII character code.
Returns

Character object.

Remarks


Font IsSame
IsSame function

Applies to

Font

Declaration

function object.IsSame(CompareTo)

Description

Compares this Font object to another.

Parameter	Description
CompareTo	{Font} Object. Font for comparison.
Returns

FontsSame - Bool. True if fonts are identical.

Remarks


Font ResetToDefault
ResetToDefault function

Applies to

Font

Declaration

function object.ResetToDefault

Description

Resets all font properties to their default values

Remarks


Font Update
Update function

Applies to

Font

Declaration

function object.Update

Description

Applies changes in font properties to all relevant UI elements

Remarks


FontEdge
FontEdge object

Properties	Methods	Events
Description

Provides information on edge characteristics for a given font

Remarks

Obtained through Font.Edge.   Additional parameters for 3D characters are available through 3DFontEdge.GetKeyParam and 3DFontEdge.SetKeyParam


FontEdge Properties
Properties

Blur	HasTexture	Transparency
Color	RotationAngle	Type
EdgeSize	Softness
HasRamp	TexturePath


FontEdge Methods
Methods


FontEdge Events
Events


FontEdge Blur
Blur property

Applies to

FontEdge

Declaration

property object.Blur(BlurValue)

Description

Blur setting 0 (no blur) to 100 completely blurred

Parameter	Description
BlurValue	Integer. Range 0 to 100
Returns

BlurValue - Integer. Range 0 to 100

Remarks


FontEdge Color
Color property

Applies to

FontEdge

Declaration

property object.Color(EdgeColor)

Description

Edge color

Parameter	Description
EdgeColor	Integer. See Remarks.
Returns

EdgeColor - Integer. See Remarks.

Remarks

For specification of color, see Background.SetColor For 3D, sets the color at the first keyframe. See 3DFontEdge.SetKeyParam


FontEdge EdgeSize
EdgeSize property

Applies to

FontEdge

Declaration

property object.EdgeSize(EdgeSize)

Description

Size of the edge in pixels.

Parameter	Description
EdgeSize	Integer. Size of edge.
Returns

EdgeSize - Integer. Size of edge.

Remarks


FontEdge HasRamp
HasRamp property

Applies to

FontEdge

Declaration

property object.HasRamp

Description

Flag that is set if the edge uses a color ramp.

Returns

HasRamp - Bool. True if edge uses a color ramp. HasRamp. Bool. True if edge uses a color ramp.

Remarks


FontEdge HasTexture
HasTexture property

Applies to

FontEdge

Declaration

property object.HasTexture(HasTexture)

Description

Flag that is set if edge has a texture file mapped to it

Parameter	Description
HasTexture	Bool. True if edge has a texture file mapped.
Returns

HasTexture - Bool. True if edge has a texture file mapped.

Remarks

Use FontEdge.TexturePath to set the texture file that is mapped


FontEdge RotationAngle
RotationAngle property

Applies to

FontEdge

Declaration

property object.RotationAngle(Angle)

Description

Angle at which to apply the edge.

Parameter	Description
Angle	Integer. Range 0-359.
Returns

Rotation Angle - Integer. Range 0-359

Remarks

Valid only for offset and shadow edges


FontEdge Softness
Softness property

Applies to

FontEdge

Declaration

property object.Softness(BlurValue)

Description

Blur setting

Parameter	Description
BlurValue	Integer. Range 0 (no blur) to 100 completely blurred
Returns

BlurValue - Integer. Range 0 (no blur) to 100 completely blurred

Remarks


FontEdge TexturePath
TexturePath property

Applies to

FontEdge

Declaration

property object.TexturePath(TexturePath)

Description

Path to image file containing texture that is mapped to font edge

Parameter	Description
TexturePath	String. Path and file name of texture image (i.e. c:\images\texture.tif).
Returns

TexturePath, String. Path and file name of texture image (i.e. c:\images\texture.tif).

Remarks

Use FontEdge.HasTexture to enable/disable the texture


FontEdge Transparency
Transparency property

Applies to

FontEdge

Declaration

property object.Transparency(Transparency)

Description

Transparency setting

Parameter	Description
Transparency	Integer. 0 fully opaque to 100 fully transparent.
Returns

Transparency - Integer. 0 fully opaque to 100 fully transparent.

Remarks


FontEdge Type
Type property

Applies to

FontEdge

Declaration

property object.Type(Type)

Description

Type of edge.

Parameter	Description
Type	Integer. 2D: 0=No Edge, 1=Border, 2=Drop Shadow, 3=Offset. 3D: 0=Bevel, 1=Side, 2=Soft Edge, 3=Hard Edge
Returns

Type - Integer. 2D: 0=No Edge, 1=Border, 2=Drop Shadow, 3=Offset. 3D: 0=Bevel, 1=Side, 2=Soft Edge, 3=Hard Edge

Remarks


FontToolBar
FontToolBar object

Properties	Methods	Events
Description

 Object that represents the font toolbar in Lyric

Remarks

 Retrieve through LyricObject.FontBar


FontToolBar Properties
Properties

Edge	Face


FontToolBar Methods
Methods

RecallPalette	SavePalette	UpdateCombo


FontToolBar Events
Events


FontToolBar Edge
Edge property

Applies to

FontToolBar

Declaration

property object.Edge

Description

 Not implemented at this time

Remarks


FontToolBar Face
Face property

Applies to

FontToolBar

Declaration

property object.Face

Description

 Not implemented at this time

Remarks


FontToolBar RecallPalette
RecallPalette method

Applies to

FontToolBar

Declaration

function object.RecallPalette(Filename)

Description

Read the Palettes registry key from file and imports into the registry

Parameter	Description
Filename	String.   Filename to which the registry key has been saved
Returns

Success - Boolean

Remarks

Palettes can be saved through FontToolBar.SavePalette


FontToolBar SavePalette
SavePalette function

Applies to

FontToolBar

Declaration

function object.SavePalette(Filename)

Description

Save the palettes to the registry and then exports the key to file

Parameter	Description
Filename	String.   Filename to which to save the registry key
Returns

Success - Boolean

Remarks

Palettes can be subsequently recalled through FontToolBar.RecallPalette


FontToolBar UpdateCombo
UpdateCombo function

Applies to

FontToolBar

Declaration

function object.UpdateCombo(PaletteIndex, EntryIndex)

Description

 Not implemented at this time

Parameter	Description
PaletteIndex	Integer.
EntryIndex	Integer.
Remarks


FrameBuffer
FrameBuffer object

Properties	Methods	Events
Description

 Object used to access properties for a frame buffer

Remarks

 Obtain from LyricObject.FrameBuffer


FrameBuffer Properties
Properties

AlternateBuffer	FBIndex	PlayingHw
AntialiasOn	HardwareResolution	Preload
AntialiasQuality	IsHD	RenderOptions
AntialiasSamples	MessageNumber	Resolution
AttachedStereoFBIndex	MessagePath	Scene
BoardNum	MessageType	SerialNumber
BoardType	Name	Use1to1PixelAspectForGraphicsImport
Capturing	OverlayLayer
ErrorMessage	Playing


FrameBuffer Methods
Methods

AddScene	GetSharedMemory	SceneByName
CanLoadMessage	GetState	SceneForUpdate
CanPlayMessage	Load	SceneWithFocus
ClearClip	Play	Scenes
DeletePBuffer	ReleasePause	SelectScene
DeleteScene	SceneByDescription	SetState
Effect	SceneByFilename	SetTouchscreenById
EndOutput	SceneByGUID	Stop
GetInterlaced	SceneByID


FrameBuffer Events
Events


FrameBuffer AlternateBuffer
AlternateBuffer property

Applies to

FrameBuffer

Declaration

property object.AlternateBuffer

Description

Gets/sets the active alternate buffer target for the frame buffer

Returns

Alternate Buffer - Integer

Remarks


FrameBuffer AntialiasOn
AntialiasOn property

Applies to

FrameBuffer

Declaration

property object.AntialiasOn(Enable)

Description

Gets/Sets Full Scene Antialiasing enable flag

Parameter	Description
Enable	Boolean. Sets the current state of full scene antialiasing
Returns

Enable - Boolean. Returns the current state of full scene antialiasing

Remarks


FrameBuffer AntialiasQuality
AntialiasQuality property

Applies to

FrameBuffer

Declaration

property object.AntialiasQuality(Enable)

Description

Gets/Sets Full Scene Antialiasing quality flag. FALSE = Fastest, TRUE = Nicest (best visual quality)

Parameter	Description
Enable	Boolean. Sets the current quality flag for full scene antialiasing
Returns

Enable - Boolean. Returns the current quality flag for full scene antialiasing

Remarks


FrameBuffer AntialiasSamples
AntialiasSamples property

Applies to

FrameBuffer

Declaration

property object.AntialiasSamples(Enable)

Description

Gets/Sets Full Scene Antialiasing samples (0, 2, 4, 8, 16, 32)

Parameter	Description
Enable	Boolean. Sets the current sample level for full scene antialiasing
Returns

Enable - Boolean. Returns the current sample level for full scene antialiasing

Remarks


FrameBuffer AttachedStereoFBIndex
AttachedStereoFBIndex property

Applies to

FrameBuffer

Declaration

property object.AttachedStereoFBIndex

Description

Returns the index assigned to the frame buffer's stereoscopic partner

Returns

Index, Integer. Returns -1 if there is no stereoscopic partner.

Remarks


FrameBuffer BoardNum
BoardNum property

Applies to

FrameBuffer

Declaration

property object.BoardNum

Description

Returns the board number for the frame buffer

Returns

BoardNum, Integer

Remarks


FrameBuffer BoardType
BoardType property

Applies to

FrameBuffer

Declaration

property object.BoardType

Description

Returns the type of hardware attached to the frame buffer

Returns

BoardType, String.

Remarks


FrameBuffer Capturing
Capturing property

Applies to

FrameBuffer

Declaration

property object.Capturing

Description

Returns non-zero if the frame buffer is capturing pixels

Returns

Capturing - Boolean

Remarks


FrameBuffer ErrorMessage
ErrorMessage property

Applies to

FrameBuffer

Declaration

property object.ErrorMessage

Description

Remarks


FrameBuffer FBIndex
FBIndex property

Applies to

FrameBuffer

Declaration

property object.FBIndex

Description

Returns the index assigned to the frame buffer

Returns

Index, Integer.

Remarks


FrameBuffer HardwareResolution
HardwareResolution property

Applies to

FrameBuffer

Declaration

property object.HardwareResolution

Description

Gets the hardware resolution for the frame buffer

Returns

A HardwareResolution Object

Remarks


FrameBuffer IsHD
IsHD property

Applies to

FrameBuffer

Declaration

property object.IsHD

Description

Returns non-zero if the board attached to the frame buffer is HD

Returns

IsHD - Boolean.

Remarks


FrameBuffer MessageNumber
MessageNumber property

Applies to

FrameBuffer

Declaration

property object.MessageNumber

Description

Returns the number of the message currently loaded in the frame buffer

Returns

Number - Integer.

Remarks

If the message has a non-numeric filename, -1 will be returned.


FrameBuffer MessagePath
MessagePath property

Applies to

FrameBuffer

Declaration

property object.MessagePath

Description

Returns the path of the message currently loaded in the frame buffer

Returns

Path - String.

Remarks

If a template data message is loaded, the path will reflect the template data filename


FrameBuffer MessageType
MessageType property

Applies to

FrameBuffer

Declaration

property object.MessageType

Description

Returns the type of message last read while the frame buffer was active

Returns

Lyric Message Type as dictated in Remarks

Remarks

Type = -1 Message could not be found or type cannot be determined
Type =  0 Lyric Static Page or Animation
Type =  1 Clock/Timer message
Type =  2 Mix message
Type =  3 Macro message
Type =  4 Template Data Message ('W' file)
Type =  5 Popon file
Type =  6 MultiFX message
Type =  7 Video I/O settings
Type =  8 Lyric LE Effects message


FrameBuffer Name
Name property

Applies to

FrameBuffer

Declaration

property object.Name

Description

Returns the name of the frame buffer

Returns

Name - String.

Remarks


FrameBuffer OverlayLayer
OverlayLayer property

Applies to

FrameBuffer

Declaration

property object.OverlayLayer

Description

 Gets the overlay layer. OverlayLayer allows a calibration rectangle to be set for touch screens and hotspots.

Returns

 OverlayLayer Object

Remarks


FrameBuffer Playing
Playing property

Applies to

FrameBuffer

Declaration

property object.Playing

Description

Returns non-zero if the frame buffer is playing an animation

Returns

Playing - Boolean.

Remarks


FrameBuffer PlayingHw
PlayingHw property

Applies to

FrameBuffer

Declaration

property object.PlayingHw

Description

Returns non-zero if the frame buffer is playing an animation to output

Returns

PlayingHw - Boolean

Remarks


FrameBuffer Preload
Preload property

Applies to

FrameBuffer

Declaration

property object.Preload

Description

Gets current hardware preload length in frames

Returns

Preload - long

Remarks


FrameBuffer RenderOptions
RenderOptions property

Applies to

FrameBuffer

Declaration

property object.RenderOptions(Mask)

Description

Gets/Sets render options associated with rendering to output.

Parameter	Description
Mask	Integer. Contains a bitmask for determining output render options.
Returns

Mask - Integer. Returns the bitmask for current options.

Remarks

Bitmask Options to modify how the scene is rendered to output:
1 - Hide Virtual Output Window.  (Virtual Output Only)
2 - Enable Interlacing on Virtual Output Frame Buffer. (Virtual Output Only)
4 - Disable internal rate limiting of rendered frames at hardware resolution. (Virtual Output Only)


FrameBuffer Resolution
Resolution property

Applies to

FrameBuffer

Declaration

property object.Resolution

Description

Gets the resolution  for the frame buffer

Returns

A Resolution Object

Remarks


FrameBuffer Scene
Scene property

Applies to

FrameBuffer

Declaration

property object.Scene

Description

Gets the active {Scene} Object in the canvas that is associated with the frame buffer.

Returns

Scene Object

Remarks

This is the equivalent of ActiveCanvas.Scene if the frame buffer is active
To retrieve a scene on output, use FrameBuffer.Scenes or  refer to FrameBuffer.SceneWithFocus for other options


FrameBuffer SerialNumber
SerialNumber property

Applies to

FrameBuffer

Declaration

property object.SerialNumber

Description

Gets the Serial Number for the board attached to this frame buffer

Returns

BoardSerialNumber - String.

Remarks

Returns empty string if offline or a serial number is not available See also FrameBuffer.BoardType


FrameBuffer Use1to1PixelAspectForGraphicsImport
Use1to1PixelAspectForGraphicsImport property

Applies to

FrameBuffer

Declaration

property object.Use1to1PixelAspectForGraphicsImport(Enable)

Description

Gets/sets whether to use 1:1 Pixel Aspect for Graphics Import for this frame buffer.

Parameter	Description
Enable	Boolean.  Set true to use 1:1 Pixel Aspect for Graphics Import.
Returns

Enable - Boolean.  Returns current setting.

Remarks

This property can be set separately for each frame buffer.


FrameBuffer AddScene
AddScene method

Applies to

FrameBuffer

Declaration

sub object.AddScene(Scene)

Description

Creates a new scene and adds it to this frame buffer

Parameter	Description
Scene	{Scene} Object that was added.
Remarks


FrameBuffer CanLoadMessage
CanLoadMessage sub

Applies to

FrameBuffer

Declaration

sub object.CanLoadMessage(WithClip)

Description

Returns true if a message can safely be read into the frame buffer

Parameter	Description
WithClip	Boolean.  If true, the return value will indicate whether a clip can load safely
Returns

CanLoad - Boolean

Remarks


FrameBuffer CanPlayMessage
CanPlayMessage sub

Applies to

FrameBuffer

Declaration

sub object.CanPlayMessage(WithClip)

Description

Returns true if a message can safely be played to the output frame buffer

Parameter	Description
WithClip	Boolean.  If true, the return value will indicate whether a clip can play safely
Returns

CanPlay - Boolean

Remarks


FrameBuffer ClearClip
ClearClip sub

Applies to

FrameBuffer

Declaration

sub object.ClearClip

Description

Clears the clip channel associated with this frame buffer

Returns

Returns true if successful.

Remarks

Use Scene.Erase to erase the graphic channel for the frame buffer or to clear all clip channels


FrameBuffer DeletePBuffer
DeletePBuffer sub

Applies to

FrameBuffer

Declaration

sub object.DeletePBuffer

Description

Deletes the main and alternate pbuffer for the frame buffer

Returns

Error, if any

Remarks


FrameBuffer DeleteScene
DeleteScene sub

Applies to

FrameBuffer

Declaration

sub object.DeleteScene(Scene)

Description

Deletes a scene from the frame buffer

Parameter	Description
Scene	{Scene} Object to delete.
Returns

Selected - Boolean.  TRUE if the deletion was successful, FALSE otherwise.

Remarks


FrameBuffer Effect
Effect sub

Applies to

FrameBuffer

Declaration

sub object.Effect(EffectType, In_Out)

Description

Returns a {FrameBufferEffect} object which can be used to define page transitions for the frame buffer

Parameter	Description
EffectType	String.  Type of effect, refer to Remarks
In_Out	Boolean.   True if effect-in, false if effect-out
Returns

FrameBufferEffect Object

Remarks

Supported effects are the following
"Default" - Returns the default effect as specified by the 'Default Effect' item on the Config menu
"Dissolve"
"Static"
"Hinge"
"Wipe"
"Page Turn"
"Push"


FrameBuffer EndOutput
EndOutput sub

Applies to

FrameBuffer

Declaration

sub object.EndOutput

Description

Deletes all scenes from output without repainting

Returns

None

Remarks


FrameBuffer GetInterlaced
GetInterlaced sub

Applies to

FrameBuffer

Declaration

sub object.GetInterlaced

Description

Returns true if interlacing is enabled on the frame buffer otherwise returns false

Returns

Interlaced - Boolean

Remarks


FrameBuffer GetSharedMemory
GetSharedMemory sub

Applies to

FrameBuffer

Declaration

sub object.GetSharedMemory

Description

Gets information about the shared memory region for passing frame data to a plugin.

Returns

FrameBufferSharedMemory object

Remarks


FrameBuffer GetState
GetState sub

Applies to

FrameBuffer

Declaration

sub object.GetState(State, Value)

Description

Gets a particular hardware setting

Parameter	Description
State	Integer.  Index of hardware setting to retrieve
Value	Pointer To Integer.  Value of current setting
Returns

Returns true if successful.

Remarks


FrameBuffer Load
Load sub

Applies to

FrameBuffer

Declaration

sub object.Load(Message, Options)

Description

Reads a message into the frame buffer

Parameter	Description
Message	Variant.  Indicates which message to read. Provide a string for the filename or integer for the message number.
Options	Integer Bitmask. Flag how the scene should be loaded.
Returns

Loaded - Boolean

Remarks

Flags will modify how the scene is loaded:
1 - Appends the message to the scene tree.  Existing scenes in the canvas will not be discarded.  (Pro versions only)


FrameBuffer Play
Play sub

Applies to

FrameBuffer

Declaration

sub object.Play(Options, Effect_In, Effect_Out)

Description

Plays the message currently loaded in the frame buffer to output

Parameter	Description
Options	Flag.
Effect_In	{FrameBufferEffect} object to use to transition in
Effect_Out	{FrameBufferEffect} object to use to transition out
Returns

Played - Boolean

Remarks


FrameBuffer ReleasePause
ReleasePause sub

Applies to

FrameBuffer

Declaration

sub object.ReleasePause

Description

Releases all pauses in effect for all animations in the frame buffer

Remarks

To release a pause on a particular scene, use Scene.ReleasePause To release all pauses regardless of the frame buffer, use LyricObject.ReleasePause


FrameBuffer SceneByDescription
SceneByDescription sub

Applies to

FrameBuffer

Declaration

sub object.SceneByDescription(Description)

Description

Returns a scene in this Frame buffer, or NULL if it doesn't exist.

Parameter	Description
Description	String.  The description of the scene to retrieve.  If more than one scene with that description exists, the first one found is returned.
Returns

Scene Object

Remarks

The description for a scene can be retrieved via Scene.Description.
See also FrameBuffer.SceneByName FrameBuffer.SceneByID, FrameBuffer.SceneByFilename


FrameBuffer SceneByFilename
SceneByFilename sub

Applies to

FrameBuffer

Declaration

sub object.SceneByFilename(Filename)

Description

Returns a scene in this frame buffer, or NULL if it does not exist.

Parameter	Description
Filename	String.  The filename of the scene to retrieve.  If more than one scene with that filename exists, the first one found is returned.
Returns

Scene Object

Remarks

The filename for a scene can be retrieved via Scene.Filename.
See also FrameBuffer.SceneByName FrameBuffer.SceneByDescription, FrameBuffer.SceneByID


FrameBuffer SceneByGUID
SceneByGUID sub

Applies to

FrameBuffer

Declaration

sub object.SceneByGUID(GUID)

Description

Returns the scene in this frame buffer with the given message GUID, or NULL if it doesn't exist.

Parameter	Description
GUID	String.  Contains the guid of the scene to return Select - Variant.  Optional boolean to select scene.
Returns

Scene Object

Remarks

The GUID for a scene can be retrieved via Scene.MessageGUID.
See also FrameBuffer.SceneByName FrameBuffer.SceneByDescription, FrameBuffer.SceneByFilename


FrameBuffer SceneByID
SceneByID sub

Applies to

FrameBuffer

Declaration

sub object.SceneByID(Id)

Description

Returns the scene in this frame buffer with the given id, or NULL if it doesn't exist.

Parameter	Description
Id	String.  Contains the id of the scene to return  When executing a macro through an Event, there is special syntax to reference the index of the scene containing the event: {THIS_SCENE_INDEX}.   Ex. set sc = FrameBuffer(ActiveFrameBuffer).SceneById({THIS_SCENE_INDEX})
Returns

Scene Object

Remarks

The index for a scene can be retrieved via Scene.SceneID.
See also FrameBuffer.SceneByName FrameBuffer.SceneByDescription, FrameBuffer.SceneByFilename
For more information on Macro Events, see Event and Event.SetParam


FrameBuffer SceneByName
SceneByName sub

Applies to

FrameBuffer

Declaration

sub object.SceneByName(Name)

Description

Returns a scene in this frame buffer with the given name, or NULL if it doesn't exist.

Parameter	Description
Name	String.  The name of the scene to search for.  If more than one scene with that name exists, the first one found is returned.
Returns

Scene Object

Remarks

The name of a scene can be retrieved via Scene.Name.
See also FrameBuffer.SceneByName FrameBuffer.SceneByDescription, FrameBuffer.SceneByFilename


FrameBuffer SceneForUpdate
SceneForUpdate sub

Applies to

FrameBuffer

Declaration

sub object.SceneForUpdate

Description

Returns the scene in this frame buffer that will update-out when the scene in the canvas is played to output

Returns

Scene Object

Remarks


FrameBuffer SceneWithFocus
SceneWithFocus sub

Applies to

FrameBuffer

Declaration

sub object.SceneWithFocus

Description

Returns the scene with the focus in this frame buffer

Returns

Scene Object

Remarks

See also FrameBuffer.SceneByName, FrameBuffer.SceneByDescription, FrameBuffer.SceneByID


FrameBuffer Scenes
Scenes sub

Applies to

FrameBuffer

Declaration

sub object.Scenes(SceneSpec)

Description

Returns an array of scenes loaded in the frame buffer

Parameter	Description
SceneSpec	Variant.  If 0 or not provided, all scenes will be returned. If set to one only scenes in the canvas will be provided If set to two only scenes on output will be provided
Returns

Scenes - Array.  Array of Node objects.

Remarks

VBScript example which will effect-out all scenes on the output of the active frame buffer
set fb = FrameBuffer(ActiveFramebuffer)
for each sc in fb.Scenes(2)
      sc.Transition("Effect Out").Activate
end if
next


FrameBuffer SelectScene
SelectScene sub

Applies to

FrameBuffer

Declaration

sub object.SelectScene(Scene)

Description

Selects a scene as if a user had clicked on it in the UI

Parameter	Description
Scene	{Scene} Object to select.
Returns

Selected - Boolean.  TRUE if the selection was successful, FALSE otherwise.

Remarks


FrameBuffer SetState
SetState sub

Applies to

FrameBuffer

Declaration

sub object.SetState(State, Value)

Description

Sets a particular hardware setting

Parameter	Description
State	Integer.  Index of hardware setting to set
Value	Integer.  Value to set
Returns

Returns true if successful.

Remarks


FrameBuffer SetTouchscreenById
SetTouchscreenById sub

Applies to

FrameBuffer

Declaration

sub object.SetTouchscreenById

Description

Sets touchscreen for frame buffer by id

Returns

Error, if any

Remarks


FrameBuffer Stop
Stop sub

Applies to

FrameBuffer

Declaration

sub object.Stop

Description

Stops playback of any animations in the frame buffer

Returns

Stopped - Boolean.  True on success

Remarks


FrameBufferEffect
FrameBufferEffect object

Properties	Methods	Events
Description

Object used to define an effect, such as dissolve, that occurs as a scene is transferred to and from output

Remarks

Obtain through FrameBuffer.Effect and use with Scene.SetEffects and FrameBuffer.Play


FrameBufferEffect Properties
Properties

Direction	Fade
Duration	Type


FrameBufferEffect Methods
Methods


FrameBufferEffect Events
Events


FrameBufferEffect Direction
Direction property

Applies to

FrameBufferEffect

Declaration

property object.Direction(Direction)

Description

Get/sets the direction for the effect

Parameter	Description
Direction	String.
Returns

Direction - String.

Remarks

Direction choices are dependent on the type of effect as follows
"Hinge" - Top, Left, Right, Bottom paired with Inward, Outward
"Wipe" - Top, Left, Right, Bottom
"Page Turn" - Upper Left, Up, Upper Right, Left, Right, Lower Left, Down, Lower Right
"Push" - Upper Left, Up, Upper Right, Left, Right, Lower Left, Down, Lower Right, In, Out


FrameBufferEffect Duration
Duration property

Applies to

FrameBufferEffect

Declaration

property object.Duration(Duration)

Description

Gets/sets the duration for the effect

Parameter	Description
Duration	Variant. If integer, frame count.  If string, timecode format
Returns

Duration - Variant.  Integer - number of frames in the effect

Remarks


FrameBufferEffect Fade
Fade property

Applies to

FrameBufferEffect

Declaration

property object.Fade(Fade)

Description

Gets/sets whether the effect will fade

Parameter	Description
Fade	Boolean.
Returns

Fade - Boolean.

Remarks


FrameBufferEffect Type
Type property

Applies to

FrameBufferEffect

Declaration

property object.Type(Type)

Description

Gets/sets the type of effect

Parameter	Description
Type	String.
Returns

Type - String.

Remarks

Supported effects are the following
"Dissolve"
"Static"
"Hinge"
"Wipe"
"Page Turn"
"Push"


FrameBufferSharedMemory
FrameBufferSharedMemory object

Properties	Methods	Events
Description

Object referencing a shared memory region for passing frame data to a plugin.

Remarks

Can be obtained through FrameBuffer.GetSharedMemory


FrameBufferSharedMemory Properties
Properties

FrameCount	Name	Width
FrameSize	PixelFormat
Height	Stride


FrameBufferSharedMemory Methods
Methods

GetBufferAddress	GetBufferOffset


FrameBufferSharedMemory Events
Events


FrameBufferSharedMemory FrameCount
FrameCount property

Applies to

FrameBufferSharedMemory

Declaration

property object.FrameCount

Description

Gets the total number of frames to fit into shared memory.

Returns

FrameCount - Integer.

Remarks


FrameBufferSharedMemory FrameSize
FrameSize property

Applies to

FrameBufferSharedMemory

Declaration

property object.FrameSize

Description

Gets the size of a frame in bytes. This is equivalent to Height * Stride.

Returns

FrameSize - Integer.

Remarks


FrameBufferSharedMemory Height
Height property

Applies to

FrameBufferSharedMemory

Declaration

property object.Height

Description

Gets the height of a frame in pixels.

Returns

FrameHeight - Integer.

Remarks


FrameBufferSharedMemory Name
Name property

Applies to

FrameBufferSharedMemory

Declaration

property object.Name

Description

Gets the name of the shared memory region.

Returns

Name - String.

Remarks


FrameBufferSharedMemory PixelFormat
PixelFormat property

Applies to

FrameBufferSharedMemory

Declaration

property object.PixelFormat

Description

Gets the pixel format of the shared memory region.

Returns

PixelFormat - Integer.

Remarks

Pixel Formats are:
BGRA - 0 (4 bytes)
RGBA - 1 (4 bytes)


FrameBufferSharedMemory Stride
Stride property

Applies to

FrameBufferSharedMemory

Declaration

property object.Stride

Description

Gets the width of a single line of a frame in bytes. This is usually width * 4, but may be aligned to a QUADWORD boundary.

Returns

FrameStride - Integer.

Remarks


FrameBufferSharedMemory Width
Width property

Applies to

FrameBufferSharedMemory

Declaration

property object.Width

Description

Gets the width of a frame in pixels.

Returns

FrameWidth - Integer.

Remarks


FrameBufferSharedMemory GetBufferAddress
GetBufferAddress method

Applies to

FrameBufferSharedMemory

Declaration

sub object.GetBufferAddress(BufferIndex, BufferAddress)

Description

Gets address of shared memory for the FRAME_COPIED_TO_BUFFER FrameEvent, given a buffer index.

Parameter	Description
BufferIndex	Integer. The buffer index.
BufferAddress	Variant. Will contain the address of shared memory.
Remarks

This version is useful for a plugin that shares Lyric's address space, as it directly gets the memory address of the frame data and does not need to open shared memory.


FrameBufferSharedMemory GetBufferOffset
GetBufferOffset sub

Applies to

FrameBufferSharedMemory

Declaration

sub object.GetBufferOffset(BufferIndex)

Description

Gets buffer offset into shared memory for the FRAME_COPIED_TO_BUFFER FrameEvent, given a buffer index.

Parameter	Description
BufferIndex	Integer. The buffer index.
Returns

Offset - Integer. The offset into shared memory.

Remarks

This version is useful for a plugin that needs to open its own version of shared memory, if it can not share Lyric's address space.


Group
Group object

Properties	Methods	Events
Description

Provides access to a group of nodes within the scene graph

Remarks

Obtained via Scene.Element, Node.Element or Node.GetGroup.  Derived from Element See Scene.Group, Node.ChildCount and Node.GetChild for further information

VBScript example to find the top-most group of the selected object:
set n = activecanvas.scene.activeobject
while n.IsInGroup
set g = n.GetGroup
set n = g.Node
wend
msgbox n.Name


Group Properties
Properties


Group Methods
Methods

AddNode


Group Events
Events


Group AddNode
AddNode method

Applies to

Group

Declaration

function object.AddNode(Node)

Description

Add a valid node to the Group Proxy

Parameter	Description
Node	Variant.  If string, name of the node.  If dispatch, node object
Returns

Success - Boolean.  TRUE if node was successfully added, false otherwise.

Remarks

A direct ancestor of the Group cannot be added to the Group.


HardwareResolution
HardwareResolution object

Properties	Methods	Events
Description

Provides access to the current hardware standard dimensions, scan rate, and scan type.

Remarks


HardwareResolution Properties
Properties

ScanRate	ScanRes	ScanType


HardwareResolution Methods
Methods


HardwareResolution Events
Events


HardwareResolution ScanRate
ScanRate property

Applies to

HardwareResolution

Declaration

property object.ScanRate

Description

Gets the scan rate for the hardware standard

Returns

Scan Type - Enumeration.

Remarks

Scan Types are as follows:
 1 = 60
 2 = 59.94
 3 = 50
 4 = 30
 5 = 29.97
 6 = 25
 7 = 24
 8 = 23.98
Returns 0 on error


HardwareResolution ScanRes
ScanRes property

Applies to

HardwareResolution

Declaration

property object.ScanRes

Description

Gets the scan resolution of the hardware standard

Returns

Scan Res - Enumeration.

Remarks

Scan Res are as follows:
 0 = 720x486
 1 = 720x576
 2 = 1920x1080
 3 = 1280x720
 4 = 2048x1556
 5 = 3840x2160


HardwareResolution ScanType
ScanType property

Applies to

HardwareResolution

Declaration

property object.ScanType

Description

Gets the scan type (scan mode) for the hardware standard

Returns

Scan Type - Enumeration.

Remarks

Scan Types are as follows:
 1 = Interlaced
 2 = Progressive
 3 = Progressive Segmented Frame
Returns 0 on error


HotSpot
HotSpot object

Properties	Methods	Events
Description

Object that describes the HotSpot

Remarks

A hot spot can be obtained from HotSpotMgr.GetHotSpot


HotSpot Properties
Properties

FollowNode	UseNodeExtents
UseGestures	UserRect


HotSpot Methods
Methods

AddReaction	GetGesture	SetGesture
AssignUserRect	GetReaction
CopyHotSpot	RemoveReaction


HotSpot Events
Events


HotSpot FollowNode
FollowNode property

Applies to

HotSpot

Declaration

property object.FollowNode(FollowNode)

Description

Gets/Sets the FollowNode flag for the hotspot. Will use user rect

Parameter	Description
FollowNode	Boolean.
Returns

FollowNode - Boolean.

Remarks

Also see HotSpot.UseNodeExtents


HotSpot UseGestures
UseGestures property

Applies to

HotSpot

Declaration

property object.UseGestures(UseGestures)

Description

Gets/Sets the UseGestures flag for the hotspot. Only works in LiftOff mode.  A hot spot will not react to a simple touch if enabled for gestures.

Parameter	Description
UseGestures	Boolean.
Returns

UseGestures - Boolean.

Remarks

See LyricObject.SetTouchMode


HotSpot UseNodeExtents
UseNodeExtents property

Applies to

HotSpot

Declaration

property object.UseNodeExtents(UseNodeExtents)

Description

Gets/Sets the UseNodeExtents flag for the hotspot. Will not use user rect

Parameter	Description
UseNodeExtents	Boolean.
Returns

UseNodeExtents - Boolean.

Remarks

Also see HotSpot.FollowNode


HotSpot UserRect
UserRect property

Applies to

HotSpot

Declaration

property object.UserRect(Rectangle)

Description

Gets/Sets the user rectangle from one of normalized (0.0 - 1.0) floats

Parameter	Description
Rectangle	Object.
Returns

RectFloat object

Remarks


HotSpot AddReaction
AddReaction method

Applies to

HotSpot

Declaration

function object.AddReaction(Reaction)

Description

Adds a reaction to the hotspot

Parameter	Description
Reaction	VARIANT - Integer indicating reaction type to create, or an existing {Reaction} Object
Returns

Position - Integer. Position at which the reaction was added

Remarks

Type - Integer 	0 	Creates a TransitionRulesMgr reaction
1 	Creates an ActivationReaction
2 	Creates a MacroReaction


HotSpot AssignUserRect
AssignUserRect function

Applies to

HotSpot

Declaration

function object.AssignUserRect(X, Y, X2, Y2, PreTransformed)

Description

Parameter	Description
X	Float. Left X Value in Screen Space or normalized space (dependent on value of PreTransformed)
Y	Float. Top Y Value in Screen Space or normalized space (dependent on value of PreTransformed)
X2	Float.  Right X Value in Screen Space or normalized space (dependent on value of PreTransformed)
Y2	Float.  Bottom Y Value in Screen Space or normalized space (dependent on value of PreTransformed)
PreTransformed	Boolean. If true the values must be normalized (0.0 - 1.0). Otherwise they are in screen coordinates
Remarks


HotSpot CopyHotSpot
CopyHotSpot function

Applies to

HotSpot

Declaration

function object.CopyHotSpot

Description

Creates a copy of this hot spot

Returns

HotSpot. Copy of this hot spot

Remarks


HotSpot GetGesture
GetGesture function

Applies to

HotSpot

Declaration

function object.GetGesture(Identifier)

Description

Gets the gesture's value associated with the identifier

Parameter	Description
Identifier	Variant.  int (0-15) or          String - identifier see remarks.
Returns

Value - Boolean. Determines if this gesture is enabled for this hotspot

Remarks

 	Value    = Int : String
 	NW     =  0  :  NW
 	N     =  1  :  N
  	NE     =  2  :  NE
  	W     =  3  :  W
  	E     =  4  :  E
  	SW     =  5  :  SW
  	S     =  6  :  S
  	SE     =  7  :  SE
 	NWFlick   =  8  :  NWFlick
 	NFlick    =  9  :  NFlick
 	NEFlick   =  10  :  NEFlick
  	WFlick    =  11  :  WFlick
  	EFlick    =  12  :  EFlick
  	SWFlick   =  13  :  SWFlick
  	SFlick    =  14  :  SFlick
  	SEFlick   =  15  :  SEFlick


HotSpot GetReaction
GetReaction function

Applies to

HotSpot

Declaration

function object.GetReaction(Position)

Description

Gets the reaction at the specified position

Parameter	Description
Position	Integer. Position of the reaction
Returns

Reaction object that was retrieved

Remarks

See TransitionRulesMgr, MacroReaction, ActivationReaction for more information.


HotSpot RemoveReaction
RemoveReaction function

Applies to

HotSpot

Declaration

function object.RemoveReaction(Position)

Description

Remove reaction at the specified position

Parameter	Description
Position	Integer. Position of the reaction to remove
Returns

Position - Integer. Position after removal

Remarks


HotSpot SetGesture
SetGesture function

Applies to

HotSpot

Declaration

function object.SetGesture(Identifier, Value)

Description

Sets the gesture's value associated with the identifier

Parameter	Description
Identifier	Variant.  int (0-15) or          String - identifier see remarks.
Value	Boolean. Sets the state of the gesture for this hotspot
Remarks

 	Value    = Int : String
 	NW     =  0  :  NW
 	N     =  1  :  N
  	NE     =  2  :  NE
  	W     =  3  :  W
  	E     =  4  :  E
  	SW     =  5  :  SW
  	S     =  6  :  S
  	SE     =  7  :  SE
 	NWFlick   =  8  :  NWFlick
 	NFlick    =  9  :  NFlick
 	NEFlick   =  10  :  NEFlick
  	WFlick    =  11  :  WFlick
  	EFlick    =  12  :  EFlick
  	SWFlick   =  13  :  SWFlick
  	SFlick    =  14  :  SFlick
  	SEFlick   =  15  :  SEFlick


HotSpotMgr
HotSpotMgr object

Properties	Methods	Events
Description

Object that handles the management of hotspots

Remarks

The HotSpotMgr can be obtained from Transform.GetHotSpotMgr or Node.GetHotSpotMgr


HotSpotMgr Properties
Properties


HotSpotMgr Methods
Methods

AddHotSpot	GetHotSpot	RemoveHotSpot


HotSpotMgr Events
Events


HotSpotMgr AddHotSpot
AddHotSpot method

Applies to

HotSpotMgr

Declaration

function object.AddHotSpot(VARIANT)

Description

Adds a hotspot to the HotSpot Manager

Parameter	Description
VARIANT	{HotSpot} object or empty.
Returns

Position - Integer. The position at which the hotspot was added

Remarks

HotSpot - HotSpot. The hotspot to be added.    If empty, a new blank hotspot will be created.


HotSpotMgr GetHotSpot
GetHotSpot function

Applies to

HotSpotMgr

Declaration

function object.GetHotSpot(Position)

Description

Gets a hotspot from the HotSpot Manager

Parameter	Description
Position	Integer. The position at which to retrieve the hotspot
Returns

HotSpot - HotSpot. The hotspot that was retrieved

Remarks


HotSpotMgr RemoveHotSpot
RemoveHotSpot function

Applies to

HotSpotMgr

Declaration

function object.RemoveHotSpot(Position)

Description

Remove a hotspot from the HotSpot Manager

Parameter	Description
Position	Integer. The position at which to remove the hotspot
Returns

Position - Integer. The adjusted position after the removal of the hotspot

Remarks


Image
Image object

Properties	Methods	Events
Description

Object used to generate images from elements in the Lyric scene

Remarks

The existing image for an element from Element.Image.  A blank image can be obtained from LyricObject.Image

VBScript example in which a snapshot of the scene in the Lyric canvas is saved to a file
set b = ActiveCanvas.Scene.Background

set img = b.Image

img.RemovePreMultiply true

img.UsePbuffer true

borderclr = RGB(0, 0, 255)

img.Save "I:\Images\SceneSnapshot.tga", "matte=1 scale=640x480 border=10x10+10+10 borderColor=" & borderclr


Image Properties
Properties

PixelAspectForExport	TextureName	UseSquarePixelsForExport
RemovePreMultiply	UsePBuffer


Image Methods
Methods

Dimensions	GetImageData2	Size
Effect	JPEGTest	ToRGB
ElementFieldData	Load	UseFBSharedMemory
ElementImageData	OpenSharedMemory	VariantTest
FromDIB	Save	WriteToSharedMemory
FromRGBA	SetFieldSize
GetImageData	SetImageData


Image Events
Events


Image PixelAspectForExport
PixelAspectForExport property

Applies to

Image

Declaration

property object.PixelAspectForExport(PixAsp)

Description

Gets/sets the pixel aspect applied when this image is exported

Parameter	Description
PixAsp	Real64.
Returns

PixAsp - Real64.

Remarks

The pixel aspect can be set to square or output pixel aspect through Image.UseSquarePixelsForExport


Image RemovePreMultiply
RemovePreMultiply property

Applies to

Image

Declaration

property object.RemovePreMultiply(Remove)

Description

Gets/sets if pre-multiplied alpha will be removed from the image

Parameter	Description
Remove	Boolean.  True if pre-multiplied alpha will be removed from the image
Returns

Remove - Boolean.  True if pre-multiplied alpha will be removed from the image

Remarks

By default, this value is false.


Image TextureName
TextureName property

Applies to

Image

Declaration

property object.TextureName

Description

Gets the texture id for the image proxy

Returns

TextureID - long

Remarks


Image UsePBuffer
UsePBuffer property

Applies to

Image

Declaration

property object.UsePBuffer(UsePBuffer)

Description

Gets/sets if an OpenGL pbuffer is used to retrieve image data

Parameter	Description
UsePBuffer	Boolean.  True if pbuffer rendering will be used
Returns

UsePBuffer - Boolean.  True if pbuffer rendering will be used

Remarks

By default, this value is false unless the Lyric server is licensed for pbuffer rendering.


Image UseSquarePixelsForExport
UseSquarePixelsForExport property

Applies to

Image

Declaration

property object.UseSquarePixelsForExport(Enable)

Description

Gets/sets whether to apply square (1:1) Pixel Aspect when this image is exported

Parameter	Description
Enable	Boolean.  Set true to use 1:1 Pixel Aspect for Graphics Import.
Returns

Enable - Boolean.  Returns current setting.

Remarks

The pixel aspect can be set explicitly through Image.PixelAspectForExport


Image Dimensions
Dimensions method

Applies to

Image

Declaration

function object.Dimensions(Width, Height)

Description

Gets the width in pixels, and the height in lines of the associated image object

Parameter	Description
Width	pointer to an I4 variant that will be loaded with the image width in pixels.
Height	pointer to an I4 variant that will be loaded with the image height in lines.
Returns

BOOL : True if successful, False otherwise

Remarks


Image Effect
Effect function

Applies to

Image

Declaration

function object.Effect(Effectname, Filename, Parameter1, Parameter2, Parameter3, Parameter4)

Description

Applies an effect to an image

Parameter	Description
Effectname	String.  Name of the effect. "Blur" is the only effect currently supported
Filename	String.  Name of the file to which the image will be written
Parameter1	Variant.  Parameter specific to the effect.  See remarks.
Parameter2	Variant.  Parameter specific to the effect.  See remarks.
Parameter3	Variant.  Parameter specific to the effect.  See remarks.
Parameter4	Variant.  Parameter specific to the effect.  See remarks.
Returns

Success - Boolean.  True if successful, false otherwse

Remarks

For "Blur":
Parameter1 is the radius of the Gaussian, in pixels, not counting the center pixel. 	Parameter2 is sigma, or the standard deviation of the Laplacian, in pixels.


Image ElementFieldData
ElementFieldData function

Applies to

Image

Declaration

function object.ElementFieldData(data, Field, FullFrame, Dominence, Topness, SwapFields, HDEnabled, Width)

Description

Gets RGBA buffer for either a full frame, field 1, or field 2.

Parameter	Description
data	Pointer to Variant that gets loaded with pixel data
Field	integer that specifies field to render (0 = full Frame, 1 = field 1, 2 = field 2)
FullFrame	Boolean.  Used in conjunction with rendering field 1 or field 2. If True a full frame is returned with the field data interleaved. If False only a field's worth of data is returned.
Dominence	Integer.  Whether odd or even field is first temporally
Topness	Integer. Whether odd or even field is on top spatially
SwapFields	Boolean.   Indicates whether fields are swapped.
HDEnabled	Integer.  Indicates whether HD rendering is enabled.
Width	Integer.  Width of the image
Returns

None

Remarks


Image ElementImageData
ElementImageData function

Applies to

Image

Declaration

function object.ElementImageData(data, Format)

Description

Gets the pixel data for the associated element

Parameter	Description
data	byte array of image data
Format	character string which can be any combination or order of R = red, G = green, B = blue, A = alpha, C = cyan, Y = yellow, M = magenta, and K = black. The ordering reflects the order of the pixels in the supplied pixel array.
Returns

None

Remarks


Image FromDIB
FromDIB function

Applies to

Image

Declaration

function object.FromDIB(BitmapInfo)

Description

Associates this image with a Windows DIB retrieved from a BITMAPINFO structure

Parameter	Description
BitmapInfo	Pointer to Variant that contains a BITMAPINFO structure
Returns

BOOL : True if successful, false otherwise

Remarks


Image FromRGBA
FromRGBA function

Applies to

Image

Declaration

function object.FromRGBA(data, Width, Height, Format)

Description

Associates this image proxy with a pixel buffer, default format for buffer is 32 bits per pixel

Parameter	Description
data	Byte array of pixel data
Width	Width of image in pixels.
Height	Height of image in lines.
Format	Optional BSTR variant to specify the pixel format of the data (i.e. RGBA, BGRA, BGR etc).
Returns

BOOL : True if successful, False otherwise

Remarks

If an optional format string is provided the buffer allocated for the image data is the length of the format string multiplied by the width parameter multiplied by the height parameter.   If not provided, RGBA is assumed.


Image GetImageData
GetImageData function

Applies to

Image

Declaration

function object.GetImageData(data, Width, Height)

Description

Gets the pixel data for an image associated with a component of a scene.

Parameter	Description
data	Pointer to a variant that will contain a 3-dimensional array containing each component of each pixel in the order red, green, blue, alpha.
Width	Pointer to an I4 variant that will contain the width of the image in pixels.
Height	Pointer to an I4 variant that will contain the height of the image in scanlines.
Returns

None

Remarks

Use Image.GetImageData2 to obtain a one-dimensional array.

VBScript example which will set the face color of the text in the selected template  to match the color of the first (upper-left) pixel of an image named "bkgimg".

set eImage = activecanvas.scene.element("bkgimg")

set nImage = eImage.element(0)

set rgbaData = nImage.rgbaimage

dim w, h, data

rgbaData.getimagedata data, w, h

r = data(0, 0, 0)

g = data(0, 0, 1)

b = data(0, 0, 2)

set t = activecanvas.scene.template(-1)

set tx = t.Text

set f = tx.Font

f.Color = RGB(r, g, b)

tx.Font = f


Image GetImageData2
GetImageData2 function

Applies to

Image

Declaration

function object.GetImageData2(ImageData, Width, Height)

Description

Gets the pixel data for an image associated with a scene element or primitive.

Parameter	Description
ImageData	Pointer to a variant that will contain a one-dimensional array of each pixel in the image
Width	Pointer to an I4 variant that will contain the width of the image in pixels.
Height	Pointer to an I4 variant that will contain the height of the image in scanlines.
Returns

None

Remarks

Image.GetImageData has been preserved for backwards compatibility. GetImageData2 will use output resolution for screen captures when Image.UsePBuffer is true and supported on hardware. GetImageData2 will also provide a one dimensional safe array for quicker operations.

The following VBScript example will load an image from disk as the canvas background:

s = "I:\Images\CanvasBackground.tga"

set bkgimg = Lyric.Image

bkgimg.Load s,"flip=1", "RGBA"

bkgimg.GetImageData2 imgdata, w,h

ActiveCanvas.Scene.SetBackgroundRGBA w,h,"RGBA",imgdata,true


Image JPEGTest
JPEGTest function

Applies to

Image

Declaration

function object.JPEGTest

Description

Remarks


Image Load
Load function

Applies to

Image

Declaration

function object.Load(FileName, LoadOptions, PixelFormat)

Description

Loads image data from a local filesystem and returns an RGBA byte array by reference

Parameter	Description
FileName	Path and filename on local filesystem of file to load
LoadOptions	Options for load and conversion to RGBA (quality=1-100, scale="widthXHeight", format="JPG|GIF|TGA|BMP|PNG")
PixelFormat	Optional argument specifies "RGBA", "RGB", "BGR", "AGB" etc...
Returns

ImageData : Array of byte data (BYREF) that must be deleted by caller.

Remarks


Image OpenSharedMemory
OpenSharedMemory function

Applies to

Image

Declaration

function object.OpenSharedMemory(MemName)

Description

Opens a shared memory file to store image data in

Parameter	Description
MemName	Name of shared memory
Returns

Open status - TRUE for success, FALSE for failure

Remarks

Once opened, use Image.WriteToSharedMemory to update the file


Image Save
Save function

Applies to

Image

Declaration

function object.Save(Filename, SaveOptions)

Description

Saves image data to a file

Parameter	Description
Filename	String. Absolute filename (i.e. c:\images\image1.jpg)
SaveOptions	String.  Options for save in the format of "attribute=value".  Multiple attributes should be separated by a space or double quotes.  See Remarks for examples.
Returns

Success - Boolean.  TRUE on success, FALSE on failure

Remarks

Options include
quality=n 	where n specifies the quality of the image from 1-100
scale=wXh 	where w,h indicate the width and height to which the image should be scaled
format=ext 	where ext indicates the format of the image, e.g JPG,GIF,TGA,BMP,PNG,etc.
compression=comp 	where comp indicates the compression of the image, e.g. RLE
matte=1 	where 1 indicates the image should have an alpha channel. An opaque one will be created if necessary
border=wXh+x+y 	w and h indicates the width and height of the border and x,y indicate the offset from the image
borderColor=n 	where n indicates the border color of the image as an RGB value
flip=1 	where 1 indicates the image should be inverted
 	scaleCenter=wXh 	where w,h indicate the width and height to which the image should be scaled.
A border will applied if necessary to maintain aspect
align=n 	where n is the number of columns to which the image should be aligned
 	classType=n 	where n indicates the image storage class as an integer


Image SetFieldSize
SetFieldSize function

Applies to

Image

Declaration

function object.SetFieldSize(Width)

Description

Sets the dimensions of the field to be rendered, overriding the existing dimensions

Parameter	Description
Width	Integer. Height - Integer.
Returns

Success - Boolean.

Remarks

Applicable to Image.ElementFieldData only


Image SetImageData
SetImageData function

Applies to

Image

Declaration

function object.SetImageData(data)

Description

Sets the pixel data for an image associated with a scene element or primitive

Parameter	Description
data	Pointer to a variant that is either a byref I4 that points to an array of RGBA values, or a safe array containing RGBA data.
Returns

None

Remarks


Image Size
Size function

Applies to

Image

Declaration

function object.Size(FileName, ImageWidth, ImageHeight)

Description

Retrieves information on size of a loaded image

Parameter	Description
FileName	Path and filename on local filesystem of file to load
ImageWidth	Pointer to I4 variant that receives the width of image in pixels
ImageHeight	Pointer to I4 variant that receives the height of image in lines
Returns

None

Remarks


Image ToRGB
ToRGB function

Applies to

Image

Declaration

function object.ToRGB(data, buffer, Width, Height, Width, Height, Color)

Description

Takes an input buffer that is formatted image data (i.e. a jpg, bmp, tga, etc...) and converts it into a  BGR buffer. Optionally fits the BGR buffer in the center of a solid-color background, retaining aspect ratio

Parameter	Description
data	Byte array of image formatted data.
buffer	Pointer to array that gets loaded with converted BGR data.
Width	Pointer to variant that gets loaded with the width of the converted BGR formatted data.
Height	Pointer to variant that gets loaded with the height of the converted BGR formatted data.
Width	Optional I4 variant that specifies the width of the background that the BGR buffer will be scaled to.
Height	Optional I4 variant parameter of type I4 that specifies the height of the background that the BGR buffer will be scaled to.
Color	Optional I4 variant that specifies the color of background that the BGR buffer will be written over.  Bits 0-7 specify the red component, bits 8-15 the green, and bits 16-23 the blue. Bits 24-31 are not used.
Returns

BOOL : True if successful, False otherwise

Remarks


Image UseFBSharedMemory
UseFBSharedMemory function

Applies to

Image

Declaration

function object.UseFBSharedMemory

Description

Uses the shared memory file provided by the current frame buffer to store image data in

Returns

Success - Boolean.

Remarks

Applicable to Image.ElementFieldData only


Image VariantTest
VariantTest function

Applies to

Image

Declaration

function object.VariantTest

Description

Remarks


Image WriteToSharedMemory
WriteToSharedMemory function

Applies to

Image

Declaration

function object.WriteToSharedMemory

Description

Writes RGBA image information to a shared memory block

Returns

Write status - TRUE for success, FALSE for failure

Remarks

Shared memory file should be opened through Image.OpenSharedMemory


KeyFrame
KeyFrame object

Properties	Methods	Events
Description

Represents a keyframe, a control point in the animation of an object.

Remarks

Obtained from KeyFrames.KeyFrame


KeyFrame Properties
Properties

Attribute	Interpolation
Frame	Value


KeyFrame Methods
Methods


KeyFrame Events
Events


KeyFrame Attribute
Attribute property

Applies to

KeyFrame

Declaration

property object.Attribute

Description

The attribute of the object that this keyframe is modifying.

Returns

Attribute - Integer

Remarks

Attribute values are as follows:
 0 = XPosition
 1 = YPosition
 2 = ZPosition
 3 = XRotation
 4 = YRotation
 5 = ZRotation
 6 = XScale
 7 = YScale
 8 = ZScale
 9 = XCenter
10 = YCenter
11 = ZCenter
12 = RGBADiffuse
13 = Focus
14 = Shine
15 = LoopEnabled
16 = Transp 	See note under AnimationState.Transp
17 = EffectPct
19 = LoopFrames
20 = LoopIterations
21 = PauseEnabled.  See also Scene.AddPause
22 = PauseType
23 = PauseTimeout

Note: Indices for additional attributes may be obtained through Node.Attribute


KeyFrame Frame
Frame property

Applies to

KeyFrame

Declaration

property object.Frame

Description

Returns the frame on the timeline where the keyframe is located

Returns

Frame - Integer

Remarks


KeyFrame Interpolation
Interpolation property

Applies to

KeyFrame

Declaration

property object.Interpolation

Description

The interpolation mode between this keyframe and the next

Returns

Interpolation - Integer.  See Remarks

Remarks

-1 = No Change
 0 = Linear
 1 = Spline
 2 = Jump
 3 = Ease In
 4 = Ease Out
 5 = Ease In Out
 6 = Ease Out In


KeyFrame Value
Value property

Applies to

KeyFrame

Declaration

property object.Value

Description

The value of the attribute at this keyframe

Returns

Attribute - Double.  Value of the attribute at this keyframe

Remarks


KeyFrames
KeyFrames object

Properties	Methods	Events
Description

Represents the keyframes of an object that define its animation in a specific transition

Remarks

Obtained through Node.Keyframes for the current transition or Transform.Keyframes for a specific transition


KeyFrames Properties
Properties

Count


KeyFrames Methods
Methods

Add	Delete	IsOnActiveTransition
AddEx	DeleteKeyframe	KeyFrame
AddMany	DeleteTrack	SuppressUpdates
AddManyEx	GetKeyFrameValue


KeyFrames Events
Events


KeyFrames Count
Count property

Applies to

KeyFrames

Declaration

property object.Count

Description

Gets the number of keyframes that are set for an element

Returns

KeyFrameCount - Integer.

Remarks


KeyFrames Add
Add method

Applies to

KeyFrames

Declaration

function object.Add(Frame, Attribute, Value, Interpolation)

Description

Adds a key frame to the elements collection

Parameter	Description
Frame	Integer.  Where on the timeline the key is to be added
Attribute	Integer.  What the added key represents.  See Remarks.
Value	Double. The setting for the attribute to be added
Interpolation	Variant. Method indicating how the attribute values should be calculated between key frames
Returns

Added - Boolean.  True if keyframe is added, false otherwise

Remarks

Attribute values are listed under KeyFrame.Attribute
 Interpolation values are listed under KeyFrame.Interpolation
 See the Timeline topic in Lyric's Online Help for further information


KeyFrames AddEx
AddEx function

Applies to

KeyFrames

Declaration

function object.AddEx(Frame, Attribute, Value, Interpolation, InterpValue)

Description

Adds a key frame to the elements collection

Parameter	Description
Frame	Integer.  Where on the timeline the key is to be added
Attribute	Integer.  What the added key represents.  See Remarks.
Value	Double. The setting for the attribute to be added
Interpolation	Variant. Method indicating how the attribute values should be calculated between key frames
InterpValue	Variant.  If Interpolation is set to some kind of "Ease", this sets the ease value.
Returns

Added - Boolean.  True if keyframe is added, false otherwise

Remarks

Attribute values are listed under KeyFrame.Attribute
 Interpolation values are listed under KeyFrame.Interpolation
 See the Timeline topic in Lyric's Online Help for further information


KeyFrames AddMany
AddMany function

Applies to

KeyFrames

Declaration

function object.AddMany(Frames, Attributes, Values, Interpolations)

Description

Adds multiple keyframes to the track.  Works the same as "Add", except it takes an array of each argument

Parameter	Description
Frames	Integer Array.  Where on the timeline the key is to be added
Attributes	Integer Array.  What the added key represents.  See Remarks.
Values	Double. The setting for the attribute to be added
Interpolations	Variant Array. Method indicating how the attribute values should be calculated between key frames
Returns

Added - Integer.  The number of keyframes successfully added

Remarks

See KeyFrames.Add for further information


KeyFrames AddManyEx
AddManyEx function

Applies to

KeyFrames

Declaration

function object.AddManyEx(Frames, Attributes, Values, Interpolations, Values)

Description

Adds multiple keyframes to the track.  Works the same as "AddEx", except it takes an array of each argument

Parameter	Description
Frames	Integer Array.  Where on the timeline the key is to be added
Attributes	Integer Array.  What the added key represents.  See Remarks.
Values	Double. The setting for the attribute to be added
Interpolations	Variant Array. Method indicating how the attribute values should be calculated between key frames
Values	Variant Array. If Interpolations provided are set to "Ease", these will set the ease values.
Returns

Added - Integer.  The number of keyframes successfully added

Remarks

See KeyFrames.AddEx for further information


KeyFrames Delete
Delete function

Applies to

KeyFrames

Declaration

function object.Delete(KeyFrameIndex)

Description

Deletes a keyframe from the timeline of an element

Parameter	Description
KeyFrameIndex	Variant, either zero-based index of keyframe to delete, or empty to delete all.
Remarks

The count of keyframes available will be adjusted accordingly


KeyFrames DeleteKeyframe
DeleteKeyframe function

Applies to

KeyFrames

Declaration

function object.DeleteKeyframe(Frame, Attribute)

Description

Deletes a keyframe, given an attribute and a frame

Parameter	Description
Frame	Integer. The frame at which to delete the attribute.
Attribute	Integer. The keyframe attribute to delete.
Returns

Valid - Boolean. True if the keyframe was found and deleted, false otherwise

Remarks

Attribute values are listed under KeyFrame.Attribute


KeyFrames DeleteTrack
DeleteTrack function

Applies to

KeyFrames

Declaration

function object.DeleteTrack(Attribute)

Description

Deletes all the key frames for a specific attribute of an element

Parameter	Description
Attribute	Integer. Attribute values to be deleted
Returns

Deleted - Boolean.  (1) if track has been deleted, False (0) otherwise.

Remarks

Attribute values are listed under KeyFrame.Attribute


KeyFrames GetKeyFrameValue
GetKeyFrameValue function

Applies to

KeyFrames

Declaration

function object.GetKeyFrameValue(Frame, Attribute, Value)

Description

Gets the value for a given keyframe attribute at a given frame.

Parameter	Description
Frame	Integer. The frame at which to retrieve the attribute.
Attribute	Integer. The keyframe attribute to retrieve.
Value	Pointer to Double.  Holds the value of the attribute at the frame after return if Valid was returned as true.
Returns

Valid - Boolean. True if valid value found for the given attribute and frame, false otherwise.

Remarks

Attribute values are listed under KeyFrame.Attribute


KeyFrames IsOnActiveTransition
IsOnActiveTransition function

Applies to

KeyFrames

Declaration

function object.IsOnActiveTransition

Description

Indicates whether this object refers to keyframes on the active transition for the node

Returns

IsOnActive - Boolean. True if the keyframe proxy will return keyframes for the node's active transform

Remarks


KeyFrames KeyFrame
KeyFrame function

Applies to

KeyFrames

Declaration

function object.KeyFrame(KeyFrameIndex)

Description

Gets a keyframe of an element by index

Parameter	Description
KeyFrameIndex	Integer. Zero-based index of keyframe to get; must be less than the value returned by "Count"
Returns

KeyFrame Object

Remarks


KeyFrames SuppressUpdates
SuppressUpdates function

Applies to

KeyFrames

Declaration

function object.SuppressUpdates(Value)

Description

Suppresses the refreshing of the node's keyframe data in the UI.

Parameter	Description
Value	Boolean.  Set to true to suppress, false to restore UI updates
Remarks


LicenseObject
LicenseObject object

Properties	Methods	Events
Description

Object to verify features and add license codes to the Lyric license manager

Remarks

Obtain through LyricObject.License
Also see LyricObject.QueryDongle and LyricObject.LicenseMask


LicenseObject Properties
Properties


LicenseObject Methods
Methods

AddLicense	HasFeature


LicenseObject Events
Events


LicenseObject AddLicense
AddLicense method

Applies to

LicenseObject

Declaration

sub object.AddLicense(LicenseKey)

Description

Adds a license key to the table maintained by the license manager

Parameter	Description
LicenseKey	String. License key to be added
Remarks


LicenseObject HasFeature
HasFeature sub

Applies to

LicenseObject

Declaration

sub object.HasFeature(Feature)

Description

Determines if any of the license keys registered with the Lyric license manager support a requested feature

Parameter	Description
Feature	String. Feature to check for
Returns

HasFeature - Boolean: TRUE if the feature is supported, FALSE if it is not

Remarks


LyricObject
LyricObject object

Properties	Methods	Events
Description

Top level Lyric interface. Provides access to Canvas, Browsers, Images, Plugins, License Manager, and Custom Properties.

Remarks


LyricObject Properties
Properties

ActiveCanvas	FontNames	NamespaceCount
ActiveFrameBuffer	FrameBuffers	Palettes
AdvancedMode	FrameRate	PlayListPlaying
AdvancedModeSave	IIOrderScheme	Preferences
AlphanumericMessage	InterocularDistance	Properties
Browsers	LastCGRead	RTLMode
ClientHWND	License	ServerProcess
ComplexScripting	LicenseMask	SetPropertyManager
Convergence	LoggingMode	StartUpStatus
DefaultPath	Message	Status
DigitSubstitution	MessageBrowser	SupportEmbeddedCommands
FileSaveAddsToBrowser	MessageGUID	UnicodeOnly
FontBar	MessagePath	UseAlphanumericMessaging
FontBrowser	MessageReset	VirtualOutputState


LyricObject Methods
Methods

AcquirePlaylistCS	GetSerialized	RegisterObject
ActivateFrame	HasSerialized	RegisterObjectEventHandler
ActivePlaylist	IICommand	RegisterObjectProperty
AltRecord	IICommandUnicode	RegisterObjectPropertyEditor
BasicModeSize	IITransmit	ReleasePause
ClientProcess	Image	ReleasePlaylistCS
CloseWindow	InputLangChange	RunAdvancedMode
ColorKey	InputTextureNames	SaveAs
ConfigureHw	InstallFont	SaveAsRange
ConfigureMenu	IsDeviceAvailable	SaveSerialized
CreateCustomPlaylist	LogCaseMessage	SetCGPlugin
CreatePlaylist	LogFile	SetForeground
CreateTextureSource	LogMessage	SetMessageData
CtrlRecord	MDIFrame	SetProperty
CustomProperties	MDIFrameControl	SetRegistry
DrawList	MemoryDiagnostic	SetTextureSourceProperty
ExecuteEmbeddedMacro	MessageType	SetTouchMode
ExecuteLECommand	Namespace	SetupChannel
ExecuteMacro	NextAlphanumericMessage	ShowInBrowser
FileSelect	Open	TransferView
FontKey	OpenBrowser	TranslateError
FrameBuffer	OpenPlaylist	TriggerGPI
FrameBufferPlaying	Parameter	TriggerGPO
FrameBufferPlayingHw	ParameterList	UninstallFont
FrameBufferScene	Plugins	UnregisterAll
GL	PrevAlphanumericMessage	Version
GenerateMemoryReport	QueryDongle	VideoCapture
GetComponents	Read	Wait
GetMessageData	ReadInfinit	WaitForNextFrame
GetNextIDForCS	ReadNext	WriteMessageData
GetParameterList	ReadPrev	XMLError
GetPlaylistLock	Record	XMLErrorString
GetProperty	RegisterFileType	XMLUpdate
GetRegistry	RegisterLEIFlet
GetScene	RegisterMenuItem


LyricObject Events
Events


LyricObject ActiveCanvas
ActiveCanvas property

Applies to

LyricObject

Declaration

property object.ActiveCanvas

Description

Gets the view that is currently being used to render Lyric objects

Returns

ActiveCanvas Object

Remarks


LyricObject ActiveFrameBuffer
ActiveFrameBuffer property

Applies to

LyricObject

Declaration

property object.ActiveFrameBuffer(FrameBuffer)

Description

Gets/sets the active frame buffer number.

Parameter	Description
FrameBuffer	Integer. Index of frame buffer to make active
Returns

FrameBuffer - Integer. Index of active frame buffer.

Remarks

The frame buffer object can be obtained via LyricObject.FrameBuffer


LyricObject AdvancedMode
AdvancedMode property

Applies to

LyricObject

Declaration

property object.AdvancedMode(AdvancedMode)

Description

Executes advanced mode by launching the Lyric application window.  Applicable to Lyric Server versions only.

Parameter	Description
AdvancedMode	Boolean.  Must be true.
Remarks

The user must exit from advanced mode manually by closing the Lyric application window.


LyricObject AdvancedModeSave
AdvancedModeSave property

Applies to

LyricObject

Declaration

property object.AdvancedModeSave(AdvancedModeSave)

Description

Gets whether the current message was saved on exit from Advanced Mode.  Applicable to Lyric Server versions only.

Parameter	Description
AdvancedModeSave	Boolean.  True if the current message was saved on exit from Advanced Mode
Remarks

See LyricObject.AdvancedMode


LyricObject AlphanumericMessage
AlphanumericMessage property

Applies to

LyricObject

Declaration

property object.AlphanumericMessage(MessageString)

Description

Gets/Sets the Lyric Message String

Parameter	Description
MessageString	Variant. The value to set the current alphanumeric message to
Returns

MessageString - Variant. The current alphanumeric message as displayed by the message counter

Remarks

See LyricObject.UseAlphanumericMessaging for more information


LyricObject Browsers
Browsers property

Applies to

LyricObject

Declaration

property object.Browsers

Description

Provides access to the Lyric Browser Interface

Returns

BrowsersCollection Object

Remarks


LyricObject ClientHWND
ClientHWND property

Applies to

LyricObject

Declaration

property object.ClientHWND(Hwnd)

Description

Identifies the client window which owns the Lyric plugin.  Lyric will monitor this window and automatically shut down when the window is destroyed. Applicable to Lyric server versions only

Parameter	Description
Hwnd	Integer.  Handle to the client window that will be monitored
Remarks

The client process can be monitored instead through LyricObject.ClientProcess


LyricObject ComplexScripting
ComplexScripting property

Applies to

LyricObject

Declaration

property object.ComplexScripting(ComplexScriptingOn)

Description

Sets Language Preferences to enable Complex Scripting for text input. Sets Language Preferences to enable Digit Substitution (usage of national numeral system) for text input.

Parameter	Description
ComplexScriptingOn	Boolean. If true, enable Complex Scripting.  DigitSubstituteOn - Boolean. If true, enable Digit Substitution.
Returns

 ComplexScriptingOn - Boolean. If true, Complex Scripting is enabled.  DigitSubstituteOn - Boolean. If true, Digit Substitution is enabled.

Remarks

The Language Preferences LyricObject.DigitSubstitution and LyricObject.RTLMode are dependent on Complex Scripting being enabled. Enabling Digit Substitution will force enable LyricObject.ComplexScripting.


LyricObject Convergence
Convergence property

Applies to

LyricObject

Declaration

property object.Convergence(Convergence)

Description

Gets/sets the default convergence value for the camera of future scenes for stereoscopic operation

Parameter	Description
Convergence	float. The default convergence value of the camera
Returns

Convergence - float. The default convergence value of the camera

Remarks

The convergence for a given scene can be set through Scene.Convergence


LyricObject DefaultPath
DefaultPath property

Applies to

LyricObject

Declaration

property object.DefaultPath(Path)

Description

Gets/Sets the default path for an asset type

Parameter	Description
Path	String. The new default path for the specified asset type
Returns

Path - String. The current default Path for the specified asset type

Remarks

The default path for messages can also be retrieved or modified through LyricObject.MessagePath
Asset Types are as follows
 Messages
 Templates
 Images
 Playlists
  Effects
 Clip Files
3D Objects
Movies
Fonts


LyricObject DigitSubstitution
DigitSubstitution property

Applies to

LyricObject

Declaration

property object.DigitSubstitution

Description

Remarks


LyricObject FileSaveAddsToBrowser
FileSaveAddsToBrowser property

Applies to

LyricObject

Declaration

property object.FileSaveAddsToBrowser(FileSaveAdds)

Description

Gets/sets whether a browser entry will be created when a message is saved

Parameter	Description
FileSaveAdds	Boolean. Set to True if saving a file will create a new browser entry
Returns

FileSaveAdds - Boolean. Set to True if saving a file will create a new browser entry

Remarks


LyricObject FontBar
FontBar property

Applies to

LyricObject

Declaration

property object.FontBar

Description

Gets the font toolbar

Returns

FontToolBar, FontToolBar Object

Remarks


LyricObject FontBrowser
FontBrowser property

Applies to

LyricObject

Declaration

property object.FontBrowser

Description

Returns the data source name of the active browser for fonts

Returns

FontDSN - String.

Remarks

See BrowsersCollection.Browser to obtain the data contained in this browser


LyricObject FontNames
FontNames property

Applies to

LyricObject

Declaration

property object.FontNames

Description

Gets a list of the names for all loaded fonts

Returns

FontNames, String. Comma-separated list of font names.

Remarks


LyricObject FrameBuffers
FrameBuffers property

Applies to

LyricObject

Declaration

property object.FrameBuffers

Description

Gets the number of frame buffers available

Returns

FrameBuffers - Integer. Number of frame buffers.

Remarks


LyricObject FrameRate
FrameRate property

Applies to

LyricObject

Declaration

property object.FrameRate(FrameRate)

Description

Gets/sets the frame rate for the current frame buffer.

Parameter	Description
FrameRate	Float.  Frames Per Second
Remarks

See also ActiveCanvas.SetFormat, ActiveCanvas.SetResolution and LyricObject.BasicModeSize


LyricObject IIOrderScheme
IIOrderScheme property

Applies to

LyricObject

Declaration

property object.IIOrderScheme(Scheme)

Description

Get/set the scheme for ordering elements that are updated by Intelligent Interface

Parameter	Description
Scheme	Integer.  See Remarks
Returns

Scheme - Integer.  See Remarks

Remarks

Available Ordering Schemes
0 	Group-Based
1 	Classic
2 	Numeric


LyricObject InterocularDistance
InterocularDistance property

Applies to

LyricObject

Declaration

property object.InterocularDistance(Distance)

Description

Gets/sets the default interocular distance for the camera of future scenes in stereoscopic operation

Parameter	Description
Distance	float. The default interocular distance for the camera
Returns

Distance - float. The default interocular distance for the camera

Remarks

The interocular distance for a given scene can be set through Scene.InterocularDistance


LyricObject LastCGRead
LastCGRead property

Applies to

LyricObject

Declaration

property object.LastCGRead(CGRead)

Description

Gets/sets the last file read by the Server version of Lyric

Parameter	Description
CGRead	Variant.   If string, pathname to file last read by Lyric Server
Returns

CGRead - Variant.   If string, pathname to file last read by Lyric Server

Remarks


LyricObject License
License property

Applies to

LyricObject

Declaration

property object.License

Description

Provides access to the Lyric License Control Object

Returns

LicenseObject

Remarks

Also see LyricObject.QueryDongle and LyricObject.LicenseMask


LyricObject LicenseMask
LicenseMask property

Applies to

LyricObject

Declaration

property object.LicenseMask

Description

Gets a bitmask describing the licensing of the Lyric session.

Returns

Bitmask - Integer.  One or more of the values in Remarks.

Remarks

DuetLE - 1
Server - 2
ServerPlus - 4
Lite - 8
ServerPremium - 16
ServerAdvanced - 32
ServerFullMenus - 64
SimpleServer - 128
Camio - 256
ServerWithPBuffer - 512
MultiChannelClipPlayer - 1024
OfflineTemporary - 2048
OnlineTemporary - 4096
LyricPro - 8192


LyricObject LoggingMode
LoggingMode property

Applies to

LyricObject

Declaration

property object.LoggingMode(LoggerOn)

Description

Gets/sets whether logging is enabled

Parameter	Description
LoggerOn	Boolean.  If true, enable logging
Returns

 LoggerOn - Boolean.  If true, logging is enabled

Remarks

If logging is enabled, the current log file can be accessed via LyricObject.LogFile


LyricObject Message
Message property

Applies to

LyricObject

Declaration

property object.Message(MessageNumber)

Description

Gets/Sets the Lyric Message Number

Parameter	Description
MessageNumber	Integer. The value to set the current message number to
Returns

MessageNumber - Integer. The current message number as displayed by the message counter

Remarks

To retrieve the message number for a particular scene, use Scene.Message
If LyricObject.UseAlphanumericMessaging is enabled, use LyricObject.AlphanumericMessage instead.


LyricObject MessageBrowser
MessageBrowser property

Applies to

LyricObject

Declaration

property object.MessageBrowser

Description

Returns the data source name of the active browser for messages

Returns

MessageDSN - String.

Remarks

See BrowsersCollection.Browser to obtain the data contained in this browser


LyricObject MessageGUID
MessageGUID property

Applies to

LyricObject

Declaration

property object.MessageGUID(GUID)

Description

Gets/sets the GUID of the message currently displayed in the canvas

Parameter	Description
GUID	String.
Returns

GUID - String.

Remarks


LyricObject MessagePath
MessagePath property

Applies to

LyricObject

Declaration

property object.MessagePath(MessagePath)

Description

Gets/Sets the Lyric Message Path

Parameter	Description
MessagePath	String. The value to set the current Message Path to
Returns

MessagePath - String. The current Message Path

Remarks


LyricObject MessageReset
MessageReset property

Applies to

LyricObject

Declaration

property object.MessageReset(Reset)

Description

Get/ssts whether the message counter is in reset mode.  If reset, the  next input to the numberpad will clear the counter.  If not reset, the next input to the numberpad will append to the current message number

Parameter	Description
Reset	Boolean.  True if the message counter is in reset mode Reset - Boolean.  True if the message counter is in reset mode
Remarks


LyricObject NamespaceCount
NamespaceCount property

Applies to

LyricObject

Declaration

property object.NamespaceCount

Description

Gets the number of registered namespaces

Returns

NamespaceCount - Integer. Number of registered namespaces.

Remarks


LyricObject Palettes
Palettes property

Applies to

LyricObject

Declaration

property object.Palettes

Description

Gets the color palette

Returns

Palettes Object

Remarks


LyricObject PlayListPlaying
PlayListPlaying property

Applies to

LyricObject

Declaration

property object.PlayListPlaying

Description

Flag that is used to indicate that the play list is playing.

Returns

Playing, Bool. Will be set to True if the play list is playing

Remarks


LyricObject Preferences
Preferences property

Applies to

LyricObject

Declaration

property object.Preferences

Description

Provides access to the set of general preferences available in Lyric

Returns

Preferences Object

Remarks


LyricObject Properties
Properties property

Applies to

LyricObject

Declaration

property object.Properties(Parameter)

Description

Gets/sets global properties for the Lyric application.

Parameter	Description
Parameter	Variant.  Value to set property to.
Returns

Parameter - Variant.  Current value of the property specified.

Remarks

See also LyricObject.GetProperty and LyricObject.SetProperty

Available global properties are:
"Themes.Playlist.Clear".
"Themes.Playlist.Preroll".
"Themes.Playlist.Cue".
"Themes.Playlist.Preview" 	Sets the color of the preview cursor in the playlist
"Themes.Playlist.Air" 	Sets the color of the air cursor in the playlist
"Themes.Playlist.Font.Name" 	Sets the facename of the font used in the playlist
"Themes.Playlist.Font.Size" 	Sets the size of the font used in the playlist
"Gpi.Playlist.Take.Dwell".
"CAMIO.ModalSuppressor" 	If set to 1, disables prompts from appearing over the user interface
"II.FlexibleTemplates" 	If set to 1, enables full pathnames to be used within template data messages
"Themes.MsgCounter.Text" 	Sets the color of the text in the message counter toolbar


LyricObject RTLMode
RTLMode property

Applies to

LyricObject

Declaration

property object.RTLMode(RTLMode)

Description

Gets/sets right-to-left reading order for 2D text

Parameter	Description
RTLMode	Boolean.  If true, enable right-to-left reading order
Returns

 RTLMode - Boolean.  If true, right-to-left reading order is enabled

Remarks

RTLMode as right-to-left is dependent on Complex Scripting being enabled. Enabling RTLMode as right-to-left will force enable LyricObject.ComplexScripting.


LyricObject ServerProcess
ServerProcess property

Applies to

LyricObject

Declaration

property object.ServerProcess

Description

Identify the process ID of the Lyric server

Returns

ProcessID - Integer. ID of the server process

Remarks

Needed for PreviewBox controlling multiple instances of Lyric


LyricObject SetPropertyManager
SetPropertyManager property

Applies to

LyricObject

Declaration

property object.SetPropertyManager(FrameBufferIndex)

Description

Sets the property manager to get/set the custom properties for a specific frame buffer.

Parameter	Description
FrameBufferIndex	Integer. Range is 0 to {LyricObject.FrameBuffers} - 1.
Remarks


LyricObject StartUpStatus
StartUpStatus property

Applies to

LyricObject

Declaration

property object.StartUpStatus

Description

Returns the startup status for Lyric Server.

Returns

Status - Integer.  Returns 0 if Lyric did not start.  Returns 1 if Lyric started with no canvas. Returns 2 if Lyric started completely

Remarks


LyricObject Status
Status property

Applies to

LyricObject

Declaration

property object.Status(StatusBarText)

Description

Sets the Lyric Status Bar text

Parameter	Description
StatusBarText	Text to be displayed in the status bar
Returns

None

Remarks


LyricObject SupportEmbeddedCommands
SupportEmbeddedCommands property

Applies to

LyricObject

Declaration

property object.SupportEmbeddedCommands(Support)

Description

Gets/sets whether Lyric will process commands embedded within Intelligent Interface field updates.. Embedded commands are used to dynamically change the font, color, or background for a template  within a update to its textual contents  However, this processing may prevent some international characters  from being properly processed as text

Parameter	Description
Support	Boolean.  If true, embedded commands are processed
Returns

Support - Boolean.  If true, enable processing of embedded commands

Remarks


LyricObject UnicodeOnly
UnicodeOnly property

Applies to

LyricObject

Declaration

property object.UnicodeOnly(UnicodeOn)

Description

Sets Language Preferences to enable Unicode Only for text input.

Parameter	Description
UnicodeOn	Boolean. If true, enable Unicode Only.
Returns

 UnicodeOn - Boolean. If true, Unicode Only is enabled.

Remarks


LyricObject UseAlphanumericMessaging
UseAlphanumericMessaging property

Applies to

LyricObject

Declaration

property object.UseAlphanumericMessaging(AlphaNumericMessagingOn)

Description

Sets preference for how Lyric treats ReadNext, ReadPrev, NextAlphanumericMessage, and PrevAlphanumericMessage by allowing alphanumeric message names.

Parameter	Description
AlphaNumericMessagingOn	Boolean. If true, enable Alphanumeric Messaging.
Returns

AlphaNumericMessagingOn - Boolean. If true, Alphanumeric Messaging is enabled.

Remarks

When using alphanumeric messaging, Lyric will not automatically pad filenames with leading zeroes nor recognize these without an exact match
See LyricObject.NextAlphanumericMessage and LyricObject.PrevAlphanumericMessage for more information


LyricObject VirtualOutputState
VirtualOutputState property

Applies to

LyricObject

Declaration

property object.VirtualOutputState(State)

Description

Get or sets the the virtual output window for offline.

Parameter	Description
State	Boolean. The state of the virtual output window. True for Open, False for Closed.
Returns

State - Boolean. The state of the virtual output window. True for Open, False for Closed.

Remarks

If closed, the virtual output window will not reopen itself when playing to output.


LyricObject AcquirePlaylistCS
AcquirePlaylistCS method

Applies to

LyricObject

Declaration

function object.AcquirePlaylistCS(ID)

Description

 Attempts to lock the playlist, returns immediately regardless of success.

Parameter	Description
ID	Integer. The unique ID of the process attempting to get a lock on the playlist
Returns

 Returns TRUE if control of the playlist was given to ID, FALSE otherwise

Remarks


LyricObject ActivateFrame
ActivateFrame function

Applies to

LyricObject

Declaration

function object.ActivateFrame(Caption)

Description

Activates a pre-existing built-in window frame

Parameter	Description
Caption	String. Caption of window, or pre-defined name as listed in remarks
Returns

Failure Code  - 0 = Success, -1 = Failure

Remarks

"Canvas"
"Key Frame"
"Time Line"
"Scene Graph"
"Property Sheet"
"Template Update"
"Clip File"
"Macros"
 "Template Properties"
  "2D Object Properties"
  "Conditional Transition"


LyricObject ActivePlaylist
ActivePlaylist function

Applies to

LyricObject

Declaration

function object.ActivePlaylist

Description

Provides access to the current playlist if one is open.

Returns

PlayList Object.

Remarks

Use LyricObject.CreatePlaylist to create a blank playlist, or LyricObject.OpenPlaylist to  open an existing playlist file.


LyricObject AltRecord
AltRecord function

Applies to

LyricObject

Declaration

function object.AltRecord

Description

Re-saves the currently loaded message

Returns

None

Remarks


LyricObject BasicModeSize
BasicModeSize function

Applies to

LyricObject

Declaration

function object.BasicModeSize(Width, Height, FormatWidth, FormatHeight, PixelAspect)

Description

(For CG Plugins) Establishes the dimensions and resolution of canvas in basic mode

Parameter	Description
Width	Width of the basic canvas in pixels
Height	Height of the basic canvas in scanlines
FormatWidth	Width of the canvas resolution in pixels
FormatHeight	Height of the canvas resolution in scanlines
PixelAspect	Variant.  If float or double, the pixel aspect to be used
Remarks

See also ActiveCanvas.SetFormat, ActiveCanvas.SetResolution and LyricObject.FrameRate


LyricObject ClientProcess
ClientProcess function

Applies to

LyricObject

Declaration

function object.ClientProcess(ProcessID)

Description

Identify the client process which owns the Lyric plugin.  Lyric will monitor this process and automatically shut down when the process exits. Applicable to Lyric server versions only

Parameter	Description
ProcessID	Integer.  ID of the owning process
Returns

Set - Boolean.   True if the process is now being monitored

Remarks

Serves as an alternative to LyricObject.ClientHwnd


LyricObject CloseWindow
CloseWindow function

Applies to

LyricObject

Declaration

function object.CloseWindow(Caption)

Description

Closes a window with the specified caption.

Parameter	Description
Caption	String. Window to close
Remarks


LyricObject ColorKey
ColorKey function

Applies to

LyricObject

Declaration

function object.ColorKey(specifier)

Description

Selects colors from the palette for 2D character's face and edge or 3D character's face and sides

Parameter	Description
specifier	To select palette colors 1-9 set the key specifier to "Ctrl " followed by a 1 - 9. To select palette colors 10-17 set the key specifier "Ctrl+Shift " followed by a 0 - 7.
Returns

None

Remarks


LyricObject ConfigureHw
ConfigureHw function

Applies to

LyricObject

Declaration

function object.ConfigureHw(ParentHwnd)

Description

Opens the Hardware configuration dialog

Parameter	Description
ParentHwnd	Variant Integer.  Optional handle to parent window
Remarks


LyricObject ConfigureMenu
ConfigureMenu function

Applies to

LyricObject

Declaration

function object.ConfigureMenu(MenuItem)

Description

Opens a Config submenu dialog corresponding to the item passed in as the parameter

Parameter	Description
MenuItem	Integer.  Submenu item position          String. Submenu item name
Returns

ErrorCode.  Zero on success.

Remarks


LyricObject CreateCustomPlaylist
CreateCustomPlaylist function

Applies to

LyricObject

Declaration

function object.CreateCustomPlaylist(Name, String, Variant)

Description

Creates a custom playlist

Parameter	Description
Name	String. Playlist name
String	String formatted as comma separated commands "H:<Hide standard column>" "S:<ColumnName>,<Width in pixels>" "C:<column name>"
Variant	Variant
Returns

PlayList Object.

Remarks

A Control String of "H:Speed,S:Control,50,C:Custom" would hide the Speed column, size the control column to 50 and add a custom column titled Custom


LyricObject CreatePlaylist
CreatePlaylist function

Applies to

LyricObject

Declaration

function object.CreatePlaylist

Description

Creates a blank playlist

Returns

PlayList Object.

Remarks

Use LyricObject.OpenPlaylist to open an existing playlist


LyricObject CreateTextureSource
CreateTextureSource function

Applies to

LyricObject

Declaration

function object.CreateTextureSource(Name, DispatchIDs)

Description

Specify the initializing plugin as a Texture Source.

Parameter	Description
Name	String. The source name that will be identified to the user.
DispatchIDs	long array - Dispatch IDs for the corresponding methods to receive texture events.
Returns

Registered - Boolean. True if texture source is created.

Remarks

To use this function to create a texture source, it must be called in a Plugin's OnInitialize function. Use PluginObject.CreateTextureSource otherwise.

Input DispatchIDs correspond to the Texture Event, Texture Rename Event, and Texture Selection Event in this respective order.

Function prototype for the Texture Event callback is of type:
 Return - VT_I4 - long returnValue
 Arg0 - VT_VARIANT || VT_ARRAY - Array of Variants specifying all parameters
Element 0 - long eTextureEvent
Element 1 - BSTR GUID
Element 2 - unsigned int TextureName
Element 3 - unsigned int array InputTextureNames
Element 4 - long Frame
Element 5 - long Field
Element 6 - long SceneIndex
Element 7 - unsigned int Bitmask
Bitmask includes flags:
(1 << 0) - Scene is on output

Function prototype for the Texture Rename Event callback is of type:  Return VT_EMPTY - void
 Arg0 - VT_VARIANT || VT_ARRAY - Array of Variants specifying all parameters
Element 0 - long eTextureEvent
Element 1 - BSTR PreviousGUID
Element 2 - BSTR NewGUID

Function prototype for the Texture Selection Event callback is of type:  Return VT_EMPTY - void
 Arg0 - VT_VARIANT || VT_ARRAY - Array of Variants specifying all parameters
Element 0 - long TextureEvent
Element 1 - BSTR SelectedGUID
Element 2 - long SelectedSurfaceIndex
Element 3 - long SelectedTextureIndex
Defined texture events include:
0 = Update - Frame update event
1 = Set - Texture creation event for new texture
2 = Refresh - Texture refresh event for existing texture
3 = Load - Texture load event for newly serialized texture
4 = Dispose - Texture removal event
5 = Selection - Texture selection event


LyricObject CtrlRecord
CtrlRecord function

Applies to

LyricObject

Declaration

function object.CtrlRecord(FileType, Options)

Description

Executes a Control-Record

Parameter	Description
FileType	Variant.  If provided, type of file to save as given in Remarks If omitted, the Control-Record dialog will appear
Options	Variant.  Reserved for future use.
Returns

True if successful, False otherwise

Remarks

File type may be specified as follows
"templatedata" - Template Data Message
"scenetree" - Scene Tree Message
"alltext" - All text in the selected 2D text window
"cursor" - Text starting from the cursor in the selected 2D text window
"currentrow" - Text on the current row in the selected 2D text window


LyricObject CustomProperties
CustomProperties function

Applies to

LyricObject

Declaration

function object.CustomProperties(PropertyType)

Description

Provides access to registered properties for a pre-defined or custom object class

Parameter	Description
PropertyType	String.  Name of the pre-defined or custom object.
Returns

RegisteredNamespaceEnum Object

Remarks

See LyricObject.RegisterObjectProperty for a list of pre-defined object types.


LyricObject DrawList
DrawList function

Applies to

LyricObject

Declaration

function object.DrawList(CommandBuffer)

Description

Adds vectors and/or shapes to the Lyric Foreground draw list

Parameter	Description
CommandBuffer	Draw command buffer - commands in the buffer follow the following format: <command byte><data>
Remarks

Valid commands are :
- command byte = 1,
= <4 Bytes Center X><4 Bytes Center Y><4 Bytes Width><4 Bytes Color (RGBA)>
  - command byte = 2,
= <4 Bytes Left><4 Bytes Top><4 Bytes Right><4 Bytes Bottom><4 Bytes Color (RGBA)>


LyricObject ExecuteEmbeddedMacro
ExecuteEmbeddedMacro function

Applies to

LyricObject

Declaration

function object.ExecuteEmbeddedMacro

Description

Allows a plugin to execute a Lyric macro which has been embedded in the current message

Returns

Result - Integer.  0 if macro executed successsfully, otherwise the macro error code

Remarks


LyricObject ExecuteLECommand
ExecuteLECommand function

Applies to

LyricObject

Declaration

function object.ExecuteLECommand(Command, BoardIndex)

Description

Executes a hardware command directly.  Applicable only to systems with CODI boards

Parameter	Description
Command	String.  Command to execute, formatted according to CODI SDK guidelines
BoardIndex	Integer.  Zero-based index of CODI board to send command to
Remarks


LyricObject ExecuteMacro
ExecuteMacro function

Applies to

LyricObject

Declaration

function object.ExecuteMacro(String)

Description

Allows a plugin to execute a Lyric macro

Parameter	Description
String	Macro name or VBScript subroutine
Returns

Result - Integer.  0 if macro executed successsfully, otherwise the macro error code

Remarks

There are three different script formats: 1) Dynamic script - equivalent to playing an unsaved script from the Macro Control Panel:
Lyric.ExecuteMacro("Lyric.Read") 2) Build a script subroutine to be executed later by name:
Lyric.ExecuteMacro("Sub Macro2" & vbCrLF & "Lyric.Message 15" & vbCrLf & "Lyric.Read" & vbCrLf & "End Sub")  Note: The name of the built script cannot duplicate any of the macros already  loaded into the script engine.  An error will be returned if this occurs. 3) Execute saved macro (either already loaded into engine from the Macro Control Panel Lyric.ExecuteMacro("Macro1") - executes the macro named Macro1.in the Macro Control Panel

   Lyric.ExecuteMacro("Macro2") - executes the example macro from item 2 above


LyricObject FileSelect
FileSelect function

Applies to

LyricObject

Declaration

function object.FileSelect(Filter, Options)

Description

Allows the user to select a file from a file dialog

Parameter	Description
Filter	Variant.  If provided, file filter to restrict selection to
Options	Variant.  String or string array of optional parameters.  See Remarks.
Returns

Filename - String.  The full pathname of the file selected

Remarks

Example:
sFile = Lyric.FileSelect("Text Files (*.txt)")
Options include:
Example:
sFile = Lyric.FileSelect("User Profiles (*.reg)", "folder=I:Profiles")


LyricObject FontKey
FontKey function

Applies to

LyricObject

Declaration

function object.FontKey(String)

Description

Selects via hot-key string a font from the last-activated Lyric Browser

Parameter	Description
String	Hot key to search for in the last-activated Lyric Browser
Returns

None

Remarks

For Font Keys 1-8, precede the key number with "Alt +"
For Font Keys 9-16, precede the key number with "Alt + Shift +"
 e.g. Lyric.FontKey "Alt + 1"
   Lyric.FontKey "Alt + Shift + 1"


LyricObject FrameBuffer
FrameBuffer function

Applies to

LyricObject

Declaration

function object.FrameBuffer

Description

Gets the frame buffer object at the given index

Returns

FrameBuffer object

Remarks

The index of the active frame buffer can be obtained via LyricObject.ActiveFrameBuffer


LyricObject FrameBufferPlaying
FrameBufferPlaying function

Applies to

LyricObject

Declaration

function object.FrameBufferPlaying(FrameBufferIndex)

Description

Flag that is used to indicate that a frame buffer is playing an animation.

Parameter	Description
FrameBufferIndex	Integer. Range 0 to {LyricObject.FrameBuffers} - 1.
Returns

Playing - Boolean. Set to True if an animation is playing on a specified frame buffer

Remarks


LyricObject FrameBufferPlayingHw
FrameBufferPlayingHw function

Applies to

LyricObject

Declaration

function object.FrameBufferPlayingHw(FrameBufferIndex)

Description

Flag that is used to indicate that a frame buffer is playing an animation to output.

Parameter	Description
FrameBufferIndex	Integer. Range 0 to {LyricObject.FrameBuffers} - 1.
Returns

Playing, Bool. Set to True if an animation is playing on a specified frame buffer

Remarks


LyricObject FrameBufferScene
FrameBufferScene function

Applies to

LyricObject

Declaration

function object.FrameBufferScene(FrameBufferIndex)

Description

Gets the active {Scene} Object for a given frame buffer.

Parameter	Description
FrameBufferIndex	Integer. Range 0 to {LyricObject.FrameBuffers} - 1.
Returns

Scene Object.

Remarks


LyricObject GL
GL function

Applies to

LyricObject

Declaration

function object.GL

Description

Gets an object to control OpenGL rendering to the canvas

Returns

OpenGL Object

Remarks


LyricObject GenerateMemoryReport
GenerateMemoryReport function

Applies to

LyricObject

Declaration

function object.GenerateMemoryReport

Description

Remarks


LyricObject GetComponents
GetComponents function

Applies to

LyricObject

Declaration

function object.GetComponents(AssetType)

Description

Provides a tab-delimited list of non-embedded assets in use by the current canvas scene

Parameter	Description
AssetType	Integer.   Asset type to search for.   See Remarks.
Returns

AssetList - String. Tab-delimited list of assets

Remarks

Asset Type Specification
 2 - Video clip files
 3 - Non-embedded image and texture files
 4 - DSNs (data source names)
 5 - TrueType font files
 6 - Flipbook files
10 - Audio clip files


LyricObject GetMessageData
GetMessageData function

Applies to

LyricObject

Declaration

function object.GetMessageData(Options)

Description

Called by plugins to retrieve the serialized data for the current message

Parameter	Description
Options	Variant.  If Boolean and true, any existing message data is updated first
Returns

MsgData - Variant.  A one-dimensional byte array containing the data for the message

Remarks

The message data may then be given back to Lyric through LyricObject.SetMessageData
Alternatively, the data can be written to file through LyricObject.WriteMessageData


LyricObject GetNextIDForCS
GetNextIDForCS function

Applies to

LyricObject

Declaration

function object.GetNextIDForCS

Description

 Returns a unique identifier to be used with {LyricObject.AcquirePlaylistCS}

Returns

 The unique ID which can be used with LyricObject.AcquirePlaylistCS

Remarks


LyricObject GetParameterList
GetParameterList function

Applies to

LyricObject

Declaration

function object.GetParameterList

Description

Returns the parameter list of the application

Returns

ParameterList Object

Remarks


LyricObject GetPlaylistLock
GetPlaylistLock function

Applies to

LyricObject

Declaration

function object.GetPlaylistLock

Description

 Returns the current lock of the playlist

Returns

 The current ID that has locked the playlist

Remarks


LyricObject GetProperty
GetProperty function

Applies to

LyricObject

Declaration

function object.GetProperty(PropName)

Description

Gets global properties for the Lyric application

Parameter	Description
PropName	String.  Name of Property.
Returns

Value - Variant.  Current value of the property specified.

Remarks

See LyricObject.Properties for further information


LyricObject GetRegistry
GetRegistry function

Applies to

LyricObject

Declaration

function object.GetRegistry(Key, ValueName, DefaultValue)

Description

Reads a value from Lyric's section of the Registry

Parameter	Description
Key	String. Registry Key. The exact registry location for the value will be  HKEY_CURRENT_USER\Software\Chyron\Lyric\<KEY> where <KEY> is the contents of the Key string
ValueName	String. Name of Value to be retrieved.
DefaultValue	Variant. Contains default value that will be returned if the registry key does not exist. and also indicates data type of the key.  Must be either a string or an integer.  Lyric will attempt to convert all other value types to strings.
Returns

RegistryData, Variant. Type is BSTR if DefaultValue is BSTR, Type is I4 if DefaultValue type is Integer (I2 or I4).

Remarks

Value can be stored via LyricObject.SetRegistry


LyricObject GetScene
GetScene function

Applies to

LyricObject

Declaration

function object.GetScene(Index)

Description

Queries all frame buffers for the scene with the given index

Parameter	Description
Index	Integer. Unique Scene ID. Scene IDs are monotonic increasing
Returns

Scene object

Remarks

For more information, see FrameBuffer.SceneByID


LyricObject GetSerialized
GetSerialized function

Applies to

LyricObject

Declaration

function object.GetSerialized(FileName, GUID, DataRetrieved, Variant)

Description

Gets LEIFlet specific data from the end of a file.

Parameter	Description
FileName	String. Full pathname of the file that contains the serialized data.
GUID	String. GUID that uniquely identifies the serialized data that is being read. The format is 152AB1C2-1D2A-4B3C-9F12-4CA1A6554322 enclosed within curly braces
DataRetrieved	Pointer to Array. Array that gets loaded with the retrieved data.
Variant	Optional. If Variant type is string, this parameter becomes the key used to decrypt the serialized data. If the Variant type is BOOL and it is True,  the data is encypted using the LEIFlet SDK vendor specific key. If not supplied  or variant type is BOOL and set to False then no decryption will be attempted.
Returns

Status, Bool. True if successful.

Remarks

The data can then be retrieved through LyricObject.SaveSerialized


LyricObject HasSerialized
HasSerialized function

Applies to

LyricObject

Declaration

function object.HasSerialized(FileName, GUID)

Description

Determines if a file has LEIFlet serialized data

Parameter	Description
FileName	String. Full pathname of the file to check.
GUID	String. GUID that uniquely identifies the serialized data.  The format is 152AB1C2-1D2A-4B3C-9F12-4CA1A6554322 enclosed within curly braces
Returns

DataSize - Integer. Returns the size of the serialized data if found. Returns -1 if not found.

Remarks

See LyricObject.SaveSerialized for further information


LyricObject IICommand
IICommand function

Applies to

LyricObject

Declaration

function object.IICommand(String)

Description

Receives and processes an Intelligent Interface command

Parameter	Description
String	Intelligent Interface command to process : Lyric.IICommand "V000\"
Returns

Intelligent Interface error code, or zero if command was successful

Remarks


LyricObject IICommandUnicode
IICommandUnicode function

Applies to

LyricObject

Declaration

function object.IICommandUnicode(String)

Description

Receives and processes a Unicode Intelligent Interface command

Parameter	Description
String	Unicode Intelligent Interface command to process : Lyric.IICommand "V000\"
Returns

Intelligent Interface error code, or zero if command was successful

Remarks


LyricObject IITransmit
IITransmit function

Applies to

LyricObject

Declaration

function object.IITransmit(Command)

Description

Transmits a user-defined string out the current Intelligent Interface port to support customized feedback with an automation system

Parameter	Description
Command	String.   String to send.
Returns

Transmitted - Boolean.   True if successful

Remarks


LyricObject Image
Image function

Applies to

LyricObject

Declaration

function object.Image

Description

Generates a generic Image Object

Returns

Image Object

Remarks


LyricObject InputLangChange
InputLangChange function

Applies to

LyricObject

Declaration

function object.InputLangChange(Charset, HKL)

Description

Called to change the input language

Parameter	Description
Charset	Integer: Character set identifier.
HKL	Integer. HKL of new input language
Returns

1 if successful, 0 if failure

Remarks


LyricObject InputTextureNames
InputTextureNames function

Applies to

LyricObject

Declaration

function object.InputTextureNames(Name, Texture, NodeNames)

Description

Specify input texture names for this Texture Source.

Parameter	Description
Name	String. The associated texture source name.
Texture	String. A previously set GUID associated with a plugin texture.
NodeNames	String Array.  The names of the nodes to use as input textures for this GUID.
Returns

None

Remarks

The input textures will be returned as an array to the texture event method specified in LyricObject.CreateTextureSource during the associated Texture's Update event. If an input is not found,  the texture name will be 0. Only object textures are available, returned by first node found if duplicate names exist in the scene.


LyricObject InstallFont
InstallFont function

Applies to

LyricObject

Declaration

function object.InstallFont(Path)

Description

Adds one or more fonts from the specified file to the system font table

Parameter	Description
Path	Path and file name of the font to be added to the system
Returns

Int - the number of fonts added to the system font table

Remarks

Fonts can be removed using LyricObject.UninstallFont


LyricObject IsDeviceAvailable
IsDeviceAvailable function

Applies to

LyricObject

Declaration

function object.IsDeviceAvailable(DeviceName)

Description

Returns true if the given external device is available

Parameter	Description
DeviceName	String.  Device to check for
Returns

Available - Boolean.  True if device is available

Remarks


LyricObject LogCaseMessage
LogCaseMessage function

Applies to

LyricObject

Declaration

function object.LogCaseMessage(LogType, Case, Message)

Description

Adds a message to the log with given case; logging must be enabled

Parameter	Description
LogType	Integer. Severity of the message. See Remarks.
Case	String. Module the message should be logged to
Message	String. Message to add
Returns

Success - True if log was updated; false if logging is not enabled or no current logfile is open

Remarks

See LyricObject.LogMessage for further information


LyricObject LogFile
LogFile function

Applies to

LyricObject

Declaration

function object.LogFile(ShowLog)

Description

Accesses the current log file if logging is enabled.

Parameter	Description
ShowLog	Variant.  If boolean and true, the log file will be opened.  Otherwise, just its pathaame is returned.
Returns

LogFile - String.  The full pathname of the current logfile.  An empty string will be returned if logging is not enabled or no current logfile is open

Remarks

Logging is enabled if LyricObject.LoggingMode returns true.


LyricObject LogMessage
LogMessage function

Applies to

LyricObject

Declaration

function object.LogMessage(LogMessage, LogType)

Description

Adds a message to the log; logging must be enabled

Parameter	Description
LogMessage	String.  Message to add
LogType	Integer.  Severity of the message { 1 = informational, 3 = warning, 7 = error, 15 = critical }
Returns

Success - True if log was updated; false if logging is not enabled or no current logfile is open

Remarks

Logging is enabled if LyricObject.LoggingMode returns true.
Log module will default to the context specified by LyricObject.RegisterLEIFLet or "Plugin" if RegisterLEIFlet has not been invoked. To log to a different module, use LyricObject.LogCaseMessage


LyricObject MDIFrame
MDIFrame function

Applies to

LyricObject

Declaration

function object.MDIFrame(Caption, XPos, YPos, Width, Height, MaxWidth, MaxHeight, MinWidth, MinHeight, ControlProgID)

Description

Creates/activates a LEIFlet MDI child frame that contains a LEIFlet based control.

Parameter	Description
Caption	String. Title to be displayed in the caption bar of the frame
XPos	Integer. X coordinate of the initial position of the frame, relative to  the upper left of the MDI client area the upper left of the MDI client area
YPos	Integer. Y coordinate of the initial position of the frame, relative to
Width	Integer. Initial width of the child frame in pixels.
Height	Integer. Initial height of the child frame in pixels
MaxWidth	Integer. Maximum width to which the child window can be sized
MaxHeight	Integer. Maximum height to which the child window can be sized
MinWidth	Integer. Minimum width to which the child window can be sized
MinHeight	Integer. Minimum height to which the child window can be sized
ControlProgID	String. ProgID of the control that is contained within the view of the MDI frame (i.e. Chyron.LEIFlet.TestLEIFlet.Control.1)
Returns

HWnd - Integer. Handle to the window of the created child frame.

Remarks

If the caption of an existing MDI child frame is identical to that given, a new frame is not created. Instead, the existing frame will be activated and its handle will be returned

The LEIFlet control may optionally implement the "SetLyric" method which will be called by Lyric upon successful instantiation of the control:
  Public Sub SetLyric(ByVal Lyric, ByRef Succeeded As Boolean)


LyricObject MDIFrameControl
MDIFrameControl function

Applies to

LyricObject

Declaration

function object.MDIFrameControl(Hwnd)

Description

Returns the control object contained in the MDI frame

Parameter	Description
Hwnd	Integer. Handle to the MDI frame window (returned by MDIFrame)
Returns

Control Window Object

Remarks

See LyricObject.MDIFrame for further information.


LyricObject MemoryDiagnostic
MemoryDiagnostic function

Applies to

LyricObject

Declaration

function object.MemoryDiagnostic(Diagnostic, Value)

Description

Execute memory diagnostics.

Parameter	Description
Diagnostic	Variant. Diagnostic to execute.
Value	Variant. Control over diagnostic.
Returns

Success - Boolean. Return true on Success, false on Failure.

Remarks

Diagnostics are as follows:
0 - Log a walk of heaps in the process.
Value:
0 - Walk all heaps in use by Lyric.
1 - Walk all Quicktime heaps in use by Lyric.
2 - Walk the CRT heap in use by Lyric.
Log is written to %TEMP%/PROCESS_HEAP_LOGX.txt

1 - Log the handle count in use by Lyric.
Value: Reserved - Must be 0.
Log is written to %TEMP%/PROCESS_HANDLE_LOGX.txt

2 - Reinitialize Quicktime. Relieves memory pressure when using a large amount of Quicktime files. This should be used when the user does not want to clear all Quicktime movies from the canvas.
Value: Reserved - Must be 0.

3 - Set memory threshold before Quicktime heaps are re-initialized when there are no more references to Quicktime movies in the canvas or on output.
Value: Threshold in bytes. Default is 134217728 bytes.

4 - Log information on textures that are currently in use by Lyric.
Value: Reserved - Must be 0.
Log is written to %TEMP%/LYRIC_TEXTURE_REPORT.txt

MemoryDiagnostic functions should not be executed while playing to output as they may impact performance.


LyricObject MessageType
MessageType function

Applies to

LyricObject

Declaration

function object.MessageType(Message)

Description

Gets the type of message for a message number

Parameter	Description
Message	Integer. Number of message
Returns

MessageType - Integer.  Message Type as dictated in Remarks

Remarks

Type = -1 Message could not be found or type cannot be determined
Type =  0 Lyric Static Page or Animation
Type =  1 Clock/Timer message
Type =  3 Macro message
Type =  4 Template Data Message ('W' file)
Type =  5 Popon file
Type =  6 MultiFX message
Type =  7 Video I/O settings
Type =  8 Lyric LE Effects message
Type =  9 Scene Tree Message (Pro Versions only)


LyricObject Namespace
Namespace function

Applies to

LyricObject

Declaration

function object.Namespace(NamespaceIndex)

Description

Gets a registered namespace

Parameter	Description
NamespaceIndex	Integer. Zero based namespace index. Range 0 to {LyricObject.NamespaceCount} - 1.
Returns

Namespace, MasterCustomProperties Object.

Remarks


LyricObject NextAlphanumericMessage
NextAlphanumericMessage function

Applies to

LyricObject

Declaration

function object.NextAlphanumericMessage

Description

Sets the Lyric Message displayed by the Message Counter to the next alphanumeric message in the Lyric Message Directory

Returns

None

Remarks

Use a subsequent LyricObject.Read to load the message, or LyricObject.AlphanumericMessage to query the message string.


LyricObject Open
Open function

Applies to

LyricObject

Declaration

function object.Open(FileName, AddToScenes)

Description

Open and read a file

Parameter	Description
FileName	Path and file (i.e. c:\program files\chyron\lyric\messages\00000000.lyr)
AddToScenes	Boolean.  If TRUE, it will add the newly loaded scene to the list of scenes,  instead of replacing existing scenes.(Pro versions only)
Returns

None

Remarks

The following file types are supported
(1) Lyric Playlists     (*.ply)
(2) Lyric Message Files (*.lyr) (includes mix messages and macros)
(3) Clip Control Files  (*.ccf)
(4) HTML Files     (*.htm, *.html)
(5) Macro Files     (*.lmx)
(6) Lyric User Profiles (*.reg, *.lup)
(7) Safe Title Settings (*.saf)


LyricObject OpenBrowser
OpenBrowser function

Applies to

LyricObject

Declaration

function object.OpenBrowser(DSNName)

Description

Opens a browser window containing the specified database source

Parameter	Description
DSNName	Variant.  If provided and a string, name of the data source.  Otherwise, the the default data source will be used as set in Preferences.
Returns

Success - Boolean.  True if browser was opened successfully

Remarks


LyricObject OpenPlaylist
OpenPlaylist function

Applies to

LyricObject

Declaration

function object.OpenPlaylist(PlaylistFile)

Description

Opens an existing playlist file.

Parameter	Description
PlaylistFile	String. Playlist path and file name. (i.e. c:\chyron\lyric\playlists\playlist1.ply)
Returns

PlayList Object.

Remarks

Use LyricObject.CreatePlaylist to create a blank playlist


LyricObject Parameter
Parameter function

Applies to

LyricObject

Declaration

function object.Parameter

Description

Creates and returns a new parameter object

Returns

Parameter Object

Remarks


LyricObject ParameterList
ParameterList function

Applies to

LyricObject

Declaration

function object.ParameterList

Description

Creates and returns an empty parameter list

Returns

ParameterList Object

Remarks


LyricObject Plugins
Plugins function

Applies to

LyricObject

Declaration

function object.Plugins

Description

Provides access to the Lyric Plugin Control Object

Returns

PluginCollection Object

Remarks


LyricObject PrevAlphanumericMessage
PrevAlphanumericMessage function

Applies to

LyricObject

Declaration

function object.PrevAlphanumericMessage

Description

Sets the Lyric Message displayed by the Message Counter to the previous alphanumeric message in the Lyric Message Directory

Returns

None

Remarks

Use a subsequent LyricObject.Read to load the message, or LyricObject.AlphanumericMessage to query the message string.


LyricObject QueryDongle
QueryDongle function

Applies to

LyricObject

Declaration

function object.QueryDongle(Feature)

Description

Queries the dongle for the requested value

Parameter	Description
Feature	Integer: Unique Feature ID
Returns

Value - Integer. Current Feature value

Remarks

Some possible values are:
"0xC4000C" - returns 0 for Lyric Pro, 1 for Lyric Standard


LyricObject Read
Read function

Applies to

LyricObject

Declaration

function object.Read(Message, Options)

Description

Opens from the Lyric Message directory a message at the address specified by the current message number

Parameter	Description
Message	Variant.  If provided and integral, contains the message number to read (overwriting  the current message number)
Options	Variant.  If provided, boolean and true, appends the message to the scene tree. Existing scenes in the canvas will not be discarded. (Pro versions only)
Returns

None

Remarks

The current message number can be obtained through LyricObject.Message
The current message directory can be obtained through LyricObject.MessagePath
To open a Lyric message with an alphabetic filename, or to open other types of supported files use LyricObject.Open


LyricObject ReadInfinit
ReadInfinit function

Applies to

LyricObject

Declaration

function object.ReadInfinit(MessageName, FontDir)

Description

Reads an iNFiNiT! message.

Parameter	Description
MessageName	String. iNFiNiT! path and file name.
FontDir	VARIANT type BSTR. Optional font directory
Returns

Status - Boolean.  Always TRUE

Remarks

Unless provided, the font directory is assumed to be in the folder ..\MACHINE relative to the message path


LyricObject ReadNext
ReadNext function

Applies to

LyricObject

Declaration

function object.ReadNext

Description

Opens from the Lyric Message directory a Lyric message whose filename is equal to  current message number or within a given range after it

Returns

None

Remarks


LyricObject ReadPrev
ReadPrev function

Applies to

LyricObject

Declaration

function object.ReadPrev

Description

Opens from the Lyric Message directory a Lyric message whose filename is equal to  current message number or within a given range before it

Returns

None

Remarks


LyricObject Record
Record function

Applies to

LyricObject

Declaration

function object.Record

Description

Saves the current scene in the canvas to the Lyric Message Directory with its filename set to the current message number

Returns

None

Remarks

The current message number can be obtained through LyricObject.Message
The current message directory can be obtained through LyricObject.MessagePath
To save a Lyric message with an alphabetic filename, use LyricObject.SaveAs


LyricObject RegisterFileType
RegisterFileType function

Applies to

LyricObject

Declaration

function object.RegisterFileType(Extension, Description, ProgID)

Description

Specify the initializing plugin as a file exporter.

Parameter	Description
Extension	String. The extension of the file type supported by the plugin.
Description	String. A description of the supported file type.
ProgID	String. Optional. The ProgID of the plugin supporting this file type.
Returns

Registered - Boolean. True if file type is successfully registered.

Remarks

If the optional ProgID is not specified, the currently registering plugin will be associated instead.
The function may fail if both the Extension and Description are not unique or if either are not provided.


LyricObject RegisterLEIFlet
RegisterLEIFlet function

Applies to

LyricObject

Declaration

function object.RegisterLEIFlet(Key, VendorID, Title)

Description

Registers a LEIFlet.

Parameter	Description
Key	String. Valid vendor license key, provided with LEIF SDK.
VendorID	String. Vendor ID, provided with LEIF SDK.
Title	String. Name of LEIFlet as it is to appear in the About Box.
Remarks

After receiving a LyricObject all plugins must call this function in order to gain access to any other LyricObject functions/properties.


LyricObject RegisterMenuItem
RegisterMenuItem function

Applies to

LyricObject

Declaration

function object.RegisterMenuItem(MenuText, Context, ExecuteMethod)

Description

Inserts a menu item into the main menu and specifies a method to call when it is selected

Parameter	Description
MenuText	String. Menu item text that appears in the Lyric menu
Context	String. Pipe separated name of where to insert the menu item
ExecuteMethod	String. The name of the script subroutine or plugin method to call when this item is selected
Returns

Failure Code  - 0 = Success, -1 = Failure

Remarks


LyricObject RegisterObject
RegisterObject function

Applies to

LyricObject

Declaration

function object.RegisterObject(Name)

Description

Registers a new object type

Parameter	Description
Name	Name of object
Returns

Failure Code  - 0 = Success, -1 = Failure

Remarks


LyricObject RegisterObjectEventHandler
RegisterObjectEventHandler function

Applies to

LyricObject

Declaration

function object.RegisterObjectEventHandler(Object, Event, Method)

Description

Registers a handler for a custom object type

Parameter	Description
Object	String. Name of object
Event	Integer. Event to handle
Method	String. Plugin Method or Script Subroutine to handle event
Returns

Failure code  - 0 = Success, -1 = Failure

Remarks


LyricObject RegisterObjectProperty
RegisterObjectProperty function

Applies to

LyricObject

Declaration

function object.RegisterObjectProperty(Namespace, Name, Type, Default, Objects, Specifics)

Description

Registers a custom property within a namespace for one or more Lyric object types.  All registered properties and their values persist with the object since they are serialized within the Lyric message.

Parameter	Description
Namespace	String. Group to which the registered property will be associated with
Name	String. Name of the property
Type	Integer.  Type of the property 0 = String, 1 = Integer, 2 = Real, 3 = Combo Choice, 4 = Edit, 5 = Parsed
Default	String. Default value that the property will be initialized to
Objects	Variant. Safe Array of built-in or custom object types that this property is to be associated with.  See remarks.
Specifics	String. For Combo type, specify a dot-separated list of possible values for the property For Parsed type, specify the Property to be parsed.
Returns

Failure code - 0 = Success, -1 = Failure

Remarks

Pre-defined object types are:
 0 = Lyric2DObject 	Image
 1 = LyricGlobalLight
 2 = LyricTemplateField
 3 = Lyric3DCharacter
 4 = LyricWavefront
 5 = LyricDirectionalLight	(Obsolete)
 6 = LyricPositionalLight
 7 = LyricSpotLight
 8 = LyricWindow2DObject
 9 = LyricVideoRegion
10 = LyricClockTimer
11 = LyricTwoDTextObject	(Animated Text Element)
12 = LyricFullPageObject
13 = LyricSplineWindow
14 = LyricSqueezeBackObj
15 = LyricThreeDTemplate
16 = LyricFlipbook
17 = LyricVideoClip
18 = LyricTextRow
19 = LyricGroup
20 = LyricGeneric	(Applies to all object types)
21 = LyricMovie
22 = LyricGeoPlugin
23 = Lyric3DStudio
24 = LyricEvent
25 = LyricPicture
26 = LyricAutoSpacing
27 = LyricDataObject

See RegisteredProperty for further information
VBScript example:

ReDim objt(1)

objt(0) =  "Lyric2DObject"

lyric.RegisterObjectProperty("MyLEIFlet's Namespace", "MyLEIFlet's Shapes", ePropTypeCombo, "Circle", objt, "Circle.Triangle.Square");


LyricObject RegisterObjectPropertyEditor
RegisterObjectPropertyEditor function

Applies to

LyricObject

Declaration

function object.RegisterObjectPropertyEditor(Namespace, ProgID, Objects)

Description

Registers an editor to be used for a given property namespace.

Parameter	Description
Namespace	String. Registered properties in this namespace will use this editor
ProgID	String. ProgID of the editor control
Objects	Variant. Array of lyric objects that will use this editor
Returns

Failure code - Integer. 0 = Success, -1 = Failure

Remarks


LyricObject ReleasePause
ReleasePause function

Applies to

LyricObject

Declaration

function object.ReleasePause

Description

Releases all pauses in effect for all animations

Returns

Released - Boolean.  True on success

Remarks

To release a pause on a particular scene, use Scene.ReleasePause To release a pause for a particular frame buffer, use FrameBuffer.ReleasePause


LyricObject ReleasePlaylistCS
ReleasePlaylistCS function

Applies to

LyricObject

Declaration

function object.ReleasePlaylistCS

Description

 Releases the current playlist CS

Returns

 The value of the previous playlist CS

Remarks


LyricObject RunAdvancedMode
RunAdvancedMode function

Applies to

LyricObject

Declaration

function object.RunAdvancedMode

Description

Remarks


LyricObject SaveAs
SaveAs function

Applies to

LyricObject

Declaration

function object.SaveAs(FileName)

Description

Creates a Lyric Message from the canvas and saves it to a specified file

Parameter	Description
FileName	Path and file name of message to be saved (i.e. c:\lyric\messages\msg1.lyr)
Returns

None

Remarks


LyricObject SaveAsRange
SaveAsRange function

Applies to

LyricObject

Declaration

function object.SaveAsRange(FileName, Start, End)

Description

Creates a Lyric Message from the canvas and saves it to a specified file

Parameter	Description
FileName	Path and file name of message to be saved (i.e. c:\lyric\messages\msg1.lyr)
Start	Integer. Initial Frame. May be ignored.
End	Integer. Last Frame. May be ignored.
Returns

 None

Remarks


LyricObject SaveSerialized
SaveSerialized function

Applies to

LyricObject

Declaration

function object.SaveSerialized(FileName, GUID, DataToSave, Key)

Description

Saves LEIFlet specific data to the end of a file

Parameter	Description
FileName	String. Full pathname of the file that the LEIFlet serialized data will be written to.
GUID	String. GUID to uniquely identify the serialized data. Format is 152AB1C2-1D2A-4B3C-9F12-4CA1A6554322 enclosed within curly braces.
DataToSave	Array.
Key	Variant. Optional. If Variant type is string, this parameter becomes the key used to encrypt the serialized data. If the Variant type is BOOL and it is True,  the data is encypted using the LEIFlet SDK vendor specific key. If not supplied  or variant type is BOOL and set to False, then no encryption will be performed.
Returns

Status, Bool. True if save is successful.

Remarks

See LyricObject.SaveSerialized for further information


LyricObject SetCGPlugin
SetCGPlugin function

Applies to

LyricObject

Declaration

function object.SetCGPlugin(PluginCtrl)

Description

Sets what CG Plugin is controlling Lyric

Parameter	Description
PluginCtrl	Dispatch.  The dispatch map to the CG plugin
Remarks

See also LyricObject.ClientHWND


LyricObject SetForeground
SetForeground function

Applies to

LyricObject

Declaration

function object.SetForeground

Description

Sets the application active, forcing its UI to the foreground

Remarks


LyricObject SetMessageData
SetMessageData function

Applies to

LyricObject

Declaration

function object.SetMessageData(MsgData)

Description

Called by plugins to create a message from serialized data

Parameter	Description
MsgData	Variant.  A one-dimensional byte array containing the data for the message MsgGUID - Variant.  Optionally provide the message guid for this data as a string
Remarks

The message data may be retrieved through LyricObject.GetMessageData and the current message GUID through LyricObject.MessageGUID


LyricObject SetProperty
SetProperty function

Applies to

LyricObject

Declaration

function object.SetProperty(PropName, Value)

Description

Sets global properties for the Lyric application

Parameter	Description
PropName	String.  Name of Property.
Value	Variant.  Value to set property to.
Remarks

See LyricObject.Properties for further information


LyricObject SetRegistry
SetRegistry function

Applies to

LyricObject

Declaration

function object.SetRegistry(Key, ValueName, Value)

Description

Writes a value to Lyric's section of the Registry

Parameter	Description
Key	String. Registry Key. The exact registry location for the value will be  HKEY_CURRENT_USER\Software\Chyron\Lyric\<KEY> where <KEY> is the contents of the Key string
ValueName	String. Name of value to write.
Value	Variant. Contains value that will be written to the registry   Must be either BSTR or integer Lyric will attempt to convert all other value types to strings.
Remarks

Value can be read via LyricObject.GetRegistry


LyricObject SetTextureSourceProperty
SetTextureSourceProperty function

Applies to

LyricObject

Declaration

function object.SetTextureSourceProperty(Name, Property, Value)

Description

Set a property for a registered texture source

Parameter	Description
Name	String. The associated texture source name.
Property	String. The property to modify.
Value	Variant. The value to set the property to.
Returns

Verified - Boolean. Return true if property is set.

Remarks

Properties include:
 "MaxTextures" - Integer. Enforce a max texture count per scene due to software limitation.
 "FlipV" - Boolean. New textures should be flipped vertically after a Set Event
 "FlipH" - Boolean. New textures should be flipped horizontally after a Set Event
 "FlipVToggle" - Boolean. New textures should negate their vertical flip after a Load Event
 "FlipHToggle" - Boolean. New textures should negate their horizontal flip after a Load Event
 "ForceRefresh" - Boolean. Plugin should be notified every render, rather than only on new frames/fields.  "SingleRefresh" - Boolean. Plugin should be notified once on next render, rather than only on new frames/fields.
See LyricObject.CreateTextureSource for more information


LyricObject SetTouchMode
SetTouchMode function

Applies to

LyricObject

Declaration

function object.SetTouchMode(Mode)

Description

 Sets the touch mode to liftoff or touchdown

Parameter	Description
Mode	Boolean. True indicates liftoff mode should be set, false indicates touchdown mode should be set.
Remarks

 In touchdown mode there is no support for gestures. see OverlayLayer and HotSpotMgr for more information on touch.


LyricObject SetupChannel
SetupChannel function

Applies to

LyricObject

Declaration

function object.SetupChannel(Channel, Parameter, Value)

Description

Sets configuration parameter for specified channel

Parameter	Description
Channel	Integer. Range 1-4
Parameter	String. Valid parameters are indicated in Remarks
Value	Integer. Value to set parameter to
Returns

Bool. Set to True to indicate keyer configuration succeeded

Remarks

Current parameters available:
"Keyer" - Turn keyer off/on for specified channel
"KeyEnable" - Indicate that key signal is available for specific channel
"ShapeEnable" - Indicate that Video In should be shaped by Key In


LyricObject ShowInBrowser
ShowInBrowser function

Applies to

LyricObject

Declaration

function object.ShowInBrowser(URL)

Description

Navigates to a specified URL and displays the page in a browser frame

Parameter	Description
URL	String. Valid URL (i.e. www.chyron.com, c:\htmlDocs\test.html, etc...)
Returns

None

Remarks


LyricObject TransferView
TransferView function

Applies to

LyricObject

Declaration

function object.TransferView(FrameBufferIndex)

Description

Transfers the contents of the VGA canvas to output

Parameter	Description
FrameBufferIndex	Integer. Range 0 to {LyricObject.FrameBuffers} - 1.
Remarks


LyricObject TranslateError
TranslateError function

Applies to

LyricObject

Declaration

function object.TranslateError(ErrorVar)

Description

Translates an HRESULT/SCODE error to a long integer

Parameter	Description
ErrorVar	Variant.   Error code
Returns

ErrorVal - Long. Error code as a 32-bit long integer

Remarks

For use in VBScript macros to check error codes returned as HRESULTs by 3rd-party functions


LyricObject TriggerGPI
TriggerGPI function

Applies to

LyricObject

Declaration

function object.TriggerGPI(GPIIndex)

Description

Simulates the triggering of a GPI

Parameter	Description
GPIIndex	Integer. One-based index of the GPI that will be triggered
Returns

Success - Boolean.  Returns true on success

Remarks


LyricObject TriggerGPO
TriggerGPO function

Applies to

LyricObject

Declaration

function object.TriggerGPO(GPIIndex, OutputType)

Description

Triggers one or more GPOs

Parameter	Description
GPIIndex	Variant. One-based index of the GPO(s) that will be triggered, provided as a single integer or an integer array. All GPOs must already be configured as an output.
OutputType	Variant.  Pulse if 0 or not provided, Low if 1, High if 2.
Returns

Triggered - Integer.  The number of GPOs that were triggered successfully.

Remarks


LyricObject UninstallFont
UninstallFont function

Applies to

LyricObject

Declaration

function object.UninstallFont(Path)

Description

Removes one or more fonts in the specified file from the system font table

Parameter	Description
Path	Path and file name of the font to be removed from the system
Returns

Int - the number of fonts removed from the system font table

Remarks

Fonts are installed using LyricObject.InstallFont


LyricObject UnregisterAll
UnregisterAll function

Applies to

LyricObject

Declaration

function object.UnregisterAll

Description

Removes all registered namespaces and editor

Returns

None

Remarks


LyricObject Version
Version function

Applies to

LyricObject

Declaration

function object.Version

Description

Get information on this version of Lyric

Returns

LyricVersion Object.

Remarks


LyricObject VideoCapture
VideoCapture function

Applies to

LyricObject

Declaration

function object.VideoCapture

Description

Provides access to Video Capture operations

Returns

VideoCapture Object

Remarks


LyricObject Wait
Wait function

Applies to

LyricObject

Declaration

function object.Wait(FrameDelay)

Description

Pauses Lyric for a specified number of frames

Parameter	Description
FrameDelay	Integer. Number of frames to wait
Returns

None

Remarks

Use a FrameDelay of 0 to allow dialogs to open, etc.


LyricObject WaitForNextFrame
WaitForNextFrame function

Applies to

LyricObject

Declaration

function object.WaitForNextFrame(FrameBufferIndex)

Description

Waits for next frame to be rendered by given frame buffer

Parameter	Description
FrameBufferIndex	Integer. Range 0 to {LyricObject.FrameBuffers} - 1.
Returns

NextFrame - Integer. Set to -1 if FB is not playing, or error occurred

Remarks


LyricObject WriteMessageData
WriteMessageData function

Applies to

LyricObject

Declaration

function object.WriteMessageData(Filename)

Description

Called by plugins to write the serialized data for the current message to disk

Parameter	Description
Filename	String.  Absolute pathname of file to which the data will be written
Remarks

Alternatively, the data can be retrieved directly through LyricObject.GetMessageData


LyricObject XMLError
XMLError function

Applies to

LyricObject

Declaration

function object.XMLError

Description

Returns the last error that the XML builder encountered.

Returns

Error - Integer.  Error code, or eXSB_NoError.

Remarks


LyricObject XMLErrorString
XMLErrorString function

Applies to

LyricObject

Declaration

function object.XMLErrorString

Description

Returns a user-friendly string explanation of the last error encountered by XMLUpdate.

Returns

Error - String. A string explanation of the error returned, and, if possible, where in the XML parsing the error occurred.

Remarks


LyricObject XMLUpdate
XMLUpdate function

Applies to

LyricObject

Declaration

function object.XMLUpdate(UpdateType, UpdateParam)

Description

Uses XML to update/create a scene

Parameter	Description
UpdateType	Integer.  Indicates whether the next argument contains the XML data (1) or a filename in which the XML data resides (2)
UpdateParam	String.  If 1, the actual XML data.  If 2, the full path to the filename in which the XML data resides.
Returns

Error - Integer.  Error code, or S_OK.

Remarks


LyricVersion
LyricVersion object

Properties	Methods	Events
Description

Object containing version and build information for the Lyric application

Remarks

Obtained via LyricObject.Version


LyricVersion Properties
Properties

Build	MajorVersion	Version
InstallationPath	MinorVersion	VersionInfo


LyricVersion Methods
Methods


LyricVersion Events
Events


LyricVersion Build
Build property

Applies to

LyricVersion

Declaration

property object.Build

Description

Gets the build number.

Returns

BuildNumber - Integer. Gets the build number.

Remarks


LyricVersion InstallationPath
InstallationPath property

Applies to

LyricVersion

Declaration

property object.InstallationPath

Description

Gets the path to where Lyric is installed (executing directory)

Returns

InstallPath - String. Ex. "C:\Program Files\Chyron\Lyric 7.1"

Remarks


LyricVersion MajorVersion
MajorVersion property

Applies to

LyricVersion

Declaration

property object.MajorVersion

Description

Gets the left side of the version number (i.e. returns a 3 for version 3.2)

Returns

MajorVersion - Integer. Left side of the version number

Remarks


LyricVersion MinorVersion
MinorVersion property

Applies to

LyricVersion

Declaration

property object.MinorVersion

Description

Gets the right side of the version number (i,e, returns a 2 for version 3.2)

Returns

MinorVersion - Integer. Right side of the version number.

Remarks


LyricVersion Version
Version property

Applies to

LyricVersion

Declaration

property object.Version

Description

Gets the version as a string

Returns

VersionInfo - String. Ex. "Version 3.2"

Remarks


LyricVersion VersionInfo
VersionInfo property

Applies to

LyricVersion

Declaration

property object.VersionInfo

Description

Gets the version info as a string

Returns

VersionInfo - String.    Ex. "Version 3.2 Build 100"

Remarks

This is the default property for the LyricVersion object


MacroReaction
MacroReaction object

Properties	Methods	Events
Description

Object that describes the macro reaction to a hotspot

Remarks

The macro reaction can be obtained from HotSpot.GetReaction


MacroReaction Properties
Properties

Macro


MacroReaction Methods
Methods


MacroReaction Events
Events


MacroReaction Macro
Macro property

Applies to

MacroReaction

Declaration

property object.Macro(Script)

Description

Gets/sets the macro script that will be run when this reaction is triggered

Parameter	Description
Script	String.  The macro script that will be run when this reaction is triggered
Returns

Script - String.  The macro script that will be run when this reaction is triggered

Remarks


MasterCustomProperties
MasterCustomProperties object

Properties	Methods	Events
Description

Registered custom property enumeration object

Remarks

This object is used to enumerate through all the custom properties registered in a given namespace. Retrieve through LyricObject.Namespace.  See CustomProperties for further information.


MasterCustomProperties Properties
Properties

Name	PropertyCount


MasterCustomProperties Methods
Methods

Property


MasterCustomProperties Events
Events


MasterCustomProperties Name
Name property

Applies to

MasterCustomProperties

Declaration

property object.Name

Description

Gets the fully qualified namespace (i.e. "Chyron.LEIFlet.MetaSync.1::Export Settings")

Returns

Namespace - String. Fully qualified namespace

Remarks


MasterCustomProperties PropertyCount
PropertyCount property

Applies to

MasterCustomProperties

Declaration

property object.PropertyCount

Description

Gets the number of custom properties registered in this namespace

Returns

Properties - Integer.  Number of registered custom properties

Remarks


MasterCustomProperties Property
Property method

Applies to

MasterCustomProperties

Declaration

function object.Property(PropertyCount)

Description

Gets the Registered Property Interface for the property registered at a specified index

Parameter	Description
PropertyCount	1
Returns

RegisteredProperty object

Remarks


Metadata
Metadata object

Properties	Methods	Events
Description

Object that allows a user to query the metadata in certain Lyric Elements.

Remarks

Can be obtained from Element.Metadata which returns
a set of namespaces, each with a set of key-value pairs
which can be queried individually for their value.


Metadata Properties
Properties

NamespaceCount


Metadata Methods
Methods

GetKeys	GetNumKeys	KeyExists
GetNamespaces	GetValue	NamespaceExists


Metadata Events
Events


Metadata NamespaceCount
NamespaceCount property

Applies to

Metadata

Declaration

property object.NamespaceCount

Description

The number of namespaces available

Returns

NumNamespaces - Integer.  The number of namespaces this metadata has.  If it is 0, the object has no metadata.

Remarks


Metadata GetKeys
GetKeys method

Applies to

Metadata

Declaration

function object.GetKeys(Namespace)

Description

Returns a list of the keys in the given namespace

Parameter	Description
Namespace	String.  The namespace URI.  (For example, "http://purl.org/dc/elements/1.1/" and not "Dublin Core")
Returns

Keys - Array.  A list of all the keys that are in this namespace.  (Note that some keys might be defined, but be empty.)

Remarks


Metadata GetNamespaces
GetNamespaces function

Applies to

Metadata

Declaration

function object.GetNamespaces

Description

Returns a list of all the namespaces that are part of this XMP data

Returns

Namespaces - Array.  An array of String which will hold all of the namespace URIs.

Remarks


Metadata GetNumKeys
GetNumKeys function

Applies to

Metadata

Declaration

function object.GetNumKeys(Namespace)

Description

The number of keys available for the given namespace.  (Note that some keys might be defined, but be empty.)

Parameter	Description
Namespace	String.  The namespace URI.  (For example, "http://purl.org/dc/elements/1.1/" and not "Dublin Core")
Returns

NumKeys - Integer.  The number of keys this namespaces has.  Query each using Metadata.GetValue

Remarks


Metadata GetValue
GetValue function

Applies to

Metadata

Declaration

function object.GetValue(Namespace, Key)

Description

Returns the value, given a namespace and key

Parameter	Description
Namespace	String.  The namespace URI.  (For example, "http://purl.org/dc/elements/1.1/" and not "Dublin Core")
Key	String.  The key within that namespace.  (For example, "Title").
Returns

Value - String.  The value of that key, or an empty string if that key doesn't exist

Remarks


Metadata KeyExists
KeyExists function

Applies to

Metadata

Declaration

function object.KeyExists(Namespace, Key)

Description

Queries if the given namespace and key are part of this metadata.   For a list of all namespaces use {Metadata.GetNamespaces} For a list of all keys in a namespace use {Metadata.GetKeys}

Parameter	Description
Namespace	String. The namespace URI. (For example, "http://purl.org/dc/elements/1.1/" and not "Dublin Core")
Key	String.  The key within that namespace.  (For example, "Title").
Returns

Exists - Boolean. True if the namespace and key (case-sensitive) exist.

Remarks


Metadata NamespaceExists
NamespaceExists function

Applies to

Metadata

Declaration

function object.NamespaceExists(Namespace)

Description

Queries if the given namespace is part of this metadata.  For a list of all namespaces use {Metadata.GetNamespaces}

Parameter	Description
Namespace	String. The namespace URI. (For example, "http://purl.org/dc/elements/1.1/" and not "Dublin Core")
Returns

Exists - Boolean.  True if the namespace (case-sensitive) exists.

Remarks


Movie
Movie object

Properties	Methods	Events
Description

Object used to access properties specific to a movie

Remarks

This object is derived from the Element object


Movie Properties
Properties

AutoTrim	IgnorePauses	PlayToEnd
DBLink	ImageSize	Preload
ExternalUpdateEnable	InPoint	ReplaceMode
ExtractAudio	Loop	TemplateSize
Filename	LoopFrame	TextureSize
IIUpdateEnable	OutPoint	TotalFrames


Movie Methods
Methods

RefreshTexture


Movie Events
Events


Movie AutoTrim
AutoTrim property

Applies to

Movie

Declaration

property object.AutoTrim(AutoTrim)

Description

Gets/sets whether the outpoint is clamped to that of the original when a movie is replaced

Parameter	Description
AutoTrim	Boolean. Set to true if the outpoint should be trimmed.
Returns

AutoTrim - Boolean. True if the outpoint is trimmed.

Remarks

Outpoint can be retrieved from Movie.Outpoint


Movie DBLink
DBLink property

Applies to

Movie

Declaration

property object.DBLink

Description

Gets the associated {DBLink} Object that contains the database link information

Returns

DBLink, DBLink Object.

Remarks


Movie ExternalUpdateEnable
ExternalUpdateEnable property

Applies to

Movie

Declaration

property object.ExternalUpdateEnable(UpdateEnable)

Description

Flag that enables External Update of this movie through Intelligent Interface

Parameter	Description
UpdateEnable	Bool. True if external update is enabled for this movie.
Returns

UpdateEnable - Bool. True if external update is enabled for this movie

Remarks


Movie ExtractAudio
ExtractAudio property

Applies to

Movie

Declaration

property object.ExtractAudio(ExtractAudio)

Description

Gets/sets whether audio is automatically extracted from the movie if present

Parameter	Description
ExtractAudio	Boolean. Set to true to extract audio.
Returns

ExtractAudio - Boolean. True if audio is extracted.

Remarks


Movie Filename
Filename property

Applies to

Movie

Declaration

property object.Filename(Filename)

Description

Gets/sets the filename, if applicable, of the movie

Parameter	Description
Filename	String.  Imports the movie file given
Returns

Filename - String.  Filename corresponding to the current movie

Remarks

This is the default property for this object.


Movie IIUpdateEnable
IIUpdateEnable property

Applies to

Movie

Declaration

property object.IIUpdateEnable(UpdateEnable)

Description

Flag that enables Intelligent Interface commands to update this image

Parameter	Description
UpdateEnable	Bool. True if updates are allowed.
Returns

UpdateEnable - Bool. True if updates are allowed.

Remarks


Movie IgnorePauses
IgnorePauses property

Applies to

Movie

Declaration

property object.IgnorePauses(IgnorePauses)

Description

gets/sets whether the movie will continue to play even though the animation is paused

Parameter	Description
IgnorePauses	Boolean. If true, pauses are ignored
Returns

IgnorePauses - Boolean. If true, pauses are ignored

Remarks


Movie ImageSize
ImageSize property

Applies to

Movie

Declaration

property object.ImageSize

Description

Returns the dimensions of the movie

Returns

Size object

Remarks


Movie InPoint
InPoint property

Applies to

Movie

Declaration

property object.InPoint(Inpoint)

Description

Gets the first frame of the movie that will render when the movie begins playback, relative to its entire content

Parameter	Description
Inpoint	Integer.  Frame at which the movie starts, relative to its entire content
Returns

Inpoint - Integer.  Frame at which the movie starts, relative to its entire content

Remarks

The last frame can be set through Movie.Outpoint


Movie Loop
Loop property

Applies to

Movie

Declaration

property object.Loop(Loop)

Description

gets/sets whether the movie will loop if it's total duration is less than that of its timeline length.

Parameter	Description
Loop	Boolean.  If true, the movie loops
Returns

Loop - Boolean.  If true, the movie loops

Remarks

The frame at which the movie loops can be set through Movie.LoopFrame


Movie LoopFrame
LoopFrame property

Applies to

Movie

Declaration

property object.LoopFrame

Description

Gets/sets the frame at which the movie will loop

Returns

LoopFrame - Integer

Remarks

Loop must be enabled for this object.  See Movie.Loop


Movie OutPoint
OutPoint property

Applies to

Movie

Declaration

property object.OutPoint(Outpoint)

Description

Gets the frame at which the movie ends, relative to its entire content

Parameter	Description
Outpoint	Integer.  Frame at which the movie ends, relative to its entire content
Returns

Outpoint - Integer.  Frame at which the movie ends, relative to its entire content

Remarks

Outpoint must be less than the movie length as given by Movie.TotalFrames
The first frame can be set through Movie.Inpoint


Movie PlayToEnd
PlayToEnd property

Applies to

Movie

Declaration

property object.PlayToEnd(PlayToEnd)

Description

gets/sets whether the movie will play to its last frame even though the rest of the animation has stopped

Parameter	Description
PlayToEnd	Boolean.  If true, the movie plays to its end
Returns

PlayToEnd - Boolean.  If true, the movie plays to its end

Remarks


Movie Preload
Preload property

Applies to

Movie

Declaration

property object.Preload

Description

Remarks


Movie ReplaceMode
ReplaceMode property

Applies to

Movie

Declaration

property object.ReplaceMode(Mode)

Description

Gets/sets the replacement mode for movie update

Parameter	Description
Mode	Integer. If mode is 0, the new movie is sized to the area occupied by the original movie If mode is 1, the new movie maintains its true size
Returns

Mode - Integer.

Remarks


Movie TemplateSize
TemplateSize property

Applies to

Movie

Declaration

property object.TemplateSize({Size})

Description

Returns the dimensions of the movie template

Parameter	Description
{Size}	Object.  Contains new dimensions for the movie template
Returns

Size - Object.  Current dimensions for the movie template

Remarks


Movie TextureSize
TextureSize property

Applies to

Movie

Declaration

property object.TextureSize

Description

Returns the dimensions of the movie in texture memory

Returns

Size object

Remarks


Movie TotalFrames
TotalFrames property

Applies to

Movie

Declaration

property object.TotalFrames

Description

Gets the total number of frames in the movie

Returns

Frames - Integer.  Total number of frames in the movie

Remarks


Movie RefreshTexture
RefreshTexture method

Applies to

Movie

Declaration

sub object.RefreshTexture

Description

Refreshes the texture for this object (For example, reloads the file from disk)

Remarks


Node
Node object

Properties	Methods	Events
Description

Provides access to a node

Remarks

Obtained through various methods such as Scene.Node or Scene.ActiveObject


Node Properties
Properties

AdjustChildren	InheritState	RectOptions
Attribute	InheritTextureFrame	Scene
AutoHide	IsLumaMaskSource	ScrollDirection
ChildCount	KeyFrames	ShowMaskGhost
CompositeTransform	LegacyMode	Style
Description	Loop	SurfaceNames
DisplayRect	NDCRect	Type
ElementCount	Name	TypeString
Font	OutTime	UseSceneCamera
FontName	PositionLock	Visible
HoldLastFrame	ProportionalScale	XPosition
Id	Rate	YPosition
InTime	Rect


Node Methods
Methods

ActiveAtMaskLayer	GetEffectParam	Parent
AddRow	GetGroup	Position
AnimationState	GetHotSpotMgr	Properties
ApplyTexture	GetMaskInside	SelectedRow
Child	GetTransform	SetEffectParam
ClearMaskLayers	GroupNode	SetMaskInside
Delete	InTransition	SetMaskSource
DisableMaskLayer	IsInGroup	SuppressUpdates
Element	IsMaskSource	SurfaceTex
EnableMaskLayer	IsMaskTarget	SurfaceUnits
GetAutoFollowSettings	IsValidMaskSource	Update
GetChild	KeyFrame


Node Events
Events


Node AdjustChildren
AdjustChildren property

Applies to

Node

Declaration

property object.AdjustChildren(AdjustChildren)

Description

Gets/sets whether timeline adjustments to this object should be propagated to its children

Parameter	Description
AdjustChildren	Boolean. Set to true to adjust this node's children along with this one.
Returns

AdjustChildren - Boolean. True if timelines of children will be adjusted along with this object.

Remarks

When set to true (which is the default behavior), children will be non-proportionally scaled  when Node.OutTime is invoked, .


Node Attribute
Attribute property

Applies to

Node

Declaration

property object.Attribute(Attribute)

Description

Gets the animatable attribute in either string or integer form

Parameter	Description
Attribute	Variant. If a string, the attribute name.   If an integer, the attribute index
Returns

Attribute - Variant. If a string is provided as argument, the attribute index will be returned. If an integer is provided as argument, the name of the attribute will be returned.

Remarks

The following VBScript example will set a keyframe to modify the offset of the first texture  layer on the first surface of an object.  See Node.Keyframe for further information

set n = ActiveCanvas.Scene.ActiveObject

att = n.Attribute("TexOffsetX - Tex0 Surface 1")

n.Keyframe att, 0, 0.5


Node AutoHide
AutoHide property

Applies to

Node

Declaration

property object.AutoHide(Condition)

Description

Gets/sets whether the visibility of the object is dependent on the content of another object

Parameter	Description
Condition	Variant. See Remarks.
Returns

TransitionCondition object

Remarks

Argument types can be one of the following
If a string, this object will auto-hide if the template with that name is empty
If a Node object, this object will auto-hide if the template attached to that node is empty
If a TextTemplate or 3DTemplate object, this object will auto-hide if the template is empty
If a TransitionCondition object, this object will auto-hide according to the evaluation of that object


Node ChildCount
ChildCount property

Applies to

Node

Declaration

property object.ChildCount

Description

Gets the number of child nodes

Returns

ChildCount - Integer. Number of child nodes

Remarks

This method can be used to iterate each child of the group using Node.GetChild


Node CompositeTransform
CompositeTransform property

Applies to

Node

Declaration

property object.CompositeTransform(CompositeTransform)

Description

Gets/sets what keyframeable attributes of the group is applied to the child's animation

Parameter	Description
CompositeTransform	Boolean. Set to true to composite all transforms for this node's children with its own
Returns

CompositeTransform - Boolean. True if group transform is composited with that of the child

Remarks


Node Description
Description property

Applies to

Node

Declaration

property object.Description(NodeDescrip)

Description

Gets/Sets the description of the node

Parameter	Description
NodeDescrip	New value for the description of the node
Returns

NodeDescrip - Description of the node

Remarks


Node DisplayRect
DisplayRect property

Applies to

Node

Declaration

property object.DisplayRect(Object)

Description

Gets/sets the display window of a 2D Text Box

Parameter	Description
Object	Updated display Rect to apply to 2D Text Box
Returns

Rect Object - Current display Rect of the 2D Text Box

Remarks

The display window is set in reference to front view with the top left corner of the active canvas as the origin. Values are screen coordinates, with increasing X to the right, and increasing Y to the bottom. Applicable to 2D text windows with default (1) X,Y,Z scaling only.


Node ElementCount
ElementCount property

Applies to

Node

Declaration

property object.ElementCount

Description

Gets the number of elements that this node contains.

Returns

ElementCount - number of elements

Remarks

Use in conjunction with Node.Element to obtain each element of the node in turn


Node Font
Font property

Applies to

Node

Declaration

property object.Font(Object)

Description

Gets/sets the font that is active for this object

Parameter	Description
Object	Updated font to apply to text element
Returns

Font Object - Font currently applied to text element

Remarks


Node FontName
FontName property

Applies to

Node

Declaration

property object.FontName(Facename)

Description

Gets/sets the facename of the font that is active for this object

Parameter	Description
Facename	Valid name of an installed font
Returns

Facename - Name of the font

Remarks

Applicable only to 2D text windows


Node HoldLastFrame
HoldLastFrame property

Applies to

Node

Declaration

property object.HoldLastFrame(Hold)

Description

Gets/sets whether this object holds its last frame

Parameter	Description
Hold	Boolean.  True if the object holds its last frame
Returns

Hold - Boolean.  True if the object holds its last frame

Remarks


Node Id
Id property

Applies to

Node

Declaration

property object.Id

Description

Gets the id that the scene graph uses to identify the node

Returns

Id - Integer. Id of the node

Remarks


Node InTime
InTime property

Applies to

Node

Declaration

property object.InTime

Description

Read/Write property that determines the beginning of node's timeline relative to the beginning of the animation

Returns

InTime -  Integer.  Start of the timeline in frames

Remarks

See also Node.OutTime and Transform.InTime


Node InheritState
InheritState property

Applies to

Node

Declaration

property object.InheritState(Inherit)

Description

Gets/sets whether the active transition inherits the current animation state of the node when activated

Parameter	Description
Inherit	Boolean.  Set to true to have the active transition inherit the current animation state when activated
Returns

Inherit - Boolean.  True if the active transition inherits the animation state

Remarks

See Transform.InheritState for further information


Node InheritTextureFrame
InheritTextureFrame property

Applies to

Node

Declaration

property object.InheritTextureFrame(Inherit)

Description

Gets/sets whether the active transition inherits the current texture frame of the node when activated

Parameter	Description
Inherit	Boolean.  Set to true to have the active transition inherit the current texture frame when activated
Returns

Inherit - Boolean.  True if the active transition inherits the texture frame

Remarks

See Transform.InheritState for further information


Node IsLumaMaskSource
IsLumaMaskSource property

Applies to

Node

Declaration

property object.IsLumaMaskSource

Description

Gets/sets whether this object is acting as a luma mask source

Returns

LumaMask - Boolean.

Remarks


Node KeyFrames
KeyFrames property

Applies to

Node

Declaration

property object.KeyFrames

Description

Gets all the keyframes set for this node in the current transition

Returns

KeyFrames Object

Remarks

For an inactive transition, use Node.GetTransform and Transform.Keyframes


Node LegacyMode
LegacyMode property

Applies to

Node

Declaration

property object.LegacyMode(Attribute)

Description

Gets/sets the legacy mode for the node

Parameter	Description
Attribute	Legacy Mode. 0 for current version. 1 for Lyric 6. 2 for Lyric 7
Remarks


Node Loop
Loop property

Applies to

Node

Declaration

property object.Loop(Loop)

Description

Gets/sets the loop value for this object

Parameter	Description
Loop	Boolean.  Set to true to have the object's animation loop in the active transformation.
Returns

Loop - Boolean.  True if the object's animation loops in the active transformation.

Remarks

Returns value for the active transformation of the node.


Node NDCRect
NDCRect property

Applies to

Node

Declaration

property object.NDCRect

Description

Returns the bounding box of the node in normalized device coordinates.

Returns

Rectdouble object

Remarks


Node Name
Name property

Applies to

Node

Declaration

property object.Name(NodeName)

Description

Gets/Sets the name that the scene graph uses to identify the node

Parameter	Description
NodeName	New value for the name of the node
Returns

NodeName - Name of the node

Remarks


Node OutTime
OutTime property

Applies to

Node

Declaration

property object.OutTime

Description

Read/Write property that determines the end of the node's timeline relative to the beginning of the animation

Returns

OutTime -  Integer.  End of the timeline in frames

Remarks

See also Node.InTime, Node.ProportionalScale and Transform.OutTime


Node PositionLock
PositionLock property

Applies to

Node

Declaration

property object.PositionLock(Locked)

Description

Gets/sets whether position lock is enabled for this object

Parameter	Description
Locked	Boolean.  True if position should be locked
Returns

Locked -  Boolean.  True if position is locked

Remarks


Node ProportionalScale
ProportionalScale property

Applies to

Node

Declaration

property object.ProportionalScale(Proportional)

Description

Gets/sets whether timeline adjustments to this object are proportional

Parameter	Description
Proportional	Boolean.  Set to true to scale the timeline proportionally
Returns

Proportional - Boolean.  True if the timeline will be scaled proportionally

Remarks

Proportional scaling determines the placement of keyframes when Node.OutTime is invoked. When proportional scaling is enabled, keyframes are redistributed to retain their original relationship to the duration of the timeline.  When Proportional Scaling is disabled, keyframes retain  their positions.


Node Rate
Rate property

Applies to

Node

Declaration

property object.Rate

Description

Gets the rate of the character effect.  Valid only for roll, crawl and type-on windows

Returns

Rate - Double.  See remarks.

Remarks

For a roll window, the rate is given in scanlines per second. For a crawl it is in pixels per second.  For a type-on (slow reveal), it is given in characters per second.


Node Rect
Rect property

Applies to

Node

Declaration

property object.Rect

Description

Gets the bounding rectangle of the node in screen coordinates relative to the upper left of the canvas

Returns

Rect Object

Remarks


Node RectOptions
RectOptions property

Applies to

Node

Declaration

property object.RectOptions(Options)

Description

Gets/sets the options for retrieving the bounding box of the node

Parameter	Description
Options	Integer Bitmask
Returns

Options - Integer Bitmask

Remarks

Rect options affect the results of Node.Rect and Element.Rect when called on this object

Bitmask fields are as follows:
1 - Output Resolution output instead of canvas resolution
2 - Exclude Hidden    hidden elements within a group


Node Scene
Scene property

Applies to

Node

Declaration

property object.Scene

Description

Get the scene object that contains this node

Returns

Scene object

Remarks


Node ScrollDirection
ScrollDirection property

Applies to

Node

Declaration

property object.ScrollDirection(Direction)

Description

Gets/sets the direction of the character effect. Valid only for 2D or 3D roll and crawls. The default direction is based on the active keyboard layout when the node is created. For example, if an RTL language is active, crawls will be right-to-left.

Parameter	Description
Direction	Short. See Remarks.
Returns

Direction - Short. See Remarks.

Remarks

Crawls - RightToLeft = 0, LeftToRight = 1
Rolls  - BottomToTop = 0, TopToBottom = 1
Returns -1 on failure, such as invalid animation style.

To determine the window type, see Node.Style


Node ShowMaskGhost
ShowMaskGhost property

Applies to

Node

Declaration

property object.ShowMaskGhost(ShowGhost)

Description

Show/hide the mask ghost

Parameter	Description
ShowGhost	Boolean.  True to show the mask ghost
Returns

ShowGhost - Boolean.  True to show the mask ghost

Remarks


Node Style
Style property

Applies to

Node

Declaration

property object.Style(Style)

Description

Gets the style of a node, valid only for 2D Text Windows or 3D Templates.

Parameter	Description
Style	Sets the style (0,1,2,6) for a 3D Template. Style is only modifiable for a 3D Template.
Returns

Enumerated Style - Gets the style for a 2D Text Window (0-7) or a 3D Template (0,1,2,6). See remarks.

Remarks

 	Node not valid  = -1
 	StyleStatic     =  0
  	StyleCrawl      =  1
  	StyleRoll       =  2
  	StyleClock      =  3
  	StyleTimerUp    =  4
  	StyleTimerDown  =  5
  	StyleTypeOn     =  6
 	StyleSpline     =  7


Node SurfaceNames
SurfaceNames property

Applies to

Node

Declaration

property object.SurfaceNames

Description

Gets a list of the names of all surfaces associated with the node.

Returns

SurfaceNames - String.  A concatenation of each surface name delimited with a question mark

Remarks

This function can be used to populate a list box for selecting a given surface on a node.
The offset into the list represents the surface index to be used when getting/setting surface properties through Node.SurfaceTex, Node.SurfaceUnits or Node.ApplyTexture,


Node Type
Type property

Applies to

Node

Declaration

property object.Type

Description

Gets the type of the object attached to this node

Returns

NodeType - Integer.  Type of object attached to node.

Remarks

Node Types are as follows:
  1 = ThreeDCharacter
  2 = WavefrontObject
  3 = ThreeDStudioObject
  4 = ImageObject
  5 = OrthographicCamera
  6 = PerspectiveCamera
  7 = GlobalLight
  8 = DirectionalLight
  9 = PositionalLight
 10 = Spotlight
 11 = TextWindow
 12 = LoopObject	Loop object in v5 and earlier.   Replaced by an Event object in later versions
 13 = PauseObject 	Pause object in v5 and earlier.   Replaced by an Event object in later versions
 14 = Clip 	Video and audio clips not including eFX objects.  eFX clips are ProxyBased objects
 16 = ClockTimer
 17 = AnimatedElement 	2D Animated Element
 19 = Flipbook
 20 = ITVEvent
 22 = SplineWindow
 24 = ThreeDTemplate
 25 = Custom
 26 = ProxyBased
 27 = Movie
 28 = Event
 29 = CameraTarget
 32 = 3D Plugin Object
 39 = Bullet Region
 42 = PictureObject


Node TypeString
TypeString property

Applies to

Node

Declaration

property object.TypeString

Description

Gets the type of the object attached to this node

Returns

NodeType - String. Type of object attached to node

Remarks

See Node.Type for possible results


Node UseSceneCamera
UseSceneCamera property

Applies to

Node

Declaration

property object.UseSceneCamera(UseSceneCamera)

Description

Get/set whether the scene camera is used to render the text window.  Valid only for 2D Text Windows

Parameter	Description
UseSceneCamera	Boolean
Returns

UseSceneCamera - Boolean.

Remarks


Node Visible
Visible property

Applies to

Node

Declaration

property object.Visible(Visibility)

Description

Gets/Sets the visibility of the node. When true, the node is eligible to be rendered, when FALSE the node is hidden.

Parameter	Description
Visibility	Boolean.Non-zero if the node is to be made visible, 0 if it is to be hidden
Returns

Visibility -  Boolean.Non-zero if the node is visible, 0 if it is hidden

Remarks

See the example in Text.Text


Node XPosition
XPosition property

Applies to

Node

Declaration

property object.XPosition

Description

Gets the X Coordinate of the node at frame 0.

Returns

XPosition - Integer. Node's x coordinate, in screen coordinates

Remarks

Screen origin is at lower-left The origin of most nodes is the center of the node.  However, the origin  of a text window is the lower left.


Node YPosition
YPosition property

Applies to

Node

Declaration

property object.YPosition

Description

Gets the Y Coordinate of the node at frame 0

Returns

YPosition - Integer.  Node's y coordinate, in screen coordinates

Remarks

Screen origin is at lower-left The origin of most nodes is the center of the node.  However, the origin  of a text window is the lower left.


Node ActiveAtMaskLayer
ActiveAtMaskLayer method

Applies to

Node

Declaration

function object.ActiveAtMaskLayer(Layer)

Description

Determines whether the mask layer provided is active for this object

Parameter	Description
Layer	Integer.   Mask layer
Returns

Active - Boolean.

Remarks

Object must be a valid mask source as indicated by Node.IsValidMaskSource


Node AddRow
AddRow function

Applies to

Node

Declaration

function object.AddRow

Description

Adds a row to the text window (Valid for 2DWindow nodes only)

Returns

RowElement Object

Remarks


Node AnimationState
AnimationState function

Applies to

Node

Declaration

function object.AnimationState(Frame, Field)

Description

Gets the animation state of the node at a particular frame

Parameter	Description
Frame	Integer.  Frame at which the animation state is desired.   The timeline of the node must be valid at that frame.
Field	Variant.  Field at which the animation state is desired
Returns

AnimationState Object

Remarks

A timeline for an object is valid from Node.InTime to Node.OutTime inclusive


Node ApplyTexture
ApplyTexture function

Applies to

Node

Declaration

function object.ApplyTexture(SurfaceIdx, TextureIdx, Filename)

Description

Updates a texture on the given surface with a different image or movie file

Parameter	Description
SurfaceIdx	Integer.  Index of the surface.  See Remarks.
TextureIdx	Integer.  One-based index of the texture unit.  See Remarks.
Filename	String.  Image file containing texture
Returns

None

Remarks

Set Surface Index to 0 for all surfaces, or the one-based offset into the list of surfaces returned by Node.SurfaceNames
Texture Index must be less than or equal to the value returned by Node.SurfaceUnits
A texture can also be applied through the Surface.TexturePath property

The texture must already exist on the surface and have the same file type.    That is, a movie texture cannot replace an image texture or vice versa.


Node Child
Child function

Applies to

Node

Declaration

function object.Child(ChildIndex)

Description

Gets the child/member node of a group by name, index, or neighboring child

Parameter	Description
ChildIndex	Variant. If string, name of the child node to retrieve                       If integer, index of the child node to retrieve                       If a node object, gets next child with respect to that node                       If empty, gets first child in group
Returns

Node Object

Remarks

See Node.GetChild for further information about obtaining a node via index


Node ClearMaskLayers
ClearMaskLayers function

Applies to

Node

Declaration

function object.ClearMaskLayers

Description

Clears all mask layers

Remarks


Node Delete
Delete function

Applies to

Node

Declaration

function object.Delete

Description

Deletes this node from the scene

Remarks

The camera and global light cannot be deleted.


Node DisableMaskLayer
DisableMaskLayer function

Applies to

Node

Declaration

function object.DisableMaskLayer(Layer)

Description

Disables the mask layer specified

Parameter	Description
Layer	Integer.   Mask layer to disable
Remarks

Layer can be enabled through Node.EnableMaskLayer.  Object must be a valid mask source as indicated by Node.IsValidMaskSource


Node Element
Element function

Applies to

Node

Declaration

function object.Element(ElementIndex)

Description

Gets one of this node's elements.

Parameter	Description
ElementIndex	Integer. Zero-based index of element to get.
Returns

Element Object

Remarks

Index ranges from 0 to one less than Node.ElementCount.

2DObjElement object nodes contain only one element, while TextWindow objects have one element for each TextTemplate, RowElement, and imported bitmap.
Templates always have lower indexes than any bitmaps in the same text window
3D characters and objects have one element for each Surface available, plus the first element which represents all surfaces.


Node EnableMaskLayer
EnableMaskLayer function

Applies to

Node

Declaration

function object.EnableMaskLayer(Layer)

Description

Enables the mask layer specified

Parameter	Description
Layer	Integer.   Mask layer to enable
Remarks

Layer can be disabled through Node.DisableMaskLayer.  Object must be a valid mask source as indicated by Node.IsValidMaskSource


Node GetAutoFollowSettings
GetAutoFollowSettings function

Applies to

Node

Declaration

function object.GetAutoFollowSettings

Description

Gets the Auto Follow settings for this node

Returns

AutoFollow object.   Auto Follow settings for this node

Remarks


Node GetChild
GetChild function

Applies to

Node

Declaration

function object.GetChild(ChildIndex)

Description

Gets the n'th child node of this group

Parameter	Description
ChildIndex	Integer.   Range of 0 to one less than {Node.ChildCount}
Returns

Node Object

Remarks

ChildIndex ranges from 0 to one less than Node.ChildCount
Use Node.Child to retrieve a child node by string.

Since Lyric's scene graph lists nodes in descending order, the index is applied from the bottom up. For example, in the scene graph section shown below, "2D Text 1" has a child index of 0 and "headshot" has a child index of 1

-Group 1
|- headshot
|- 2D Text 1

To use a top-down approach, simply subtract the desired index from Node.ChildCount
set g = ActiveCanvas.Scene.ActiveObject
set c = g.GetChild(g.ChildCount - 2)


Node GetEffectParam
GetEffectParam function

Applies to

Node

Declaration

function object.GetEffectParam(EffectName, ParamName)

Description

Gets the value of a non-animatable parameter for an existing object effect (advanced image, particle effect, et al.)

Parameter	Description
EffectName	String.   Name of the effect
ParamName	String.   Name of the parameter to set
Returns

ParamValue - Variant.   Value of the parameter.

Remarks

Animatable parameters for an effect must be retrieved by getting their keyframes
To change the value, use Node.SetEffectParam
NameNames
"Color Shift"	"Saturation"


Node GetGroup
GetGroup function

Applies to

Node

Declaration

function object.GetGroup

Description

Retrieves the group object that this object is a member of, if applicable

Returns

Group Object

Remarks

Call Node.IsInGroup first to determine if the object resides in a group

LEIF developers: If using the Lyric Type Library, this method is the equivalent of Node.GroupNode


Node GetHotSpotMgr
GetHotSpotMgr function

Applies to

Node

Declaration

function object.GetHotSpotMgr(TransitionName)

Description

Gets the Hot Spot manager for the specified transition

Parameter	Description
TransitionName	String.   Name of the transition.  If empty, defaults to the active transition
Returns

HotSpotMgr object.   Hot Spot manager for this node in specified transition

Remarks


Node GetMaskInside
GetMaskInside function

Applies to

Node

Declaration

function object.GetMaskInside(Layer)

Description

Determines whether this mask object is inverted (masks inside)

Parameter	Description
Layer	Integer.  Mask layer
Returns

MaskInside - Boolean. True if this object is designated mask-inside

Remarks

Mask inside can be enabled/disabled through Node.SetMaskInside. Object must be a valid mask source as indicated by Node.IsValidMaskSource

Note: Specifying a particular layer for mask-inside may not  be supported in this version of Lyric.  However, the mask must still be active at the mask layer specified


Node GetTransform
GetTransform function

Applies to

Node

Declaration

function object.GetTransform(Transition)

Description

Retrieves the transformation for a particular transition If an empty string is provided, it retrieves the active transformation

Parameter	Description
Transition	String.  Name of the transition
Returns

Transform object

Remarks

See Transition for further information


Node GroupNode
GroupNode function

Applies to

Node

Declaration

function object.GroupNode

Description

Remarks

LEIF developers: If using the Lyric Type Library, this is a misnomer for the method Node.GetGroup


Node InTransition
InTransition function

Applies to

Node

Declaration

function object.InTransition(TransitionName)

Description

Determine if this node exists in the specified transform

Parameter	Description
TransitionName	String
Returns

IsPresent - Boolean.  TRUE if node is in the transition, FALSE if not

Remarks

See Transition for further information


Node IsInGroup
IsInGroup function

Applies to

Node

Declaration

function object.IsInGroup

Description

Indicates whether this object is a mamber of a group

Returns

InGroup - Boolean.  True if the object is in a group

Remarks

Call Node.GetGroup to retrieve the group object


Node IsMaskSource
IsMaskSource function

Applies to

Node

Declaration

function object.IsMaskSource(Layer)

Description

Returns true if the node is a mask source at the provided layer.

Parameter	Description
Layer	Integer.
Returns

Boolean

Remarks

If -1 is passed in as the layer, this function will return true if the node is a source at any layer


Node IsMaskTarget
IsMaskTarget function

Applies to

Node

Declaration

function object.IsMaskTarget(Layer)

Description

Returns true if the node is a mask target at the provided layer.

Parameter	Description
Layer	Integer.
Returns

Boolean

Remarks

If -1 is passed in as the layer, this function will return true if the node is a target at any layer


Node IsValidMaskSource
IsValidMaskSource function

Applies to

Node

Declaration

function object.IsValidMaskSource

Description

Determines whether this object can be used as a mask source

Returns

Valid - Boolean.

Remarks


Node KeyFrame
KeyFrame function

Applies to

Node

Declaration

function object.KeyFrame(Attribute, Frame, Value, Interpolation)

Description

Adds a keyframe to the animation for this node

Parameter	Description
Attribute	The animatable property of the node that the keyframe will adjust
Frame	Where on the timeline the keyframe is to be added
Value	The value for the attribute at this keyframe
Interpolation	How the attributes should be calculated between key frames
Remarks

Attributes are listed under KeyFrame.Attribute
Interpolation values are listed under KeyFrame.Interpolation
Frame argument must be within the range Node.InTime to Node.OutTime inclusive
KeyFrame object can also be used to set and get keyframe information.
AnimationState object can be used to determine values between keyframes


Node Parent
Parent function

Applies to

Node

Declaration

function object.Parent

Description

Gets the parent, or group, node that contains this node

Returns

(Node) Parent

Remarks

Can also use Node.GetGroup to retrieve the group element.


Node Position
Position function

Applies to

Node

Declaration

function object.Position(XPosition, YPosition)

Description

Gets the upper left based canvas coordinates of the node

Parameter	Description
XPosition	Integer passed by reference, will be set to screen x position of the node
YPosition	Integer passed by reference, will be set to screen y position of the node
Returns

Status - Boolean. True if successful, False otherwise

Remarks


Node Properties
Properties function

Applies to

Node

Declaration

function object.Properties(Namespace)

Description

Gets the node's properties for the specified namespace

Parameter	Description
Namespace	String.  Specifies which property set to retrieve.  See Remarks.
Returns

CustProps Object

Remarks

ProgID should precede the namespace separated by a double colon.  If called from a LEIFlet,  progID will be automatically prepended if available and one is not provided


Node SelectedRow
SelectedRow function

Applies to

Node

Declaration

function object.SelectedRow

Description

Gets the selected row of a 2D Text Window

Returns

RowElement Object

Remarks


Node SetEffectParam
SetEffectParam function

Applies to

Node

Declaration

function object.SetEffectParam(EffectName, ParamName, ParamValue)

Description

Sets the value for a non-animatable parameter for an existing object effect (advanced image, particle effect, et al.)

Parameter	Description
EffectName	String.   Name of the effect
ParamName	String.   Name of the parameter to set
ParamValue	Variant.   Value to set the parameter to.
Returns

ErrorCode - . Zero if successful

Remarks

Animatable parameters for an effect must be modified by setting keyframes To get the current value, use Node.GetEffectParam


Node SetMaskInside
SetMaskInside function

Applies to

Node

Declaration

function object.SetMaskInside(Layer, Enable)

Description

Designates whether this mask object is inverted (should mask inside)

Parameter	Description
Layer	Integer.  Mask layer
Enable	Boolean.  True if this object should mask inside
Returns

Success - Boolean.  True if operation was successful

Remarks

The current setting for mask inside can be retrieved through Node.GetMaskInside Object must be a valid mask source as indicated by Node.IsValidMaskSource

Note: Specifying a particular layer for mask-inside may not  be supported in this version of Lyric.  However, the mask must still be active at the mask layer specified


Node SetMaskSource
SetMaskSource function

Applies to

Node

Declaration

function object.SetMaskSource

Description

Sets whether this object should act as a mask source

Remarks

To determine if the object is already a mask source, see Node.IsMaskSource


Node SuppressUpdates
SuppressUpdates function

Applies to

Node

Declaration

function object.SuppressUpdates(Value)

Description

Suppresses the refreshing of the nodes key frame data

Parameter	Description
Value	Boolean. Set to true to suppress, false to release update suppression
Remarks


Node SurfaceTex
SurfaceTex function

Applies to

Node

Declaration

function object.SurfaceTex(SurfaceIdx, TextureIdx)

Description

Returns the filename of the texture applied to a given surface

Parameter	Description
SurfaceIdx	Integer.  Index of the surface.  See Remarks.
TextureIdx	Integer.  One-based index of the texture unit.  See Remarks.
Returns

TextureName - String.

Remarks

This attribute can also be accessed through the Surface.TexturePath property Set Surface Index to 0 for all surfaces, or the one-based offset into the list of surfaces returned by Node.SurfaceNames
Texture Index must be less than or equal to the value returned by Node.SurfaceUnits


Node SurfaceUnits
SurfaceUnits function

Applies to

Node

Declaration

function object.SurfaceUnits(SurfaceIdx)

Description

Returns the number of textures applied to a specified surface

Parameter	Description
SurfaceIdx	Integer.   Index of surface to retrieve texture units for.  See Remarks.
Returns

NumTextures - Integer  Number of texture units applied to surface

Remarks

Will return 0 if texturing is not supported on this object Set Surface Index to 0 for all surfaces, or the one-based offset into the list of surfaces returned by Node.SurfaceNames


Node Update
Update function

Applies to

Node

Declaration

function object.Update(Region, Source, Operation, Data)

Description

Updates the contents of an object that has been configured for continuous update.

Parameter	Description
Region	Integer.  The area of the object to update.  See Remarks.
Source	Integer.  The data source for the update.  See Remarks.
Operation	Integer.  The update operation to apply  See Remarks.
Data	String. Update data as specified by Source
Remarks

Update data may contain the new contents of the object as well as various RTF tags to change the font, embed images, etc. See the Continuous Update topic in Lyric's Online Help for a comprehensive listing of the RTF tags that are supported.

Set Region to 0 for 2D Freeform Text and 3D Templates.  For 2D templates, set Region to the 1-based index as provided by TextTemplate.Region
For eFX Clips, set Region to one of the following
 	1 - Update Fill file (or Fill+Key if file supports it)
2 - Update Key file
3 - Update Audio file
0 - Apply any pending updates to the eFX Clip synchronously

Valid values for Source are as follows:
Data 	- 1 - the last argument is a string containing the actual update data
 	File 	- 2 - the last argument is the full path to a filename which contains the update data

Valid values for Operation are as follows:
Replace 	- 1 - Updated text will replace existing text in the region.
Append 	- 2 - Updated text will be appended to existing text in the region if on output. If on canvas, existing text will be replaced.

The object may be configured for continuous update through Element.Continuous


OpenGL
OpenGL object

Properties	Methods	Events
Description

Remarks


OpenGL Properties
Properties

IsDuet


OpenGL Methods
Methods

Begin	Finish	Project
BindTexture	Flush	ReadPixels
BlendFunc	GenLists	Scalef
CallList	GenTextures	ShadeModel
Clear	GetBooleanv	TexCoordf
Color3f	GetDoublev	TexEnvi
Color4f	GetError	TexImage2D
DeleteTextures	GetIntegerv	TexParameteri
DepthFunc	IsEnabled	Translatef
DepthMask	IsTexture	UnProject
Disable	Materialf	Vertex2i
Enable	Materialfv	Vertex3f
End	NewList
EndList	Normal3f


OpenGL Events
Events


OpenGL IsDuet
IsDuet property

Applies to

OpenGL

Declaration

property object.IsDuet

Description

Remarks


OpenGL Begin
Begin method

Applies to

OpenGL

Declaration

sub object.Begin

Description

Remarks


OpenGL BindTexture
BindTexture sub

Applies to

OpenGL

Declaration

sub object.BindTexture

Description

Remarks


OpenGL BlendFunc
BlendFunc sub

Applies to

OpenGL

Declaration

sub object.BlendFunc

Description

Remarks


OpenGL CallList
CallList sub

Applies to

OpenGL

Declaration

sub object.CallList

Description

Remarks


OpenGL Clear
Clear sub

Applies to

OpenGL

Declaration

sub object.Clear

Description

Remarks


OpenGL Color3f
Color3f sub

Applies to

OpenGL

Declaration

sub object.Color3f

Description

Remarks


OpenGL Color4f
Color4f sub

Applies to

OpenGL

Declaration

sub object.Color4f

Description

Remarks


OpenGL DeleteTextures
DeleteTextures sub

Applies to

OpenGL

Declaration

sub object.DeleteTextures

Description

Remarks


OpenGL DepthFunc
DepthFunc sub

Applies to

OpenGL

Declaration

sub object.DepthFunc

Description

Remarks


OpenGL DepthMask
DepthMask sub

Applies to

OpenGL

Declaration

sub object.DepthMask

Description

Remarks


OpenGL Disable
Disable sub

Applies to

OpenGL

Declaration

sub object.Disable

Description

Remarks


OpenGL Enable
Enable sub

Applies to

OpenGL

Declaration

sub object.Enable

Description

Remarks


OpenGL End
End sub

Applies to

OpenGL

Declaration

sub object.End

Description

Remarks


OpenGL EndList
EndList sub

Applies to

OpenGL

Declaration

sub object.EndList

Description

Remarks


OpenGL Finish
Finish sub

Applies to

OpenGL

Declaration

sub object.Finish

Description

Remarks


OpenGL Flush
Flush sub

Applies to

OpenGL

Declaration

sub object.Flush

Description

Remarks


OpenGL GenLists
GenLists sub

Applies to

OpenGL

Declaration

sub object.GenLists

Description

Remarks


OpenGL GenTextures
GenTextures sub

Applies to

OpenGL

Declaration

sub object.GenTextures

Description

Remarks


OpenGL GetBooleanv
GetBooleanv sub

Applies to

OpenGL

Declaration

sub object.GetBooleanv

Description

Remarks


OpenGL GetDoublev
GetDoublev sub

Applies to

OpenGL

Declaration

sub object.GetDoublev

Description

Remarks


OpenGL GetError
GetError sub

Applies to

OpenGL

Declaration

sub object.GetError

Description

Remarks


OpenGL GetIntegerv
GetIntegerv sub

Applies to

OpenGL

Declaration

sub object.GetIntegerv

Description

Remarks


OpenGL IsEnabled
IsEnabled sub

Applies to

OpenGL

Declaration

sub object.IsEnabled

Description

Remarks


OpenGL IsTexture
IsTexture sub

Applies to

OpenGL

Declaration

sub object.IsTexture

Description

Remarks


OpenGL Materialf
Materialf sub

Applies to

OpenGL

Declaration

sub object.Materialf

Description

Remarks


OpenGL Materialfv
Materialfv sub

Applies to

OpenGL

Declaration

sub object.Materialfv

Description

Remarks


OpenGL NewList
NewList sub

Applies to

OpenGL

Declaration

sub object.NewList

Description

Remarks


OpenGL Normal3f
Normal3f sub

Applies to

OpenGL

Declaration

sub object.Normal3f

Description

Remarks


OpenGL Project
Project sub

Applies to

OpenGL

Declaration

sub object.Project

Description

Remarks


OpenGL ReadPixels
ReadPixels sub

Applies to

OpenGL

Declaration

sub object.ReadPixels

Description

Remarks


OpenGL Scalef
Scalef sub

Applies to

OpenGL

Declaration

sub object.Scalef

Description

Remarks


OpenGL ShadeModel
ShadeModel sub

Applies to

OpenGL

Declaration

sub object.ShadeModel

Description

Remarks


OpenGL TexCoordf
TexCoordf sub

Applies to

OpenGL

Declaration

sub object.TexCoordf

Description

Remarks


OpenGL TexEnvi
TexEnvi sub

Applies to

OpenGL

Declaration

sub object.TexEnvi

Description

Remarks


OpenGL TexImage2D
TexImage2D sub

Applies to

OpenGL

Declaration

sub object.TexImage2D

Description

Remarks


OpenGL TexParameteri
TexParameteri sub

Applies to

OpenGL

Declaration

sub object.TexParameteri

Description

Remarks


OpenGL Translatef
Translatef sub

Applies to

OpenGL

Declaration

sub object.Translatef

Description

Remarks


OpenGL UnProject
UnProject sub

Applies to

OpenGL

Declaration

sub object.UnProject

Description

Remarks


OpenGL Vertex2i
Vertex2i sub

Applies to

OpenGL

Declaration

sub object.Vertex2i

Description

Remarks


OpenGL Vertex3f
Vertex3f sub

Applies to

OpenGL

Declaration

sub object.Vertex3f

Description

Remarks


OverlayLayer
OverlayLayer object

Properties	Methods	Events
Description

Object that describes the overlay layer

Remarks

This object can be obtained from FrameBuffer.OverlayLayer


OverlayLayer Properties
Properties

CalibratorRect	DrawTouchLoc


OverlayLayer Methods
Methods

AssignCalibratorRect


OverlayLayer Events
Events


OverlayLayer CalibratorRect
CalibratorRect property

Applies to

OverlayLayer

Declaration

property object.CalibratorRect(Rect)

Description

Gets/sets the calibration rectangle for this overlay layer with the parameters provided

Parameter	Description
Rect	(FloatRect).  A rectangle of normalized ( 0.0 - 1.0) floating point values.
Returns

Rect - (FloatRect).  A rectangle of normalized ( 0.0 - 1.0) floating point values.

Remarks


OverlayLayer DrawTouchLoc
DrawTouchLoc property

Applies to

OverlayLayer

Declaration

property object.DrawTouchLoc(Enabled)

Description

Gets/sets whether or not the touch indicator should be shown on output

Parameter	Description
Enabled	Boolean.  If true, the touch indicator will be drawn on output
Returns

Enabled - Boolean.  If true, the touch indicator is drawn on output

Remarks


OverlayLayer AssignCalibratorRect
AssignCalibratorRect method

Applies to

OverlayLayer

Declaration

sub object.AssignCalibratorRect(Left, Top, Right, Bottom)

Description

Sets the calibration rectangle for this overlay layer with the parameters provided

Parameter	Description
Left	Float.  Left X Value of the calibration rectangle
Top	Float.  Top Y Value of the calibration rectangle
Right	Float.  Right X Value of the calibration rectangle
Bottom	Float.  Bottom Y Value of the calibration rectangle
Remarks


Palette
Palette object

Properties	Methods	Events
Description

Provides information on a given color palette

Remarks

Obtain from Palettes.Palette


Palette Properties
Properties

CurrentColor	PaletteEntry	PaletteName


Palette Methods
Methods


Palette Events
Events


Palette CurrentColor
CurrentColor property

Applies to

Palette

Declaration

property object.CurrentColor

Description

Returns the index of this palette

Returns

PaletteInteger - Integer.

Remarks


Palette PaletteEntry
PaletteEntry property

Applies to

Palette

Declaration

property object.PaletteEntry(PaletteEntryIndex)

Description

Returns the palette entry at the given index

Parameter	Description
PaletteEntryIndex	Integer.   Range of 0 to 16
Returns

PaletteEntry Object

Remarks


Palette PaletteName
PaletteName property

Applies to

Palette

Declaration

property object.PaletteName

Description

Returns the name of the palette

Returns

PaletteMame - String.  Usually "Palette #" where # is the palette index

Remarks


PaletteEntry
PaletteEntry object

Properties	Methods	Events
Description

Provides information on a given entry in a color palette

Remarks

Obtain from Palette.PaletteEntry


PaletteEntry Properties
Properties

Color	CoolColor	Transparency


PaletteEntry Methods
Methods


PaletteEntry Events
Events


PaletteEntry Color
Color property

Applies to

PaletteEntry

Declaration

property object.Color(PaletteColor)

Description

Returns true if the entry represents a solid color; false if it is a gradiant Color of the palette entry

Parameter	Description
PaletteColor	Integer. See Remarks.
Returns

PaletteColor - Boolean. PaletteColor - Integer. See Remarks.

Remarks

For specification of color, see Background.SetColor


PaletteEntry CoolColor
CoolColor property

Applies to

PaletteEntry

Declaration

property object.CoolColor

Description

Returns true if the color at this palette entry is legal

Returns

Cool - Boolean.  True if the color is legal.

Remarks


PaletteEntry Transparency
Transparency property

Applies to

PaletteEntry

Declaration

property object.Transparency

Description

Transparency setting for the palette entry

Returns

Transparency - Integer. 0 fully opaque to 100 fully transparent.

Remarks


Palettes
Palettes object

Properties	Methods	Events
Description

Provides information on the color palettes

Remarks

Obtain from LyricObject.Palettes


Palettes Properties
Properties

Palette


Palettes Methods
Methods


Palettes Events
Events


Palettes Palette
Palette property

Applies to

Palettes

Declaration

property object.Palette(PaletteIndex)

Description

Returns the palette at the given index

Parameter	Description
PaletteIndex	Integer. Range of 0 to 8
Returns

Palette Object

Remarks


Parameter
Parameter object

Properties	Methods	Events
Description

Represents a key/value pair in a parameter list for a Data Object

Remarks

A blank parameter object can be obtained through LyricObject.Parameter

See ParameterList for further information.


Parameter Properties
Properties

Name	Value


Parameter Methods
Methods


Parameter Events
Events


Parameter Name
Name property

Applies to

Parameter

Declaration

property object.Name(Name)

Description

Get and Set the Name of Parameter

Parameter	Description
Name	VARIANT. Set the Name of parameter
Returns

Name - VARIANT . Get the Name of Parameter

Remarks


Parameter Value
Value property

Applies to

Parameter

Declaration

property object.Value(Value)

Description

Get and Set the Value of a Parameter

Parameter	Description
Value	VARIANT. Set the Value of parameter
Returns

Value - VARIANT. Get the Value of parameter

Remarks


ParameterList
ParameterList object

Properties	Methods	Events
Description

Provides an interface to access the parameter list of the application or a particular scene

Remarks

The parameter list of the application can be obtained through LyricObject.GetParameterList.
The parameter list for a scene can be obtained through Scene.GetParameterList
 An empty parameter list can be created via LyricObject.ParameterList


ParameterList Properties
Properties

Count


ParameterList Methods
Methods

Add	FromXML	RemoveRange
AddParameter	GetParameter	SaveToXMLFile
AddRange	GetRange	SetParameter
DeleteParameter	Item	SetRange
ExecuteXML	KeyAt	ToXML
Exists	LoadFromXMLFile	ValueAt


ParameterList Events
Events


ParameterList Count
Count property

Applies to

ParameterList

Declaration

property object.Count

Description

Gets number of items in the parameter list

Returns

Count - Integer

Remarks


ParameterList Add
Add method

Applies to

ParameterList

Declaration

sub object.Add(Parameter)

Description

Add a parameter to the list

Parameter	Description
Parameter	Object.
Remarks

A Parameter object can be created via LyricObject.Parameter


ParameterList AddParameter
AddParameter sub

Applies to

ParameterList

Declaration

sub object.AddParameter(Key, Value)

Description

Adds a parameter, given as a key-value pair, to the Parameter List

Parameter	Description
Key	String.
Value	Variant.
Returns

Successful - Boolean.  True if the parameter was added

Remarks


ParameterList AddRange
AddRange sub

Applies to

ParameterList

Declaration

sub object.AddRange(ParameterList)

Description

Adds the parameters from a parameter list to this one

Parameter	Description
ParameterList	Object.
Remarks

An empty parameter list can be created via LyricObject.ParameterList


ParameterList DeleteParameter
DeleteParameter sub

Applies to

ParameterList

Declaration

sub object.DeleteParameter(Key)

Description

Deletes a parameter with the given key from Parameter List

Parameter	Description
Key	String.
Returns

Successful - Boolean.  True if the parameter was deleted

Remarks


ParameterList ExecuteXML
ExecuteXML sub

Applies to

ParameterList

Declaration

sub object.ExecuteXML(ResponseXML)

Description

Executes the provided XML command

Parameter	Description
ResponseXML	Variant
Returns

InputXML - Variant

Remarks


ParameterList Exists
Exists sub

Applies to

ParameterList

Declaration

sub object.Exists(Key)

Description

Checks if parameter with the given key exists in Parameter List

Parameter	Description
Key	String.
Returns

Exists - Boolean.  True if the parameter exists

Remarks


ParameterList FromXML
FromXML sub

Applies to

ParameterList

Declaration

sub object.FromXML(XML)

Description

Loads parameters to parameter list from XML string

Parameter	Description
XML	String
Returns

Success - Boolean.  True if successful.

Remarks


ParameterList GetParameter
GetParameter sub

Applies to

ParameterList

Declaration

sub object.GetParameter(Key)

Description

Gets the value of the parameter with given key

Parameter	Description
Key	String
Returns

Value - Variant

Remarks


ParameterList GetRange
GetRange sub

Applies to

ParameterList

Declaration

sub object.GetRange(Names)

Description

Retrieves the parameters that match the provided names.

Parameter	Description
Names	Variant.  Array of parameter names
Returns

ParameterList - Object.

Remarks

An empty parameter list can be created via LyricObject.ParameterList


ParameterList Item
Item sub

Applies to

ParameterList

Declaration

sub object.Item(ParameterSpec)

Description

Gets Parameter Object from Parameter List with matching name

Parameter	Description
ParameterSpec	Variant.  Key Name as a string or the list index as integer
Returns

Parameter Object.

Remarks


ParameterList KeyAt
KeyAt sub

Applies to

ParameterList

Declaration

sub object.KeyAt(Position)

Description

Gets the key of the parameter at the given position

Parameter	Description
Position	Integer
Returns

Key - String

Remarks


ParameterList LoadFromXMLFile
LoadFromXMLFile sub

Applies to

ParameterList

Declaration

sub object.LoadFromXMLFile(XMLFile)

Description

Loads parameters to parameter list from XML file

Parameter	Description
XMLFile	String.  Full pathname of the XML file
Returns

Successful - BOOL

Remarks


ParameterList RemoveRange
RemoveRange sub

Applies to

ParameterList

Declaration

sub object.RemoveRange(Parameters)

Description

Removes the parameters with the provided names from the list

Parameter	Description
Parameters	Variant.  Array of names or a ParameterList object.
Remarks

An empty parameter list can be created via LyricObject.ParameterList


ParameterList SaveToXMLFile
SaveToXMLFile sub

Applies to

ParameterList

Declaration

sub object.SaveToXMLFile(XMLFile)

Description

Saves parameter list to XML file

Parameter	Description
XMLFile	String.  Full pathname of the XML file
Returns

Successful - BOOL

Remarks


ParameterList SetParameter
SetParameter sub

Applies to

ParameterList

Declaration

sub object.SetParameter(Key, Value)

Description

Sets the value of the parameter with the given key

Parameter	Description
Key	String
Value	Variant
Returns

Successful - BOOL

Remarks


ParameterList SetRange
SetRange sub

Applies to

ParameterList

Declaration

sub object.SetRange(ParameterList)

Description

Sets the value of multiple parameters in the collection; parameters will be added or updated  depending upon whether or not they already exist.

Parameter	Description
ParameterList	Object.
Remarks

An empty parameter list can be created via LyricObject.ParameterList


ParameterList ToXML
ToXML sub

Applies to

ParameterList

Declaration

sub object.ToXML

Description

Returns the parameter list as an XML String

Returns

XML - String

Remarks


ParameterList ValueAt
ValueAt sub

Applies to

ParameterList

Declaration

sub object.ValueAt(Position)

Description

Gets the value of the parameter at the given position

Parameter	Description
Position	Integer
Returns

Value - Variant.

Remarks


PlayList
PlayList object

Properties	Methods	Events
Description

Provides access to edit and control a playlist

Remarks

Retrieve through LyricObject.OpenPlaylist or LyricObject.CreatePlaylist


PlayList Properties
Properties

AirLine	Count	PreviewLine
Caption	MessageFolder	TakeState


PlayList Methods
Methods

Add	Flash	Step
AddField	GetItem	Stop
AddWithParam	Play	Take
Delete	ReleaseWaitForKey
DeleteAll	Save


PlayList Events
Events


PlayList AirLine
AirLine property

Applies to

PlayList

Declaration

property object.AirLine(AirLine)

Description

Get/Sets the air channel line for the active playlist

Parameter	Description
AirLine	Integer. The playlist line to be designated as air
Returns

AirLine - Integer. The playlist line displaying to the air channel

Remarks


PlayList Caption
Caption property

Applies to

PlayList

Declaration

property object.Caption(Title)

Description

Gets/Sets the title of the playlist

Parameter	Description
Title	string to be placed in the caption of the playlist frame
Returns

Title - string containing the title contained in the caption of the playlist frame

Remarks


PlayList Count
Count property

Applies to

PlayList

Declaration

property object.Count

Description

Gets the number of non-empty lines

Returns

LineCount - integer containing the number of non-empty playlist lines

Remarks


PlayList MessageFolder
MessageFolder property

Applies to

PlayList

Declaration

property object.MessageFolder(MessageFolder)

Description

Gets/Sets the default message folder for messages that are loaded in this playlist

Parameter	Description
MessageFolder	String. Full pathname of the default folder that this playlist is to use for loading messages
Returns

MessageFolder - String. Full pathname of the folder that this playlist is using as its default for loading messages

Remarks


PlayList PreviewLine
PreviewLine property

Applies to

PlayList

Declaration

property object.PreviewLine(PreviewLine)

Description

Get/Sets the preview channel line for the active playlist

Parameter	Description
PreviewLine	Integer. The playlist line to be designated as preview
Returns

PreviewLine - Integer. The playlist line displaying to the preview channel

Remarks


PlayList TakeState
TakeState property

Applies to

PlayList

Declaration

property object.TakeState

Description

Retrieves the current take state for the playlist

Returns

TakeState - Integer. 0 if cleared (red), 1 if loaded/ready (green), 2 if cuing clip (yellow)

Remarks


PlayList Add
Add method

Applies to

PlayList

Declaration

function object.Add(Control, Parameter, Effect, Speed, Name, Time, time, BufferNumber, Reserved, Color, Color)

Description

Add a playlist line

Parameter	Description
Control	can be one of the following: "Wait For Key", "Delay", "Loop", "Skip", "End", "Goto", "GPI".
Parameter	string value containing appropriate parameter for selected control value.
Effect	can be one of the following: "Cut", "Dissolve", "Wipe Right", "Wipe Left", "Wipe Down", "Wipe Up".
Speed	string value containing the speed of the effect
Name	string containing the number (or path and filename) of the message to load.
Time	string specifying time code that specifies the effect starting time
time	string specifying time code that specifies the effect ending time
BufferNumber	string specifying which frame buffer the effect will run on
Reserved	string reserved for future use
Color	optional variant of type I4 that specifies the font color.  See Remarks.
Color	optional variant of type I4 that specified the font background color.  See Remarks.
Returns

Insert Index - index in playlist where new line was added or -1 if method failed.

Remarks

See the Playlist Topic in Lyric's Online Help for further information

For specification of color, see Background.SetColor


PlayList AddField
AddField function

Applies to

PlayList

Declaration

function object.AddField(FieldName, FieldValue, First, Last, Options)

Description

Adds or changes a field on the current edit line in the playlist

Parameter	Description
FieldName	String.  Name of the field (i.e. column heading) to change
FieldValue	String.  New contents of the field
First	Boolean   If true, the current contents of the playlist will be cleared
Last	Boolean.  If true, the playlist will be redrawn and the edit line will be incremented
Options	Variant.
Returns

RetVal - Integer.  0 on success, -1 on failure

Remarks

VBScript example using the playlist object "plist"

plist.AddField "Control", "Timecode", true, false
plist.AddField "File Name", "30", false, false
plist.AddField "Parameter", "05:00:00:00", false, false
plist.AddField "Effect", "Dissolve/Dissolve", false, false
plist.AddField "Channel", "1", false, false


PlayList AddWithParam
AddWithParam function

Applies to

PlayList

Declaration

function object.AddWithParam(Control, Parameter)

Description

Add a playlist line

Parameter	Description
Control	can be one of the following: "Wait For Key", "Delay", "Loop", "Skip", "End", "Goto", "GPI".
Parameter	string value containing appropriate parameter for selected control value.
Returns

InsertIndex - Integer.  Index in playlist where new line was added or -1 if method failed.

Remarks


PlayList Delete
Delete function

Applies to

PlayList

Declaration

function object.Delete(LineIndex)

Description

Deletes a playlist line

Parameter	Description
LineIndex	Int range 0-499
Remarks


PlayList DeleteAll
DeleteAll function

Applies to

PlayList

Declaration

function object.DeleteAll

Description

Deletes all playlist items

Remarks


PlayList Flash
Flash function

Applies to

PlayList

Declaration

function object.Flash(Line, FlashOn, FlashOff, Color, Duration)

Description

Activates a color flash for the given line at the specified rate and color

Parameter	Description
Line	Integer. Line number to flash starting at 1
FlashOn	Integer. Milliseconds the flash color should be on
FlashOff	Integer. Milliseconds the flash color should be off
Color	Integer. The flash color in RGB
Duration	Integer. Duration of flash. Specify 0 for infinity.
Remarks


PlayList GetItem
GetItem function

Applies to

PlayList

Declaration

function object.GetItem(LineIndex)

Description

Gets a playlist line

Parameter	Description
LineIndex	Int range 0-499
Returns

PlayListData object

Remarks


PlayList Play
Play function

Applies to

PlayList

Declaration

function object.Play(Reserved)

Description

Starts the playlist running

Parameter	Description
Reserved	Boolean.  Reserved for future use
Remarks


PlayList ReleaseWaitForKey
ReleaseWaitForKey function

Applies to

PlayList

Declaration

function object.ReleaseWaitForKey

Description

Releases the current "Wait for Keypress" control

Returns

Released - Boolean.  True if "Wait for Keypress" existed and was successfully released

Remarks


PlayList Save
Save function

Applies to

PlayList

Declaration

function object.Save(FileName)

Description

Saves playlist

Parameter	Description
FileName	file to save playlist to
Remarks


PlayList Step
Step function

Applies to

PlayList

Declaration

function object.Step(Reserved)

Description

Issues a take on the current playlist line

Parameter	Description
Reserved	Boolean.  Reserved for future use
Remarks


PlayList Stop
Stop function

Applies to

PlayList

Declaration

function object.Stop

Description

Stops a running playlist

Remarks


PlayList Take
Take function

Applies to

PlayList

Declaration

function object.Take(Reserved)

Description

Issues a take on the current playlist line

Parameter	Description
Reserved	Boolean.  Reserved for future use
Remarks


PlayListData
PlayListData object

Properties	Methods	Events
Description

Provides access to a playlist line.

Remarks

This interface allows read access to all the columns of a playlist line as well as retreiving the forground and background color used to paint the line in the UI. Created by PlayList.GetItem


PlayListData Properties
Properties

BackColor	Duet	OutTime
Channel	Effect	Parameter
Color	File	Speed
Control	InTime


PlayListData Methods
Methods


PlayListData Events
Events


PlayListData BackColor
BackColor property

Applies to

PlayListData

Declaration

property object.BackColor

Description

Gets the color used to draw the background of the text within the line elements.

Returns

BGColor - Integer.  See Remarks.

Remarks

For specification of color, see Background.SetColor


PlayListData Channel
Channel property

Applies to

PlayListData

Declaration

property object.Channel

Description

Gets the channel (frame buffer) that the message will be played to

Returns

String - the effect channel from the channel column

Remarks


PlayListData Color
Color property

Applies to

PlayListData

Declaration

property object.Color

Description

Gets the color used to draw the text within the line elements.

Returns

TextColor - Integer.  See Remarks.

Remarks

For specification of color, see Background.SetColor


PlayListData Control
Control property

Applies to

PlayListData

Declaration

property object.Control

Description

Gets the control name from the control column

Returns

String - the selected control

Remarks


PlayListData Duet
Duet property

Applies to

PlayListData

Declaration

property object.Duet

Description

Gets the Duet that the control will be played on

Returns

String - the Duet id from the Duet column

Remarks

This command is obsolete and is included only for backwards compatibility


PlayListData Effect
Effect property

Applies to

PlayListData

Declaration

property object.Effect

Description

Gets the effect name from the the effect column

Returns

String - the selected effect

Remarks


PlayListData File
File property

Applies to

PlayListData

Declaration

property object.File

Description

Gets filename from the file column

Returns

String - the selected control

Remarks


PlayListData InTime
InTime property

Applies to

PlayListData

Declaration

property object.InTime

Description

Gets the starting time from the in-time column

Returns

String - the effects starting time

Remarks

This command is obsolete and is included only for backwards compatibility


PlayListData OutTime
OutTime property

Applies to

PlayListData

Declaration

property object.OutTime

Description

Gets the ending time name from the out-time column

Returns

String - the effects ending time

Remarks

This command is obsolete and is included only for backwards compatibility


PlayListData Parameter
Parameter property

Applies to

PlayListData

Declaration

property object.Parameter

Description

Gets the selected parameter from the parameter column

Returns

String - the selected parameter

Remarks


PlayListData Speed
Speed property

Applies to

PlayListData

Declaration

property object.Speed

Description

Gets the current effect speed (if any) from the speed column

Returns

String - the entered speed.

Remarks


PluginCollection
PluginCollection object

Properties	Methods	Events
Description

Enumeration object used to access Lyric plugins

Remarks

Retrieve from LyricObject.Plugins


PluginCollection Properties
Properties


PluginCollection Methods
Methods

Count	Plugin	PluginByTitle


PluginCollection Events
Events


PluginCollection Count
Count method

Applies to

PluginCollection

Declaration

function object.Count

Description

Get the number of plugins active within Lyric

Returns

PluginCount - Integer  Number of plugins

Remarks


PluginCollection Plugin
Plugin function

Applies to

PluginCollection

Declaration

function object.Plugin(PluginID)

Description

Gets a plugin object by either name or index

Parameter	Description
PluginID	String. The ProgID of the plugin OR a zero-based index not more than one less than the value from Count
Returns

PluginObject

Remarks


PluginCollection PluginByTitle
PluginByTitle function

Applies to

PluginCollection

Declaration

function object.PluginByTitle(PluginID)

Description

Gets a plugin object by title

Parameter	Description
PluginID	String. The title of the plugin
Returns

PluginObject

Remarks


PluginObject
PluginObject object

Properties	Methods	Events
Description

Object used to access/control a registered Plugin

Remarks

Retrieve from PluginCollection.Plugin


PluginObject Properties
Properties

Filename	Title
ProgID	Vendor


PluginObject Methods
Methods

CreateTextureSource	GetObject	PluginControl
Execute	InputTextureNames	SetTextureSourceProperty


PluginObject Events
Events


PluginObject Filename
Filename property

Applies to

PluginObject

Declaration

property object.Filename

Description

Returns the location on the file system of the plugin control

Returns

Filename - String. Absolute path of the plugin file

Remarks


PluginObject ProgID
ProgID property

Applies to

PluginObject

Declaration

property object.ProgID

Description

Returns the progID of the plugin

Returns

ProgID - String. ProgID of LEIFlet.

Remarks


PluginObject Title
Title property

Applies to

PluginObject

Declaration

property object.Title

Description

Returns the title of plugin

Returns

Title - String. Name of the LEIFlet as it appears in the About Box.

Remarks


PluginObject Vendor
Vendor property

Applies to

PluginObject

Declaration

property object.Vendor

Description

Returns the vendor of the plugin

Returns

Vendor - String. Vendor of the plugin.

Remarks


PluginObject CreateTextureSource
CreateTextureSource method

Applies to

PluginObject

Declaration

function object.CreateTextureSource(Name, DispatchIDs)

Description

Specify the initializing plugin as a Texture Source.

Parameter	Description
Name	String. The source name that will be identified to the user.
DispatchIDs	long array - Dispatch IDs for the corresponding methods to receive texture events.
Returns

Registered - Boolean. True if texture source is created.

Remarks

Use this function to create a texture source outside of a Plugin's OnInitialize function. Use LyricObject.CreateTextureSource otherwise. Input DispatchIDs correspond to the the Texture Event, Texture Rename Event, and Texture Selection Event in this respective order. Function prototype for the Texture Event call is of type:
 Return - VT_I4 - long returnValue
 Arg0 - VT_VARIANT || VT_ARRAY - Array of Variants specifying all parameters  Element 0 - long eTextureEvent
 Element 1 - BSTR GUID
 Element 2 - unsigned int TextureName
 Element 3 - unsigned int array InputTextureNames
 Element 4 - long Frame
 Element 5 - long Field
 Element 6 - long SceneIndex
 Element 7 - unsigned int Bitmask
 Bitmask includes flags:
 (1 << 0) - Scene is on output Function prototype for the Texture Rename Event call is of type:  Return VT_EMPTY - void
 Arg0 - VT_VARIANT || VT_ARRAY - Array of Variants specifying all parameters  Element 0 - long eTextureEvent  Element 1 - BSTR PreviousGUID
 Element 2 - BSTR NewGUID
Function prototype for the Texture Selection Event call is of type:  Return VT_EMPTY - void
 Arg0 - VT_VARIANT || VT_ARRAY - Array of Variants specifying all parameters  Element 0 - long TextureEvent
 Element 1 - BSTR SelectedGUID
 Element 2 - long SelectedSurfaceIndex
 Element 3 - long SelectedTextureIndex
Defined texture events include:
 0 = Update - Frame update event
 1 = Set - Texture creation event for new texture
 2 = Refresh - Texture refresh event for existing texture
 3 = Load - Texture load event for newly serialized texture
 4 = Dispose - Texture removal event
 5 = Selection - Texture selection event


PluginObject Execute
Execute function

Applies to

PluginObject

Declaration

function object.Execute(Method, MethodArg)

Description

Commands the plugin to execute a given method

Parameter	Description
Method	String. Method to execute
MethodArg	Variant. Optional object to pass to plugin (plugin specific)
Remarks


PluginObject GetObject
GetObject function

Applies to

PluginObject

Declaration

function object.GetObject(Method)

Description

Retrieves a plugin specific object

Parameter	Description
Method	String. Plugin method name used to retrieve the object
Returns

PluginObject. Dispatch. Plugin specific object

Remarks


PluginObject InputTextureNames
InputTextureNames function

Applies to

PluginObject

Declaration

function object.InputTextureNames(Texture, NodeNames)

Description

Specify input texture names for this Texture Source.

Parameter	Description
Texture	String. A previously set GUID associated with a plugin texture.
NodeNames	String Array.  The names of the nodes to use as input textures for this GUID.
Returns

None

Remarks

The input textures will be returned as an array to the texture event method specified in  CreateTextureSource during the Associated Texture's Update event. If an input is not found,   the texture name will be 0. Only object textures are available, returned by first node  found if duplicate names exist in the scene.


PluginObject PluginControl
PluginControl function

Applies to

PluginObject

Declaration

function object.PluginControl

Description

Retrieves the dispatch to control the plugin

Returns

PluginDispatch - Dispatch.  The dispatch to control the plugin

Remarks


PluginObject SetTextureSourceProperty
SetTextureSourceProperty function

Applies to

PluginObject

Declaration

function object.SetTextureSourceProperty(Property, Value)

Description

Set a property for a registered texture source

Parameter	Description
Property	String. The property to modify.
Value	Variant. The value to set the property to.
Returns

Verified - Boolean. Return true if property is set.

Remarks

Properties include:
 "MaxTextures" - Integer. Enforce a max texture count per scene due to software limitation.
 "FlipV" - Boolean. New textures should be flipped vertically after a Set Event
 "FlipH" - Boolean. New textures should be flipped horizontally after a Set Event
 "FlipVToggle" - Boolean. New textures should negate their vertical flip after a Load Event
 "FlipHToggle" - Boolean. New textures should negate their horizontal flip after a Load Event
 "ForceRefresh" - Boolean. Plugin should be notified every render, rather than only on new frames/fields.  "SingleRefresh" - Boolean. Plugin should be notified once on next render, rather than only on new frames/fields.


Preferences
Preferences object

Properties	Methods	Events
Description

Allows access to application preferences

Remarks

Retrieve through LyricObject.Preferences.   Additional preferences are available via LyricObject, FrameBuffer or Scene.   Some display preferences for the canvas are available under ActiveCanvas.


Preferences Properties
Properties

AutoIncrement	EnableCGUndo	PromptToPlay
AutoPlay	EnableNumberpad	ReturnToCanvas
ConfirmOverwrite	ExportAllTransitions	ShiftPageMode
DefaultPath	PreviewMode


Preferences Methods
Methods


Preferences Events
Events


Preferences AutoIncrement
AutoIncrement property

Applies to

Preferences

Declaration

property object.AutoIncrement(AutoIncrement)

Description

Sets/Gets whether the message counter automatically increments after a message read or record

Parameter	Description
AutoIncrement	Boolean.  Set to true to enable auto-increment
Returns

AutoIncrement - Boolean.  True if auto-increment is enabled

Remarks


Preferences AutoPlay
AutoPlay property

Applies to

Preferences

Declaration

property object.AutoPlay(AutoPlay)

Description

Sets/Gets whether an animation will automatically play to output after being read up

Parameter	Description
AutoPlay	Set To TRUE (Non-zero) to enable automatic playback
Returns

AutoPlay - Returns TRUE (Non-zero) if automatic playback is enabled

Remarks


Preferences ConfirmOverwrite
ConfirmOverwrite property

Applies to

Preferences

Declaration

property object.ConfirmOverwrite(ConfirmOverwrite)

Description

Sets/Gets whether a prompt will appear to confirm that a existing message should be overwritten

Parameter	Description
ConfirmOverwrite	Set To TRUE (Non-zero) to enable the appearance of this prompt
Returns

ConfirmOverwrite - Returns TRUE (Non-zero) if the prompt will eppear

Remarks


Preferences DefaultPath
DefaultPath property

Applies to

Preferences

Declaration

property object.DefaultPath(AssetType, PrefPath)

Description

Sets/Gets the default path for a specified asset type

Parameter	Description
AssetType	String.  Asset type to set path of, ex. "MESSAGES", "IMAGES"
PrefPath	String. Default path containing assets of this type
Returns

PrefPath - String. Default path containing assets of this type

Remarks

The default message path can also be set via LyricObject.MessagePath


Preferences EnableCGUndo
EnableCGUndo property

Applies to

Preferences

Declaration

property object.EnableCGUndo(EnableCGUndo)

Description

Sets/Gets whether undo is supported on operations within a 2D text window

Parameter	Description
EnableCGUndo	Set To TRUE (Non-zero) to enable undo on operations within a 2D text window
Returns

EnableCGUndo - Returns TRUE (Non-zero) if undo is supported on operations within a 2D text window

Remarks


Preferences EnableNumberpad
EnableNumberpad property

Applies to

Preferences

Declaration

property object.EnableNumberpad(EnableNumberpad)

Description

Sets/Gets whether the number pad may be used for generic numeric entry, or restricted to message number input

Parameter	Description
EnableNumberpad	Set To TRUE (Non-zero) to enable the numberpad for generic numeric entry
Returns

EnableNumberpad - Returns TRUE (Non-zero) if the numberpad may be used for generic numeric entry

Remarks


Preferences ExportAllTransitions
ExportAllTransitions property

Applies to

Preferences

Declaration

property object.ExportAllTransitions(ExportAll)

Description

Sets/Gets whether the default is to export all transitions when creating a LNO (Lyric Node Object) file

Parameter	Description
ExportAll	Set To TRUE (Non-zero) to export all transitiosn to an LNO by default
Returns

ExportAll - Returns TRUE (Non-zero) if all transitiosn will be exported into an LNO file

Remarks

This value can be set on a case-by-case basis when an LNO file is created through Scene.ExportNodes


Preferences PreviewMode
PreviewMode property

Applies to

Preferences

Declaration

property object.PreviewMode(PreviewMode)

Description

Sets/Gets whether the specified preview frame is shown in the canvas when a message is recalled

Parameter	Description
PreviewMode	Set To TRUE (Non-zero) to show the preview frame of a message upon recall
Returns

PreviewMode - Returns TRUE (Non-zero) if the preview frame of a message is shown upon recall

Remarks


Preferences PromptToPlay
PromptToPlay property

Applies to

Preferences

Declaration

property object.PromptToPlay(PromptToPlay)

Description

Sets/Gets whether a prompt will appear when an animation is ready for playback

Parameter	Description
PromptToPlay	Set To TRUE (Non-zero) to enable the appearance of this prompt
Returns

PromptToPlay - Returns TRUE (Non-zero) if the prompt will eppear

Remarks

If this preference is enabled, the prompt will appear when an animation is sent to output via Scene.Play or FrameBuffer.Play


Preferences ReturnToCanvas
ReturnToCanvas property

Applies to

Preferences

Declaration

property object.ReturnToCanvas(ReturnToCanvas)

Description

Sets/Gets the completion mode for scenes on output.  This dictates whether the scene will return to the canvas after completion, or be deleted. Applies to Lyric PRO versions only

Parameter	Description
ReturnToCanvas	Boolean.  Set To TRUE (Non-zero) to return all scenes to the canvas
Returns

ReturnToCanvas - Boolean.  Returns TRUE (Non-zero) if scenes will be returned to the canvas

Remarks


Preferences ShiftPageMode
ShiftPageMode property

Applies to

Preferences

Declaration

property object.ShiftPageMode(ShiftAllObjs)

Description

Sets/Gets whether all objects are affected on Shift-Page or just the selected object

Parameter	Description
ShiftAllObjs	Boolean.  Set to true so that all objects are shifted on a Shift-Page
Returns

ShiftAllObjs - Boolean.  True if all objects are shifted on a Shift-Page

Remarks


Reaction
Reaction object

Properties	Methods	Events
Description

Base Object that describes the reaction to a HotSpot

Remarks

The reaction can be obtained from HotSpot.GetReaction
For more information, see TransitionRulesMgr, ActivationReaction and MacroReaction


Reaction Properties
Properties

Type


Reaction Methods
Methods

CopyReaction


Reaction Events
Events


Reaction Type
Type property

Applies to

Reaction

Declaration

property object.Type(Type)

Description

Returns the reaction type

Parameter	Description
Type	Integer.  The reaction type.  See remarks.
Remarks

0 	TransitionRulesMgr reaction
1 	ActivationReaction
2 	MacroReaction


Reaction CopyReaction
CopyReaction method

Applies to

Reaction

Declaration

function object.CopyReaction

Description

Creates a copy of this reaction

Returns

Copy of this (Reaction)

Remarks


Rect
Rect object

Properties	Methods	Events
Description

Object used to get rectangular coordinate information for a scene element

Remarks

Can be obtained through Element.Rect, Text.CharsRect, or Node.DisplayRect


Rect Properties
Properties

Bottom	Left	Top
Height	Right	Width


Rect Methods
Methods

Set


Rect Events
Events


Rect Bottom
Bottom property

Applies to

Rect

Declaration

property object.Bottom(Bottom)

Description

Gets the bottom side coordinate of an object

Parameter	Description
Bottom	Integer
Returns

Bottom - Integer

Remarks


Rect Height
Height property

Applies to

Rect

Declaration

property object.Height

Description

Gets / Sets the height of an object

Returns

Height - Integer

Remarks

Setting height inflates or deflates the bottom border of the rect


Rect Left
Left property

Applies to

Rect

Declaration

property object.Left

Description

Gets the left side coordinate of an object

Returns

Left - Integer

Remarks


Rect Right
Right property

Applies to

Rect

Declaration

property object.Right(Right)

Description

Gets the right side coordinate of an object

Parameter	Description
Right	Integer
Returns

Right - Integer

Remarks


Rect Top
Top property

Applies to

Rect

Declaration

property object.Top(Top)

Description

Gets the top side coordinate of an object

Parameter	Description
Top	Integer
Returns

Top - Integer

Remarks


Rect Width
Width property

Applies to

Rect

Declaration

property object.Width(Width)

Description

Gets / Sets the width of an object

Parameter	Description
Width	Integer
Returns

Width - Integer

Remarks

Setting width inflates or deflates the right border of the rect


Rect Set
Set method

Applies to

Rect

Declaration

sub object.Set

Description

Sets the left, top, right, and bottom values for a {Rect} object.

Remarks

Function performs no testing and allows empty and unnormalized Rects to be constructed.


RectFloat
RectFloat object

Properties	Methods	Events
Description

Object used to get rectangular coordinate information for a scene element

Remarks

Can be obtained through HotSpot.UserRect


RectFloat Properties
Properties

Bottom	Left	Top
Height	Right	Width


RectFloat Methods
Methods

Set


RectFloat Events
Events


RectFloat Bottom
Bottom property

Applies to

RectFloat

Declaration

property object.Bottom(Bottom)

Description

Gets the bottom side coordinate of an object

Parameter	Description
Bottom	Float
Returns

Bottom - Float

Remarks


RectFloat Height
Height property

Applies to

RectFloat

Declaration

property object.Height

Description

Gets / Sets the height of an object

Returns

Height - Float

Remarks

Setting height inflates or deflates the bottom border of the rect


RectFloat Left
Left property

Applies to

RectFloat

Declaration

property object.Left

Description

Gets the left side coordinate of an object

Returns

Left - Float

Remarks


RectFloat Right
Right property

Applies to

RectFloat

Declaration

property object.Right(Right)

Description

Gets the right side coordinate of an object

Parameter	Description
Right	Float
Returns

Right - Float

Remarks


RectFloat Top
Top property

Applies to

RectFloat

Declaration

property object.Top(Top)

Description

Gets the top side coordinate of an object

Parameter	Description
Top	Float
Returns

Top - Float

Remarks


RectFloat Width
Width property

Applies to

RectFloat

Declaration

property object.Width(Width)

Description

Gets / Sets the width of an object

Parameter	Description
Width	Float
Returns

Width - Float

Remarks

Setting width inflates or deflates the right border of the rect


RectFloat Set
Set method

Applies to

RectFloat

Declaration

sub object.Set

Description

Sets the left, top, right, and bottom values for a {RectFloat} object.

Remarks

Function performs no validation and allows empty and unnormalized Rects to be constructed.


Rectdouble
Rectdouble object

Properties	Methods	Events
Description

Object used to get rectangular coordinate information for a scene element

Remarks

Can be obtained through Node.NDCRect


Rectdouble Properties
Properties

Bottom	Left	Top
Height	Right	Width


Rectdouble Methods
Methods

Set


Rectdouble Events
Events


Rectdouble Bottom
Bottom property

Applies to

Rectdouble

Declaration

property object.Bottom(Bottom)

Description

Gets/sets the bottom coordinate of an object

Parameter	Description
Bottom	double
Returns

Bottom - double

Remarks


Rectdouble Height
Height property

Applies to

Rectdouble

Declaration

property object.Height

Description

Gets / Sets the height of the rectangle

Returns

Height - double

Remarks

Setting height inflates or deflates the bottom border of the rect


Rectdouble Left
Left property

Applies to

Rectdouble

Declaration

property object.Left

Description

Gets/sets the left side coordinate of an object

Returns

Left - double

Remarks


Rectdouble Right
Right property

Applies to

Rectdouble

Declaration

property object.Right(Right)

Description

Gets/sets the right side coordinate of an object

Parameter	Description
Right	double
Returns

Right - double

Remarks


Rectdouble Top
Top property

Applies to

Rectdouble

Declaration

property object.Top(Top)

Description

Gets/sets the top coordinate of an object

Parameter	Description
Top	double
Returns

Top - double

Remarks


Rectdouble Width
Width property

Applies to

Rectdouble

Declaration

property object.Width(Width)

Description

Gets / Sets the width of the rectangle

Parameter	Description
Width	double
Returns

Width - double

Remarks

Setting width inflates or deflates the right border of the rect


Rectdouble Set
Set method

Applies to

Rectdouble

Declaration

sub object.Set

Description

Sets the left, top, right, and bottom values for a {Rectdouble} object.

Remarks

Function performs no validation of the coordinates and allows empty and unnormalized Rects to be constructed.


RegisteredCustomEditorProperty
RegisteredCustomEditorProperty object

Properties	Methods	Events
Description

Object used to retrieve information about a registered property

Remarks


RegisteredCustomEditorProperty Properties
Properties

Default	Options	Value
Name	Type


RegisteredCustomEditorProperty Methods
Methods


RegisteredCustomEditorProperty Events
Events


RegisteredCustomEditorProperty Default
Default property

Applies to

RegisteredCustomEditorProperty

Declaration

property object.Default

Description

Returns the default value of the registered property

Returns

String : Default value

Remarks


RegisteredCustomEditorProperty Name
Name property

Applies to

RegisteredCustomEditorProperty

Declaration

property object.Name

Description

Returns the name of the registered property

Returns

String : Property name

Remarks


RegisteredCustomEditorProperty Options
Options property

Applies to

RegisteredCustomEditorProperty

Declaration

property object.Options

Description

Returns the options of the registered property.  Only valid for types 3 (Combo Choice), and 5 (Parsed List)

Returns

String : Option string. For Combo choice (type 3) this is a pipe separated list of choices, for Parsed List (type 5) this is the registered property that contains text for parsing

Remarks


RegisteredCustomEditorProperty Type
Type property

Applies to

RegisteredCustomEditorProperty

Declaration

property object.Type

Description

Returns the type of the registered property

Returns

Type - Integer
0 = String
1 = Integer
2 = Float
3 = Combo Choice
4 = Text Block
5 = Parsed List

Remarks


RegisteredCustomEditorProperty Value
Value property

Applies to

RegisteredCustomEditorProperty

Declaration

property object.Value(Value)

Description

Get/set the property value

Parameter	Description
Value	Variant. New value of property
Returns

Value - Variant. Current value of property

Remarks


RegisteredNamespaceEnum
RegisteredNamespaceEnum object

Properties	Methods	Events
Description

Registered Namespace enumeration object

Remarks

This object is used to enumerate through all the namespaces registered for a pre-defined or custom object type. Retrieve through LyricObject.CustomProperties.


RegisteredNamespaceEnum Properties
Properties

Count


RegisteredNamespaceEnum Methods
Methods

Get


RegisteredNamespaceEnum Events
Events


RegisteredNamespaceEnum Count
Count property

Applies to

RegisteredNamespaceEnum

Declaration

property object.Count

Description

Gets the number of namespaces registered for a particular Lyric object class

Returns

Registered Namespace Count - number of namespaces registered

Remarks

See RegisteredNamespaceEnum.Get Remarks for an example


RegisteredNamespaceEnum Get
Get method

Applies to

RegisteredNamespaceEnum

Declaration

function object.Get(NamespaceIndex)

Description

Gets a Namespace context object for a pre-defined or custom object type

Parameter	Description
NamespaceIndex	Integer.  Zero-based index which is at most one less than the value from "Count"
Returns

RegisteredPropertyContext Object

Remarks

VBScript Example

Redim lyricObjects(0)

lyricObjects(0)  = "Lyric2DObject"

call lyric.RegisterObjectProperty("Export Properties", "File Name", 0, "",     lyricObjects, "")

call lyric.RegisterObjectProperty("Image Processing",  "Effect",    3, "Blur", lyricObjects, "Blur.Sharpen")

set namespaceContext = lyric.CustomProperties("Lyric2DObject")

contextCount = namespaceContext.Count

for index =0 to contextCount - 1

   MsgBox namespaceContext.Get(index).Name

next


RegisteredProperties
RegisteredProperties object

Properties	Methods	Events
Description

Enumerator object that gives access to the registered properties for a specific Lyric Object

Remarks

Provided to plugins when a custom property editor is instantiated.  See CustomProperties


RegisteredProperties Properties
Properties

Count	Namespace	OwnerElement


RegisteredProperties Methods
Methods

ByIndex	DisplayEditor
ByName	PostProcess


RegisteredProperties Events
Events


RegisteredProperties Count
Count property

Applies to

RegisteredProperties

Declaration

property object.Count

Description

Gets the number of registered properties for this object

Returns

Count - Integer    : Number of registered properties

Remarks


RegisteredProperties Namespace
Namespace property

Applies to

RegisteredProperties

Declaration

property object.Namespace

Description

Gets the namespace associated with this set of properties

Returns

Namespace, String. Fully qualified namespace (i.e. "Chyron.LEIFlet.MetaSync.1::ExportTags")

Remarks


RegisteredProperties OwnerElement
OwnerElement property

Applies to

RegisteredProperties

Declaration

property object.OwnerElement

Description

Gets the Lyric Object that owns the instance of this property namespace

Returns

Element Object

Remarks


RegisteredProperties ByIndex
ByIndex method

Applies to

RegisteredProperties

Declaration

function object.ByIndex(Index)

Description

Gets a registered property interface by zero-based index

Parameter	Description
Index	Integer. Zero-based index which is at most one less than the value from "Count"
Returns

RegisteredCustomEditorProperty Object

Remarks


RegisteredProperties ByName
ByName function

Applies to

RegisteredProperties

Declaration

function object.ByName(Name, IgnoreCase)

Description

Gets a registered property interface by its pipe separated name

Parameter	Description
Name	Complete property name (including any pipe separators)
IgnoreCase	Optional, when set to TRUE case is ignored when searching for the registered property
Returns

RegisteredCustomEditorProperty Object

Remarks


RegisteredProperties DisplayEditor
DisplayEditor function

Applies to

RegisteredProperties

Declaration

function object.DisplayEditor

Description

Displays the editor for this custom property set

Returns

Boolean. True if editor was displayed

Remarks


RegisteredProperties PostProcess
PostProcess function

Applies to

RegisteredProperties

Declaration

function object.PostProcess

Description

Completes processing of any change to a custom property

Returns

Boolean.True if processing was necessary

Remarks


RegisteredProperty
RegisteredProperty object

Properties	Methods	Events
Description

Object used to retrieve information about a registered property

Remarks

Retrieve scene properties through MasterCustomProperties.Property
Retrieve properties specific to an object through RegisteredPropertyContext.Property


RegisteredProperty Properties
Properties

Default	ObjectCount	Type
Name	Options	Value


RegisteredProperty Methods
Methods

ObjectName


RegisteredProperty Events
Events


RegisteredProperty Default
Default property

Applies to

RegisteredProperty

Declaration

property object.Default

Description

Returns the default value of the registered property

Returns

Default - String : Default value

Remarks


RegisteredProperty Name
Name property

Applies to

RegisteredProperty

Declaration

property object.Name

Description

Returns the name of the registered property

Returns

Name - String. Property name

Remarks


RegisteredProperty ObjectCount
ObjectCount property

Applies to

RegisteredProperty

Declaration

property object.ObjectCount

Description

Gets the number of Lyric object types for which this property is registered

Returns

Integer - Count. Number of lyric objects

Remarks


RegisteredProperty Options
Options property

Applies to

RegisteredProperty

Declaration

property object.Options

Description

Returns the options of the registered property.  Valid only for types 3 (Combo Choice), and 5 (Parsed List)

Returns

Options - String.  For Combo choice (type 3) this is a dot-separated list of choices, For Parsed List (type 5) this is the registered property that contains text for parsing

Remarks

See LyricObject.RegisterObjectProperty for further information


RegisteredProperty Type
Type property

Applies to

RegisteredProperty

Declaration

property object.Type

Description

Returns the type of the registered property

Returns

Type - Integer. (0 = String, 1 = Int, 2 = Float, 3 = Combo Choice, 4 = Text Block, 5 = Parsed List)

Remarks

See LyricObject.RegisterObjectProperty for further information


RegisteredProperty Value
Value property

Applies to

RegisteredProperty

Declaration

property object.Value(Value)

Description

Value access property

Parameter	Description
Value	Variant. Property value (when setting)
Returns

Value - String.  Property value (when getting)

Remarks


RegisteredProperty ObjectName
ObjectName method

Applies to

RegisteredProperty

Declaration

function object.ObjectName(ObjectIndex)

Description

Used to enumerate the list of object types for which this registered property is valid

Parameter	Description
ObjectIndex	Integer.  Index of object.  Range is 0 to value returned by ObjectCount - 1.
Returns

ObjectType - String.  Name of Lyric object type

Remarks

See LyricObject.RegisterObjectProperty for a list of object types


RegisteredPropertyContext
RegisteredPropertyContext object

Properties	Methods	Events
Description

Object with which to retrieve attributes for a set of properties registered for a specific object

Remarks

Retrieved via RegisteredNamespaceEnum.Get


RegisteredPropertyContext Properties
Properties

CommandID	Name	PropertyCount


RegisteredPropertyContext Methods
Methods

Property


RegisteredPropertyContext Events
Events


RegisteredPropertyContext CommandID
CommandID property

Applies to

RegisteredPropertyContext

Declaration

property object.CommandID

Description

Returns the command ID used within the Lyric User Interface to generate context menus

Returns

CcotextID - Integer

Remarks


RegisteredPropertyContext Name
Name property

Applies to

RegisteredPropertyContext

Declaration

property object.Name

Description

Returns the fully qualified namespace of the property set (including progID)

Returns

String : Context name (i.e. "Chyron.LEIFlet.MetaSync.1::Export Settings")

Remarks


RegisteredPropertyContext PropertyCount
PropertyCount property

Applies to

RegisteredPropertyContext

Declaration

property object.PropertyCount

Description

Returns the number of properties registered within the namespace for this object

Returns

Number of registered properties

Remarks


RegisteredPropertyContext Property
Property method

Applies to

RegisteredPropertyContext

Declaration

function object.Property(Index)

Description

Retrieve a specific property from within this set via its index

Parameter	Description
Index	Property (zero-based) index to retrieve. Range is 0 to one less the value returned from PropertyCount
Returns

RegisteredProperty object

Remarks


Resolution
Resolution object

Properties	Methods	Events
Description

Provides access to the current canvas dimensions, aspect ratio, and animation frame rate

Remarks

Obtain through Scene.Resolution


Resolution Properties
Properties

AspectRatio	FramesPerSecond	Size


Resolution Methods
Methods


Resolution Events
Events


Resolution AspectRatio
AspectRatio property

Applies to

Resolution

Declaration

property object.AspectRatio

Description

Gets the pixel aspect ratio (width/height) for this resolution setting

Returns

AspectRatio - Double

Remarks


Resolution FramesPerSecond
FramesPerSecond property

Applies to

Resolution

Declaration

property object.FramesPerSecond

Description

Gets the animation frame rate for this resolution setting

Returns

FrameRate - Double. Frames Per Second

Remarks


Resolution Size
Size property

Applies to

Resolution

Declaration

property object.Size

Description

Gets the dimensions of the canvas for this resolution setting

Returns

Size Object

Remarks


RowElement
RowElement object

Properties	Methods	Events
Description

Object used to access a row within a text window

Remarks

A row object is returned by the following methods
  Node.SelectedRow - provides row on which cursor resides
  Node.Element  - provides row given its element index within the text window


RowElement Properties
Properties

ElementCount	RowColor	SelectedRowColor
Justify	RowNumber	SetCaretPos


RowElement Methods
Methods

DeleteAll	HandleChar	WriteCompositeGlyph
Element	SetActive
GetCaretPos	TextWindow


RowElement Events
Events


RowElement ElementCount
ElementCount property

Applies to

RowElement

Declaration

property object.ElementCount

Description

Gets the number of elements on this row

Returns

ElementCount - number of elements

Remarks


RowElement Justify
Justify property

Applies to

RowElement

Declaration

property object.Justify(Justification)

Description

Justification of text on the row

Parameter	Description
Justification	Integer, None = 0, Left = 1, Center = 2, Right = 3
Returns

Justification - Integer. None = 0, Left = 1, Center = 2, Right = 3

Remarks


RowElement RowColor
RowColor property

Applies to

RowElement

Declaration

property object.RowColor

Description

Remarks


RowElement RowNumber
RowNumber property

Applies to

RowElement

Declaration

property object.RowNumber

Description

Returns the number of the row

Returns

RowNumber - Integer

Remarks


RowElement SelectedRowColor
SelectedRowColor property

Applies to

RowElement

Declaration

property object.SelectedRowColor

Description

Remarks


RowElement SetCaretPos
SetCaretPos property

Applies to

RowElement

Declaration

property object.SetCaretPos

Description

Remarks


RowElement DeleteAll
DeleteAll method

Applies to

RowElement

Declaration

sub object.DeleteAll

Description

Remarks


RowElement Element
Element sub

Applies to

RowElement

Declaration

sub object.Element(ElementIndex)

Description

Gets one of the elements on the row

Parameter	Description
ElementIndex	Integer. Zero-based index of element to get.
Returns

One of the following Element types
TextTemplate Object
Character Object
2DObjElement Object

Remarks

Index Must be less than the value returned by RowElement.ElementCount.


RowElement GetCaretPos
GetCaretPos sub

Applies to

RowElement

Declaration

sub object.GetCaretPos

Description

Remarks


RowElement HandleChar
HandleChar sub

Applies to

RowElement

Declaration

sub object.HandleChar

Description

Remarks


RowElement SetActive
SetActive sub

Applies to

RowElement

Declaration

sub object.SetActive

Description

Sets this row as active in the current text window and homes the cursor

Remarks


RowElement TextWindow
TextWindow sub

Applies to

RowElement

Declaration

sub object.TextWindow

Description

Returns the text window which contains this row

Returns

TextWindow Object

Remarks


RowElement WriteCompositeGlyph
WriteCompositeGlyph sub

Applies to

RowElement

Declaration

sub object.WriteCompositeGlyph

Description

Remarks


Scene
Scene object

Properties	Methods	Events
Description

Allows access to scene components

Remarks

Retrieve through LyricObject.FrameBufferScene, FrameBuffer.Scene or  ActiveCanvas.Scene


Scene Properties
Properties

ActiveObject	EventCount	Parameters
ActiveTransition	Filename	Persistent
ActiveTransitionName	FrameBuffer	Priority
Animating	FullScreen2DText	Resolution
AnimationLength	HasBackground	RulesManager
Background	HasFocus	SafeTitle
BackgroundVisible	InTransfer	SceneID
CaptureOptions	Index	StaticObjectCount
Convergence	InterocularDistance	SuppressUpdates
CurrentFrame	IsAnimation	SwapUpdatePriority
DeferUpdates	MaskingMode	TakeState
Description	Message	TwoDFrames
EffectInHolderName	MessageGUID	UpdateInHolderName
EffectOutHolderName	Name	UpdateOutHolderName
Element	NativeResolution	UseQuaternions
EnableGuides	NodeCount


Scene Methods
Methods

ActivateEvent	GetCapture	ProxyBasedPrimitive
ActivateTransitions	GetEffectInHolder	Refresh
AddClip	GetEffectOutHolder	ReleasePause
AddFlipbook	GetParameterList	RestoreCanvas
AddLoop	GetSelectedNodes	SaveKeyframeFile
AddPause	GetTemplate	Select
AddStaticObject	GetUpdateInHolder	SelectedTemplate
AddTransition	GetUpdateOutHolder	SetBackgroundRGBA
ApplyAutoFollow	Group	SetEffects
Copy	GroupByNames	StartCapture
CopyTimeline	ImportFile	StaticObject
CustomPrimitive	ImportNodes	StreamToNodes
DeleteStaticObject	InsertObject	SurfaceFromGUID
DeleteTransition	IsOnOutput	SwapPriority
EditStaticObject	IsPaused	Template
ElementFromGUID	NewEvent	Templates
EndCapture	Node	ToCanvas
Erase	Nodes	Transition
Exists	NodesToStream	TransitionByName
ExportHTML	Paste	Transitions
ExportNodes	PasteTimeline	Ungroup
Finished	Play	UpdateDBLinkFields
GetAutoSpacingGroup	Properties


Scene Events
Events


Scene ActiveObject
ActiveObject property

Applies to

Scene

Declaration

property object.ActiveObject

Description

Gets a Lyric Node Object for the last selected object in the scene graph

Returns

Node Object

Remarks


Scene ActiveTransition
ActiveTransition property

Applies to

Scene

Declaration

property object.ActiveTransition

Description

Gets the active transition for the scene

Returns

Transition Object

Remarks

Scene.Transition may be used to get a specific transition


Scene ActiveTransitionName
ActiveTransitionName property

Applies to

Scene

Declaration

property object.ActiveTransitionName(TransName)

Description

Returns the name of the active transition for the scene, or activates a transition by that name.

Parameter	Description
TransName	String.  Name of the transition to activate
Returns

TransName - String.  Name of the currently active transition

Remarks

An object representing the active transition can be retrieved by Scene.ActiveTransition or Scene.TransitionByName


Scene Animating
Animating property

Applies to

Scene

Declaration

property object.Animating

Description

Returns true if the scene is playing on output.

Returns

Animating - Boolean.  False, if the message has finished all of its animation on output.

Remarks

A message with a "Hold Last Frame" nodes, will return true when its nodes reach the end of their life on the time line.  So, while Animating will return False, the message will still be visible on output.


Scene AnimationLength
AnimationLength property

Applies to

Scene

Declaration

property object.AnimationLength(Frames)

Description

Gets the length of the current animation

Parameter	Description
Frames	Integer. The new length of the current animation in frames. Timelines will be scaled proportionally
Returns

Frames - Integer. The length of the current animation, in frames

Remarks


Scene Background
Background property

Applies to

Scene

Declaration

property object.Background

Description

Gets an object for accessing image information about the scene background

Returns

Background Object

Remarks


Scene BackgroundVisible
BackgroundVisible property

Applies to

Scene

Declaration

property object.BackgroundVisible(Visible)

Description

Sets/Gets the visibility state of the scene background

Parameter	Description
Visible	Set To TRUE (Non-zero) to enable the background to be shown, set to FALSE (0) otherwise
Returns

Visible - Returns TRUE (Non-zero) if the background is currently visible, FALSE (0) if it is hidden

Remarks


Scene CaptureOptions
CaptureOptions property

Applies to

Scene

Declaration

property object.CaptureOptions(Options)

Description

Get/sets the options for streaming and on-demand capture

Parameter	Description
Options	Integer.  Bitmask of options
Returns

Options - Integer.  Bitmask of options

Remarks

Bitmask Options to modify how the scene is captured:
1 - TransitionWorkflow.  Set flag to enable transition workflow to capture all transitions in a scene and translate a global frame number into the relative frame for the correct transition
Affects the results of such functions as Scene.StartCapture, Image.ElementFieldData and ActiveCanvas.SetFrame


Scene Convergence
Convergence property

Applies to

Scene

Declaration

property object.Convergence(Convergence)

Description

Gets/sets the convergence value of the camera for stereoscopic operation

Parameter	Description
Convergence	float. The convergence value of the camera
Returns

Convergence - float. The convergence value of the camera

Remarks

The default convergence value can be set through LyricObject.Convergence


Scene CurrentFrame
CurrentFrame property

Applies to

Scene

Declaration

property object.CurrentFrame

Description

Gets the frame of the animation currently previewing in the canvas

Returns

FrameNumber - Integer. The current frame

Remarks

Equivalent to ActiveCanvas.GetFrame if this scene is active
Use ActiveCanvas.SetFrame to set the frame if this scene is active.


Scene DeferUpdates
DeferUpdates property

Applies to

Scene

Declaration

property object.DeferUpdates(Defer)

Description

Gets/sets the option to group scene updates atomically

Parameter	Description
Defer	Boolean
Remarks

When defer is true, all updates to nodes in the scene will be deferred until defer is set to false

VBScript Example 1: Update all DBLinked fields atomically

 	set fb = FrameBuffer(ActiveFrameBuffer)

set scene = fb.SceneByName("Dodgers") 'Change Atomic Update to the name of the message

scene.DeferUpdates = true

scene.updatedblinkfields

scene.DeferUpdates = false

 VBScript Example 2: Update images and text fields atomically

set sc = FrameBuffer(1).SceneByName("Untitled")

sc.deferUpdates = true

sc.Node(5).Update 0,1,1,"3d text Update"

sc.Element("2D Crawl 1").Update 1,1,1,"2d crawl update"

sc.Element("2D Text 2").Update 1,1,1,"2d text update"

sc.Node(3).element(-1).filename = "I:\HyperX-HD Demo\Images\OTS Pics\OTS Gas Prices.tif"

sc.Node(4).element(-1).filename = "I:\HyperX-HD Demo\Movies\OTS Movies Wide Screen\Space Walking.avi"

wait 100

sc.deferUpdates = false


Scene Description
Description property

Applies to

Scene

Declaration

property object.Description(Description)

Description

Get/Set the current description of the scene.

Parameter	Description
Description	String. The new description of the scene.
Returns

Description - String. The current description of the scene.

Remarks

The return value can then be used to obtain the scene at a later time using the method FrameBuffer.SceneByDescription


Scene EffectInHolderName
EffectInHolderName property

Applies to

Scene

Declaration

property object.EffectInHolderName(Name)

Description

Gets/Sets the name of the transition that will act as the Effect In for the scene.

Parameter	Description
Name	String. The name of the transition that should act as the Effect In for this scene
Returns

 Name - String. The name of the transition that acts as the Effect In for this scene

Remarks

 If there are no conditional transition rules for the scene, this will return "Effect In" if such a transition exists
 The transition object can be retrieved through Scene.GetEffectInHolder
 See TransitionRulesMgr and Transition for further information.


Scene EffectOutHolderName
EffectOutHolderName property

Applies to

Scene

Declaration

property object.EffectOutHolderName(Name)

Description

Gets/Sets the name of the transition that will act as the Effect Out for the scene.

Parameter	Description
Name	String. The name of the transition that should act as the Effect Out for this scene
Returns

 Name - String. The name of the transition that acts as the Effect Out for this scene

Remarks

 If there are no conditional transition rules for the scene, this will return "Effect Out" if such a transition exists
 The transition object can be retrieved through Scene.GetEffectOutHolder
 See TransitionRulesMgr and Transition for further information.


Scene Element
Element property

Applies to

Scene

Declaration

property object.Element(NodeName)

Description

Gets a node from the scene graph by name

Parameter	Description
NodeName	String. The name of the node OR its hierarchical name OR its unique id.  See Remarks.
Returns

Node Object

Remarks

If nodes exist which have the same name, the first one found will be returned
The name of a node can be obtained from Node.Name.

The unique id of a node can be obtained from Element.UniqueID.

The hierarchical name of a node within a group is composed of the name of the outermost group progressing inward with each group name separated by a "->".  As an example, the logo represented in the scene graph here:
-Group2 Outer
-Group2 Inner
-logo
can be accessed via its hierarchical name "Group2 Outer->Group2 Inner->logo".  A VBScript example follows:
set n = activecanvas.scene.element("Group2 Outer->Group2 Inner->logo")

If the node cannot be found, an exception will be thrown:  Use Scene.Exists to avoid this condition.


Scene EnableGuides
EnableGuides property

Applies to

Scene

Declaration

property object.EnableGuides(Enable)

Description

Controls the display of foreground canvas objects (Safe Title, Alignment Grids, etc).

Parameter	Description
Enable	Set To TRUE (Non-zero) to enable the elements to be displayed, set to FALSE (0) to hide them
Remarks


Scene EventCount
EventCount property

Applies to

Scene

Declaration

property object.EventCount

Description

Gets the number of transitions attached to the scene graph.

Returns

TransCount - Integer.  Number of transitions attached to the scene graph

Remarks

"Event" in this case is a legacy name for Transition and should not be confused with Event


Scene Filename
Filename property

Applies to

Scene

Declaration

property object.Filename

Description

Gets the current filename of the scene.  (Note: this is not the message name)

Returns

Name - String. The current name of the scene.

Remarks

In order to set the current filename, the file has to be saved first

The return value can then be used to obtain the scene at a later time using the method FrameBuffer.SceneByFilename


Scene FrameBuffer
FrameBuffer property

Applies to

Scene

Declaration

property object.FrameBuffer

Description

Get the Frame Buffer Object associated with the message

Returns

FrameBuffer Object

Remarks


Scene FullScreen2DText
FullScreen2DText property

Applies to

Scene

Declaration

property object.FullScreen2DText(SetFullScreen)

Description

Flag used to identify a special export mode used by the ITV Plugin.

Parameter	Description
SetFullScreen	Set to TRUE (Non-zero) to enable this mode, Set to FALSE (Zero) to disable it
Remarks


Scene HasBackground
HasBackground property

Applies to

Scene

Declaration

property object.HasBackground

Description

Checks for the existence of a background.

Returns

BackgroundExists, Bool. True if the scene has a background object.

Remarks


Scene HasFocus
HasFocus property

Applies to

Scene

Declaration

property object.HasFocus

Description

Determines if this scene has focus (is the selected scene in Lyric's scene tree)

Returns

HasFocus - Bool.   True if the scene has focus.

Remarks


Scene InTransfer
InTransfer property

Applies to

Scene

Declaration

property object.InTransfer

Description

Returns true if the scene is being transferred to output

Returns

Transferring - Boolean.

Remarks


Scene Index
Index property

Applies to

Scene

Declaration

property object.Index

Description

Get the Global index for the scene

Returns

Index - Integer

Remarks


Scene InterocularDistance
InterocularDistance property

Applies to

Scene

Declaration

property object.InterocularDistance(Distance)

Description

Gets/sets the interocular distance for the camera in stereoscopic operation

Parameter	Description
Distance	float. The interocular distance for the camera
Returns

Distance - float. The interocular distance for the camera

Remarks

The default interocular distance can be set through LyricObject.InterocularDistance


Scene IsAnimation
IsAnimation property

Applies to

Scene

Declaration

property object.IsAnimation

Description

Flag that is set if the loaded message is an animation

Returns

IsAnimation, Bool. True if the loaded message is an animation

Remarks


Scene MaskingMode
MaskingMode property

Applies to

Scene

Declaration

property object.MaskingMode(Integer)

Description

Returns the masking mode of the scene

Parameter	Description
Integer	the masking mode as follows
Returns

Integer - the masking mode as follows

1 	Masking conforms to Lyric v5 implementation
2 	Masking conforms to Lyric v6 implementation
3 	Masking conforms to Lyric v8.0 implementation
4 	Masking conforms to Lyric v8.5 implementation

Remarks

Note: Switching masking modes may irrevocably destroy any existing masking data.


Scene Message
Message property

Applies to

Scene

Declaration

property object.Message

Description

Gets the message number for the current scene

Returns

MessageNumber - Integer. The message number of the scene currently in the canvas. Returns -1 if the filename is alphabetic or the scene is cleared

Remarks

Compare with LyricObject.Message, which provides the message number  as displayed by the Message Counter.


Scene MessageGUID
MessageGUID property

Applies to

Scene

Declaration

property object.MessageGUID(GUID)

Description

Gets/sets the GUID assigned to the message for this scene

Parameter	Description
GUID	String.  The GUID assigned to the message for this scene
Returns

GUID - String.  The GUID assigned to the message for this scene

Remarks

The result can then be used to obtain the scene at a later time from FrameBuffer.SceneByGUID

The GUID for the current scene can also be set through LyricObject.MessageGUID and LyricObject.SetMessageData


Scene Name
Name property

Applies to

Scene

Declaration

property object.Name(Name)

Description

Get/Set the current name of the scene.  (Note: this is not the message name)

Parameter	Description
Name	String. The new name of the scene.
Returns

Name - String. The current name of the scene.

Remarks

The return value can then be used to obtain the scene at a later time using the method FrameBuffer.SceneByName


Scene NativeResolution
NativeResolution property

Applies to

Scene

Declaration

property object.NativeResolution

Description

Gets the resolution that was set when the current message was last saved.

Returns

NativeResolution, Resolution Object.

Remarks

To obtain the current canvas resolution for the frame buffer, use FrameBuffer.Resolution


Scene NodeCount
NodeCount property

Applies to

Scene

Declaration

property object.NodeCount

Description

Gets the number of nodes attached to the scene graph.

Returns

NodeCount - number of nodes attached to the scene graph

Remarks

This method can be used to iterate each child of the group using Scene.Node


Scene Parameters
Parameters property

Applies to

Scene

Declaration

property object.Parameters

Description

Return the Parameter List of the scene

Returns

ParameterList Object

Remarks

Equivalent to the Scene.GetParameterList function


Scene Persistent
Persistent property

Applies to

Scene

Declaration

property object.Persistent(Persistent)

Description

Get/Set whether the scene is persistent.  A persistent scene on output is not automatically replaced by a subsequent scene which is played out

Parameter	Description
Persistent	BOOL.  If true, the scene is persistent
Returns

Persistent - BOOL.  If true, the scene is persistent

Remarks


Scene Priority
Priority property

Applies to

Scene

Declaration

property object.Priority(Priority)

Description

Get/Set the display priority of the scene

Parameter	Description
Priority	Integer. The scene priority on output
Returns

Priority - Integer. The scene priority on output.

Remarks

The priority value ranges from 1 (lowest) to 5 (highest).   Important Note: This value is inverse to that displayed by the Lyric UI


Scene Resolution
Resolution property

Applies to

Scene

Declaration

property object.Resolution

Description

Gets the current canvas resolution

Returns

Resolution Object

Remarks


Scene RulesManager
RulesManager property

Applies to

Scene

Declaration

property object.RulesManager

Description

Gets the object representing the collection of rules governing conditional transitions for the scene.

Returns

 TransitionRulesMgr Object. The rules manager associated with the scene.

Remarks


Scene SafeTitle
SafeTitle property

Applies to

Scene

Declaration

property object.SafeTitle(Enable)

Description

Controls the display of the Safe Title guide

Parameter	Description
Enable	Set To TRUE (Non-zero) to show the safe title guide, set to FALSE (0) to hide it
Returns

Enabled - TRUE (Non-zero) if the safe title guide is being displayed, FALSE (0) if it is hidden

Remarks

ActiveCanvas.SafeTitle can be used to modify the size and position of the guide


Scene SceneID
SceneID property

Applies to

Scene

Declaration

property object.SceneID

Description

Get the index of the scene

Returns

Index - String.  The unique index assigned to the scene.

Remarks

The result can then be used to obtain the scene at a later time from FrameBuffer.SceneByID or LyricObject.GetScene

The index does not persist with a given message file.   A new index will be assigned if the same message is recalled at a later time.


Scene StaticObjectCount
StaticObjectCount property

Applies to

Scene

Declaration

property object.StaticObjectCount

Description

Gets the number of static objects on the canvas

Returns

ObjectCount - Integer. Number of objects

Remarks

See Scene.AddStaticObject for further information.


Scene SuppressUpdates
SuppressUpdates property

Applies to

Scene

Declaration

property object.SuppressUpdates(Suppress)

Description

Enables/disables UI updates while the scene is being modified

Parameter	Description
Suppress	Boolean. If true, UI updates on the scene will be disabled
Remarks


Scene SwapUpdatePriority
SwapUpdatePriority property

Applies to

Scene

Declaration

property object.SwapUpdatePriority(Swapped)

Description

Flag that is set if the scene's Update In transition has priority over Update Out

Parameter	Description
Swapped	Boolean.   True if the scene's Update In transition has priority over Update Out
Returns

Swapped - Boolean.   True if the scene's Update In transition has priority over Update Out

Remarks


Scene TakeState
TakeState property

Applies to

Scene

Declaration

property object.TakeState

Description

Returns the take state of the scene

Returns

TakeState - Integer.  A bit field representing the take state of the scene

Remarks

1 - Scene is in the canvas 	2 - Scene is on output. Same as Scene.IsOnOutput 	4 - Scene is animating. Same as Scene.Animating 	8 - Scene is paused. Same as Scene.IsPaused 	16 - The Scene's current transition has finished rendering its longest node. 	32 - The Scene's Default Effect In is currently rendering.


Scene TwoDFrames
TwoDFrames property

Applies to

Scene

Declaration

property object.TwoDFrames(Visible)

Description

Sets/Gets the visibility state of the 2D Text frames

Parameter	Description
Visible	Set To TRUE (Non-zero) to enable all window frames to be shown, set to FALSE (0) otherwise
Returns

Visible - Returns TRUE (Non-zero) if window frames are currently visible, FALSE (0) if it is hidden

Remarks


Scene UpdateInHolderName
UpdateInHolderName property

Applies to

Scene

Declaration

property object.UpdateInHolderName(Name)

Description

Gets/Sets the name of the transition that will act as the Update In for the scene.

Parameter	Description
Name	String. The name of the transition that should act as the Update In for this scene
Returns

 Name - String. The name of the transition that acts as the Update In for this scene

Remarks

 If there are no conditional transition rules for the scene, this will return "Update In" if such a transition exists
 The transition object can be retrieved through Scene.GetUpdateInHolder
 See TransitionRulesMgr and Transition for further information.


Scene UpdateOutHolderName
UpdateOutHolderName property

Applies to

Scene

Declaration

property object.UpdateOutHolderName(Name)

Description

Gets/Sets the name of the transition that will act as the Update Out for the scene.

Parameter	Description
Name	String. The name of the transition that should act as the Update Out for this scene
Returns

 Name - String. The name of the transition that acts as the Update Out for this scene

Remarks

 If there are no conditional transition rules for the scene, this will return "Update Out" if such a transition exists
 The transition object can be retrieved through Scene.GetUpdateOutHolder
 See TransitionRulesMgr and Transition for further information.


Scene UseQuaternions
UseQuaternions property

Applies to

Scene

Declaration

property object.UseQuaternions(Enabled)

Description

Gets/sets whether quaternion rotations are used for this scene.

Parameter	Description
Enabled	Boolean. The state of the scene's quaternion usage flag
Returns

Enabled - Boolean. The state of the scene's quaternion usage flag

Remarks


Scene ActivateEvent
ActivateEvent method

Applies to

Scene

Declaration

function object.ActivateEvent(Name)

Description

Activates the given transitions in the scene

Parameter	Description
Name	String. Name of the transition to activate
Returns

Success - Boolean.  true if completed successfully

Remarks

Equivalent to Transition.Activate
"Event" in this case is a legacy name for Transition and should not be confused with Event To retrieve the active transition, use Scene.ActiveTransition


Scene ActivateTransitions
ActivateTransitions function

Applies to

Scene

Declaration

function object.ActivateTransitions(TransitionNames)

Description

Activates multiple transitions, taking an array of strings as the transition names.

Parameter	Description
TransitionNames	String Array.  The names of the transitions to activate.
Remarks

This function is more efficient, but similar to, retrieving each Transition
by name and activating it in a loop, which would be subject to calling delays.
See Scene.TransitionByName and Transition.Activate for further information.


Scene AddClip
AddClip function

Applies to

Scene

Declaration

function object.AddClip(File, DeviceName)

Description

Adds a clip to the scene

Parameter	Description
File	String, Filename of the clip
DeviceName	String, Name of the device, as listed in Lyric's Clip Control Panel
Returns

True if successful, false otherwise

Remarks


Scene AddFlipbook
AddFlipbook function

Applies to

Scene

Declaration

function object.AddFlipbook(File, File, Name)

Description

Adds a flipbook to the scene

Parameter	Description
File	String, Filename of the first cel in the flipbook
File	String, Filename of the last cel in the flipbook
Name	String, Name of the flipbook
Returns

True if successful, false otherwise

Remarks

Filename format for all cels must follow Lyric conventions for flipbooks. All filenames in the series must have the same base name, followed by the cel number padded to a consistent number of digits. followed by the file extension. Only TARGA (*.tga), TIFF (*.tif), or Windows bitmap (*.bmp) image formats are supported   e.g. AddFlipbook("Flp0000.tga", "Flp0030.tga", "MyFlipbook")
Once the flipbook is added, attributes can be modified through the Flipbook object


Scene AddLoop
AddLoop function

Applies to

Scene

Declaration

function object.AddLoop(StartFrame, EndFrame, Iterations)

Description

Adds a loop to the current scene, in the active transition

Parameter	Description
StartFrame	Integer.  The frame at which the loop should start.
EndFrame	Integer.  The frame at which the loop should end.
Iterations	Integer.  How many times the loop will execute. -1 for infinite looping.
Remarks


Scene AddPause
AddPause function

Applies to

Scene

Declaration

function object.AddPause(Frame, PauseType, PauseParam)

Description

Adds a pause to the animation

Parameter	Description
Frame	Integer.  Frame in the animation at which to pause
PauseType	Short 0 to disable an existing pause at this frame 1 to pause until a key is pressed 2 to pause for a timeout 3 to pause until a GPI is triggered
PauseParam	Variant. Value dependent on the PauseType as follows 0  Not applicable 1  Not applicable 2  Integer containing framecount of timeout OR string containing timecode  3  Integer containing index of GPI to wait on
Returns

Added - Boolean. True if the pause was added successfully

Remarks

Pauses may also be set using Node.KeyFrame.  Set keyframes on the PauseEnabled, PauseType, and PauseParameter attributes using an existing Pause or Event Node


Scene AddStaticObject
AddStaticObject function

Applies to

Scene

Declaration

function object.AddStaticObject(Class)

Description

Adds a static primitive to the registered list maintained by the canvas

Parameter	Description
Class	String. Class of object to add
Returns

ID - Integer. Primitive ID if successful or -1 if failure

Remarks

See also Scene.AddStaticObject, Scene.DeleteStaticObject, Scene.EditStaticObject


Scene AddTransition
AddTransition function

Applies to

Scene

Declaration

function object.AddTransition(Name, AddSelNodes)

Description

Adds a transition to the scene

Parameter	Description
Name	String.  The name of the new transition.  If a transition of that name exists already, this call will have no effect.
AddSelNodes	Variant.  If provided and non-zero, selected nodes will be included in the transition
Returns

Transition Object or NULL.  The new transition that was created, or NULL if one couldn't be created.

Remarks

Use Transition.AddNode to add nodes to the new transition


Scene ApplyAutoFollow
ApplyAutoFollow function

Applies to

Scene

Declaration

function object.ApplyAutoFollow(OnDemand)

Description

Re-calculates auto-follow and auto-scale values for applicable objects in the scene

Parameter	Description
OnDemand	Boolean.  True for on-demand evaluations, false for all others
Returns

Success - Boolean.

Remarks


Scene Copy
Copy function

Applies to

Scene

Declaration

function object.Copy

Description

 Simulates a clipboard copy for remote applications such as CG Plugins

Remarks


Scene CopyTimeline
CopyTimeline function

Applies to

Scene

Declaration

function object.CopyTimeline(Node, Transition)

Description

Copies the animation of a node

Parameter	Description
Node	Variant.  Optional.  Name of the node to copy or a node object. If not provided, the last selected node will be copied.
Transition	Variant.  Optional.  Name of the transition to copy or a transition object. If not provided, the active transition of the node provided will be copied.
Returns

Success - Boolean.   True if successful.

Remarks

The animation can then be pasted to another Node or another Transition using Scene.PasteTimeline


Scene CustomPrimitive
CustomPrimitive function

Applies to

Scene

Declaration

function object.CustomPrimitive(PrimitiveType)

Description

Creates a primitive of the specified custom type, as defined by a plugin installed with Lyric.

Parameter	Description
PrimitiveType	String.  The type of primitive you want to create.  Consult the documentation of the appropriate plugin for further information.
Returns

GUID - String. The GUID of the new primitive, equivalent to that returned by Element.UniqueID

Remarks

To retrieve properties of the primitive, see Element.RetrieveDispatchMap

Objects defined by Chyron's eFX plugin can be created through this function.   For example, the following VBScript macro will create an eFX clip
ActiveCanvas.Scene.CustomPrimitive("eFX Clip")


Scene DeleteStaticObject
DeleteStaticObject function

Applies to

Scene

Declaration

function object.DeleteStaticObject(ID)

Description

Deletes a static primitive

Parameter	Description
ID	Integer.  Primitive ID returned by {Scene.AddStaticObject}
Returns

Status - Integer. 0 if successful, -1 if failure

Remarks


Scene DeleteTransition
DeleteTransition function

Applies to

Scene

Declaration

function object.DeleteTransition(Name)

Description

Deletes a Transition by name

Parameter	Description
Name	String.  The name of the transition to delete.  If it doesn't exist, this function has no effect.
Remarks


Scene EditStaticObject
EditStaticObject function

Applies to

Scene

Declaration

function object.EditStaticObject(ID, PrimitiveIndex)

Description

Invokes the property edit custom property editor (if registered) or the default editor for the specified static primitive

Parameter	Description
ID	Integer. Command ID
PrimitiveIndex	Integer. Zero-based static primitive Index
Remarks

See Scene.AddStaticObject and LyricObject.RegisterObjectPropertyEditor for further information


Scene ElementFromGUID
ElementFromGUID function

Applies to

Scene

Declaration

function object.ElementFromGUID(GUID)

Description

Retrieves an element based on the GUID assigned to its set of custom properties

Parameter	Description
GUID	String.  Ex. 152AB1C2-1D2A-4B3C-9F12-4CA1A6554322, braces are optional
Remarks

The GUID for an element can be obtained from Element.UniqueID


Scene EndCapture
EndCapture function

Applies to

Scene

Declaration

function object.EndCapture

Description

Ends the streaming capture currently in progress

Returns

Ended - Boolean.  True on success.

Remarks

See Scene.StartCapture for more information


Scene Erase
Erase function

Applies to

Scene

Declaration

function object.Erase(EraseControl)

Description

Erases some or all components from the scene graph

Parameter	Description
EraseControl	What to erase
Remarks

EraseControl can be one of the following values:
0 = Erase text in the active window
1 = Erase All Text
2 = Erase Scene
3 = Erase All Output.  Erases output on all frame buffers
4 = Erase Active Output
5 = Erase Output of Frame Buffer 1
6 = Erase Output of Frame Buffer 2
7 = Erase Output of Frame Buffer 3
8 = Erase Output of Frame Buffer 4
9 = Erase All Scenes in the Canvas

If the operation chosen above references the scene attached to this object, the object is thereby invalidated.


Scene Exists
Exists function

Applies to

Scene

Declaration

function object.Exists(NodeName)

Description

Checks for the existence of a node by name

Parameter	Description
NodeName	String. Name of the node to look for.
Returns

Exists - Bool. True if the node exists in the scene graph

Remarks


Scene ExportHTML
ExportHTML function

Applies to

Scene

Declaration

function object.ExportHTML(Object)

Description

Saves the current frame as an HTML document.

Parameter	Description
Object	An ITV Plugin HTML Options Object (see ITV Plugin Documentation)
Remarks

Calls into the ITV Plugin to perform the generation of an HTML document as well as any required image files


Scene ExportNodes
ExportNodes function

Applies to

Scene

Declaration

function object.ExportNodes(Filename, Options)

Description

Exports selected nodes to a Lyric Node Object (.lno) file

Parameter	Description
Filename	String.  Full path of the file.
Options	Variant.  If boolean and true, all relevant transitions will be exported
Remarks

The nodes can be re-imported through LyricObject.Open


Scene Finished
Finished function

Applies to

Scene

Declaration

function object.Finished

Description

Determines if a scene that was played to the output has completed its initial animation

Returns

IsFinished - Boolean.  TRUE if the scene has completed its initial animation, FALSE otherwise

Remarks


Scene GetAutoSpacingGroup
GetAutoSpacingGroup function

Applies to

Scene

Declaration

function object.GetAutoSpacingGroup(Options)

Description

Retrieves the auto spacing group in the scene if one exists

Parameter	Description
Options	Variant.  The name or dispatch of the auto spacing group node or one of its components If not provided, the auto spacing group corresponding to the selected item will be provided if available.
Returns

AutoSpacing Object

Remarks

An auto spacing group can be created from an existing group through Scene.InsertObject


Scene GetCapture
GetCapture function

Applies to

Scene

Declaration

function object.GetCapture(Frame, Field, Flags)

Description

Gets the next capture in the streaming sequence

Parameter	Description
Frame	Integer.
Field	Integer.
Flags	Integer.
Returns

Data - Variant. Contains the image data for the capture or empty if copied to shared memory

Remarks

See Scene.StartCapture for more information


Scene GetEffectInHolder
GetEffectInHolder function

Applies to

Scene

Declaration

function object.GetEffectInHolder

Description

 Gets the transition that will act as the Effect In for this scene.

Returns

 Transition Object.  The transition that will act as the Effect In for this scene.

Remarks


Scene GetEffectOutHolder
GetEffectOutHolder function

Applies to

Scene

Declaration

function object.GetEffectOutHolder

Description

 Gets the transition that will act as the Effect Out for this scene.

Returns

 Transition Object.  The transition that will act as the Effect Out for this scene.

Remarks


Scene GetParameterList
GetParameterList function

Applies to

Scene

Declaration

function object.GetParameterList

Description

Return the Parameter List of the scene

Returns

ParameterList Object

Remarks

Equivalent to the Scene.Parameters property


Scene GetSelectedNodes
GetSelectedNodes function

Applies to

Scene

Declaration

function object.GetSelectedNodes

Description

Returns an array of all the selected nodes in the scene

Returns

Nodes - Array.  Array of Node objects.

Remarks


Scene GetTemplate
GetTemplate function

Applies to

Scene

Declaration

function object.GetTemplate(TemplateName)

Description

Gets the template that has the name provided as argument

Parameter	Description
TemplateName	String.  Name of template to search for
Returns

TextTemplate or 3DTemplate Object

Remarks

Use Scene.SelectedTemplate to retrieve a template by number


Scene GetUpdateInHolder
GetUpdateInHolder function

Applies to

Scene

Declaration

function object.GetUpdateInHolder

Description

 Gets the transition that will act as the Update In for this scene.

Returns

 Transition Object.  The transition that will act as the Update In for this scene.

Remarks


Scene GetUpdateOutHolder
GetUpdateOutHolder function

Applies to

Scene

Declaration

function object.GetUpdateOutHolder

Description

 Gets the transition that will act as the Update Out for this scene.

Returns

 Transition Object.  The transition that will act as the Update Out for this scene.

Remarks


Scene Group
Group function

Applies to

Scene

Declaration

function object.Group(Name)

Description

Groups all selected items in the scene

Parameter	Description
Name	String, Name of the group
Remarks

Once added, the Group object can be retrieved through Scene.Element
See Scene.GroupByNames for an additional method to create a group


Scene GroupByNames
GroupByNames function

Applies to

Scene

Declaration

function object.GroupByNames(Name, NodeNames)

Description

Groups items in the scene by name

Parameter	Description
Name	String, Name of the group
NodeNames	String Array.  The names of the nodes to add to the group.
Returns

Nodes - Integer. The number of nodes successfully grouped.

Remarks

Once added, the Group object can be retrieved through Scene.Element
See Scene.Group for an additional method to create a group


Scene ImportFile
ImportFile function

Applies to

Scene

Declaration

function object.ImportFile(LoadType, PathAndFile)

Description

Loads an object from a file

Parameter	Description
LoadType	Integer.  How to load the file
PathAndFile	String. File to load.  If a full path is not provided, preferred path will be used
Remarks

Use Scene.ActiveObject to retrieve the object that was added

LoadType can be one of the following:
 6 = Load graphic file as an image object
 7 = Load graphic file as a background which is centered
 8 = Load graphic file as a background which is sized to fit
11 = Load Wavefront/3DS file as a 3D object
14 = Load an AVI or Quicktime file as a movie object
20 = Load a 3D Plugin.   File is the name of the 3D plugin
21 = Load each layer of a Photoshop file as an individual image object
Graphic files will be imported into a text window if one is selected. Otherwise, they are loaded into the scene.

To insert other types of objects, see Scene.InsertObject


Scene ImportNodes
ImportNodes function

Applies to

Scene

Declaration

function object.ImportNodes(Stream)

Description

Import LNO from file or stream

Parameter	Description
Stream	Variant. If ARRAY, LNO is a stream; If BSTR, LNO is a filename
Returns

Imported - Boolean. True if the LNO was imported

Remarks


Scene InsertObject
InsertObject function

Applies to

Scene

Declaration

function object.InsertObject(Type)

Description

Inserts an object into the scene graph

Parameter	Description
Type	The type of object to insert.  See Remarks/
Remarks

Use Scene.ActiveObject to retrieve the object that was added

Object types are as follows:
 0 = Text
 1 = Crawl
 2 = Roll
 3 = TypeOn
 4 = Clock
 5 = Timer (default)
12 = Countup Timer
13 = Countdown Timer
15 = 3D Template
16 = Spline Window
17 = 3D Roll
18 = 3D Crawl
19 = 3D TypeOn
22 = Auto Spacing Group - Selected item must be an eligible group for auto spacing
23 = Data Object
24 = Picture Object

To import an object from a file (such as an image or 3D model), use Scene.ImportFile


Scene IsOnOutput
IsOnOutput function

Applies to

Scene

Declaration

function object.IsOnOutput

Description

Used to find out if a scene is currently playing on output

Returns

TRUE if the scene is on output, FALSE otherwise

Remarks


Scene IsPaused
IsPaused function

Applies to

Scene

Declaration

function object.IsPaused

Description

Returns true if the scene is paused for input from the user

Returns

Paused - Boolean.  True if the scene is paused for a key press or GPI

Remarks

The pause may be released via Scene.ReleasePause


Scene NewEvent
NewEvent function

Applies to

Scene

Declaration

function object.NewEvent(Transition)

Description

Adds an empty Event Node to the animation

Parameter	Description
Transition	String. Optional Transition name to add the Event to.
Returns

Event object.

Remarks

Use the Event.AddEvent method to add events to the Event Node.


Scene Node
Node function

Applies to

Scene

Declaration

function object.Node(Index)

Description

Provides access to a node in the scene

Parameter	Description
Index	Integer.
Returns

Node Object

Remarks

The index ranges from 0 to one less than Scene.NodeCount

Since Lyric's scene graph lists nodes in descending order, the index is applied from the bottom up. For example, in the scene graph section shown below, "2D Text 1" has an index of 0 and "headshot" has an index of 1

- headshot
- 2D Text 1

To use a top-down approach, simply subtract the desired index from Scene.NodeCount
set s = ActiveCanvas.Scene

set n = g.Node(s.NodeCount - 2)

However, the existence of a group in the scene graph may complicate this procedure since members of a group are not necessarily displayed in index order. Use Node.GetChild and Node.ChildCount for top-down iteration.


Scene Nodes
Nodes function

Applies to

Scene

Declaration

function object.Nodes

Description

Returns an array of all the nodes in the scene

Returns

Nodes - Array.  Array of Node objects.

Remarks


Scene NodesToStream
NodesToStream function

Applies to

Scene

Declaration

function object.NodesToStream

Description

Serializes the data associated with the objects selected in the scene to a stream

Returns

Stream data - Variant. Array of byte data (BYREF) that must be deleted by caller.

Remarks

De-serialize this data with Scene.StreamToNodes


Scene Paste
Paste function

Applies to

Scene

Declaration

function object.Paste

Description

 Simulates a clipboard paste for remote applications such as CG Plugins

Remarks


Scene PasteTimeline
PasteTimeline function

Applies to

Scene

Declaration

function object.PasteTimeline(Offset, Options)

Description

Pastes the animation of a node

Parameter	Description
Offset	Integer.   The timeline offset to apply if multiple nodes are selected
Options	Integer.  A bit mask of options   Lowest four bits   reserved   Extend End Time     Keep Relative Position   Maintain Start Time    Extend Camera and Lights
Returns

Success - Boolean.   True if successful.

Remarks

The animation must first be copied using Scene.CopyTimeline


Scene Play
Play function

Applies to

Scene

Declaration

function object.Play(PlayTarget, WaitForCompletion)

Description

Plays the scene

Parameter	Description
PlayTarget	Short Integer  0 (PlayPreview) - plays the animation to the canvas  1 (PlayOutput) - plays the animation to the frame buffer containing this scene  2 (PlayOutputAll) - plays all frame buffers
WaitForCompletion	Short.Integer  0 (PlayImmediate) - starts animation playback and returns immediately  1 (PlayWait) - plays the animation and blocks until it has completed
Remarks

Use care when playing Lyric Pro messages to output with the PlayWait option.  Animations which are persistent or contain objects that loop may block this:call indefinitely. See Scene.Persistent, Transform.Loop and/or Node.Loop for further info.


Scene Properties
Properties function

Applies to

Scene

Declaration

function object.Properties(Namespace)

Description

Gets the scene level properties associated with the current message

Parameter	Description
Namespace	String. Registered category of properties to retrieve
Returns

CustProps Object

Remarks

Will retrieve the registered namespace (if it exists) associated with the scene. This is equivalent to calling Node.Properties for the global light.


Scene ProxyBasedPrimitive
ProxyBasedPrimitive function

Applies to

Scene

Declaration

function object.ProxyBasedPrimitive(NodeName, PluginProgID, ObjectType)

Description

Creates a custom object and adds it to the scene

Parameter	Description
NodeName	String.  Name of the object. , LPCSTR pObjectName)
PluginProgID	String.  ProgID of the owner plugin
ObjectType	String.  Class/type of the object
Remarks


Scene Refresh
Refresh function

Applies to

Scene

Declaration

function object.Refresh

Description

Force the canvas to render all scene elements

Remarks


Scene ReleasePause
ReleasePause function

Applies to

Scene

Declaration

function object.ReleasePause

Description

Releases a pause (wait for a keypress or GPI) which is active

Remarks

See Scene.IsPaused and FrameBuffer.ReleasePause for further information


Scene RestoreCanvas
RestoreCanvas function

Applies to

Scene

Declaration

function object.RestoreCanvas

Description

Sets the size of the canvas to reflect its currently defined resolution.

Remarks


Scene SaveKeyframeFile
SaveKeyframeFile function

Applies to

Scene

Declaration

function object.SaveKeyframeFile(Filename, Options)

Description

Exports the keyframes of selected nodes to a Keyframe (.kyf) file

Parameter	Description
Filename	String.  Full path of the file.
Options	Variant.  Reserved for future use
Remarks

The keyframes can be loaded through LyricObject.Open


Scene Select
Select function

Applies to

Scene

Declaration

function object.Select(Node, KeyStatus)

Description

Selects a node

Parameter	Description
Node	Variant.  If string, name of the node.  If dispatch, node object
KeyStatus	State of the ALT, SHIFT, and CONTROL keys as bits composing an integer variant Bit should be set to 1 for key to be considered as pressed. CONTROL key state is bit 0 ALT key state is bit 1 SHIFT key is bit 2
Remarks

If none of the modifier keys specified within KeyStatus is set all previous selections are removed.  If the SHIFT key is set, selection is extended sequentially to include the specified object. If the CONTROL key is set, disjoint selection is executed and  selection may be extended non-sequentially.


Scene SelectedTemplate
SelectedTemplate function

Applies to

Scene

Declaration

function object.SelectedTemplate(Use)

Description

Gets the requested text template either by template number or the one that is selected

Parameter	Description
Use	-1 to get the active or selected template in the scene
Returns

TextTemplate or 3DTemplate Object

Remarks

Use Scene.GetTemplate to retrieve a template by name.


Scene SetBackgroundRGBA
SetBackgroundRGBA function

Applies to

Scene

Declaration

function object.SetBackgroundRGBA(Width, Height, Format, ImageData, Static)

Description

Sets the scene background from an array of RGBA data, optionally making a static background.

Parameter	Description
Width	Integer. Width of the image in the RGBA array.
Height	Integer. Height of the image in the RGBA array.
Format	String. Format of data in RGBA array. Valid formats are YUVA, RGBA, BGRA, RGB, ARGB, ABGR.
ImageData	Array. Formatted pixel data.
Static	Variant of Type VT_BOOL. Optional parameter set to true to make a static background
Remarks

Once specified a static background will always be present, even after completely erasing the scene..


Scene SetEffects
SetEffects function

Applies to

Scene

Declaration

function object.SetEffects(EffectIn, EffectOut)

Description

Sets the effects that will occur as the scene is transferred to and from output

Parameter	Description
EffectIn	Object. Effect that will occur as the scene is transferred to output
EffectOut	Object. Effect that will occur as the scene is transferred off output
Returns

Success - Boolean.   True if the effects were set successfully

Remarks

See FrameBufferEffect for further information.
The effects that are set will execute when Scene.Play is invoked on this object.
FrameBuffer.Play can also be used to set effects for playback


Scene StartCapture
StartCapture function

Applies to

Scene

Declaration

function object.StartCapture(Width, Height, FirstFrame, FirstField, Flags)

Description

Starts a streaming capture

Parameter	Description
Width	Integer.
Height	Integer.
FirstFrame	Integer.
FirstField	Integer.
Flags	Integer.
Returns

Started - Boolean. .  True on success.

Remarks


Scene StaticObject
StaticObject function

Applies to

Scene

Declaration

function object.StaticObject(index, ID)

Description

Gets the static object from the canvas specified by the iterator index

Parameter	Description
index	Zero based index, must be at most one less than the value returned from StaticObjectCount
ID	Optional Bool arg that when true, indicates that ARG0 is the static object ID
Returns

CustomPrimitive Object

Remarks

See Scene.AddStaticObject for further information.


Scene StreamToNodes
StreamToNodes function

Applies to

Scene

Declaration

function object.StreamToNodes(data)

Description

Creates objects from serialized data and adds them to the current scene

Parameter	Description
data	Variant. Array of byte data (BYREF)
Remarks

Serialize this data with Scene.NodesToStream


Scene SurfaceFromGUID
SurfaceFromGUID function

Applies to

Scene

Declaration

function object.SurfaceFromGUID(GUID)

Description

Retrieves a surface proxy given a surface GUID

Parameter	Description
GUID	String.  Ex. 152AB1C2-1D2A-4B3C-9F12-4CA1A6554322, braces are optional
Returns

Surface object

Remarks

The GUID for a surface can be retrieved through Surface.SurfaceGUID


Scene SwapPriority
SwapPriority function

Applies to

Scene

Declaration

function object.SwapPriority(NodeName1, NodeName2)

Description

Swaps the display priority of two nodes

Parameter	Description
NodeName1	String. Name of the first node to look for.
NodeName2	String. Name of the second node to look for.
Returns

True if successful, false if either of the nodes cannot be found

Remarks


Scene Template
Template function

Applies to

Scene

Declaration

function object.Template(TemplateSpec)

Description

Retrieves the specified template

Parameter	Description
TemplateSpec	Variant, If provided and integer, number of the template to get If provided and a string, name of the template to get.  If not provided, the active template is returned.
Returns

Template, TextTemplate Object.

Remarks

Available in Lyric versions 6 and later Equivalent to using Scene.GetTemplate to retrieve a template by name or Scene.SelectedTemplate to retrieve a template by number


Scene Templates
Templates function

Applies to

Scene

Declaration

function object.Templates(TemplateType)

Description

Returns all the templates in this scene that satify the condition provided

Parameter	Description
TemplateType	Integer.  See Remarks.
Returns

Templates - Array of Element Objects which are either TextTemplate or 3DTemplate Objects

Remarks

Template Type is as follows:
0 = All 2D and 3D templates
1 = Only 2D templates
2 = Only templates enabled for II Update

Determine the element type through Element.Type


Scene ToCanvas
ToCanvas function

Applies to

Scene

Declaration

function object.ToCanvas

Description

Removes the scene from output and returns it to the canvas

Remarks

Scene.IsOnOutput may be used to determine if the scene is on output


Scene Transition
Transition function

Applies to

Scene

Declaration

function object.Transition(Name, Create)

Description

Gets a transition, creates it if it doesn't exist and bCreate is true

Parameter	Description
Name	String. The name of the transition.
Create	Variant. If Boolean and true, the transition will be created if it does not exist
Returns

Transition Object

Remarks

Scene.ActiveTransition may be used to get the active transition

:Important Note: If requesting "Effect In", "Effect Out", "Update In", or "Update Out" and Conditional Transition rules governing that transition are satisfied, the transition acting in that capacity will be returned.  See Scene.EffectInHolderName or equivalent for more information.  The name of the transition can be confirmed through Transition.Name


Scene TransitionByName
TransitionByName function

Applies to

Scene

Declaration

function object.TransitionByName(Name)

Description

Get a transition by name

Parameter	Description
Name	String.  The name of the transition to retrieve
Returns

Transition Object or NULL if the transition couldn't be found.

Remarks


Scene Transitions
Transitions function

Applies to

Scene

Declaration

function object.Transitions

Description

Returns all the transitions in a scene

Returns

Transitions - Array of Transition Objects

Remarks


Scene Ungroup
Ungroup function

Applies to

Scene

Declaration

function object.Ungroup(Node, Erase)

Description

Ungroups a group node's children

Parameter	Description
Node	Variant.  If string, name of the node.  If dispatch, node object
Erase	Boolean.  Flag to specify how to treat a Group node on Ungroup.
Remarks

Boolean flag specifies how the node will be treated.
If the node is not a Group, the boolean flag, Erase, is ignored. The node will become a sibling of its parent. If the node is a Group and TRUE is specified for Erase, the Group node  will be removed and its children will become top level siblings. If FALSE is specified, the Group node will maintain its children and will itself become a top level sibling.


Scene UpdateDBLinkFields
UpdateDBLinkFields function

Applies to

Scene

Declaration

function object.UpdateDBLinkFields

Description

Updates all templates and objects in the scene which are linked to databases

Remarks

See DBLink for further information.


Selection
Selection object

Properties	Methods	Events
Description

Used to perform operations within 2D text windows in Lyric

Remarks


Selection Properties
Properties

Text	UnicodeText


Selection Methods
Methods

Backspace	Execute	Right
Delete	Home	Tab
Down	ImportText	Toggle
End	Left	Up
Escape	NewLine


Selection Events
Events


Selection Text
Text property

Applies to

Selection

Declaration

property object.Text(Text)

Description

 Inserts text at the caret position

Parameter	Description
Text	String.  Text to insert
Remarks

 This property is the default for this object


Selection UnicodeText
UnicodeText property

Applies to

Selection

Declaration

property object.UnicodeText(Text)

Description

 Inserts Unicode text at the caret position

Parameter	Description
Text	Variant.  Text to insert
Remarks


Selection Backspace
Backspace method

Applies to

Selection

Declaration

sub object.Backspace

Description

 Backspaces the caret, deleting the previous character

Remarks

 Equivalent to pressing the Backspace key


Selection Delete
Delete sub

Applies to

Selection

Declaration

sub object.Delete

Description

 Deletes current character

Remarks

 Equivalent to pressing the Delete key


Selection Down
Down sub

Applies to

Selection

Declaration

sub object.Down

Description

 Moves caret downward

Remarks

 Modifier Specification   Empty   - moves caret to the previous row   scCtrl   - shifts character or selection one pixel downward   scCtrlShift  - shifts character or selection ten pixels downward


Selection End
End sub

Applies to

Selection

Declaration

sub object.End

Description

 Moves caret to the end of a row

Remarks

 Modifier Specification   Empty - moves caret to the end of current row   scCtrl  - moves caret to the end of page


Selection Escape
Escape sub

Applies to

Selection

Declaration

sub object.Escape

Description

 De-activates a template; caret is positioned immediately outside of the template

Remarks

 Equivalent to pressing the Escape key


Selection Execute
Execute sub

Applies to

Selection

Declaration

sub object.Execute(String)

Description

Executes a menu-based operation

Parameter	Description
String	operation to execute
Remarks

LEIF developers:  Operations supported by this method will trigger the OnCommand handler in your plugin if such a function has been defined. See the Plugin topic for more details.

 The following list represents some of the operations which are supported:
Make FullScreen
Select All Text
Insert Row
Delete Row
Insert Template
Delete to End of Row
Next KeyFrame
Prev KeyFrame
Play Animation
Stop Animation
Goto Start of Animation
Goto End of Animation
Pickup Color/Font
Apply Color/Font
Reverse Animation
SuperShiftRowRight
SuperShiftRowUp
SuperShiftRowLeft
SuperShiftRowDown
ShiftPageDown
ShiftPageLeft
ShiftPageRight
ShiftPageUp
SuperShiftPageDown
SuperShiftPageLeft
SuperShiftPageRight
SuperShiftPageUp
ShiftRowRight
ShiftRowDown
ShiftRowLeft
ShiftRowUp
CtrlTab
Duet Render
Duet Transfer
Duet Channel 1
Duet Channel 2
Duet Channel 3
Duet Swap
Duet Channel Next
StopPlaylist
Duet Transfer OtherChannel
Delete Object(s)
Renumber Templates
Keyframe All
Keyframe Selected
Disable Interface Fields
Disable DBLink Fields
Copy Animation State
Paste Animation State
FastReverse
FastForward
FrameReverse
FrameForward
NextRowTab
PrevRowTab
DeleteMessage
NextWord
PrevWord


Selection Home
Home sub

Applies to

Selection

Declaration

sub object.Home

Description

 Moves to the beginning of a row, page or an animation

Remarks

 Modifier Specification   Empty - moves caret to the beginning of current row   scCtrl  - moves caret to the beginning of page


Selection ImportText
ImportText sub

Applies to

Selection

Declaration

sub object.ImportText(Text)

Description

 Inserts Unicode text at the caret position

Parameter	Description
Text	Variant.  Text to insert
Remarks


Selection Left
Left sub

Applies to

Selection

Declaration

sub object.Left

Description

 Moves caret to the left

Remarks

 Modifier Specification   Empty      - moves caret one character to the left   scCtrl   - moves character or selection one pixel to the left   scCtrlShift  - moves character or selection ten pixels to the left


Selection NewLine
NewLine sub

Applies to

Selection

Declaration

sub object.NewLine

Description

 createa a new row below the current cursor position

Remarks

 Equivalent to pressing the Enter key


Selection Right
Right sub

Applies to

Selection

Declaration

sub object.Right

Description

 Moves caret to the right

Remarks

 Modifier Specification   Empty - moves caret one character to the right   scCtrl   - shifts character or selection one pixel to the right   scCtrlShift  - shifts character or selection ten pixels to the right


Selection Tab
Tab sub

Applies to

Selection

Declaration

sub object.Tab

Description

 Inserts whitespace according to Lyric's tab width setting

Remarks

 Equivalent to pressing CTRL-TAB


Selection Toggle
Toggle sub

Applies to

Selection

Declaration

sub object.Toggle(Operation, Setting)

Description

 Executes a menu-based operation

Parameter	Description
Operation	String.  Operation to set
Setting	Boolean.  True if the set to on/enabled, false for off/disabled
Remarks

 See the Execute method for a list of operations that are supported


Selection Up
Up sub

Applies to

Selection

Declaration

sub object.Up

Description

 Moves caret upward

Remarks

 Modifier Specification   Empty   - moves caret to the previous row   scCtrl   - shifts character or selection one pixel upward   scCtrlShift  - shifts character or selection ten pixels upward


Size
Size object

Properties	Methods	Events
Description

 Used to get width and height dimensions from various Lyric Objects

Remarks

Methods returning an instance of this object include
 ActiveCanvas.WindowDimension
Resolution.Size


Size Properties
Properties

Height	Width


Size Methods
Methods


Size Events
Events


Size Height
Height property

Applies to

Size

Declaration

property object.Height

Description

Gets/sets the height

Returns

Height - Integer

Remarks


Size Width
Width property

Applies to

Size

Declaration

property object.Width

Description

Gets/sets the width

Returns

Width - Integer

Remarks


Surface
Surface object

Properties	Methods	Events
Description

Object which represents a surface of a 3D Character/Object

Remarks

Retrieved through Node.Element on a 3D Character/Object or Scene.SurfaceFromGUID

The following macro will change the texture file and diffuse color applied to each texture layer of each surface of the selected object

set n = activecanvas.scene.activeobject

surfs = n.SurfaceNames

namearray = Split(surfs, "?")

for i = 1 to UBound(namearray) - 1

set surf = n.element(i)

texs = n.SurfaceUnits(i)

for t = 0 to texs

surf.TextureIndex t

surf.Color = RGB(255, 0, 0)

surf.TexturePath = "c:\images\texture.tif"

next

next


Surface Properties
Properties

Color	Metadata	TextureIndex
ColorSpec	Name	TexturePath
DBLink	RGBAImage	TexturePriority
EmbedImageData	ShowInAltT	TextureType
ExternalUpdateEnable	SurfaceGUID
IIUpdateEnable	TextureAttribute


Surface Methods
Methods


Surface Events
Events


Surface Color
Color property

Applies to

Surface

Declaration

property object.Color(Color)

Description

Gets/sets the diffuse color applied to the surface

Parameter	Description
Color	Integer.  See Remarks.
Returns

Color - Integer.  See Remarks.

Remarks

To access the specular color of a surface, use Surface.ColorSpec
For specification of color, see Background.SetColor


Surface ColorSpec
ColorSpec property

Applies to

Surface

Declaration

property object.ColorSpec(Color)

Description

Gets/sets the specular color applied to the surface

Parameter	Description
Color	Integer.  See Remarks.
Returns

Color - Integer.  See Remarks.

Remarks

To access the diffuse color of a surface, use Surface.Color
For specification of color, see Background.SetColor


Surface DBLink
DBLink property

Applies to

Surface

Declaration

property object.DBLink

Description

Gets the associated {DBLink} Object that contains the database link information for this surface

Returns

DBLink Object.

Remarks

Applies to the current texture layer as set by Surface.TextureIndex


Surface EmbedImageData
EmbedImageData property

Applies to

Surface

Declaration

property object.EmbedImageData(EmbedData)

Description

Gets/sets whether texture image data is embedded on save for the object to which this surface applies

Parameter	Description
EmbedData	Boolean. If true, texture data is saved with the object in the Lyric message. If false, it is not saved and the texture files will need to be re-imported when the message is read
Returns

EmbedData - Boolean

Remarks


Surface ExternalUpdateEnable
ExternalUpdateEnable property

Applies to

Surface

Declaration

property object.ExternalUpdateEnable(UpdateEnable)

Description

Flag that enables External Update of this surface through Intelligent Interface

Parameter	Description
UpdateEnable	Bool. True if external update is enabled for this surface.
Returns

UpdateEnable - Bool. True if external update is enabled for this surface.

Remarks

Applies to the current texture layer as set by Surface.TextureIndex


Surface IIUpdateEnable
IIUpdateEnable property

Applies to

Surface

Declaration

property object.IIUpdateEnable(UpdateEnable)

Description

Flag that allows Intelligent Interface to update this surface

Parameter	Description
UpdateEnable	Bool. True if updates are allowed.
Returns

UpdateEnable - Bool. True if updates are allowed.

Remarks

Applies to the current texture layer as set by Surface.TextureIndex


Surface Metadata
Metadata property

Applies to

Surface

Declaration

property object.Metadata

Description

Gets the XMP metadata associated with this surface

Returns

Metadata object

Remarks

Applies to the current texture layer as set by Surface.TextureIndex


Surface Name
Name property

Applies to

Surface

Declaration

property object.Name

Description

Returns the name of the surface

Returns

Name - String. Name of the surface

Remarks


Surface RGBAImage
RGBAImage property

Applies to

Surface

Declaration

property object.RGBAImage

Description

Gets the image data applied to the current texture layer for this surface

Returns

Image Object

Remarks

Applies to the current texture layer as set by Surface.TextureIndex

The Image Object allows for raw manipulation of the texture data.   To simply replace the image on this surface with a different file, see Surface.TexturePath


Surface ShowInAltT
ShowInAltT property

Applies to

Surface

Declaration

property object.ShowInAltT(ShowInAltT)

Description

Gets/Sets whether the texture for this surface is updateable within the Template Update (Alt-T) dialog

Parameter	Description
ShowInAltT	Bool. True if this surface should be visible in the Template Update Dialog.
Returns

ShowInAltT - Bool. True if this surface should visible in the Template Update Dialog.

Remarks

Applies to the current texture layer as set by Surface.TextureIndex


Surface SurfaceGUID
SurfaceGUID property

Applies to

Surface

Declaration

property object.SurfaceGUID

Description

Gets the GUID used to uniquely reference each texture layer of this surface

Returns

GUID - String. Ex. 152AB1C2-1D2A-4B3C-9F12-4CA1A6554322

Remarks

Applies to the current texture layer as set by Surface.TextureIndex The surface can then be retrieved through Scene.SurfaceFromGUID


Surface TextureAttribute
TextureAttribute property

Applies to

Surface

Declaration

property object.TextureAttribute(Attribute)

Description

Gets an attribute of the surface

Parameter	Description
Attribute	Variant. If a string, the attribute name.   If an integer, the attribute index
Returns

AttributeValue - Variant. The attribute value

Remarks

Applies to the current texture layer as set by Surface.TextureIndex


Surface TextureIndex
TextureIndex property

Applies to

Surface

Declaration

property object.TextureIndex(TextureIndex)

Description

Gets/sets which texture layer for the surface will be modified on subsequent calls

Parameter	Description
TextureIndex	Integer. Zero-based index of the active texture layer
Returns

TextureIndex - Integer. Zero-based index of the active texture layer

Remarks


Surface TexturePath
TexturePath property

Applies to

Surface

Declaration

property object.TexturePath(Name)

Description

Gets/sets the filename of the image that the surface is textured with, if applicable

Parameter	Description
Name	String. Name of the texture file
Returns

Name - String. Name of the texture file

Remarks

Applies to the current texture layer as set by Surface.TextureIndex
The texture must already exist on the surface and have the same file type.    That is, a movie texture cannot replace an image texture or vice versa.
A texture can also be changed via Node.ApplyTexture


Surface TexturePriority
TexturePriority property

Applies to

Surface

Declaration

property object.TexturePriority(Priority)

Description

Gets/sets the priority of the currently indexed texture layer.

Parameter	Description
Priority	Integer. The new priority for the currently indexed texture layer.
Returns

Priority - Integer. The current priority, equivalent to the texture layer's index.

Remarks

Applies to the current texture layer as set by Surface.TextureIndex


Surface TextureType
TextureType property

Applies to

Surface

Declaration

property object.TextureType

Description

Gets the type of texture that is applied to the current texture layer for this surface

Returns

TextureType - Integer
0 	No texture is applied
1 	A still image imported from a graphic file is applied
2 	A QuickTime movie or AVI video file is applied
3 	A static texture map of another object in the scene is applied
4 	A solid color or gradated (ramp) texture is applied
6 	A dynamic texture map of another object in the scene is applied
7 	A texture input by a plugin is applied

Remarks

Applies to the current texture layer as set by Surface.TextureIndex


TemplateAttributes
TemplateAttributes object

Properties	Methods	Events
Description

Provides information on Lyric properties associated with template text

Remarks

Retrieved via TextTemplate.LyricProperties
After changing any property, call TemplateAttributes.EndUpdate to apply the changes


TemplateAttributes Properties
Properties

AllCaps	IIUpdateEnable	TemplateID
AutoErase	Justification	TextLines
AutoFollow	Numeric	WordWrap
EnableAutoFollow	Priority
ExternalUpdateEnable	SizeToFit


TemplateAttributes Methods
Methods

EndUpdate	StartUpdate


TemplateAttributes Events
Events


TemplateAttributes AllCaps
AllCaps property

Applies to

TemplateAttributes

Declaration

property object.AllCaps(AllCaps)

Description

Flag that enables automatic conversion of all alphabetic characters within the template to upper case

Parameter	Description
AllCaps	Bool. True if upper-case conversion is enabled
Returns

AllCaps - Bool. True if upper-case conversion is enabled

Remarks


TemplateAttributes AutoErase
AutoErase property

Applies to

TemplateAttributes

Declaration

property object.AutoErase(AutoErase)

Description

When enabled, Auto Erase sets the 2D Text Template to automatically erase its current contents when new text is typed

Parameter	Description
AutoErase	Bool. True if Auto erase is enabled.
Returns

AutoErase - Bool. True if Auto erase is enabled.

Remarks


TemplateAttributes AutoFollow
AutoFollow property

Applies to

TemplateAttributes

Declaration

property object.AutoFollow(Spacing)

Description

The spacing value by which this template auto-follows another

Parameter	Description
Spacing	Integer. Amount by which this template auto-follows another
Returns

Spacing - Integer. Amount by which this template auto-follows another

Remarks

Auto-follow can be enabled through TemplateAttributes.EnableAutoFollow


TemplateAttributes EnableAutoFollow
EnableAutoFollow property

Applies to

TemplateAttributes

Declaration

property object.EnableAutoFollow(Enable)

Description

Flag that enables this template to auto-follow another

Parameter	Description
Enable	Bool. True if this template auto-follows another
Returns

Enabled - Bool. True if this template auto-follows another

Remarks

The spacing value for auto-follow is set through TemplateAttributes.AutoFollow


TemplateAttributes ExternalUpdateEnable
ExternalUpdateEnable property

Applies to

TemplateAttributes

Declaration

property object.ExternalUpdateEnable(UpdateEnable)

Description

Flag that enables external update of this template through Intelligent Interface

Parameter	Description
UpdateEnable	Bool. True if external update is enabled for this template.
Returns

UpdateEnable - Bool. True if external update is enabled for this template.

Remarks


TemplateAttributes IIUpdateEnable
IIUpdateEnable property

Applies to

TemplateAttributes

Declaration

property object.IIUpdateEnable(UpdateEnable)

Description

Flag that allows Intelligent Interface to update template text

Parameter	Description
UpdateEnable	Bool. True if Intelligent Interface updates are enabled
Returns

UpdateEnable, Bool. True if Intelligent Interface updates are enabled

Remarks


TemplateAttributes Justification
Justification property

Applies to

TemplateAttributes

Declaration

property object.Justification(Justification)

Description

Gets/sets how text is justified within the template

Parameter	Description
Justification	Integer. See Remarks.
Returns

Justification - Integer. See Remarks.

Remarks

0 	 None:  The text does not justify, and is positioned as typed.
1 	 Center:  The text justifies horizontally to the center.  Vertical position is as typed.
2 	 Left:  The text justifies horizontally to the left.  Vertical position is as typed.
3 	 Page Center:  The text justifies horizontally and vertically to the center.
4 	 Right:  The text justifies horizontally to the right.  Vertical position is as typed
5 	 Page Center/None:  The text justifies vertically to the center.  Horizontal position is as typed.
6 	 Page Center/Left:  The text justifies horizontally to the left and vertically to the center.
7 	 Page Center/Right: The text justifies horizontally to the right and vertically to the center.


TemplateAttributes Numeric
Numeric property

Applies to

TemplateAttributes

Declaration

property object.Numeric(Numeric)

Description

Flag that allows only numeric values to be entered into template

Parameter	Description
Numeric	Bool. True if only numeric values are allowed.
Returns

Numeric - Bool. True if only numeric values are allowed.

Remarks


TemplateAttributes Priority
Priority property

Applies to

TemplateAttributes

Declaration

property object.Priority

Description

Gets/sets the priority value of the template

Returns

Template priority, Integer between 1 and 999

Remarks


TemplateAttributes SizeToFit
SizeToFit property

Applies to

TemplateAttributes

Declaration

property object.SizeToFit(SizeToFit)

Description

Gets/Sets the size to fit flag.

Parameter	Description
SizeToFit	True to force the template to size characters to fit, False otherwise
Returns

SizeToFit - True if the template is in size to fit mode, False otherwise

Remarks


TemplateAttributes TemplateID
TemplateID property

Applies to

TemplateAttributes

Declaration

property object.TemplateID

Description

Gets/sets the template id/number

Returns

Template ID, Integer between -1 and 9999

Remarks


TemplateAttributes TextLines
TextLines property

Applies to

TemplateAttributes

Declaration

property object.TextLines

Description

Gets/sets the number of text lines (rows) in the template

Returns

TextLines - Integer between 1 and 999

Remarks

Note:Text Lines is an attribute of the template and does not necessarily reflect  the number of rows that are populated with text.  To determine how many rows have text, consider counting the line breaks in the contents provided by the Element.Text object.  A VBScript example follows:

set t = ActiveCanvas.Scene.Template(0)

rows = Split(t.Text.Text, vbCr)

numrows = UBound(rows) + 1


TemplateAttributes WordWrap
WordWrap property

Applies to

TemplateAttributes

Declaration

property object.WordWrap(WordWrap)

Description

Flag that allows text to wrap to next line in a multi-line template

Parameter	Description
WordWrap	Bool. True if word wrap is enabled.
Returns

WordWrap - Bool. True if word wrap is enabled.

Remarks


TemplateAttributes EndUpdate
EndUpdate method

Applies to

TemplateAttributes

Declaration

sub object.EndUpdate

Description

After updating multiple properties of a template EndUpdate is called to apply the changes.

Remarks


TemplateAttributes StartUpdate
StartUpdate sub

Applies to

TemplateAttributes

Declaration

sub object.StartUpdate

Description

Before updating multiple properties of a template StartUpdate is called to initialize an update session.

Remarks


Text
Text object

Properties	Methods	Events
Description

Object to allow access to the text and font information of a element such as a template or freeform row

Remarks

This object is created by calling Element.Text.


Text Properties
Properties

CharsFont	IsUnicode	UnicodeText
CharsRect	Text
Font	TextNoUpdate


Text Methods
Methods

CharacterData	TextNoTrim


Text Events
Events


Text CharsFont
CharsFont property

Applies to

Text

Declaration

property object.CharsFont(CharacterIndex)

Description

Gets the Lyric Font Object that describes the font for a specific character in the text element

Parameter	Description
CharacterIndex	Integer. Zero based index relative to the start of the string returned from {Text.TextNoTrim}.  Note: For a multi-row 2D template, carriage returns are virtual and should be discounted when calculating the index
Returns

CharacterFont, Font Object

Remarks


Text CharsRect
CharsRect property

Applies to

Text

Declaration

property object.CharsRect(CharacterIndex)

Description

Gets the rectangle of a character indicating its position and dimensions

Parameter	Description
CharacterIndex	Integer. Zero-based index relative to the start of the string returned from {Text.TextNoTrim}.  Note: For a multi-row 2D template, carriage returns are virtual and should be discounted when calculating the index
Returns

CharacterRect, Rect Object.

Remarks

If the character is within a template, coordinates are relative to the top-left of the template's rectangle. Otherwise, coordinates are relative to the top-left of the text window.


Text Font
Font property

Applies to

Text

Declaration

property object.Font(Object)

Description

Gets/Sets the Font Object that describes the font being used by the text element

Parameter	Description
Object	Updated font to apply to text element
Returns

Font Object - Font currently applied to text element

Remarks


Text IsUnicode
IsUnicode property

Applies to

Text

Declaration

property object.IsUnicode

Description

Returns true if the current contents of the template contains Unicode characters

Returns

IsUnicode - Boolean:

Remarks


Text Text
Text property

Applies to

Text

Declaration

property object.Text(String)

Description

Gets/Sets the ASCII textual contents of the element

Parameter	Description
String	Contents to apply to the element
Returns

String : Current contents of the element (leading and trailing spaces are removed)

Remarks

Use Text.UnicodeText for non-Latin languages

VBScript example which determines if the template named "drop" is empty and hides or shows the group "Group Drop" accordingly:

set t = ActiveCanvas.Scene.Template("drop").Text

bGroupVisible = CBool(Len(t.Text) > 0)

ActiveCanvas.Scene.Element("Group Drop").Visible = bGroupVisible


Text TextNoUpdate
TextNoUpdate property

Applies to

Text

Declaration

property object.TextNoUpdate(Value)

Description

Gets/Sets the element ASCII text data but does not perform an update of the canvas when the text is set

Parameter	Description
Value	String. Value to set the contents of the element to
Returns

String : Current contents of the element with leading and trailing spaces removed

Remarks

Used to set multiple elements. Call Element.Update after the last one is set


Text UnicodeText
UnicodeText property

Applies to

Text

Declaration

property object.UnicodeText(UnicodeText)

Description

Gets/Sets the template contents to a Unicode text string

Parameter	Description
UnicodeText	Variant
Returns

UnicodeText - Variant

Remarks

Use Text.IsUnicode to determine if the contents contain Unicode text


Text CharacterData
CharacterData method

Applies to

Text

Declaration

function object.CharacterData(CharacterIndex)

Description

Retrieves a {Character} object for a given character within the current contents of the object

Parameter	Description
CharacterIndex	Integer. Zero-based index relative to the start of the strnig returnned from {Text.TextNoTrim}. Note: For a multi-row 2D template, carriage returns are virtual and should be discounted when calculating the index
Returns

Character object.

Remarks


Text TextNoTrim
TextNoTrim function

Applies to

Text

Declaration

function object.TextNoTrim

Description

Gets the element ASCII text data without trimming leading or trailing spaces

Returns

Text - String : Current contents of the element with leading and trailing spaces

Remarks


TextTemplate
TextTemplate object

Properties	Methods	Events
Description

Extension of {Element} Object for 2D Text Templates

Remarks

A template object is returned by the following Scene methods
  Scene.SelectedTemplate - retrieves a template by its number
  Scene.GetTemplate - retrieves a template by its name
  Scene.Template - retrieves a template by its name or number
  TextTemplate.NextTemplate - retrieves the next template in sequence to a given template
  Node.Element - iterates templates along with other components of a text window, Call Element.Type to ensure the returned Element is a template


TextTemplate Properties
Properties

Background	NDCTemplateRect	UseTemplateRect
DBLink	Region	Width
Height	TemplateRect
LyricProperties	TextWidth


TextTemplate Methods
Methods

CopyContents	IsEmpty	SetActive
DisplayCaret	NextTemplate	TextWindow


TextTemplate Events
Events


TextTemplate Background
Background property

Applies to

TextTemplate

Declaration

property object.Background

Description

Gets an object for accessing image information about the background associated with the template

Returns

Background Object

Remarks


TextTemplate DBLink
DBLink property

Applies to

TextTemplate

Declaration

property object.DBLink

Description

Gets the associated {DBLink} Object that contains database link information

Returns

DBLink Object.

Remarks


TextTemplate Height
Height property

Applies to

TextTemplate

Declaration

property object.Height(Height)

Description

Gets/Sets the height of the template

Parameter	Description
Height	Integer.  The height of the template, in pixels
Returns

Height - Integer.  The height of the template, in pixels

Remarks


TextTemplate LyricProperties
LyricProperties property

Applies to

TextTemplate

Declaration

property object.LyricProperties

Description

Gets the Template Attributes Object to allow access to all template attributes

Returns

TemplateAttributes Object

Remarks


TextTemplate NDCTemplateRect
NDCTemplateRect property

Applies to

TextTemplate

Declaration

property object.NDCTemplateRect

Description

 Returns the template rect as normalized device coordinates.

Returns

RectFloat object

Remarks


TextTemplate Region
Region property

Applies to

TextTemplate

Declaration

property object.Region

Description

Gets the region id of the template

Returns

Region - Integer. The region number to use for Node.Update

Remarks


TextTemplate TemplateRect
TemplateRect property

Applies to

TextTemplate

Declaration

property object.TemplateRect

Description

Gets the coordinates of the template frame (red rectangle)

Returns

Rect Object

Remarks

Equivalent to Element.Rect when TextTemplate.UseTemplateRect is set to true To get the bounding box of the text within the template, set TextTemplate.UseTemplateRect to false and then call Element.Rect.


TextTemplate TextWidth
TextWidth property

Applies to

TextTemplate

Declaration

property object.TextWidth

Description

Gets the width of the text in the template (first row only)

Returns

Width - Integer.  The width of the text in the template, in pixels

Remarks


TextTemplate UseTemplateRect
UseTemplateRect property

Applies to

TextTemplate

Declaration

property object.UseTemplateRect(UseTemplateRect)

Description

Controls whether the area returned by methods such as {Element.Rect} and {Element.Image} indicates the boundaries of the entire template or only its textual contents

Parameter	Description
UseTemplateRect	Boolean.  True if the template rect should be used, False if the text rect should be used
Returns

UseTemplateRect - Boolean.  True if the template rect is being used, False if the text rect is being used

Remarks

By default, the entire template rectangle is used


TextTemplate Width
Width property

Applies to

TextTemplate

Declaration

property object.Width(Width)

Description

Gets/Sets the width of the template

Parameter	Description
Width	Integer.  The width of the template, in pixels
Returns

Width - Integer.  The width of the template, in pixels

Remarks


TextTemplate CopyContents
CopyContents method

Applies to

TextTemplate

Declaration

function object.CopyContents(Template)

Description

Copies the contents of another 2D template to this template

Parameter	Description
Template	Variant.  The source template's object, name, or number can be provided
Returns

Success - Boolean.  True if the contents were successfully copied

Remarks


TextTemplate DisplayCaret
DisplayCaret function

Applies to

TextTemplate

Declaration

function object.DisplayCaret

Description

Forces a Display of the Caret in this template

Remarks


TextTemplate IsEmpty
IsEmpty function

Applies to

TextTemplate

Declaration

function object.IsEmpty

Description

Returns true if the template contains no text

Returns

Empty - Boolean.  True if template is empty

Remarks


TextTemplate NextTemplate
NextTemplate function

Applies to

TextTemplate

Declaration

function object.NextTemplate

Description

Returns the next template in sequential order

Returns

NextTemplate TextTemplate Object

Remarks


TextTemplate SetActive
SetActive function

Applies to

TextTemplate

Declaration

function object.SetActive

Description

Sets this template as active in the current scene

Remarks


TextTemplate TextWindow
TextWindow function

Applies to

TextTemplate

Declaration

function object.TextWindow

Description

Returns the text window which contains this template

Returns

TextWindow Object

Remarks


TextWindow
TextWindow object

Properties	Methods	Events
Description

can be retrieved via {RowElement.TextWindow} or {TextTemplate.TextWindow}

Remarks


TextWindow Properties
Properties

Background	Justify	RowCount


TextWindow Methods
Methods


TextWindow Events
Events


TextWindow Background
Background property

Applies to

TextWindow

Declaration

property object.Background

Description

Gets an object for accessing image information about the background associated with the text window

Returns

Background Object

Remarks


TextWindow Justify
Justify property

Applies to

TextWindow

Declaration

property object.Justify(Justification)

Description

Set default justification of the text within the text window

Parameter	Description
Justification	Integer, None = 0, Left = 1, Center = 2, Right = 3, CenterPage = 4
Remarks


TextWindow RowCount
RowCount property

Applies to

TextWindow

Declaration

property object.RowCount

Description

Returns the number of freeform rows in the text window

Returns

RowCount - Integer.

Remarks

See RowElement for further information


Transform
Transform object

Properties	Methods	Events
Description

Retrieves an object representing the transformation of a node in a specifc transition.

Remarks

This object can be retrieved through Node.GetTransform.

If this transform resides in the active transition for the node, the properties and methods described herein are equivalent to invoking those on the Node object.
See also Transition and Scene.ActiveTransition

VBScript example to scale a bar on the first frame of its Effect Out:

set bar = ActiveCanvas.Scene.Element("Bar 1")

set xf = bar.GetTransform("Effect Out")

set kfset = xf.Keyframes

kfset.Add xf.InTime, kfXScale, 0.5


Transform Properties
Properties

AllowSmoothLoop	InheritTextureFrame	SmoothLoop
DBLinkedKeyFrames	InheritedAttributes	XPosition
HoldLastFrame	KeyFrames	YPosition
InTime	Loop
InheritState	OutTime


Transform Methods
Methods

AppendToInheritedAttributes	GetHotSpotMgr
ExcludeAsInheritedAttributes	InheritAllAttributes


Transform Events
Events


Transform AllowSmoothLoop
AllowSmoothLoop property

Applies to

Transform

Declaration

property object.AllowSmoothLoop(Allow)

Description

Gets/sets whether the animation in this transition is eligible for smooth looping

Parameter	Description
Allow	Boolean.  True if the object's animation should be eligible for smooth loop.
Returns

Allowed - Boolean.  True if the object's animation is eligible for smooth loop.

Remarks

See Transform.SmoothLoop for further information


Transform DBLinkedKeyFrames
DBLinkedKeyFrames property

Applies to

Transform

Declaration

property object.DBLinkedKeyFrames

Description

Gets an object representing those keyframes which are linked to a database for the node in this transition

Returns

KeyFrames Object The keyframes returned are a subset of those provided by Transform.KeyFrames

Remarks


Transform HoldLastFrame
HoldLastFrame property

Applies to

Transform

Declaration

property object.HoldLastFrame(Hold)

Description

Gets/sets whether this object holds its last frame in this {Transition}

Parameter	Description
Hold	Boolean.  True if the object holds its last frame
Returns

Hold - Boolean.  True if the object holds its last frame

Remarks


Transform InTime
InTime property

Applies to

Transform

Declaration

property object.InTime

Description

Gets/sets the starting frame of the timeline for this node in this {Transition}

Returns

InTime -  Integer.  Start of the timeline, in frames

Remarks

See also Transform.OutTime


Transform InheritState
InheritState property

Applies to

Transform

Declaration

property object.InheritState(Inherit)

Description

Gets/sets whether this transition inherits the current animation state of the node when activated

Parameter	Description
Inherit	Boolean.  Set to true to have this transition inherit the current animation state when activated
Returns

Inherit - Boolean.  True if this transition inherits the animation state

Remarks

All applicable attributes are inherited once InheritState is enabled.   To control what attributes are inherited, use Transform.ExcludeAsInheritedAttributes, Transform.InheritedAttributes, or Transform.AppendToInheritedAttributes


Transform InheritTextureFrame
InheritTextureFrame property

Applies to

Transform

Declaration

property object.InheritTextureFrame(Inherit)

Description

Gets/sets whether this transition inherits the texture frame of the node when activated

Parameter	Description
Inherit	Boolean.  Set to true to have this transition inherit the current texture frame when activated
Returns

Inherit - Boolean.  True if this transition inherits the texture frame

Remarks


Transform InheritedAttributes
InheritedAttributes property

Applies to

Transform

Declaration

property object.InheritedAttributes(Attributes)

Description

Gets/sets what animatable attributes are inherited if this transformation is enabled to inherit animation state

Parameter	Description
Attributes	Variant.  An array of attribute names or their integral values that should be inherited
Returns

Attributes - Variant.  An array of the attribute names that are inherited

Remarks

See Transform.InheritState for further information


Transform KeyFrames
KeyFrames property

Applies to

Transform

Declaration

property object.KeyFrames

Description

Gets an object representing the keyframes for the node in this transition

Returns

KeyFrames Object

Remarks


Transform Loop
Loop property

Applies to

Transform

Declaration

property object.Loop(Loop)

Description

Gets/sets the loop value for this object in this transition

Parameter	Description
Loop	Boolean.  Set to true to have the object's animation loop in this transformation.
Returns

Loop - Boolean.  True if the object's animation loops in this transformation.

Remarks


Transform OutTime
OutTime property

Applies to

Transform

Declaration

property object.OutTime

Description

Gets/sets the ending frame of the timeline for this node in this {Transition}

Returns

OutTime -  Integer.  End of the timeline in frames

Remarks

See also Transform.InTime


Transform SmoothLoop
SmoothLoop property

Applies to

Transform

Declaration

property object.SmoothLoop

Description

Gets whether smooth looping will be enforced for the animation in this transition. For animations that qualify, the final frame of the animation is not played prior to the execution of the loop.

Returns

SmoothLoop - Boolean.  True if smooth looping will be enforced for the object's animation in this transformation.

Remarks

Both Transform.Loop and Transform.AllowSmoothLoop must be enabled and the animation must qualify for smooth looping.


Transform XPosition
XPosition property

Applies to

Transform

Declaration

property object.XPosition

Description

Gets the X Coordinate of the node at frame 0 in this {Transition}

Returns

XPosition - Integer. Node's x coordinate, in screen coordinates

Remarks

Screen origin is at lower-left The origin of most nodes is the center of the node.  However, the origin  of a text window is the lower left.


Transform YPosition
YPosition property

Applies to

Transform

Declaration

property object.YPosition

Description

Gets the Y Coordinate of the node at frame 0 in this {Transition}

Returns

YPosition - Integer.  Node's y coordinate, in screen coordinates

Remarks

Screen origin is at lower-left The origin of most nodes is the center of the node.  However, the origin  of a text window is the lower left.


Transform AppendToInheritedAttributes
AppendToInheritedAttributes method

Applies to

Transform

Declaration

sub object.AppendToInheritedAttributes(Attributes)

Description

Append one or more animatable attributes from those that are inherited when this transformation is activated

Parameter	Description
Attributes	Variant.  An array of attribute names or their integral values that should be excluded
Remarks

See Transform.InheritState and Transform.InheritedAttributes for further information


Transform ExcludeAsInheritedAttributes
ExcludeAsInheritedAttributes sub

Applies to

Transform

Declaration

sub object.ExcludeAsInheritedAttributes(Attributes)

Description

Exclude one or more animatable attributes from those that are inherited when this transformation is activated

Parameter	Description
Attributes	Variant.  An array of attribute names or their integral values that should be excluded
Remarks

See Transform.InheritState and Transform.InheritedAttributes for further information


Transform GetHotSpotMgr
GetHotSpotMgr sub

Applies to

Transform

Declaration

sub object.GetHotSpotMgr

Description

Gets the Hot Spot manager for this transition

Returns

Object - HotSpotMgr.   Hot Spot manager for this transition

Remarks


Transform InheritAllAttributes
InheritAllAttributes sub

Applies to

Transform

Declaration

sub object.InheritAllAttributes

Description

Inherit all animatable attributes when this transformation is activated

Remarks

See Transform.InheritState and Transform.InheritedAttributes for further information


Transition
Transition object

Properties	Methods	Events
Description

An object representing a transition within a scene

Remarks

Obtain through one of the following methods on the Scene object: Scene.Transition, Scene.AddTransition Scene.Transitions


Transition Properties
Properties

AdjustedAnimationLength	AnimationLength	Name
AllowReactivation	HotKey	Visible


Transition Methods
Methods

Activate	AddNodeByID	Event
AddEvent	AddOutputGPI	GetEvent
AddFrameNotification	Copy	NewEvent
AddNode	DelOutputGPIs	SetGPI


Transition Events
Events


Transition AdjustedAnimationLength
AdjustedAnimationLength property

Applies to

Transition

Declaration

property object.AdjustedAnimationLength

Description

Gets the adjusted length of the animation within this transition, accounting for activations which would effectively end the animation of this transition before its actual duration

Returns

Frames - Integer. The length of the adjusted animation, in frames

Remarks


Transition AllowReactivation
AllowReactivation property

Applies to

Transition

Declaration

property object.AllowReactivation(Flag)

Description

 Property indicating whether transition can be reactivated if already active

Parameter	Description
Flag	Boolean. Set TRUE to allow reactivation of active transition
Returns

 Flag - Boolean. TRUE if transition allows reactivation.

Remarks


Transition AnimationLength
AnimationLength property

Applies to

Transition

Declaration

property object.AnimationLength(Frames)

Description

Gets/sets the length of the animation within this transition

Parameter	Description
Frames	Integer. The new length of the animation in frames. Timelines will be scaled proportionally
Returns

Frames - Integer. The length of the current animation, in frames

Remarks


Transition HotKey
HotKey property

Applies to

Transition

Declaration

property object.HotKey(HotKey)

Description

Sets the hotkey which will execute this transition

Parameter	Description
HotKey	Integer.  The key to assign to this transition.  0 to remove the Hotkey State of the ALT, SHIFT, and CONTROL keys as bits composing the lower 16 bits  CONTROL key state is bit 0 ALT key state is bit 1 SHIFT key is bit 2 The key itself is left shifted 16 bits.
Returns

HotKey - Integer.  The current key assigned to this transition.  0 if there is none

Remarks


Transition Name
Name property

Applies to

Transition

Declaration

property object.Name(Name)

Description

Sets the name of the Transition

Parameter	Description
Name	String.  The new name of the transition
Returns

Name - String.  The current name of the transition

Remarks


Transition Visible
Visible property

Applies to

Transition

Declaration

property object.Visible(Flag)

Description

 Property indicating whether transition is visible on Playout panel

Parameter	Description
Flag	Boolean. Set TRUE to allow transition to display on panel
Returns

 Flag - Boolean. TRUE if transition is visible on panel.

Remarks


Transition Activate
Activate method

Applies to

Transition

Declaration

sub object.Activate

Description

Selects the transition.  If the scene is on output, this will play the transition

Remarks


Transition AddEvent
AddEvent sub

Applies to

Transition

Declaration

sub object.AddEvent(eType, lFrame)

Description

Adds an event of the given type at the given frame.  If one already exists, returns NULL.

Parameter	Description
eType	Integer.  The type of event sought.
lFrame	Integer.  The frame to which the event applies
Returns

Event Object

Remarks

See Event.Type for a list of event types. AddEvent will use an existing selected Event, adding it to the Active Transition if it does not exist in that
Transition. If there is no Event selected, it will use the first Event in that Transition.


Transition AddFrameNotification
AddFrameNotification sub

Applies to

Transition

Declaration

sub object.AddFrameNotification(lFrame)

Description

Adds a frame notify event at the given frame.   When such a event is active, Lyric will invoke the EventEx method for each plugin when this frame of the transition is played to output.  The argument provided to the EventEx call  will be the id of the event.

Parameter	Description
lFrame	Integer.  Which frame to add it to.
Returns

ID - Integer.  The ID of the notification that was just added.

Remarks

If a frame notify event already exists, it will return that event's ID.


Transition AddNode
AddNode sub

Applies to

Transition

Declaration

sub object.AddNode(Node)

Description

Adds a transformation of this name to the specified node

Parameter	Description
Node	Variant.  Identifies the node to add to this transition If a dispatch, the node object. If a string, the name of the node  (first node found will be added if not unique) If an integer, the id of the node
Remarks


Transition AddNodeByID
AddNodeByID sub

Applies to

Transition

Declaration

sub object.AddNodeByID(NodeID)

Description

Adds a transformation of this name to the specified node

Parameter	Description
NodeID	Integer.  The ID of the node to add to this transition.
Remarks


Transition AddOutputGPI
AddOutputGPI sub

Applies to

Transition

Declaration

sub object.AddOutputGPI

Description

Remarks


Transition Copy
Copy sub

Applies to

Transition

Declaration

sub object.Copy(TransitionName, Options)

Description

Creates a new transition, replicating the animation of this one

Parameter	Description
TransitionName	String.  Name of the new transition
Options	Integer.
Returns

the New Transition Object

Remarks


Transition DelOutputGPIs
DelOutputGPIs sub

Applies to

Transition

Declaration

sub object.DelOutputGPIs

Description

Remarks


Transition Event
Event sub

Applies to

Transition

Declaration

sub object.Event(eType, lFrame)

Description

Adds an event of the given type at the given frame.  If one already exists, returns it.

Parameter	Description
eType	Integer.  The type of event sought.
lFrame	Integer.  Which frame to look at
Returns

Event Object

Remarks

See Event.Type for a list of event types. Event will use the existing selected Event if it is in the Active Transition. Otherwise, it will use the first
Event in the Active Transition.


Transition GetEvent
GetEvent sub

Applies to

Transition

Declaration

sub object.GetEvent(eType, lFrame)

Description

Searches for an event of type eType at frame lFrame and returns it if it exists, or NULL if it doesn't.

Parameter	Description
eType	Integer.  The type of event sought.
lFrame	Integer.  Which frame to look at
Returns

Event Object

Remarks

See Event.Type for a list of event types. GetEvent will use the existing selected Event if it is in the Active Transition. Otherwise, it will use the first
Event in the Active Transition.


Transition NewEvent
NewEvent sub

Applies to

Transition

Declaration

sub object.NewEvent(eType, lFrame)

Description

Adds an event of the given type at the given frame.  It will always create a new one and return it.

Parameter	Description
eType	Integer.  The type of event to create.
lFrame	Integer.  Which frame to add it to
Returns

Event Object

Remarks

See Event.Type for a list of event types. NewEvent will always add an Event to the Active Transition.


Transition SetGPI
SetGPI sub

Applies to

Transition

Declaration

sub object.SetGPI(lGPI)

Description

Assigns a GPI to activate the transition when triggered

Parameter	Description
lGPI	Integer.  The index of the GPI to set to activate the transition.  Use -1 to clear an existing GPI assignment.
Returns

Success - Boolean.  True if the GPI is now assigned to this transition

Remarks


TransitionCondition
TransitionCondition object

Properties	Methods	Events
Description

Object that describes a condition of a Transition Rule

Remarks

The condition can be obtained from the TransitionRule.GetCondition.  See the following subtypes for more information
 TransitionConditionContent - evaluation based on the content of specified scene components
 TransitionConditionName - evaluation based on the name of specified scene components
 TransitionConditionNumTemplates - evaluation based on the number of templates that meet specified requirements


TransitionCondition Properties
Properties


TransitionCondition Methods
Methods


TransitionCondition Events
Events


TransitionConditionContent
TransitionConditionContent object

Properties	Methods	Events
Description

Object that describes an evaluation based on the content of specified scene components

Remarks

The condition can be obtained from the TransitionRule.GetCondition


TransitionConditionContent Properties
Properties

CheckScenesExternal	Content	MatchNothing
CheckScenesInternal	ContentType	Names
CompareFunctionType	MatchAnything


TransitionConditionContent Methods
Methods


TransitionConditionContent Events
Events


TransitionConditionContent CheckScenesExternal
CheckScenesExternal property

Applies to

TransitionConditionContent

Declaration

property object.CheckScenesExternal(CheckScenesExternal)

Description

Whether this condition is evaluated on external scenes.

Parameter	Description
CheckScenesExternal	Boolean
Returns

CheckScenesExternal - Boolean

Remarks


TransitionConditionContent CheckScenesInternal
CheckScenesInternal property

Applies to

TransitionConditionContent

Declaration

property object.CheckScenesInternal(CheckScenesInternal)

Description

Whether this condition is evaluated on the internal scene.

Parameter	Description
CheckScenesInternal	Boolean
Returns

CheckScenesInternal - Boolean

Remarks


TransitionConditionContent CompareFunctionType
CompareFunctionType property

Applies to

TransitionConditionContent

Declaration

property object.CompareFunctionType(StringComparer)

Description

String Comparer of the Condition

Parameter	Description
StringComparer	int
Returns

StringComparer - int

Remarks

StringComparers are as follows:
  0 = Exact Match
  1 = Begins With
  2 = Ends With
  3 = Contains


TransitionConditionContent Content
Content property

Applies to

TransitionConditionContent

Declaration

property object.Content(Content)

Description

The content to compare during the evaluation. Applicable to Filepath and Content only

Parameter	Description
Content	String. Text to check template contents against OR filename of object to compare.
Returns

Content - String. Text to check template contents against OR filename of object to compare.

Remarks

See TransitionConditionContent.ContentType for the type of content being evaluated


TransitionConditionContent ContentType
ContentType property

Applies to

TransitionConditionContent

Declaration

property object.ContentType(ContentCheckType)

Description

The type of content to evaluate.

Parameter	Description
ContentCheckType	int
Returns

ContentCheckType - int

Remarks

Content Types are as follows:
  0 = Text   Evaluation of the textual content of a template
  1 = Filepath Evaluation of the filename from which an image, movie or 3D model was created
  2 = Changed Whether an object has been updated since its last evaluation


TransitionConditionContent MatchAnything
MatchAnything property

Applies to

TransitionConditionContent

Declaration

property object.MatchAnything(MatchAnything)

Description

Whether this condition will evaluate on any template with content. Match Anything only matches if there is content in the template. An Empty template will not pass.

Parameter	Description
MatchAnything	bool
Returns

MatchAnything - bool

Remarks


TransitionConditionContent MatchNothing
MatchNothing property

Applies to

TransitionConditionContent

Declaration

property object.MatchNothing(MatchNothing)

Description

Whether this condition will evaluate on an empty template. Match Nothing only matches if there is no content in the template.

Parameter	Description
MatchNothing	bool
Returns

MatchNothing - bool

Remarks


TransitionConditionContent Names
Names property

Applies to

TransitionConditionContent

Declaration

property object.Names(Names)

Description

The list of object names that will be evaluated.

Parameter	Description
Names	String. Comma-delimited list of object names
Returns

Names - String. Comma-delimited list of object names

Remarks


TransitionConditionName
TransitionConditionName object

Properties	Methods	Events
Description

Object that describes a TransitionCondition of the type By Name

Remarks

The condition can be obtained from the TransitionRule.GetCondition


TransitionConditionName Properties
Properties

CheckScenesExternal	CompareFunctionType	Names
CheckScenesInternal	MatchAnything
CheckType	MatchNothing


TransitionConditionName Methods
Methods


TransitionConditionName Events
Events


TransitionConditionName CheckScenesExternal
CheckScenesExternal property

Applies to

TransitionConditionName

Declaration

property object.CheckScenesExternal(CheckScenesExternal)

Description

Whether this condition is checked against the external scene.

Parameter	Description
CheckScenesExternal	int
Returns

CheckScenesExternal - int

Remarks


TransitionConditionName CheckScenesInternal
CheckScenesInternal property

Applies to

TransitionConditionName

Declaration

property object.CheckScenesInternal(CheckScenesInternal)

Description

Whether this condition is checked against the internal scene.

Parameter	Description
CheckScenesInternal	int
Returns

CheckScenesInternal - int

Remarks


TransitionConditionName CheckType
CheckType property

Applies to

TransitionConditionName

Declaration

property object.CheckType(CheckType)

Description

The check type of the Condition. Controls what kind of condition this is internally to ByName

Parameter	Description
CheckType	int
Returns

CheckType - int

Remarks

CheckType are as follows:
  0 = Scene
  1 = Transition
  2 = Node
  3 = Template
  4 = Description


TransitionConditionName CompareFunctionType
CompareFunctionType property

Applies to

TransitionConditionName

Declaration

property object.CompareFunctionType(StringComparer)

Description

String Comparer of the Condition

Parameter	Description
StringComparer	int
Returns

StringComparer - int

Remarks

StringComparers are as follows:
  0 = Exact Match
  1 = Begins With
  2 = Ends With
  3 = Contains


TransitionConditionName MatchAnything
MatchAnything property

Applies to

TransitionConditionName

Declaration

property object.MatchAnything(MatchAnything)

Description

Whether this condition will evaluate on an object of the matchtype with content. Match Anything only matches if there is content in the object of the matchtype. An Empty object of the matchtype will not pass.

Parameter	Description
MatchAnything	bool
Returns

MatchAnything - bool

Remarks


TransitionConditionName MatchNothing
MatchNothing property

Applies to

TransitionConditionName

Declaration

property object.MatchNothing(MatchNothing)

Description

Whether this condition will evaluate on an empty object of the matchtype. Match Nothing only matches if there is no content in the template.

Parameter	Description
MatchNothing	bool
Returns

MatchNothing - bool

Remarks


TransitionConditionName Names
Names property

Applies to

TransitionConditionName

Declaration

property object.Names(Text)

Description

The Names text of the condition. Controls what nodes/scenes/transitions are checked for.

Parameter	Description
Text	String. Text that we are going to check node/scene/transition names against. comma delimited.
Returns

Names Text - String. Text that we are going to check node/scene/transition names against. comma delimited.

Remarks


TransitionConditionNumTemplates
TransitionConditionNumTemplates object

Properties	Methods	Events
Description

Object that describes an evaluation based on the number of templates that meet specified requirements

Remarks

The condition can be obtained from the TransitionRule.GetCondition


TransitionConditionNumTemplates Properties
Properties

CompareFunctionType	InternalCount
ExternalCount	MatchTo


TransitionConditionNumTemplates Methods
Methods


TransitionConditionNumTemplates Events
Events


TransitionConditionNumTemplates CompareFunctionType
CompareFunctionType property

Applies to

TransitionConditionNumTemplates

Declaration

property object.CompareFunctionType(StringComparer)

Description

String Comparer of the Condition

Parameter	Description
StringComparer	int
Returns

StringComparer - int

Remarks

StringComparers are as follows:
  0 = Exact Match
  1 = Begins With
  2 = Ends With
  3 = Contains


TransitionConditionNumTemplates ExternalCount
ExternalCount property

Applies to

TransitionConditionNumTemplates

Declaration

property object.ExternalCount(ExternalCount)

Description

The number of templates in the external scene that meet the specified requirements

Parameter	Description
ExternalCount	int
Returns

ExternalCount - int

Remarks


TransitionConditionNumTemplates InternalCount
InternalCount property

Applies to

TransitionConditionNumTemplates

Declaration

property object.InternalCount(InternalCount)

Description

The number of templates in the internal scene that meet the specified requirements

Parameter	Description
InternalCount	int
Returns

InternalCount - int

Remarks


TransitionConditionNumTemplates MatchTo
MatchTo property

Applies to

TransitionConditionNumTemplates

Declaration

property object.MatchTo(Text)

Description

The MatchTo text of the condition. Controls what templates are checked.

Parameter	Description
Text	String. Text that we are going to check template names against.
Returns

MatchTo Text - String. Text that we are going to check template names against.

Remarks


TransitionRule
TransitionRule object

Properties	Methods	Events
Description

Object that represents a Transition Rule

Remarks

The rule can be obtained from the TransitionRulesMgr.GetRule


TransitionRule Properties
Properties

EffectInResponse	HasElseResponse	OnEventNetwork
EffectOutResponse	HasIfResponse	OnEventPlay
ElseEffectInResponse	HasImmediateResponse	OnEventRead
ElseEffectOutResponse	ImmediateInResponse	OnEventUpdate
ElseUpdateInResponse	ImmediateOutResponse	UpdateInResponse
ElseUpdateOutResponse	Name	UpdateOutResponse
EvalOnAllFB	OnEventEvent


TransitionRule Methods
Methods

AddCondition	GetCondition	SwapConditionDown
AddEmptyCondition	RemoveCondition	SwapConditionUp


TransitionRule Events
Events


TransitionRule EffectInResponse
EffectInResponse property

Applies to

TransitionRule

Declaration

property object.EffectInResponse(EffectInResponse)

Description

The Effect In Response of the rule. If the rule succeeds, the Effect In of the internal scene is changed to the one specified.

Parameter	Description
EffectInResponse	String. Name of the Effect In transition if the rule succeeds
Returns

EffectInResponse - String. Name of the Effect In transition if the rule succeeds

Remarks

 Applies to internal scene.


TransitionRule EffectOutResponse
EffectOutResponse property

Applies to

TransitionRule

Declaration

property object.EffectOutResponse(EffectOutResponse)

Description

The Effect Out Response of the rule. If the rule succeeds, the Effect Out of the external scene is changed to the one specified.

Parameter	Description
EffectOutResponse	String. Name of the Effect Out transition if the rule succeeds
Returns

EffectOutResponse - String. Name of the Effect Out transition if the rule succeeds

Remarks


TransitionRule ElseEffectInResponse
ElseEffectInResponse property

Applies to

TransitionRule

Declaration

property object.ElseEffectInResponse(EffectInResponse)

Description

The alternate Effect In Response of the rule.  If the rule fails, the Effect In of the internal scene is changed to the one specified.

Parameter	Description
EffectInResponse	String. Name of the Effect In transition if the rule fails
Returns

EffectInResponse - String. Name of the Effect In transition if the rule fails

Remarks

Applies to internal scene.  Use TransitionRule.OnEventRead to set event trigger
This option will cause this rule to be the last one evaluated!.


TransitionRule ElseEffectOutResponse
ElseEffectOutResponse property

Applies to

TransitionRule

Declaration

property object.ElseEffectOutResponse(EffectOutResponse)

Description

The alternate Effect Out Response of the rule.  If the rule fails, the Effect Out of the external scene is changed to the one specified.

Parameter	Description
EffectOutResponse	String. Name of the Effect Out transition if the rule fails
Returns

EffectOutResponse - String. Name of the Effect Out transition if the rule fails

Remarks

This option will cause this rule to be the last one evaluated!.


TransitionRule ElseUpdateInResponse
ElseUpdateInResponse property

Applies to

TransitionRule

Declaration

property object.ElseUpdateInResponse(UpdateInResponse)

Description

The alternate Update In Response of the rule.  If the rule fails, the Update In of the internal scene is changed to the one specified.

Parameter	Description
UpdateInResponse	String. Name of the Update In transition if the rule fails
Returns

UpdateInResponse - String. Name of the Update In transition if the rule fails

Remarks

Applies to internal scene.  Use TransitionRule.OnEventRead to set event trigger
This option will cause this rule to be the last one evaluated!


TransitionRule ElseUpdateOutResponse
ElseUpdateOutResponse property

Applies to

TransitionRule

Declaration

property object.ElseUpdateOutResponse(UpdateOutResponse)

Description

The alternate Update Out Response of the rule.  If the rule fails, the Update Out of the external scene is changed to the one specified.

Parameter	Description
UpdateOutResponse	String. Name of the Update Out transition if the rule fails
Returns

UpdateOutResponse - String. Name of the Update Out transition if the rule fails

Remarks

This option will cause this rule to be the last one evaluated!


TransitionRule EvalOnAllFB
EvalOnAllFB property

Applies to

TransitionRule

Declaration

property object.EvalOnAllFB(EvaluateOnAllFrameBuffers)

Description

Gets/sets whether this rule will evaluate across framebuffers or just on the current frame buffer

Parameter	Description
EvaluateOnAllFrameBuffers	bool
Returns

EvaluateOnAllFrameBuffers - bool

Remarks


TransitionRule HasElseResponse
HasElseResponse property

Applies to

TransitionRule

Declaration

property object.HasElseResponse(HasElseResponse)

Description

Gets/sets whether this rule has an else response

Parameter	Description
HasElseResponse	bool
Returns

HasElseResponse - bool

Remarks


TransitionRule HasIfResponse
HasIfResponse property

Applies to

TransitionRule

Declaration

property object.HasIfResponse(HasIfResponse)

Description

Gets/sets whether this rule has an if response

Parameter	Description
HasIfResponse	bool
Returns

HasIfResponse - bool

Remarks


TransitionRule HasImmediateResponse
HasImmediateResponse property

Applies to

TransitionRule

Declaration

property object.HasImmediateResponse(HasImmediateResponse)

Description

Gets/sets whether this rule has an immediate response

Parameter	Description
HasImmediateResponse	bool
Returns

HasImmediateResponse - bool

Remarks


TransitionRule ImmediateInResponse
ImmediateInResponse property

Applies to

TransitionRule

Declaration

property object.ImmediateInResponse(ImmediateResponse)

Description

The Immediate Response of the rule. Only triggers on OnEventEvent and OnEventUpdate rules. Changes the active transition of internal scene to the one specified.

Parameter	Description
ImmediateResponse	String. Name of the transition to activate on the internal scene if the rule succeeds
Returns

ImmediateResponse - String. Name of the transition to activate on the internal scene if the rule succeeds

Remarks

 Applies to internal scene.


TransitionRule ImmediateOutResponse
ImmediateOutResponse property

Applies to

TransitionRule

Declaration

property object.ImmediateOutResponse(ImmediateResponse)

Description

The Immediate Response of the rule. Only triggers on OnEventEvent and OnEventUpdate rules. Changes the active transition of external scene to the one specified.

Parameter	Description
ImmediateResponse	String. Name of the transition to activate on the external scene if the rule succeeds
Returns

ImmediateResponse - String. Name of the transition to activate on the external scene if the rule succeeds

Remarks

 Applies to external scene.


TransitionRule Name
Name property

Applies to

TransitionRule

Declaration

property object.Name(Name)

Description

Gets/sets the name of the rule

Parameter	Description
Name	String.
Returns

Name - String.

Remarks


TransitionRule OnEventEvent
OnEventEvent property

Applies to

TransitionRule

Declaration

property object.OnEventEvent(EvaluateOnEvent)

Description

Gets/sets whether this rule will evaluate on a transform timeline event

Parameter	Description
EvaluateOnEvent	bool
Returns

EvaluateOnEvent - bool

Remarks


TransitionRule OnEventNetwork
OnEventNetwork property

Applies to

TransitionRule

Declaration

property object.OnEventNetwork

Description

Remarks


TransitionRule OnEventPlay
OnEventPlay property

Applies to

TransitionRule

Declaration

property object.OnEventPlay(EvaluateOnPlay)

Description

Gets/sets whether this rule will evaluate on a play event

Parameter	Description
EvaluateOnPlay	bool
Returns

EvaluateOnPlay - bool

Remarks


TransitionRule OnEventRead
OnEventRead property

Applies to

TransitionRule

Declaration

property object.OnEventRead(EvaluateOnRead)

Description

Gets/sets whether this rule will evaluate on a read event

Parameter	Description
EvaluateOnRead	bool
Returns

EvaluateOnRead - bool

Remarks


TransitionRule OnEventUpdate
OnEventUpdate property

Applies to

TransitionRule

Declaration

property object.OnEventUpdate(EvaluateOnUpdate)

Description

Gets/sets whether this rule will evaluate on a template update/IIupdate event

Parameter	Description
EvaluateOnUpdate	bool
Returns

EvaluateOnUpdate - bool

Remarks


TransitionRule UpdateInResponse
UpdateInResponse property

Applies to

TransitionRule

Declaration

property object.UpdateInResponse(UpdateInResponse)

Description

The Update In Response of the rule. If the rule succeeds, the Update In of the internal scene is changed to the one specified.

Parameter	Description
UpdateInResponse	String. Name of the Update In transition if the rule succeeds
Returns

UpdateInResponse - String. Name of the Update In transition if the rule succeeds

Remarks


TransitionRule UpdateOutResponse
UpdateOutResponse property

Applies to

TransitionRule

Declaration

property object.UpdateOutResponse(UpdateOutResponse)

Description

The Update Out Response of the rule. If the rule succeeds, the Update Out of the external scene is changed to the one specified.

Parameter	Description
UpdateOutResponse	String. Name of the Update Out transition if the rule succeeds
Returns

UpdateOutResponse - String. Name of the Update Out transition if the rule succeeds

Remarks


TransitionRule AddCondition
AddCondition method

Applies to

TransitionRule

Declaration

function object.AddCondition(Condition, Position, Overwrite)

Description

Adds the condition at the specified position.

Parameter	Description
Condition	{TransitionCondition} Object. The condition that will be copied into the rule's conditions list.
Position	Integer. The position to add the condition at in the rule's condition list.
Overwrite	Bool. Whether or not to overwrite conditions in this position
Returns

NewPosition - Integer. The zero-based index the condition was added at.

Remarks


TransitionRule AddEmptyCondition
AddEmptyCondition function

Applies to

TransitionRule

Declaration

function object.AddEmptyCondition(ConditionType, Position)

Description

Adds an empty condition of a given type at a specified position.  Will not overwrite so if a condition is in that spot already this will push all the rest up.

Parameter	Description
ConditionType	Integer. The conditionType to be added.
Position	Integer. The zero-based index to add the condition at in the rule's conditions list.
Returns

NewPosition - Integer. The position the condition was added at.

Remarks

ConditionType are as follows:
  0 = Content
  1 = NumTemplates
  2 = ByName


TransitionRule GetCondition
GetCondition function

Applies to

TransitionRule

Declaration

function object.GetCondition(Position)

Description

Gets the condition at the specified position.

Parameter	Description
Position	Integer. Zero-based index in the rule's list of conditions.
Returns

TransitionCondition Object. The condition at this position in the rule.

Remarks


TransitionRule RemoveCondition
RemoveCondition function

Applies to

TransitionRule

Declaration

function object.RemoveCondition(Condition)

Description

Removes the current Condition. Gets/sets whether this rule will evaluate over the network

Parameter	Description
Condition	Int. The position of the Condition to remove. EvaluatesOverNetwork - bool
Returns

NewPosition - Int. The position after the removal. EvaluatesOverNetwork - bool

Remarks


TransitionRule SwapConditionDown
SwapConditionDown function

Applies to

TransitionRule

Declaration

function object.SwapConditionDown(Condition)

Description

Swaps the current Condition with the Condition with the next lowest position (priority). Lower Values are higher priority.

Parameter	Description
Condition	Integer. The zero-based index of the Condition to move.
Returns

NewPosition - Integer. The resulting zero-based index of the condition.

Remarks


TransitionRule SwapConditionUp
SwapConditionUp function

Applies to

TransitionRule

Declaration

function object.SwapConditionUp(Condition)

Description

Swaps the current Condition with the Condition with the next highest position (priority). Lower Values are higher priority.

Parameter	Description
Condition	Integer. The zero-based index of the Condition to move.
Returns

NewPosition - Integer. The resulting zero-based index of the condition.

Remarks


TransitionRulesMgr
TransitionRulesMgr object

Properties	Methods	Events
Description

Object that represents the set of transition rules for a scene

Remarks

The rule manager can be obtained from Scene.RulesManager or HotSpot.GetReaction
The following sample enables all rules in the canvas scene to trigger on play

set transmgr = ActiveCanvas.Scene.RulesManager

iRule = 0

while iRule >= 0

  	set r = transmgr.GetRule(iRule)

if TypeName(r) <> "Nothing" then

r.OnEventPlay true

iRule = iRule + 1

else

iRule = -1

end if

wend


TransitionRulesMgr Properties
Properties


TransitionRulesMgr Methods
Methods

AddEmptyRule	GetRule	SwapRuleUp
AddRule	RemoveRule	TestRule
Evaluate	SwapRuleDown


TransitionRulesMgr Events
Events


TransitionRulesMgr AddEmptyRule
AddEmptyRule method

Applies to

TransitionRulesMgr

Declaration

function object.AddEmptyRule(Position)

Description

Adds a rule to the rules manager.

Parameter	Description
Position	Integer.  The zero-based position after which to add the rule
Returns

Position - Integer.  The new position in the list after the addition

Remarks


TransitionRulesMgr AddRule
AddRule function

Applies to

TransitionRulesMgr

Declaration

function object.AddRule({TransitionRule}, ruleSelector, Overwrite)

Description

Adds a specified rule to the rules manager at a position. If overwriting, a name can be specified instead of a position.

Parameter	Description
{TransitionRule}	Object. The object representing the rule that will be copied into the rules manager list.
ruleSelector	Variant.  If integer, the zero-based position at which to add the rule. String - Name of rule. Adds the rule over this position/name
Overwrite	Boolean.  If true, overwrite any existing rule at the given position
Returns

Returns the new position in the list after the addition

Remarks


TransitionRulesMgr Evaluate
Evaluate function

Applies to

TransitionRulesMgr

Declaration

function object.Evaluate(Event)

Description

Evaluates all rules that are set to evaluate on the given event.

Parameter	Description
Event	Integer.  See Remarks.
Returns

Passed - Boolean.  True if any rule passed, false otherwise

Remarks

Events are as follows
1 	Read Event 	See TransitionRule.OnEventRead for further information
2 	Timeline Event 	See TransitionRule.OnEventEvent for further information
3 	Template Update Event 	See TransitionRule.OnEventUpdate for further information
4 	Play Event 	See TransitionRule.OnEventPlay for further information
5 	Network Event 	See TransitionRule.OnEventNetwork for further information


TransitionRulesMgr GetRule
GetRule function

Applies to

TransitionRulesMgr

Declaration

function object.GetRule(RuleSelector)

Description

Gets a rule from the rules manager by name or by position

Parameter	Description
RuleSelector	Variant.  Integer - Zero-based position in rules map. String - Name of rule.
Returns

TransitionRule Object.  Object representing the rule specified.

Remarks


TransitionRulesMgr RemoveRule
RemoveRule function

Applies to

TransitionRulesMgr

Declaration

function object.RemoveRule(ruleSelector)

Description

Removes a rule from the rules manager by name or by position

Parameter	Description
ruleSelector	Variant.  Integer - Position in rules map. String - Name of rule.
Returns

Position - Integer.  The current position in the manager after the rule has been removed.

Remarks


TransitionRulesMgr SwapRuleDown
SwapRuleDown function

Applies to

TransitionRulesMgr

Declaration

function object.SwapRuleDown(RuleIndex)

Description

Swaps the current Rule with that at the next "lowest" position (priority). Lower Values are higher priority.

Parameter	Description
RuleIndex	Integer. The position of the Rule to move
Returns

NewPosition - Integer. The new position of the Rule

Remarks


TransitionRulesMgr SwapRuleUp
SwapRuleUp function

Applies to

TransitionRulesMgr

Declaration

function object.SwapRuleUp(RuleIndex)

Description

Swaps the current Rule with that at the next highest position (priority). Lower Values are higher priority.

Parameter	Description
RuleIndex	Integer. The position of the Rule to move .
Returns

NewPosition - Integer. The new position of the Rule

Remarks


TransitionRulesMgr TestRule
TestRule function

Applies to

TransitionRulesMgr

Declaration

function object.TestRule(ruleSelector)

Description

Test a rule to determine if it would pass/fail under current conditions.

Parameter	Description
ruleSelector	Variant.  Integer - Position in rules map. String - Name of rule.
Returns

Passed - Boolean.  True if the rule passed, false otherwise

Remarks


Verticies
Verticies object

Properties	Methods	Events
Description

Object used to access the verticies of a {2DObjElement}

Remarks

Obtain from 2DObjElement.Verticies


Verticies Properties
Properties

X	Y


Verticies Methods
Methods


Verticies Events
Events


Verticies X
X property

Applies to

Verticies

Declaration

property object.X

Description

Gets the objects X Vertex

Returns

XVertex - Double. Objects X Vertex

Remarks


Verticies Y
Y property

Applies to

Verticies

Declaration

property object.Y

Description

Gets the objects Y Vertex

Returns

YVertex - Double. Objects Y Vertex

Remarks


VideoCapture
VideoCapture object

Properties	Methods	Events
Description

  The Video Capture interface is currently disabled

Remarks


VideoCapture Properties
Properties


VideoCapture Methods
Methods

Blank	CaptureSample	Transfer
CaptureAllSamples	Display	TransferToCanvas
CaptureCleanMotionArtifacts	DisplayAllSamples	VideoCaptureDisplay
CapturePreviewVideoDisplayOff	DisplaySample	VideoCaptureSample
CapturePreviewVideoDisplayOn	SaveFrame


VideoCapture Events
Events


VideoCapture Blank
Blank method

Applies to

VideoCapture

Declaration

sub object.Blank

Description

Remarks


VideoCapture CaptureAllSamples
CaptureAllSamples sub

Applies to

VideoCapture

Declaration

sub object.CaptureAllSamples

Description

Remarks


VideoCapture CaptureCleanMotionArtifacts
CaptureCleanMotionArtifacts sub

Applies to

VideoCapture

Declaration

sub object.CaptureCleanMotionArtifacts

Description

Remarks


VideoCapture CapturePreviewVideoDisplayOff
CapturePreviewVideoDisplayOff sub

Applies to

VideoCapture

Declaration

sub object.CapturePreviewVideoDisplayOff

Description

Remarks


VideoCapture CapturePreviewVideoDisplayOn
CapturePreviewVideoDisplayOn sub

Applies to

VideoCapture

Declaration

sub object.CapturePreviewVideoDisplayOn

Description

Remarks


VideoCapture CaptureSample
CaptureSample sub

Applies to

VideoCapture

Declaration

sub object.CaptureSample

Description

Remarks


VideoCapture Display
Display sub

Applies to

VideoCapture

Declaration

sub object.Display

Description

Remarks


VideoCapture DisplayAllSamples
DisplayAllSamples sub

Applies to

VideoCapture

Declaration

sub object.DisplayAllSamples

Description

Remarks


VideoCapture DisplaySample
DisplaySample sub

Applies to

VideoCapture

Declaration

sub object.DisplaySample

Description

Remarks


VideoCapture SaveFrame
SaveFrame sub

Applies to

VideoCapture

Declaration

sub object.SaveFrame

Description

Remarks


VideoCapture Transfer
Transfer sub

Applies to

VideoCapture

Declaration

sub object.Transfer

Description

Remarks


VideoCapture TransferToCanvas
TransferToCanvas sub

Applies to

VideoCapture

Declaration

sub object.TransferToCanvas

Description

Remarks


VideoCapture VideoCaptureDisplay
VideoCaptureDisplay sub

Applies to

VideoCapture

Declaration

sub object.VideoCaptureDisplay

Description

Remarks


VideoCapture VideoCaptureSample
VideoCaptureSample sub

Applies to

VideoCapture

Declaration

sub object.VideoCaptureSample

Description

Remarks


Object Summary

2DObjElement - Object used to access properties specific to an image object

 Property: ExternalUpdateEnable - Flag that enables External Update of this image through Intelligent Interface

 Property: FileName - Gets/sets the filename, if applicable, of the image

 Property: IIUpdateEnable - Flag that allows Intelligent Interface to update this image

 Method: RefreshTexture - Refreshes the texture for this object (For example, reloads the file from disk)

 Property: EmbedImageData - gets/sets whether image data is embedded on save

 Property: DBLink - Gets the associated DBLink Object that contains the database link information

 Property: TextureSize - Returns the size of the texture for this image

 Method: SetSizeAndPositionNDC - Modifies the vertex data of the image such that it is positioned at x,y with a size of h x w.

 Property: Verticies - Gets the objects verticies (X and Y)

 Property: ImageSize - Returns the size of the image

 Property: TemplateSize - Returns the size of the image template

 Property: CompressImageData - gets/sets whether image data is compressed

 Property: PixelAspect - Gets the pixel aspect ratio for this image was added to the scene

 Property: ReplaceMode - Gets/sets the replacement mode for image update

3DFont - Object that describes a Lyric Font

 Property: BevelType - BevelType of the 3DFont

 Property: Leading3D - Leading of the 3DFont

 Property: Spacing3D - Spacing of the 3DFont

 Property: Kerning3D - Kerning of the 3DFont

 Property: Border - Gets the border effect with the specified index.

 Property: BorderCount - Gets the number of border effects applied to this font

 Property: BevelDepth - BevelDepth of the 3DFont

 Property: CharacterDepth - CharacterDepth of the 3DFont

 Property: CurveSmoothness - CurveSmoothness of the 3DFont

 Property: BevelMode - BevelMode of the 3DFont

3DFontEdge - Provides information on 3D Edge characteristics for a given font

 Method: GetKeyParam - Gets the value of an attribute for this edge effect.

 Method: SetKeyInterpolation - Sets the interpolation method for the keyframe in the transition at the frame.

 Method: ClearAllTransitionKeyParams - Clears the animation for this edge in the specified transition.

 Method: ClearAllKeyParams - Clears all the keytracks for this edge.

 Method: SetKeyParam - Sets the value of an attribute for this edge effect.

3DObjElement - Object used to access properties specific to a 3D Primitive object

 Property: EmbedGeometry - gets/sets whether geometry data is embedded on save

 Property: EmbedImageData - gets/sets whether texture image data is embedded on save

 Property: FileName - Gets/sets the filename of the 3D Object

 Property: MaintainSurfaces - Gets/sets the functionality for replacing surfaces when the 3D geometry for this object is updated

3DSelection - Represents a selection of text within a template

 Property: Min - Gets/sets the minimum range of the selection

 Property: Max - Gets/sets the maximum range of the selection

3DTemplate - Provides information on a 3D template and its properties

 Method: CopyContents - Copies the contents of another template to this template

 Property: MaxRows - Gets/sets the maximum number of rows of text in the template

 Property: Height - Gets/Sets the height of the template

 Property: Region - Gets the region id of the template

 Property: ExternalUpdateEnable - Flag that enables external update of this template.through Intelligent Interface

 Property: AllCaps - Flag that enables conversion of all alphabetic characters within the template to upper case

 Property: Background - Gets an object for accessing image information about the background associated with the template

 Method: SetActive - Sets this template as active in the current scene

 Property: SizeToFitScaleHeight - Gets the current scaling factor necessary to fit the text vertically within the clip bounds

 Property: TemplateRect - Gets the screen coordinates of the template's bounding box

 Property: IIUpdateEnable - Flag that allows Intelligent Interface to update template text

 Property: Supersample - Gets/sets whether the template should be sampled at a higher resolution.

 Property: DBLink - Gets the associated DBLink Object that contains database link information

 Property: RectReference - Gets the screen coordinates of the template's clipping bound, in reference to the template's position

 Property: Width - Gets/Sets the width of the template

 Property: SizeToFitScaleWidth - Gets the current scaling factor necessary to fit the text horizontally within the clip bounds

 Property: TemplateRectReference - Gets the screen coordinates of the template's bounding box, in reference to the template's position

 Property: AnimateElements - Enables converting the characters that make up the 3D template into individually animatable objects

 Property: JustificationX - Justification of text within the template

 Property: JustificationY - Justification of text within the template

 Property: DigitSubstitution - Sets the digit substitution mode (usage of national numeral system) for text input into this template.

 Property: UseOutlineAA - Gets/sets whether a smooth outline is applied to the characters in the template for anti-aliasing

 Property: RowCount - Gets the number of current rows of text in the template

 Property: JustifyClipBounds - Flag that the clip bounds should be justified according to the 3DTemplate's Justification X and Y.

 Property: SizeToFitHeight - Gets/Sets whether the template text is sized-to-fit vertically.

 Method: NextTemplate - Returns the next template in sequential order

 Property: CorrectForOverlap - Flag that the template should pass through a separate rendering pass for proper transparency blending.

 Method: IsEmpty - Returns true if the template contains no text

 Property: Homogenous - Flag that all material information is shared among all text in the 3DTemplate.

 Property: SizeToFitMinimum - Gets/sets the minimum scaling factor for text that has been sized to fit

 Property: HorizontalTyping - Flag that enables writing vertically or horizontally.

 Method: ResetClipBounds - Resets the clip bounds of the template

 Property: WordWrap - Flag that allows text to wrap to next line in a multi-line template

 Property: AutoErase - Flag that when set causes the template to erase its contents when new data is entered.

 Property: SizeToFitWidth - Gets/Sets whether the template text is sized-to-fit horizontally

 Property: TilingMode - Apply the tiling mode as the default for the template. If a selection mode is used, only the glyphs in the range will be modified.

 Property: TextWidth - Gets the width of the text in the template (first row only)

 Property: TemplateID - Gets/sets the template id/number

 Method: SetDefaultLang - Sets the default language for this template

 Property: Numeric - Flag that allows only numeric values to be entered into template

 Property: UseTemplateRect - Controls whether the area returned by methods such as Element.Rect and Element.Image indicates the boundaries of the entire template or only its textual contents

 Property: NDCTemplateRect - Returns the 3d template's rect as normalized device coordinates.

 Property: RTLMode - Flag that enables RTL mode or LTR mode

3DTemplateText - Represents the text and font information of a 3D Template

 Property: SelectionFont - Gets and sets the font for the currently selected text.

 Property: Selection - Gets and sets the range of characters that is selected in the 3D Template.

ActivationReaction - Object that describes an Activation Reaction to a hotspot

 Method: Remove - Remove a transition activation from the reaction

 Method: Add - Add a transition activation to the reaction

 Property: Transitions - Gets/sets the transitions that will be activated when this reaction is triggered

ActiveCanvas - Object used to access items that are specific to the currently active Lyric canvas

 Property: CurrentMessage - Gets the path and file name of the currently loaded message.

 Property: OverstrikeEnabled -  Sets/Gets whether overstrike mode is enabled

 Property: ShowSafeTitle - Get/set the preference controlling the display of the Safe Title guide

 Method: SetFormat - Sets video settings for the canvas

 Method: RemoteKey - Allows a remote process to force a key event within the canvas

 Property: DocumentBeingSaved - Gets the filename of the message currently being saved

 Property: ActiveFont - Gets/sets the active font for the canvas

 Method: GetFrame - Gets the current frame number.

 Method: SetBackground - Configure the default canvas background

 Property: ShowViewportLabels - Get/set the preference controlling the display of the viewport labels

 Property: Selection - Gets an object that can be used to simulate text editing

 Property: TranslationMode -  Sets/Gets Character Translation Mode. Indicates whether use of alternate character set is enabled

 Property: Scene - Gets the scene object for the current message displayed by the canvas

 Method: SetPixelAspect - Sets the pixel aspect ratio.

 Property: FileSave - Gets a file save object for exporting Lyric messages to various image and movie formats.

 Method: MakeCurrent -

 Property: SafeTitle - Gets/sets safe-title dimensions for the canvas

 Method: ActiveFileSave - Gets a file save object for exporting Lyric messages to various image and movie formats.

 Property: FrameCount - Gets the number of frames in the animation

 Property: WindowDimension - Gets the current dimensions of the canvas's client area.

 Property: ShowSelectionGuides - Get/set the preference controlling the display of the selection guides

 Method: SetResolution - Sets the canvas resolution

 Method: ClientToScreenX - Converts the x coordinate given in canvas upper-left relative coordinates, to screen upper-left relative coordinates.

 Method: ClientToScreenY - Converts the y coordinate given in canvas upper-left relative coordinates, to screen upper-left relative coordinates.

 Property: Field - Allows control of the field that is to be rendered for a given frame

 Property: Playing - Flag that is set if an animation is playing.

 Property: Show4x3SafeTitle - Get/set the preference controlling the display of the 4:3 Safe Title guide

 Property: RenderToDuet - Gets whether Live Render mode is enabled (i.e. the state of the Live button) If enabled, the current scene is automatically transferred to output after modification

 Method: SetFrame - Sets the current frame

 Method: GetSnapshot - Renders the current scene and provides a snapshot at the desired resolution and in the desired format

 Property: ShowBackground - Get/set the preference controlling the display of the default canvas background

 Method: GetMaskLayerData - Reads and decodes the FBO mask data texture for a given layer into the provided buffer

 Method: Update - Updates the canvas

 Method: RemoteMouse - Allows a remote process to activate a mouse action within the canvas

 Property: ScalingIncrement - Gets/sets the value for scaling elements within in a 2D text window

 Method: GetFont - Gets the current font.

AnimationState - Represents the state of each animatable attribute for an object at a given frame

 Property: Focus - Gets the Focus for the object at the given frame

 Method: AttributeValue - Gets the value of an animatable attribute specified by either name or index

 Property: YScale - Gets the Y Scale for the object at the given frame

 Property: LoopIterations - Gets the number of iterations in the loop which is active at the given frame.

 Property: EffectPct - Gets the effect percentage for the object at the given frame

 Method: AttributeNames - Gets a list of all attribute names currently defined for this animation state

 Property: XCenter - Gets the X Center for the object at the given frame

 Property: PauseTimeout - Pause attribute, the meaning of which is dependent on the type returned by AnimationState.PauseType

 Property: PauseType - Gets the Pause Type for the object at the given frame

 Property: XRotation - Gets the X Rotation for the object at the given frame

 Property: PauseEnabled - Gets a flag indicating whether a pause is active at the given frame.

 Property: YRotation - Gets the Y Rotation for the object at the given frame

 Property: ZRotation - Gets the Z Rotation for the object at the given frame

 Property: RGBADiffuse - Gets the color value for the object at the given frame

 Property: LoopEnabled - Gets a flag indicating whether a loop is active at the given frame.

 Property: Shine - Gets the shininess (intensity) value for the object at the given frame

 Property: XScale - Gets the X Scale for the object at the given frame

 Property: LoopFrames - Gets the number of frames in the loop which is active at the given frame.

 Property: Transp - Gets the transparency value for the object at the given frame

 Property: ZScale - Gets the Z Scale for the object at the given frame

 Property: ZCenter - Gets the Z Center for the object at the given frame

 Property: YCenter - Gets the Y Center for the object at the given frame

 Property: XPosition - Gets the X Position for the object at the given frame

 Property: YPosition - Gets the Y Position for the object at the given frame

 Property: ITVEventType - Gets the ITV Event Type for the object at the given frame

 Property: ZPosition - Gets the Z Position for the object at the given frame

AutoFollow - Object representing the Auto Follow Settings for a node

 Property: ReferenceNode - Get/set the reference node that the target node is following

 Property: ScalePaddingX - Get/set the auto-scale padding for the X axis

 Property: ScalePaddingY - Get/set the auto-scale padding for the Y axis

 Property: ScalePaddingZ - Get/set the auto-scale padding for the Z axis

 Property: ConnectX - Get/set the connection point for the target on the X axis

 Property: ConnectY - Get/set the connection point for the target on the Y axis

 Property: ConnectZ - Get/set the connection point for the target on the Z axis

 Property: UpdateTimingMode - Get/set the update timing mode

 Property: ScaleX - Get/set whether auto-scale is enabled on the X axis

 Property: ScaleY - Get/set whether auto-scale is enabled on the Y axis

 Property: ScaleZ - Get/set whether auto-scale is enabled on the Z axis

 Property: UpdateTimingValue - Get/set the update timing

 Property: PositionOffsetX - Get/set the position offset for the X axis

 Property: PositionOffsetY - Get/set the position offset for the Y axis

 Property: PositionOffsetZ - Get/set the position offset for the Z axis

 Property: ReferenceAnchorX - Get/set the anchor point to the reference on the X axis

 Property: ReferenceAnchorY - Get/set the anchor point to the reference on the Y axis

 Property: ReferenceAnchorZ - Get/set the anchor point to the reference on the Z axis

AutoSpacing - Object representing an Auto Spacing Group

 Property: MinimumSpacing - Get/set the minimum allowed offset between items

 Property: AllowOverflow - Get/set whether items which lie outside the spacing area are shown or hidden

 Property: ReferenceNode - Get/set the reference node that defines the bounds of the auto spacing region

 Property: RegionBounds - Get/set the bounds for the Auto Spacing Region

 Property: DefaultSpacing - Get/set the default offset between items

 Property: IsVertical - Get/set the orientation of the Auto Spacing Group

 Property: Alignment - Get/set the alignment of the Auto Spacing Group

Background - Allows access to the background of the canvas or a template element

 Property: ApplyMode - Gets/sets how the background is applied

 Method: SetColor - sets the background to the given solid color

 Property: FileName - Gets/sets the filename, if applicable, of the background

 Method: SetPaletteEntry - sets the background to the given palette entry

Browser - Gets a particular asset (table) from a Lyric Browser database

 Method: Asset - Gets an object used to access a table of a Lyric Browser database

 Method: AssetSearch - Gets an object used to access specified records within a Lyric Browser database

BrowserAsset - Enumeration object used to access individual records of a Lyric browser database

 Method: AddFont - Adds a font record to this asset's table

 Method: Count - Gets the number of records this asset holds

 Method: Record - Gets a record from this asset's table

 Method: Refresh - Refreshes this object's list of assets from the database

BrowserFont - Object that provides access to a font record from a Lyric Browser database

 Property: FontKey - Gets/sets the hotkey which is assigned to the font

 Property: IsBitmapFont - Returns true if the record contains an RGB (bitmap) font, false if not

 Property: RGBChar - Gets/sets the RGB character mapping.  Applicable to RGB fonts only

 Method: Delete - Deletes this record from the database

 Method: Font - Provides the font referenced by this font record

 Property: FontFile - Gets the name of the TrueType font file corresponding to this font

 Property: TypeFace - Gets the facename of the TrueType font for this record

 Property: StyleName - Gets/sets the style name of the font entry

 Method: BitmapFont - Provides the RGB font referenced by this font record, if applicable

BrowserImage - Object that provides access to an image record from a browser database

 Method: Subject - Gets the subject of the image

 Method: KeyWords - Gets the keyword string associated with the image

 Method: URL - Gets the path and file name of the image as it exists on the host filesystem

 Method: Author - Gets the author of the image

 Method: Thumbnail - Gets an interface to the image by its filename as it exists on the host filesystem

 Method: Title - Gets the title of the image

 Method: RecordID - Gets the record ID used by the database to uniquely identify this entry

 Method: Comments - Gets the comment string associated with the image

BrowserMessage - Object that provides access to a message record from a browser database

 Method: Subject - Gets the subject of the message

 Method: Keywords - Gets the keyword string associated with the message

 Method: URL - Gets the path and file name of the message as it exists on the host filesystem

 Method: Author - Gets the author of the message

 Method: Thumbnail - Gets a graphical representation of the message

 Method: MessageNumber - Gets the message number to which the message was recorded

 Method: Title - Gets the title of the message

 Method: RecordID - Gets the record ID used by the database to uniquely identify this entry

 Method: Comments - Gets the comment string associated with the message

BrowserRGBFont - Object that provides access to an RGB font record from a Lyric Browser database

 Method: PathAndFile - Provides the filename mapped to a given record in the RGB font

 Property: RecordCount - Provides the number of characters in this font (i.e. those which are mapped to files)

BrowsersCollection - Object used to enumerate and obtain all registered Lyric browsers

 Method: Count - Gets the number of registered Lyric browsers

 Method: DataSource - Gets the Data Source Name (DSN) for a registered Lyric browser

 Method: Browser - Gets an object to retrieve information from a registered Lyric browser

Character - Object used to contain image and size information for a character specified by ASCII value

 Method: Scale - Gets the number of scanlines that the character extends below the baseline.

 Property: Image - Gets the associated Image Object that contains the character's rendered RGBA data

 Property: Descent - Gets the number of scanlines that the character extends below the baseline.

 Property: Rect - Gets the bounding rectangle (size) of this object's image data

 Property: AsciiValue - Gets the ASCII value for the character

ClockTimer - Object used to access properties specific to a Clock or Timer

 Method: AddNotification - Adds a notification event to inform all plugins when a timer reaches the specified value

 Property: Format - Gets/sets the format of the clock/timer to that specified

 Method: DelNotification - Deletes an existing notification on a timer

 Property: Justify - Justification of the text within the clock/timer

 Property: ResetTime - Gets/sets the reset time to that specified.  Applicable to countdown timers only.

 Method: ValidateFormat - Validate a specified format for a clock/timer

 Method: Action - Executes the action specified on the clock or timer

CustProps - Gets/Sets the value of a custom property.

 Method: SetValue - Sets a custom property to a given value

 Method: GetValue - Gets the current value of a custom property

 Property: Value - Gets or Sets the value of a custom property

CustomPrimitive - Allows access to custom primitive ID and class name

 Property: ID - Gets Custom ID

 Property: Class - Gets the class name for the custom primitive

DBLink - Object used to contain database link information for an image or template

 Property: RecordNumber - Gets/Sets the record number

 Property: Table - Gets/Sets the table name

 Property: Enabled - Gets/Sets the enable flag

 Property: DataSource - Gets/Sets the data source name (DSN)

 Property: Field - Gets/Sets the field name

 Property: DecimalPlaces - Gets/Sets the decimal places that should be displayed for numeric database fields

DataObject - Object representing a Data Object

 Method: GetBindingProperty - Gets specified property of Data Object Binding

 Method: GetProviderProperty - Gets specified property of Data Object Provider

 Method: Open - Open the data object with specified properties

 Property: PreviewOnRead - Gets/sets whether the Data Object will preview automatically on read

 Property: Provider - Gets/sets provider property of Data Object

 Method: SetFilterProperty - Sets specified property of Data Object Filter

 Method: Preview - Preview the data object

 Method: GetFilterProperty - Gets specified property of Data Object Filter

 Method: SetBindingProperty - Sets specified property of Data Object Binding

 Method: SetProviderProperty - Sets specified property of Data Object Provider

 Method: Close - Close the data object

Element - Object that allows selection and control of Lyric Graphic and Template objects

 Property: Image - Gets the elements Image Object using the RGBA data from the canvas.

 Property: CenterRelativeToPosition - Gets/Sets the Center Relative To Position option for this object.

 Property: ExternalUpdateEnable - Flag that enables External Update of this object through Intelligent Interface

 Property: AntiAlias - For images, gets/sets whether a border is applied around the image data before it is rendered. For any other object, gets/sets whether antialiasing is enabled for the object

 Method: AlignCOR - Moves the object's Center of Rotation in relation to its bounds.

 Method: LoadFromURL - Loads an element from the specified URL.

 Property: Name - Gets/Sets the name of the Element

 Property: IIUpdateEnable - Flag that allows Intelligent Interface to update this object

 Method: RetrieveDispatchMap - Provides access to the dispatch map of a custom primitive which was created by a plugin installed with Lyric.

 Property: Type - Gets the type of the element

 Property: UniqueID - Gets the GUID used to reference the custom properties of this element

 Method: Properties - Gets the CustomProperties Object for this element

 Property: Text - Gets the text object (if applicable) used by the element

 Property: Continuous - Gets/sets whether the object's animation is continuous

 Method: AlignCOREx - Moves the object's Center of Rotation in relation to its bounds.

 Property: ShowInAltT - Gets/Sets the ShowInAltT option for this object.

 Method: SetMaskOptions - Sets Mask options for this object.

 Method: MoveByCOR - Moves the object so that its Center of Rotation is at the specific screen coordinates, or relative to the specific coordinates.

 Property: Node - Gets the node associated with this element

 Property: Rect - Gets the coordinates of the element relative to the canvas.

 Method: ThumbnailImage - Allow an object to be represented on the Lyric canvas by a specified image

 Method: Move - Moves the object to the specific screen coordinates, or relative to the specific coordinates

 Property: RGBAImage - Gets the elements Image Object, if the element is a Bitmap. The image object references the original RGBA data used to create the object

 Property: MaskToLayer - Gets/Sets the Mask-To Layer for this object.

 Method: GetMaskOptions - Gets Mask options for this object.

 Property: Metadata - Gets the metadata associated with this object

 Method: Update - Call to indicate that the element has been updated and should be re-rendered.

 Method: ClipRect - Sets the maximum bounding rectangle for the element

Event - Represents an animation event

 Method: Type - Gets the type of the event

 Method: AddEvent - Adds an event at a specified frame.

 Method: Frame - The frame in the animation at which this event occurs

 Method: SetParam - Sets a parameter for this event.

 Property: Node - Gets the node on which this event resides

 Method: GetParam - Gets a parameter for this event.

 Property: Name - Gets the type of the event as a string

 Method: Move - Moves the event to another frame on the timeline.

FileSave - Provides an interface to export the current scene to an image or video media format

 Method: SetParam - Sets a parameter

 Method: Save - Saves the scene to disk, using the current parameters.

 Method: GetParam - Gets a parameter

Flipbook - Object used to access flipbook properties and to allow access to individual pages

 Property: PlayToEnd - gets/sets whether the flipbook will play to its last cel even though the rest of the animation has stopped

 Property: CompressImageData - gets/sets whether image data is compressed

 Property: EmbedImageData - gets/sets whether image data is embedded on save

 Property: Loop - Gets a boolean flag that determines if the flipbook should loop if its timeline length exceeds the number of available pages

 Method: Page - Gets the Image Object for a specific page.

 Method: ResetFlipbook - Resets the internal page reference to the first page (cel) of the flipbook

 Method: Replace - Replaces the flipbook with the one given

 Property: IgnorePauses - gets/sets whether the flipbook will continue to play even though the animation is paused

 Property: PageCount - Gets the number of pages (cels) contained in the flipbook

Font - Object that describes a Lyric Font

 Property: Style - Gets/sets the style for the font.

 Property: Height - Height of the font in scanlines

 Property: Bold - Gets/sets whether or not the font is bold.

 Property: Transparency - Transparency setting

 Method: CharacterData - Retrieves a Character object for a given character using the font settings.

 Property: Name - Typeface of the font

 Method: IsSame - Compares this Font object to another.

 Method: ResetToDefault - Resets all font properties to their default values

 Property: DefaultSpaceWidth - Sets width of space character to the default value for the current font parameters

 Property: VerticalShear - Vertical Shear for the font

 Property: TexturePath - Path to image file containing texture that is mapped to font

 Property: Width - Gets the average character width

 Property: HasRamp - Returns true if face is textured with a a gradated ramp

 Property: Italic - Indicates whether or not the font style is Italic

 Property: Underline - Indicates whether or not the font is underlined

 Property: XYFilter - X and Y blur values

 Property: RotationAngle - Angle (0-360) that the font is rotated

 Property: Edge - Get an object corresponding to an edge defined for the font

 Property: ColorIndex - Sets face and edge color to palette entry provided

 Property: HorizShear - Horizontal Shear for the font

 Property: Weight - Gets/sets the weight of the font.

 Property: SpaceWidth - Width of a space character in pixels

 Property: Blur - Blur setting 0 (no blur) to 100 completely blurred

 Property: AspectRatio - Aspect ratio of the font

 Property: HorizontalFlip - Indicates whether or not the font is flipped horizontally

 Property: Kerning - Kerning (extra inter-character spacing) in pixels.

 Method: Update - Applies changes in font properties to all relevant UI elements

 Property: Leading - Leading (extra row spacing) in scanlines

 Property: HasTexture - Flag that is set if face of font has a texture file mapped to it

 Property: VerticalFlip - Indicates whether or not the font is flipped vertically

 Property: EdgeCount - Get/sets the number of edges contained in the font

 Property: Color - Gets/sets the face color of the font

FontEdge - Provides information on edge characteristics for a given font

 Property: Transparency - Transparency setting

 Property: Type - Type of edge.

 Property: Softness - Blur setting

 Property: TexturePath - Path to image file containing texture that is mapped to font edge

 Property: EdgeSize - Size of the edge in pixels.

 Property: HasRamp - Flag that is set if the edge uses a color ramp.

 Property: HasTexture - Flag that is set if edge has a texture file mapped to it

 Property: Blur - Blur setting 0 (no blur) to 100 completely blurred

 Property: Color - Edge color

 Property: RotationAngle - Angle at which to apply the edge.

FontToolBar -  Object that represents the font toolbar in Lyric

 Method: RecallPalette - Read the Palettes registry key from file and imports into the registry

 Property: Edge -  Not implemented at this time

 Property: Face -  Not implemented at this time

 Method: UpdateCombo -  Not implemented at this time

 Method: SavePalette - Save the palettes to the registry and then exports the key to file

FrameBuffer -  Object used to access properties for a frame buffer

 Property: Name - Returns the name of the frame buffer

 Method: Effect - Returns a FrameBufferEffect object which can be used to define page transitions for the frame buffer

 Property: IsHD - Returns non-zero if the board attached to the frame buffer is HD

 Method: SelectScene - Selects a scene as if a user had clicked on it in the UI

 Property: AttachedStereoFBIndex - Returns the index assigned to the frame buffer's stereoscopic partner

 Method: SceneWithFocus - Returns the scene with the focus in this frame buffer

 Method: SceneByID - Returns the scene in this frame buffer with the given id, or NULL if it doesn't exist.

 Method: SceneByFilename - Returns a scene in this frame buffer, or NULL if it does not exist.

 Method: AddScene - Creates a new scene and adds it to this frame buffer

 Method: CanLoadMessage - Returns true if a message can safely be read into the frame buffer

 Property: AntialiasQuality - Gets/Sets Full Scene Antialiasing quality flag. FALSE = Fastest, TRUE = Nicest (best visual quality)

 Property: FBIndex - Returns the index assigned to the frame buffer

 Property: AntialiasSamples - Gets/Sets Full Scene Antialiasing samples (0, 2, 4, 8, 16, 32)

 Method: GetInterlaced - Returns true if interlacing is enabled on the frame buffer otherwise returns false

 Method: GetSharedMemory - Gets information about the shared memory region for passing frame data to a plugin.

 Property: MessageNumber - Returns the number of the message currently loaded in the frame buffer

 Property: Scene - Gets the active Scene Object in the canvas that is associated with the frame buffer.

 Method: Load - Reads a message into the frame buffer

 Method: SceneByDescription - Returns a scene in this Frame buffer, or NULL if it doesn't exist.

 Method: Stop - Stops playback of any animations in the frame buffer

 Property: BoardNum - Returns the board number for the frame buffer

 Property: PlayingHw - Returns non-zero if the frame buffer is playing an animation to output

 Method: ReleasePause - Releases all pauses in effect for all animations in the frame buffer

 Method: Scenes - Returns an array of scenes loaded in the frame buffer

 Property: SerialNumber - Gets the Serial Number for the board attached to this frame buffer

 Property: HardwareResolution - Gets the hardware resolution for the frame buffer

 Property: BoardType - Returns the type of hardware attached to the frame buffer

 Method: SceneByGUID - Returns the scene in this frame buffer with the given message GUID, or NULL if it doesn't exist.

 Property: ErrorMessage -

 Property: Preload - Gets current hardware preload length in frames

 Method: SceneForUpdate - Returns the scene in this frame buffer that will update-out when the scene in the canvas is played to output

 Property: Capturing - Returns non-zero if the frame buffer is capturing pixels

 Method: CanPlayMessage - Returns true if a message can safely be played to the output frame buffer

 Method: SetState - Sets a particular hardware setting

 Method: SetTouchscreenById - Sets touchscreen for frame buffer by id

 Property: MessageType - Returns the type of message last read while the frame buffer was active

 Property: Resolution - Gets the resolution  for the frame buffer

 Method: SceneByName - Returns a scene in this frame buffer with the given name, or NULL if it doesn't exist.

 Property: Playing - Returns non-zero if the frame buffer is playing an animation

 Method: DeleteScene - Deletes a scene from the frame buffer

 Method: EndOutput - Deletes all scenes from output without repainting

 Property: AntialiasOn - Gets/Sets Full Scene Antialiasing enable flag

 Property: MessagePath - Returns the path of the message currently loaded in the frame buffer

 Property: OverlayLayer -  Gets the overlay layer. OverlayLayer allows a calibration rectangle to be set for touch screens and hotspots.

 Method: Play - Plays the message currently loaded in the frame buffer to output

 Method: GetState - Gets a particular hardware setting

 Property: AlternateBuffer - Gets/sets the active alternate buffer target for the frame buffer

 Property: Use1to1PixelAspectForGraphicsImport - Gets/sets whether to use 1:1 Pixel Aspect for Graphics Import for this frame buffer.

 Method: ClearClip - Clears the clip channel associated with this frame buffer

 Property: RenderOptions - Gets/Sets render options associated with rendering to output.

 Method: DeletePBuffer - Deletes the main and alternate pbuffer for the frame buffer

FrameBufferEffect - Object used to define an effect, such as dissolve, that occurs as a scene is transferred to and from output

 Property: Fade - Gets/sets whether the effect will fade

 Property: Type - Gets/sets the type of effect

 Property: Direction - Get/sets the direction for the effect

 Property: Duration - Gets/sets the duration for the effect

FrameBufferSharedMemory - Object referencing a shared memory region for passing frame data to a plugin.

 Method: GetBufferOffset - Gets buffer offset into shared memory for the FRAME_COPIED_TO_BUFFER FrameEvent, given a buffer index.

 Property: Height - Gets the height of a frame in pixels.

 Property: Stride - Gets the width of a single line of a frame in bytes. This is usually width * 4, but may be aligned to a QUADWORD boundary.

 Property: PixelFormat - Gets the pixel format of the shared memory region.

 Property: FrameSize - Gets the size of a frame in bytes. This is equivalent to Height * Stride.

 Method: GetBufferAddress - Gets address of shared memory for the FRAME_COPIED_TO_BUFFER FrameEvent, given a buffer index.

 Property: Width - Gets the width of a frame in pixels.

 Property: Name - Gets the name of the shared memory region.

 Property: FrameCount - Gets the total number of frames to fit into shared memory.

Group - Provides access to a group of nodes within the scene graph

 Method: AddNode - Add a valid node to the Group Proxy

HardwareResolution - Provides access to the current hardware standard dimensions, scan rate, and scan type.

 Property: ScanRate - Gets the scan rate for the hardware standard

 Property: ScanType - Gets the scan type (scan mode) for the hardware standard

 Property: ScanRes - Gets the scan resolution of the hardware standard

HotSpot - Object that describes the HotSpot

 Method: GetGesture - Gets the gesture's value associated with the identifier

 Property: UseNodeExtents - Gets/Sets the UseNodeExtents flag for the hotspot. Will not use user rect

 Property: UseGestures - Gets/Sets the UseGestures flag for the hotspot. Only works in LiftOff mode.  A hot spot will not react to a simple touch if enabled for gestures.

 Property: FollowNode - Gets/Sets the FollowNode flag for the hotspot. Will use user rect

 Method: CopyHotSpot - Creates a copy of this hot spot

 Method: AssignUserRect -

 Property: UserRect - Gets/Sets the user rectangle from one of normalized (0.0 - 1.0) floats

 Method: RemoveReaction - Remove reaction at the specified position

 Method: SetGesture - Sets the gesture's value associated with the identifier

 Method: GetReaction - Gets the reaction at the specified position

 Method: AddReaction - Adds a reaction to the hotspot

HotSpotMgr - Object that handles the management of hotspots

 Method: GetHotSpot - Gets a hotspot from the HotSpot Manager

 Method: AddHotSpot - Adds a hotspot to the HotSpot Manager

 Method: RemoveHotSpot - Remove a hotspot from the HotSpot Manager

Image - Object used to generate images from elements in the Lyric scene

 Method: Size - Retrieves information on size of a loaded image

 Method: FromRGBA - Associates this image proxy with a pixel buffer, default format for buffer is 32 bits per pixel

 Method: Dimensions - Gets the width in pixels, and the height in lines of the associated image object

 Method: Effect - Applies an effect to an image

 Method: SetImageData - Sets the pixel data for an image associated with a scene element or primitive

 Method: SetFieldSize - Sets the dimensions of the field to be rendered, overriding the existing dimensions

 Method: UseFBSharedMemory - Uses the shared memory file provided by the current frame buffer to store image data in

 Method: Save - Saves image data to a file

 Method: Load - Loads image data from a local filesystem and returns an RGBA byte array by reference

 Property: PixelAspectForExport - Gets/sets the pixel aspect applied when this image is exported

 Method: ToRGB - Takes an input buffer that is formatted image data (i.e. a jpg, bmp, tga, etc...) and converts it into a  BGR buffer. Optionally fits the BGR buffer in the center of a solid-color background, retaining aspect ratio

 Property: UsePBuffer - Gets/sets if an OpenGL pbuffer is used to retrieve image data

 Property: TextureName - Gets the texture id for the image proxy

 Method: GetImageData - Gets the pixel data for an image associated with a component of a scene.

 Method: JPEGTest -

 Method: ElementImageData - Gets the pixel data for the associated element

 Method: FromDIB - Associates this image with a Windows DIB retrieved from a BITMAPINFO structure

 Method: WriteToSharedMemory - Writes RGBA image information to a shared memory block

 Method: ElementFieldData - Gets RGBA buffer for either a full frame, field 1, or field 2.

 Method: OpenSharedMemory - Opens a shared memory file to store image data in

 Property: UseSquarePixelsForExport - Gets/sets whether to apply square (1:1) Pixel Aspect when this image is exported

 Method: VariantTest -

 Property: RemovePreMultiply - Gets/sets if pre-multiplied alpha will be removed from the image

 Method: GetImageData2 - Gets the pixel data for an image associated with a scene element or primitive.

KeyFrame - Represents a keyframe, a control point in the animation of an object.

 Property: Frame - Returns the frame on the timeline where the keyframe is located

 Property: Attribute - The attribute of the object that this keyframe is modifying.

 Property: Interpolation - The interpolation mode between this keyframe and the next

 Property: Value - The value of the attribute at this keyframe

KeyFrames - Represents the keyframes of an object that define its animation in a specific transition

 Property: Count - Gets the number of keyframes that are set for an element

 Method: GetKeyFrameValue - Gets the value for a given keyframe attribute at a given frame.

 Method: IsOnActiveTransition - Indicates whether this object refers to keyframes on the active transition for the node

 Method: Delete - Deletes a keyframe from the timeline of an element

 Method: AddMany - Adds multiple keyframes to the track.  Works the same as "Add", except it takes an array of each argument

 Method: DeleteTrack - Deletes all the key frames for a specific attribute of an element

 Method: AddManyEx - Adds multiple keyframes to the track.  Works the same as "AddEx", except it takes an array of each argument

 Method: AddEx - Adds a key frame to the elements collection

 Method: SuppressUpdates - Suppresses the refreshing of the node's keyframe data in the UI.

 Method: Add - Adds a key frame to the elements collection

 Method: KeyFrame - Gets a keyframe of an element by index

 Method: DeleteKeyframe - Deletes a keyframe, given an attribute and a frame

LicenseObject - Object to verify features and add license codes to the Lyric license manager

 Method: AddLicense - Adds a license key to the table maintained by the license manager

 Method: HasFeature - Determines if any of the license keys registered with the Lyric license manager support a requested feature

LyricObject - Top level Lyric interface. Provides access to Canvas, Browsers, Images, Plugins, License Manager, and Custom Properties.

 Method: GetRegistry - Reads a value from Lyric's section of the Registry

 Property: LastCGRead - Gets/sets the last file read by the Server version of Lyric

 Method: LogCaseMessage - Adds a message to the log with given case; logging must be enabled

 Method: Image - Generates a generic Image Object

 Property: StartUpStatus - Returns the startup status for Lyric Server.

 Property: UnicodeOnly - Sets Language Preferences to enable Unicode Only for text input.

 Method: Plugins - Provides access to the Lyric Plugin Control Object

 Property: ComplexScripting - Sets Language Preferences to enable Complex Scripting for text input. Sets Language Preferences to enable Digit Substitution (usage of national numeral system) for text input.

 Method: GetPlaylistLock -  Returns the current lock of the playlist

 Method: InstallFont - Adds one or more fonts from the specified file to the system font table

 Method: PrevAlphanumericMessage - Sets the Lyric Message displayed by the Message Counter to the previous alphanumeric message in the Lyric Message Directory

 Method: SaveSerialized - Saves LEIFlet specific data to the end of a file

 Property: LoggingMode - Gets/sets whether logging is enabled

 Method: CloseWindow - Closes a window with the specified caption.

 Method: Record - Saves the current scene in the canvas to the Lyric Message Directory with its filename set to the current message number

 Method: SaveAsRange - Creates a Lyric Message from the canvas and saves it to a specified file

 Method: FrameBufferPlayingHw - Flag that is used to indicate that a frame buffer is playing an animation to output.

 Property: Preferences - Provides access to the set of general preferences available in Lyric

 Property: FrameRate - Gets/sets the frame rate for the current frame buffer.

 Method: IICommandUnicode - Receives and processes a Unicode Intelligent Interface command

 Property: FontNames - Gets a list of the names for all loaded fonts

 Method: ParameterList - Creates and returns an empty parameter list

 Method: ActivePlaylist - Provides access to the current playlist if one is open.

 Method: GenerateMemoryReport -

 Method: MDIFrame - Creates/activates a LEIFlet MDI child frame that contains a LEIFlet based control.

 Method: RunAdvancedMode -

 Method: TriggerGPI - Simulates the triggering of a GPI

 Method: CtrlRecord - Executes a Control-Record

 Method: ClientProcess - Identify the client process which owns the Lyric plugin.  Lyric will monitor this process and automatically shut down when the process exits. Applicable to Lyric server versions only

 Method: LogMessage - Adds a message to the log; logging must be enabled

 Property: MessageBrowser - Returns the data source name of the active browser for messages

 Method: TriggerGPO - Triggers one or more GPOs

 Method: AcquirePlaylistCS -  Attempts to lock the playlist, returns immediately regardless of success.

 Method: SetMessageData - Called by plugins to create a message from serialized data

 Property: Status - Sets the Lyric Status Bar text

 Method: ExecuteMacro - Allows a plugin to execute a Lyric macro

 Method: TransferView - Transfers the contents of the VGA canvas to output

 Method: Read - Opens from the Lyric Message directory a message at the address specified by the current message number

 Method: FrameBuffer - Gets the frame buffer object at the given index

 Property: LicenseMask - Gets a bitmask describing the licensing of the Lyric session.

 Method: FrameBufferPlaying - Flag that is used to indicate that a frame buffer is playing an animation.

 Method: IICommand - Receives and processes an Intelligent Interface command

 Method: InputTextureNames - Specify input texture names for this Texture Source.

 Property: ServerProcess - Identify the process ID of the Lyric server

 Method: GetMessageData - Called by plugins to retrieve the serialized data for the current message

 Property: AdvancedMode - Executes advanced mode by launching the Lyric application window.  Applicable to Lyric Server versions only.

 Method: RegisterObjectEventHandler - Registers a handler for a custom object type

 Method: ExecuteEmbeddedMacro - Allows a plugin to execute a Lyric macro which has been embedded in the current message

 Method: SetProperty - Sets global properties for the Lyric application

 Method: LogFile - Accesses the current log file if logging is enabled.

 Method: GetParameterList - Returns the parameter list of the application

 Property: PlayListPlaying - Flag that is used to indicate that the play list is playing.

 Method: Version - Get information on this version of Lyric

 Property: ClientHWND - Identifies the client window which owns the Lyric plugin.  Lyric will monitor this window and automatically shut down when the window is destroyed. Applicable to Lyric server versions only

 Method: Parameter - Creates and returns a new parameter object

 Method: UnregisterAll - Removes all registered namespaces and editor

 Method: XMLErrorString - Returns a user-friendly string explanation of the last error encountered by XMLUpdate.

 Method: BasicModeSize - (For CG Plugins) Establishes the dimensions and resolution of canvas in basic mode

 Method: Open - Open and read a file

 Property: IIOrderScheme - Get/set the scheme for ordering elements that are updated by Intelligent Interface

 Method: SetTouchMode -  Sets the touch mode to liftoff or touchdown

 Method: SetCGPlugin - Sets what CG Plugin is controlling Lyric

 Method: QueryDongle - Queries the dongle for the requested value

 Method: CreateCustomPlaylist - Creates a custom playlist

 Property: FontBar - Gets the font toolbar

 Method: ReleasePause - Releases all pauses in effect for all animations

 Method: HasSerialized - Determines if a file has LEIFlet serialized data

 Method: FontKey - Selects via hot-key string a font from the last-activated Lyric Browser

 Property: DefaultPath - Gets/Sets the default path for an asset type

 Property: AlphanumericMessage - Gets/Sets the Lyric Message String

 Method: GetNextIDForCS -  Returns a unique identifier to be used with LyricObject.AcquirePlaylistCS

 Method: DrawList - Adds vectors and/or shapes to the Lyric Foreground draw list

 Property: UseAlphanumericMessaging - Sets preference for how Lyric treats ReadNext, ReadPrev, NextAlphanumericMessage, and PrevAlphanumericMessage by allowing alphanumeric message names.

 Method: FileSelect - Allows the user to select a file from a file dialog

 Method: ReadNext - Opens from the Lyric Message directory a Lyric message whose filename is equal to  current message number or within a given range after it

 Property: FontBrowser - Returns the data source name of the active browser for fonts

 Method: SaveAs - Creates a Lyric Message from the canvas and saves it to a specified file

 Method: GetSerialized - Gets LEIFlet specific data from the end of a file.

 Method: MDIFrameControl - Returns the control object contained in the MDI frame

 Property: Browsers - Provides access to the Lyric Browser Interface

 Method: RegisterMenuItem - Inserts a menu item into the main menu and specifies a method to call when it is selected

 Method: GetProperty - Gets global properties for the Lyric application

 Method: GetScene - Queries all frame buffers for the scene with the given index

 Property: SetPropertyManager - Sets the property manager to get/set the custom properties for a specific frame buffer.

 Property: Properties - Gets/sets global properties for the Lyric application.

 Method: ReadInfinit - Reads an iNFiNiT! message.

 Method: Wait - Pauses Lyric for a specified number of frames

 Method: CreatePlaylist - Creates a blank playlist

 Method: InputLangChange - Called to change the input language

 Method: CustomProperties - Provides access to registered properties for a pre-defined or custom object class

 Method: SetTextureSourceProperty - Set a property for a registered texture source

 Property: DigitSubstitution -

 Method: GetComponents - Provides a tab-delimited list of non-embedded assets in use by the current canvas scene

 Property: NamespaceCount - Gets the number of registered namespaces

 Method: MessageType - Gets the type of message for a message number

 Method: UninstallFont - Removes one or more fonts in the specified file from the system font table

 Method: ColorKey - Selects colors from the palette for 2D character's face and edge or 3D character's face and sides

 Method: ReadPrev - Opens from the Lyric Message directory a Lyric message whose filename is equal to  current message number or within a given range before it

 Method: WriteMessageData - Called by plugins to write the serialized data for the current message to disk

 Method: RegisterLEIFlet - Registers a LEIFlet.

 Property: Message - Gets/Sets the Lyric Message Number

 Method: SetForeground - Sets the application active, forcing its UI to the foreground

 Property: ActiveCanvas - Gets the view that is currently being used to render Lyric objects

 Method: XMLError - Returns the last error that the XML builder encountered.

 Method: IITransmit - Transmits a user-defined string out the current Intelligent Interface port to support customized feedback with an automation system

 Method: ActivateFrame - Activates a pre-existing built-in window frame

 Property: MessageGUID - Gets/sets the GUID of the message currently displayed in the canvas

 Property: Convergence - Gets/sets the default convergence value for the camera of future scenes for stereoscopic operation

 Property: VirtualOutputState - Get or sets the the virtual output window for offline.

 Property: InterocularDistance - Gets/sets the default interocular distance for the camera of future scenes in stereoscopic operation

 Property: RTLMode - Gets/sets right-to-left reading order for 2D text

 Method: ConfigureHw - Opens the Hardware configuration dialog

 Property: FileSaveAddsToBrowser - Gets/sets whether a browser entry will be created when a message is saved

 Method: XMLUpdate - Uses XML to update/create a scene

 Method: RegisterObject - Registers a new object type

 Method: OpenPlaylist - Opens an existing playlist file.

 Method: Namespace - Gets a registered namespace

 Method: OpenBrowser - Opens a browser window containing the specified database source

 Property: MessageReset - Get/ssts whether the message counter is in reset mode.  If reset, the  next input to the numberpad will clear the counter.  If not reset, the next input to the numberpad will append to the current message number

 Method: RegisterObjectPropertyEditor - Registers an editor to be used for a given property namespace.

 Property: SupportEmbeddedCommands - Gets/sets whether Lyric will process commands embedded within Intelligent Interface field updates.. Embedded commands are used to dynamically change the font, color, or background for a template  within a update to its textual contents  However, this processing may prevent some international characters  from being properly processed as text

 Method: ReleasePlaylistCS -  Releases the current playlist CS

 Property: AdvancedModeSave - Gets whether the current message was saved on exit from Advanced Mode.  Applicable to Lyric Server versions only.

 Method: SetupChannel - Sets configuration parameter for specified channel

 Property: MessagePath - Gets/Sets the Lyric Message Path

 Method: VideoCapture - Provides access to Video Capture operations

 Method: GL - Gets an object to control OpenGL rendering to the canvas

 Method: SetRegistry - Writes a value to Lyric's section of the Registry

 Method: TranslateError - Translates an HRESULT/SCODE error to a long integer

 Method: WaitForNextFrame - Waits for next frame to be rendered by given frame buffer

 Method: AltRecord - Re-saves the currently loaded message

 Method: RegisterObjectProperty - Registers a custom property within a namespace for one or more Lyric object types.  All registered properties and their values persist with the object since they are serialized within the Lyric message.

 Method: ExecuteLECommand - Executes a hardware command directly.  Applicable only to systems with CODI boards

 Method: NextAlphanumericMessage - Sets the Lyric Message displayed by the Message Counter to the next alphanumeric message in the Lyric Message Directory

 Method: RegisterFileType - Specify the initializing plugin as a file exporter.

 Property: FrameBuffers - Gets the number of frame buffers available

 Method: FrameBufferScene - Gets the active Scene Object for a given frame buffer.

 Method: ShowInBrowser - Navigates to a specified URL and displays the page in a browser frame

 Property: ActiveFrameBuffer - Gets/sets the active frame buffer number.

 Method: IsDeviceAvailable - Returns true if the given external device is available

 Method: ConfigureMenu - Opens a Config submenu dialog corresponding to the item passed in as the parameter

 Method: MemoryDiagnostic - Execute memory diagnostics.

 Method: CreateTextureSource - Specify the initializing plugin as a Texture Source.

 Property: Palettes - Gets the color palette

 Property: License - Provides access to the Lyric License Control Object

LyricVersion - Object containing version and build information for the Lyric application

 Property: VersionInfo - Gets the version info as a string

 Property: Build - Gets the build number.

 Property: MinorVersion - Gets the right side of the version number (i,e, returns a 2 for version 3.2)

 Property: Version - Gets the version as a string

 Property: InstallationPath - Gets the path to where Lyric is installed (executing directory)

 Property: MajorVersion - Gets the left side of the version number (i.e. returns a 3 for version 3.2)

MacroReaction - Object that describes the macro reaction to a hotspot

 Property: Macro - Gets/sets the macro script that will be run when this reaction is triggered

MasterCustomProperties - Registered custom property enumeration object

 Method: Property - Gets the Registered Property Interface for the property registered at a specified index

 Property: Name - Gets the fully qualified namespace (i.e. "Chyron.LEIFlet.MetaSync.1::Export Settings")

 Property: PropertyCount - Gets the number of custom properties registered in this namespace

Metadata - Object that allows a user to query the metadata in certain Lyric Elements.

 Method: KeyExists - Queries if the given namespace and key are part of this metadata.   For a list of all namespaces use Metadata.GetNamespaces For a list of all keys in a namespace use Metadata.GetKeys

 Method: GetKeys - Returns a list of the keys in the given namespace

 Method: NamespaceExists - Queries if the given namespace is part of this metadata.  For a list of all namespaces use Metadata.GetNamespaces

 Method: GetValue - Returns the value, given a namespace and key

 Method: GetNamespaces - Returns a list of all the namespaces that are part of this XMP data

 Method: GetNumKeys - The number of keys available for the given namespace.  (Note that some keys might be defined, but be empty.)

 Property: NamespaceCount - The number of namespaces available

Movie - Object used to access properties specific to a movie

 Property: OutPoint - Gets the frame at which the movie ends, relative to its entire content

 Property: ExternalUpdateEnable - Flag that enables External Update of this movie through Intelligent Interface

 Property: LoopFrame - Gets/sets the frame at which the movie will loop

 Property: InPoint - Gets the first frame of the movie that will render when the movie begins playback, relative to its entire content

 Property: IIUpdateEnable - Flag that enables Intelligent Interface commands to update this image

 Property: Preload -

 Property: PlayToEnd - gets/sets whether the movie will play to its last frame even though the rest of the animation has stopped

 Method: RefreshTexture - Refreshes the texture for this object (For example, reloads the file from disk)

 Property: TotalFrames - Gets the total number of frames in the movie

 Property: DBLink - Gets the associated DBLink Object that contains the database link information

 Property: TextureSize - Returns the dimensions of the movie in texture memory

 Property: IgnorePauses - gets/sets whether the movie will continue to play even though the animation is paused

 Property: Loop - gets/sets whether the movie will loop if it's total duration is less than that of its timeline length.

 Property: AutoTrim - Gets/sets whether the outpoint is clamped to that of the original when a movie is replaced

 Property: ImageSize - Returns the dimensions of the movie

 Property: TemplateSize - Returns the dimensions of the movie template

 Property: Filename - Gets/sets the filename, if applicable, of the movie

 Property: ExtractAudio - Gets/sets whether audio is automatically extracted from the movie if present

 Property: ReplaceMode - Gets/sets the replacement mode for movie update

Node - Provides access to a node

 Property: Style - Gets the style of a node, valid only for 2D Text Windows or 3D Templates.

 Property: ProportionalScale - Gets/sets whether timeline adjustments to this object are proportional

 Property: InTime - Read/Write property that determines the beginning of node's timeline relative to the beginning of the animation

 Property: ScrollDirection - Gets/sets the direction of the character effect. Valid only for 2D or 3D roll and crawls. The default direction is based on the active keyboard layout when the node is created. For example, if an RTL language is active, crawls will be right-to-left.

 Property: Name - Gets/Sets the name that the scene graph uses to identify the node

 Property: LegacyMode - Gets/sets the legacy mode for the node

 Method: ActiveAtMaskLayer - Determines whether the mask layer provided is active for this object

 Method: Position - Gets the upper left based canvas coordinates of the node

 Property: InheritTextureFrame - Gets/sets whether the active transition inherits the current texture frame of the node when activated

 Method: GetHotSpotMgr - Gets the Hot Spot manager for the specified transition

 Method: SetMaskInside - Designates whether this mask object is inverted (should mask inside)

 Method: GetGroup - Retrieves the group object that this object is a member of, if applicable

 Property: FontName - Gets/sets the facename of the font that is active for this object

 Method: IsInGroup - Indicates whether this object is a mamber of a group

 Property: OutTime - Read/Write property that determines the end of the node's timeline relative to the beginning of the animation

 Method: GroupNode -

 Property: UseSceneCamera - Get/set whether the scene camera is used to render the text window.  Valid only for 2D Text Windows

 Property: Description - Gets/Sets the description of the node

 Property: SurfaceNames - Gets a list of the names of all surfaces associated with the node.

 Method: DisableMaskLayer - Disables the mask layer specified

 Property: KeyFrames - Gets all the keyframes set for this node in the current transition

 Method: ApplyTexture - Updates a texture on the given surface with a different image or movie file

 Property: Scene - Get the scene object that contains this node

 Property: CompositeTransform - Gets/sets what keyframeable attributes of the group is applied to the child's animation

 Method: SelectedRow - Gets the selected row of a 2D Text Window

 Method: GetAutoFollowSettings - Gets the Auto Follow settings for this node

 Property: HoldLastFrame - Gets/sets whether this object holds its last frame

 Method: AnimationState - Gets the animation state of the node at a particular frame

 Method: Delete - Deletes this node from the scene

 Property: Attribute - Gets the animatable attribute in either string or integer form

 Property: ChildCount - Gets the number of child nodes

 Property: Rect - Gets the bounding rectangle of the node in screen coordinates relative to the upper left of the canvas

 Property: AutoHide - Gets/sets whether the visibility of the object is dependent on the content of another object

 Method: Element - Gets one of this node's elements.

 Method: SuppressUpdates - Suppresses the refreshing of the nodes key frame data

 Method: Update - Updates the contents of an object that has been configured for continuous update.

 Property: XPosition - Gets the X Coordinate of the node at frame 0.

 Property: AdjustChildren - Gets/sets whether timeline adjustments to this object should be propagated to its children

 Property: TypeString - Gets the type of the object attached to this node

 Method: InTransition - Determine if this node exists in the specified transform

 Method: Properties - Gets the node's properties for the specified namespace

 Method: IsMaskTarget - Returns true if the node is a mask target at the provided layer.

 Method: GetMaskInside - Determines whether this mask object is inverted (masks inside)

 Property: ShowMaskGhost - Show/hide the mask ghost

 Method: IsMaskSource - Returns true if the node is a mask source at the provided layer.

 Method: SetEffectParam - Sets the value for a non-animatable parameter for an existing object effect (advanced image, particle effect, et al.)

 Property: Rate - Gets the rate of the character effect.  Valid only for roll, crawl and type-on windows

 Method: Child - Gets the child/member node of a group by name, index, or neighboring child

 Method: GetTransform - Retrieves the transformation for a particular transition If an empty string is provided, it retrieves the active transformation

 Property: PositionLock - Gets/sets whether position lock is enabled for this object

 Method: EnableMaskLayer - Enables the mask layer specified

 Method: Parent - Gets the parent, or group, node that contains this node

 Property: InheritState - Gets/sets whether the active transition inherits the current animation state of the node when activated

 Method: GetEffectParam - Gets the value of a non-animatable parameter for an existing object effect (advanced image, particle effect, et al.)

 Property: YPosition - Gets the Y Coordinate of the node at frame 0

 Property: IsLumaMaskSource - Gets/sets whether this object is acting as a luma mask source

 Method: ClearMaskLayers - Clears all mask layers

 Property: Font - Gets/sets the font that is active for this object

 Method: SurfaceTex - Returns the filename of the texture applied to a given surface

 Property: DisplayRect - Gets/sets the display window of a 2D Text Box

 Property: Visible - Gets/Sets the visibility of the node. When true, the node is eligible to be rendered, when FALSE the node is hidden.

 Property: Type - Gets the type of the object attached to this node

 Property: ElementCount - Gets the number of elements that this node contains.

 Method: IsValidMaskSource - Determines whether this object can be used as a mask source

 Property: NDCRect - Returns the bounding box of the node in normalized device coordinates.

 Method: AddRow - Adds a row to the text window (Valid for 2DWindow nodes only)

 Property: Loop - Gets/sets the loop value for this object

 Method: SetMaskSource - Sets whether this object should act as a mask source

 Property: RectOptions - Gets/sets the options for retrieving the bounding box of the node

 Method: GetChild - Gets the n'th child node of this group

 Method: SurfaceUnits - Returns the number of textures applied to a specified surface

 Property: Id - Gets the id that the scene graph uses to identify the node

 Method: KeyFrame - Adds a keyframe to the animation for this node

OpenGL -

 Method: Color3f -

 Method: BlendFunc -

 Method: Vertex2i -

 Method: UnProject -

 Method: Normal3f -

 Method: TexEnvi -

 Method: Translatef -

 Method: Disable -

 Method: Begin -

 Method: TexCoordf -

 Method: GenTextures -

 Method: Scalef -

 Method: NewList -

 Method: DeleteTextures -

 Method: Vertex3f -

 Method: End -

 Method: Enable -

 Method: IsEnabled -

 Method: CallList -

 Method: GetDoublev -

 Method: DepthFunc -

 Method: DepthMask -

 Method: GenLists -

 Method: Color4f -

 Method: Finish -

 Method: ReadPixels -

 Method: GetError -

 Method: TexImage2D -

 Method: Flush -

 Method: TexParameteri -

 Method: EndList -

 Method: Materialfv -

 Method: GetIntegerv -

 Method: IsTexture -

 Method: Materialf -

 Property: IsDuet -

 Method: BindTexture -

 Method: GetBooleanv -

 Method: ShadeModel -

 Method: Project -

 Method: Clear -

OverlayLayer - Object that describes the overlay layer

 Property: CalibratorRect - Gets/sets the calibration rectangle for this overlay layer with the parameters provided

 Property: DrawTouchLoc - Gets/sets whether or not the touch indicator should be shown on output

 Method: AssignCalibratorRect - Sets the calibration rectangle for this overlay layer with the parameters provided

Palette - Provides information on a given color palette

 Property: CurrentColor - Returns the index of this palette

 Property: PaletteName - Returns the name of the palette

 Property: PaletteEntry - Returns the palette entry at the given index

PaletteEntry - Provides information on a given entry in a color palette

 Property: Transparency - Transparency setting for the palette entry

 Property: CoolColor - Returns true if the color at this palette entry is legal

 Property: Color - Returns true if the entry represents a solid color; false if it is a gradiant Color of the palette entry

Palettes - Provides information on the color palettes

 Property: Palette - Returns the palette at the given index

Parameter - Represents a key/value pair in a parameter list for a Data Object

 Property: Value - Get and Set the Value of a Parameter

 Property: Name - Get and Set the Name of Parameter

ParameterList - Provides an interface to access the parameter list of the application or a particular scene

 Method: SetRange - Sets the value of multiple parameters in the collection; parameters will be added or updated  depending upon whether or not they already exist.

 Method: RemoveRange - Removes the parameters with the provided names from the list

 Method: ToXML - Returns the parameter list as an XML String

 Method: SetParameter - Sets the value of the parameter with the given key

 Method: ValueAt - Gets the value of the parameter at the given position

 Method: KeyAt - Gets the key of the parameter at the given position

 Method: Item - Gets Parameter Object from Parameter List with matching name

 Property: Count - Gets number of items in the parameter list

 Method: SaveToXMLFile - Saves parameter list to XML file

 Method: GetRange - Retrieves the parameters that match the provided names.

 Method: GetParameter - Gets the value of the parameter with given key

 Method: DeleteParameter - Deletes a parameter with the given key from Parameter List

 Method: AddParameter - Adds a parameter, given as a key-value pair, to the Parameter List

 Method: LoadFromXMLFile - Loads parameters to parameter list from XML file

 Method: Exists - Checks if parameter with the given key exists in Parameter List

 Method: FromXML - Loads parameters to parameter list from XML string

 Method: Add - Add a parameter to the list

 Method: ExecuteXML - Executes the provided XML command

 Method: AddRange - Adds the parameters from a parameter list to this one

PlayList - Provides access to edit and control a playlist

 Property: PreviewLine - Get/Sets the preview channel line for the active playlist

 Property: TakeState - Retrieves the current take state for the playlist

 Method: ReleaseWaitForKey - Releases the current "Wait for Keypress" control

 Method: AddWithParam - Add a playlist line

 Method: GetItem - Gets a playlist line

 Method: Step - Issues a take on the current playlist line

 Method: Take - Issues a take on the current playlist line

 Method: AddField - Adds or changes a field on the current edit line in the playlist

 Property: MessageFolder - Gets/Sets the default message folder for messages that are loaded in this playlist

 Property: Count - Gets the number of non-empty lines

 Method: Save - Saves playlist

 Property: AirLine - Get/Sets the air channel line for the active playlist

 Method: Play - Starts the playlist running

 Method: Delete - Deletes a playlist line

 Method: Stop - Stops a running playlist

 Property: Caption - Gets/Sets the title of the playlist

 Method: DeleteAll - Deletes all playlist items

 Method: Flash - Activates a color flash for the given line at the specified rate and color

 Method: Add - Add a playlist line

PlayListData - Provides access to a playlist line.

 Property: BackColor - Gets the color used to draw the background of the text within the line elements.

 Property: File - Gets filename from the file column

 Property: Channel - Gets the channel (frame buffer) that the message will be played to

 Property: Control - Gets the control name from the control column

 Property: Parameter - Gets the selected parameter from the parameter column

 Property: InTime - Gets the starting time from the in-time column

 Property: OutTime - Gets the ending time name from the out-time column

 Property: Speed - Gets the current effect speed (if any) from the speed column

 Property: Duet - Gets the Duet that the control will be played on

 Property: Effect - Gets the effect name from the the effect column

 Property: Color - Gets the color used to draw the text within the line elements.

PluginCollection - Enumeration object used to access Lyric plugins

 Method: Count - Get the number of plugins active within Lyric

 Method: PluginByTitle - Gets a plugin object by title

 Method: Plugin - Gets a plugin object by either name or index

PluginObject - Object used to access/control a registered Plugin

 Property: ProgID - Returns the progID of the plugin

 Property: Vendor - Returns the vendor of the plugin

 Method: CreateTextureSource - Specify the initializing plugin as a Texture Source.

 Method: PluginControl - Retrieves the dispatch to control the plugin

 Property: Filename - Returns the location on the file system of the plugin control

 Property: Title - Returns the title of plugin

 Method: SetTextureSourceProperty - Set a property for a registered texture source

 Method: Execute - Commands the plugin to execute a given method

 Method: InputTextureNames - Specify input texture names for this Texture Source.

 Method: GetObject - Retrieves a plugin specific object

Preferences - Allows access to application preferences

 Property: ReturnToCanvas - Sets/Gets the completion mode for scenes on output.  This dictates whether the scene will return to the canvas after completion, or be deleted. Applies to Lyric PRO versions only

 Property: ShiftPageMode - Sets/Gets whether all objects are affected on Shift-Page or just the selected object

 Property: AutoIncrement - Sets/Gets whether the message counter automatically increments after a message read or record

 Property: AutoPlay - Sets/Gets whether an animation will automatically play to output after being read up

 Property: EnableCGUndo - Sets/Gets whether undo is supported on operations within a 2D text window

 Property: PreviewMode - Sets/Gets whether the specified preview frame is shown in the canvas when a message is recalled

 Property: ConfirmOverwrite - Sets/Gets whether a prompt will appear to confirm that a existing message should be overwritten

 Property: EnableNumberpad - Sets/Gets whether the number pad may be used for generic numeric entry, or restricted to message number input

 Property: DefaultPath - Sets/Gets the default path for a specified asset type

 Property: ExportAllTransitions - Sets/Gets whether the default is to export all transitions when creating a LNO (Lyric Node Object) file

 Property: PromptToPlay - Sets/Gets whether a prompt will appear when an animation is ready for playback

Reaction - Base Object that describes the reaction to a HotSpot

 Method: CopyReaction - Creates a copy of this reaction

 Property: Type - Returns the reaction type

Rect - Object used to get rectangular coordinate information for a scene element

 Property: Height - Gets / Sets the height of an object

 Method: Set - Sets the left, top, right, and bottom values for a Rect object.

 Property: Right - Gets the right side coordinate of an object

 Property: Width - Gets / Sets the width of an object

 Property: Top - Gets the top side coordinate of an object

 Property: Left - Gets the left side coordinate of an object

 Property: Bottom - Gets the bottom side coordinate of an object

RectFloat - Object used to get rectangular coordinate information for a scene element

 Property: Height - Gets / Sets the height of an object

 Method: Set - Sets the left, top, right, and bottom values for a RectFloat object.

 Property: Right - Gets the right side coordinate of an object

 Property: Width - Gets / Sets the width of an object

 Property: Top - Gets the top side coordinate of an object

 Property: Left - Gets the left side coordinate of an object

 Property: Bottom - Gets the bottom side coordinate of an object

Rectdouble - Object used to get rectangular coordinate information for a scene element

 Property: Height - Gets / Sets the height of the rectangle

 Method: Set - Sets the left, top, right, and bottom values for a Rectdouble object.

 Property: Right - Gets/sets the right side coordinate of an object

 Property: Width - Gets / Sets the width of the rectangle

 Property: Top - Gets/sets the top coordinate of an object

 Property: Left - Gets/sets the left side coordinate of an object

 Property: Bottom - Gets/sets the bottom coordinate of an object

RegisteredCustomEditorProperty - Object used to retrieve information about a registered property

 Property: Type - Returns the type of the registered property

 Property: Options - Returns the options of the registered property.  Only valid for types 3 (Combo Choice), and 5 (Parsed List)

 Property: Default - Returns the default value of the registered property

 Property: Name - Returns the name of the registered property

 Property: Value - Get/set the property value

RegisteredNamespaceEnum - Registered Namespace enumeration object

 Method: Get - Gets a Namespace context object for a pre-defined or custom object type

 Property: Count - Gets the number of namespaces registered for a particular Lyric object class

RegisteredProperties - Enumerator object that gives access to the registered properties for a specific Lyric Object

 Property: Count - Gets the number of registered properties for this object

 Method: ByIndex - Gets a registered property interface by zero-based index

 Method: ByName - Gets a registered property interface by its pipe separated name

 Method: DisplayEditor - Displays the editor for this custom property set

 Property: Namespace - Gets the namespace associated with this set of properties

 Property: OwnerElement - Gets the Lyric Object that owns the instance of this property namespace

 Method: PostProcess - Completes processing of any change to a custom property

RegisteredProperty - Object used to retrieve information about a registered property

 Method: ObjectName - Used to enumerate the list of object types for which this registered property is valid

 Property: ObjectCount - Gets the number of Lyric object types for which this property is registered

 Property: Type - Returns the type of the registered property

 Property: Options - Returns the options of the registered property.  Valid only for types 3 (Combo Choice), and 5 (Parsed List)

 Property: Default - Returns the default value of the registered property

 Property: Name - Returns the name of the registered property

 Property: Value - Value access property

RegisteredPropertyContext - Object with which to retrieve attributes for a set of properties registered for a specific object

 Property: CommandID - Returns the command ID used within the Lyric User Interface to generate context menus

 Method: Property - Retrieve a specific property from within this set via its index

 Property: Name - Returns the fully qualified namespace of the property set (including progID)

 Property: PropertyCount - Returns the number of properties registered within the namespace for this object

Resolution - Provides access to the current canvas dimensions, aspect ratio, and animation frame rate

 Property: FramesPerSecond - Gets the animation frame rate for this resolution setting

 Property: AspectRatio - Gets the pixel aspect ratio (width/height) for this resolution setting

 Property: Size - Gets the dimensions of the canvas for this resolution setting

RowElement - Object used to access a row within a text window

 Property: SelectedRowColor -

 Method: Element - Gets one of the elements on the row

 Property: ElementCount - Gets the number of elements on this row

 Method: DeleteAll -

 Property: SetCaretPos -

 Property: Justify - Justification of text on the row

 Method: SetActive - Sets this row as active in the current text window and homes the cursor

 Property: RowNumber - Returns the number of the row

 Method: GetCaretPos -

 Method: HandleChar -

 Method: WriteCompositeGlyph -

 Method: TextWindow - Returns the text window which contains this row

 Property: RowColor -

Scene - Allows access to scene components

 Method: GetCapture - Gets the next capture in the streaming sequence

 Method: ImportNodes - Import LNO from file or stream

 Property: Background - Gets an object for accessing image information about the scene background

 Property: Name - Get/Set the current name of the scene.  (Note: this is not the message name)

 Property: SceneID - Get the index of the scene

 Method: SetEffects - Sets the effects that will occur as the scene is transferred to and from output

 Method: Refresh - Force the canvas to render all scene elements

 Property: ActiveTransitionName - Returns the name of the active transition for the scene, or activates a transition by that name.

 Method: SaveKeyframeFile - Exports the keyframes of selected nodes to a Keyframe (.kyf) file

 Property: EventCount - Gets the number of transitions attached to the scene graph.

 Method: IsPaused - Returns true if the scene is paused for input from the user

 Method: ElementFromGUID - Retrieves an element based on the GUID assigned to its set of custom properties

 Property: Animating - Returns true if the scene is playing on output.

 Method: CopyTimeline - Copies the animation of a node

 Method: Transition - Gets a transition, creates it if it doesn't exist and bCreate is true

 Method: Node - Provides access to a node in the scene

 Method: Erase - Erases some or all components from the scene graph

 Method: EndCapture - Ends the streaming capture currently in progress

 Property: EffectInHolderName - Gets/Sets the name of the transition that will act as the Effect In for the scene.

 Property: NativeResolution - Gets the resolution that was set when the current message was last saved.

 Method: UpdateDBLinkFields - Updates all templates and objects in the scene which are linked to databases

 Method: AddClip - Adds a clip to the scene

 Property: AnimationLength - Gets the length of the current animation

 Method: NewEvent - Adds an empty Event Node to the animation

 Method: DeleteTransition - Deletes a Transition by name

 Property: DeferUpdates - Gets/sets the option to group scene updates atomically

 Property: HasFocus - Determines if this scene has focus (is the selected scene in Lyric's scene tree)

 Property: Description - Get/Set the current description of the scene.

 Property: TwoDFrames - Sets/Gets the visibility state of the 2D Text frames

 Property: FrameBuffer - Get the Frame Buffer Object associated with the message

 Method: SwapPriority - Swaps the display priority of two nodes

 Property: TakeState - Returns the take state of the scene

 Method: StaticObject - Gets the static object from the canvas specified by the iterator index

 Method: DeleteStaticObject - Deletes a static primitive

 Method: Copy -  Simulates a clipboard copy for remote applications such as CG Plugins

 Property: IsAnimation - Flag that is set if the loaded message is an animation

 Property: SafeTitle - Controls the display of the Safe Title guide

 Method: GetTemplate - Gets the template that has the name provided as argument

 Method: GetParameterList - Return the Parameter List of the scene

 Method: Paste -  Simulates a clipboard paste for remote applications such as CG Plugins

 Method: ExportHTML - Saves the current frame as an HTML document.

 Method: NodesToStream - Serializes the data associated with the objects selected in the scene to a stream

 Property: FullScreen2DText - Flag used to identify a special export mode used by the ITV Plugin.

 Method: ReleasePause - Releases a pause (wait for a keypress or GPI) which is active

 Property: StaticObjectCount - Gets the number of static objects on the canvas

 Property: Element - Gets a node from the scene graph by name

 Method: GetAutoSpacingGroup - Retrieves the auto spacing group in the scene if one exists

 Property: SuppressUpdates - Enables/disables UI updates while the scene is being modified

 Method: Templates - Returns all the templates in this scene that satify the condition provided

 Method: InsertObject - Inserts an object into the scene graph

 Method: SurfaceFromGUID - Retrieves a surface proxy given a surface GUID

 Method: GetEffectOutHolder -  Gets the transition that will act as the Effect Out for this scene.

 Method: StartCapture - Starts a streaming capture

 Method: ProxyBasedPrimitive - Creates a custom object and adds it to the scene

 Property: ActiveObject - Gets a Lyric Node Object for the last selected object in the scene graph

 Method: ApplyAutoFollow - Re-calculates auto-follow and auto-scale values for applicable objects in the scene

 Method: GroupByNames - Groups items in the scene by name

 Method: Properties - Gets the scene level properties associated with the current message

 Property: RulesManager - Gets the object representing the collection of rules governing conditional transitions for the scene.

 Property: BackgroundVisible - Sets/Gets the visibility state of the scene background

 Property: MaskingMode - Returns the masking mode of the scene

 Method: SetBackgroundRGBA - Sets the scene background from an array of RGBA data, optionally making a static background.

 Property: CaptureOptions - Get/sets the options for streaming and on-demand capture

 Method: AddStaticObject - Adds a static primitive to the registered list maintained by the canvas

 Property: Resolution - Gets the current canvas resolution

 Method: TransitionByName - Get a transition by name

 Property: ActiveTransition - Gets the active transition for the scene

 Property: NodeCount - Gets the number of nodes attached to the scene graph.

 Property: Priority - Get/Set the display priority of the scene

 Method: AddTransition - Adds a transition to the scene

 Property: Message - Gets the message number for the current scene

 Method: Transitions - Returns all the transitions in a scene

 Property: EffectOutHolderName - Gets/Sets the name of the transition that will act as the Effect Out for the scene.

 Method: PasteTimeline - Pastes the animation of a node

 Property: MessageGUID - Gets/sets the GUID assigned to the message for this scene

 Property: CurrentFrame - Gets the frame of the animation currently previewing in the canvas

 Property: Convergence - Gets/sets the convergence value of the camera for stereoscopic operation

 Method: Ungroup - Ungroups a group node's children

 Property: InterocularDistance - Gets/sets the interocular distance for the camera in stereoscopic operation

 Property: InTransfer - Returns true if the scene is being transferred to output

 Method: ActivateTransitions - Activates multiple transitions, taking an array of strings as the transition names.

 Method: AddFlipbook - Adds a flipbook to the scene

 Method: Select - Selects a node

 Method: GetUpdateInHolder -  Gets the transition that will act as the Update In for this scene.

 Method: Nodes - Returns an array of all the nodes in the scene

 Method: CustomPrimitive - Creates a primitive of the specified custom type, as defined by a plugin installed with Lyric.

 Method: EditStaticObject - Invokes the property edit custom property editor (if registered) or the default editor for the specified static primitive

 Property: SwapUpdatePriority - Flag that is set if the scene's Update In transition has priority over Update Out

 Property: Index - Get the Global index for the scene

 Property: EnableGuides - Controls the display of foreground canvas objects (Safe Title, Alignment Grids, etc).

 Property: UpdateOutHolderName - Gets/Sets the name of the transition that will act as the Update Out for the scene.

 Method: ActivateEvent - Activates the given transitions in the scene

 Method: SelectedTemplate - Gets the requested text template either by template number or the one that is selected

 Property: UpdateInHolderName - Gets/Sets the name of the transition that will act as the Update In for the scene.

 Property: Persistent - Get/Set whether the scene is persistent.  A persistent scene on output is not automatically replaced by a subsequent scene which is played out

 Method: GetSelectedNodes - Returns an array of all the selected nodes in the scene

 Method: GetEffectInHolder -  Gets the transition that will act as the Effect In for this scene.

 Property: Parameters - Return the Parameter List of the scene

 Method: Play - Plays the scene

 Method: ToCanvas - Removes the scene from output and returns it to the canvas

 Method: AddPause - Adds a pause to the animation

 Method: GetUpdateOutHolder -  Gets the transition that will act as the Update Out for this scene.

 Method: ExportNodes - Exports selected nodes to a Lyric Node Object (.lno) file

 Method: ImportFile - Loads an object from a file

 Method: Template - Retrieves the specified template

 Property: Filename - Gets the current filename of the scene.  (Note: this is not the message name)

 Method: Finished - Determines if a scene that was played to the output has completed its initial animation

 Property: HasBackground - Checks for the existence of a background.

 Method: Exists - Checks for the existence of a node by name

 Method: StreamToNodes - Creates objects from serialized data and adds them to the current scene

 Method: Group - Groups all selected items in the scene

 Property: UseQuaternions - Gets/sets whether quaternion rotations are used for this scene.

 Method: RestoreCanvas - Sets the size of the canvas to reflect its currently defined resolution.

 Method: IsOnOutput - Used to find out if a scene is currently playing on output

 Method: AddLoop - Adds a loop to the current scene, in the active transition

Selection - Used to perform operations within 2D text windows in Lyric

 Method: Backspace -  Backspaces the caret, deleting the previous character

 Method: Right -  Moves caret to the right

 Method: Escape -  De-activates a template; caret is positioned immediately outside of the template

 Property: UnicodeText -  Inserts Unicode text at the caret position

 Property: Text -  Inserts text at the caret position

 Method: End -  Moves caret to the end of a row

 Method: NewLine -  createa a new row below the current cursor position

 Method: Toggle -  Executes a menu-based operation

 Method: Execute - Executes a menu-based operation

 Method: Tab -  Inserts whitespace according to Lyric's tab width setting

 Method: Down -  Moves caret downward

 Method: Home -  Moves to the beginning of a row, page or an animation

 Method: Delete -  Deletes current character

 Method: Left -  Moves caret to the left

 Method: Up -  Moves caret upward

 Method: ImportText -  Inserts Unicode text at the caret position

Size -  Used to get width and height dimensions from various Lyric Objects

 Property: Width - Gets/sets the width

 Property: Height - Gets/sets the height

Surface - Object which represents a surface of a 3D Character/Object

 Property: ExternalUpdateEnable - Flag that enables External Update of this surface through Intelligent Interface

 Property: Name - Returns the name of the surface

 Property: IIUpdateEnable - Flag that allows Intelligent Interface to update this surface

 Property: EmbedImageData - Gets/sets whether texture image data is embedded on save for the object to which this surface applies

 Property: DBLink - Gets the associated DBLink Object that contains the database link information for this surface

 Property: TexturePath - Gets/sets the filename of the image that the surface is textured with, if applicable

 Property: ColorSpec - Gets/sets the specular color applied to the surface

 Property: ShowInAltT - Gets/Sets whether the texture for this surface is updateable within the Template Update (Alt-T) dialog

 Property: SurfaceGUID - Gets the GUID used to uniquely reference each texture layer of this surface

 Property: TexturePriority - Gets/sets the priority of the currently indexed texture layer.

 Property: TextureAttribute - Gets an attribute of the surface

 Property: TextureType - Gets the type of texture that is applied to the current texture layer for this surface

 Property: RGBAImage - Gets the image data applied to the current texture layer for this surface

 Property: TextureIndex - Gets/sets which texture layer for the surface will be modified on subsequent calls

 Property: Metadata - Gets the XMP metadata associated with this surface

 Property: Color - Gets/sets the diffuse color applied to the surface

TemplateAttributes - Provides information on Lyric properties associated with template text

 Property: EnableAutoFollow - Flag that enables this template to auto-follow another

 Property: ExternalUpdateEnable - Flag that enables external update of this template through Intelligent Interface

 Property: AllCaps - Flag that enables automatic conversion of all alphabetic characters within the template to upper case

 Method: StartUpdate - Before updating multiple properties of a template StartUpdate is called to initialize an update session.

 Property: IIUpdateEnable - Flag that allows Intelligent Interface to update template text

 Method: EndUpdate - After updating multiple properties of a template EndUpdate is called to apply the changes.

 Property: Justification - Gets/sets how text is justified within the template

 Property: Priority - Gets/sets the priority value of the template

 Property: AutoFollow - The spacing value by which this template auto-follows another

 Property: WordWrap - Flag that allows text to wrap to next line in a multi-line template

 Property: SizeToFit - Gets/Sets the size to fit flag.

 Property: AutoErase - When enabled, Auto Erase sets the 2D Text Template to automatically erase its current contents when new text is typed

 Property: TextLines - Gets/sets the number of text lines (rows) in the template

 Property: TemplateID - Gets/sets the template id/number

 Property: Numeric - Flag that allows only numeric values to be entered into template

Text - Object to allow access to the text and font information of a element such as a template or freeform row

 Property: IsUnicode - Returns true if the current contents of the template contains Unicode characters

 Property: UnicodeText - Gets/Sets the template contents to a Unicode text string

 Property: Text - Gets/Sets the ASCII textual contents of the element

 Method: TextNoTrim - Gets the element ASCII text data without trimming leading or trailing spaces

 Method: CharacterData - Retrieves a Character object for a given character within the current contents of the object

 Property: CharsRect - Gets the rectangle of a character indicating its position and dimensions

 Property: Font - Gets/Sets the Font Object that describes the font being used by the text element

 Property: CharsFont - Gets the Lyric Font Object that describes the font for a specific character in the text element

 Property: TextNoUpdate - Gets/Sets the element ASCII text data but does not perform an update of the canvas when the text is set

TextTemplate - Extension of Element Object for 2D Text Templates

 Property: Height - Gets/Sets the height of the template

 Method: CopyContents - Copies the contents of another 2D template to this template

 Property: Region - Gets the region id of the template

 Method: DisplayCaret - Forces a Display of the Caret in this template

 Property: LyricProperties - Gets the Template Attributes Object to allow access to all template attributes

 Property: Background - Gets an object for accessing image information about the background associated with the template

 Method: SetActive - Sets this template as active in the current scene

 Property: TemplateRect - Gets the coordinates of the template frame (red rectangle)

 Property: DBLink - Gets the associated DBLink Object that contains database link information

 Property: Width - Gets/Sets the width of the template

 Method: NextTemplate - Returns the next template in sequential order

 Method: IsEmpty - Returns true if the template contains no text

 Property: TextWidth - Gets the width of the text in the template (first row only)

 Method: TextWindow - Returns the text window which contains this template

 Property: NDCTemplateRect -  Returns the template rect as normalized device coordinates.

 Property: UseTemplateRect - Controls whether the area returned by methods such as Element.Rect and Element.Image indicates the boundaries of the entire template or only its textual contents

TextWindow - can be retrieved via RowElement.TextWindow or TextTemplate.TextWindow

 Property: Background - Gets an object for accessing image information about the background associated with the text window

 Property: RowCount - Returns the number of freeform rows in the text window

 Property: Justify - Set default justification of the text within the text window

Transform - Retrieves an object representing the transformation of a node in a specifc transition.

 Method: ExcludeAsInheritedAttributes - Exclude one or more animatable attributes from those that are inherited when this transformation is activated

 Property: InTime - Gets/sets the starting frame of the timeline for this node in this Transition

 Property: KeyFrames - Gets an object representing the keyframes for the node in this transition

 Property: AllowSmoothLoop - Gets/sets whether the animation in this transition is eligible for smooth looping

 Method: AppendToInheritedAttributes - Append one or more animatable attributes from those that are inherited when this transformation is activated

 Method: InheritAllAttributes - Inherit all animatable attributes when this transformation is activated

 Property: HoldLastFrame - Gets/sets whether this object holds its last frame in this Transition

 Property: Loop - Gets/sets the loop value for this object in this transition

 Property: InheritTextureFrame - Gets/sets whether this transition inherits the texture frame of the node when activated

 Method: GetHotSpotMgr - Gets the Hot Spot manager for this transition

 Property: InheritedAttributes - Gets/sets what animatable attributes are inherited if this transformation is enabled to inherit animation state

 Property: SmoothLoop - Gets whether smooth looping will be enforced for the animation in this transition. For animations that qualify, the final frame of the animation is not played prior to the execution of the loop.

 Property: OutTime - Gets/sets the ending frame of the timeline for this node in this Transition

 Property: DBLinkedKeyFrames - Gets an object representing those keyframes which are linked to a database for the node in this transition

 Property: InheritState - Gets/sets whether this transition inherits the current animation state of the node when activated

 Property: XPosition - Gets the X Coordinate of the node at frame 0 in this Transition

 Property: YPosition - Gets the Y Coordinate of the node at frame 0 in this Transition

Transition - An object representing a transition within a scene

 Method: DelOutputGPIs -

 Property: Name - Sets the name of the Transition

 Property: Visible -  Property indicating whether transition is visible on Playout panel

 Property: AllowReactivation -  Property indicating whether transition can be reactivated if already active

 Method: Copy - Creates a new transition, replicating the animation of this one

 Method: AddEvent - Adds an event of the given type at the given frame.  If one already exists, returns NULL.

 Property: AdjustedAnimationLength - Gets the adjusted length of the animation within this transition, accounting for activations which would effectively end the animation of this transition before its actual duration

 Method: GetEvent - Searches for an event of type eType at frame lFrame and returns it if it exists, or NULL if it doesn't.

 Property: HotKey - Sets the hotkey which will execute this transition

 Method: AddNodeByID - Adds a transformation of this name to the specified node

 Property: AnimationLength - Gets/sets the length of the animation within this transition

 Method: Event - Adds an event of the given type at the given frame.  If one already exists, returns it.

 Method: SetGPI - Assigns a GPI to activate the transition when triggered

 Method: NewEvent - Adds an event of the given type at the given frame.  It will always create a new one and return it.

 Method: Activate - Selects the transition.  If the scene is on output, this will play the transition

 Method: AddOutputGPI -

 Method: AddFrameNotification - Adds a frame notify event at the given frame.   When such a event is active, Lyric will invoke the EventEx method for each plugin when this frame of the transition is played to output.  The argument provided to the EventEx call  will be the id of the event.

 Method: AddNode - Adds a transformation of this name to the specified node

TransitionCondition - Object that describes a condition of a Transition Rule

TransitionConditionContent - Object that describes an evaluation based on the content of specified scene components

 Property: CheckScenesExternal - Whether this condition is evaluated on external scenes.

 Property: Content - The content to compare during the evaluation. Applicable to Filepath and Content only

 Property: MatchNothing - Whether this condition will evaluate on an empty template. Match Nothing only matches if there is no content in the template.

 Property: Names - The list of object names that will be evaluated.

 Property: ContentType - The type of content to evaluate.

 Property: CheckScenesInternal - Whether this condition is evaluated on the internal scene.

 Property: MatchAnything - Whether this condition will evaluate on any template with content. Match Anything only matches if there is content in the template. An Empty template will not pass.

 Property: CompareFunctionType - String Comparer of the Condition

TransitionConditionName - Object that describes a TransitionCondition of the type By Name

 Property: CheckScenesExternal - Whether this condition is checked against the external scene.

 Property: MatchNothing - Whether this condition will evaluate on an empty object of the matchtype. Match Nothing only matches if there is no content in the template.

 Property: Names - The Names text of the condition. Controls what nodes/scenes/transitions are checked for.

 Property: CheckType - The check type of the Condition. Controls what kind of condition this is internally to ByName

 Property: CheckScenesInternal - Whether this condition is checked against the internal scene.

 Property: MatchAnything - Whether this condition will evaluate on an object of the matchtype with content. Match Anything only matches if there is content in the object of the matchtype. An Empty object of the matchtype will not pass.

 Property: CompareFunctionType - String Comparer of the Condition

TransitionConditionNumTemplates - Object that describes an evaluation based on the number of templates that meet specified requirements

 Property: MatchTo - The MatchTo text of the condition. Controls what templates are checked.

 Property: InternalCount - The number of templates in the internal scene that meet the specified requirements

 Property: ExternalCount - The number of templates in the external scene that meet the specified requirements

 Property: CompareFunctionType - String Comparer of the Condition

TransitionRule - Object that represents a Transition Rule

 Property: HasElseResponse - Gets/sets whether this rule has an else response

 Property: Name - Gets/sets the name of the rule

 Method: SwapConditionDown - Swaps the current Condition with the Condition with the next lowest position (priority). Lower Values are higher priority.

 Property: ElseUpdateInResponse - The alternate Update In Response of the rule.  If the rule fails, the Update In of the internal scene is changed to the one specified.

 Property: OnEventRead - Gets/sets whether this rule will evaluate on a read event

 Property: UpdateOutResponse - The Update Out Response of the rule. If the rule succeeds, the Update Out of the external scene is changed to the one specified.

 Property: EffectOutResponse - The Effect Out Response of the rule. If the rule succeeds, the Effect Out of the external scene is changed to the one specified.

 Method: RemoveCondition - Removes the current Condition. Gets/sets whether this rule will evaluate over the network

 Property: ImmediateInResponse - The Immediate Response of the rule. Only triggers on OnEventEvent and OnEventUpdate rules. Changes the active transition of internal scene to the one specified.

 Method: AddEmptyCondition - Adds an empty condition of a given type at a specified position.  Will not overwrite so if a condition is in that spot already this will push all the rest up.

 Property: HasIfResponse - Gets/sets whether this rule has an if response

 Property: EffectInResponse - The Effect In Response of the rule. If the rule succeeds, the Effect In of the internal scene is changed to the one specified.

 Property: ImmediateOutResponse - The Immediate Response of the rule. Only triggers on OnEventEvent and OnEventUpdate rules. Changes the active transition of external scene to the one specified.

 Property: OnEventPlay - Gets/sets whether this rule will evaluate on a play event

 Method: GetCondition - Gets the condition at the specified position.

 Property: OnEventNetwork -

 Property: UpdateInResponse - The Update In Response of the rule. If the rule succeeds, the Update In of the internal scene is changed to the one specified.

 Property: HasImmediateResponse - Gets/sets whether this rule has an immediate response

 Property: EvalOnAllFB - Gets/sets whether this rule will evaluate across framebuffers or just on the current frame buffer

 Method: SwapConditionUp - Swaps the current Condition with the Condition with the next highest position (priority). Lower Values are higher priority.

 Method: AddCondition - Adds the condition at the specified position.

 Property: OnEventEvent - Gets/sets whether this rule will evaluate on a transform timeline event

 Property: OnEventUpdate - Gets/sets whether this rule will evaluate on a template update/IIupdate event

 Property: ElseUpdateOutResponse - The alternate Update Out Response of the rule.  If the rule fails, the Update Out of the external scene is changed to the one specified.

 Property: ElseEffectInResponse - The alternate Effect In Response of the rule.  If the rule fails, the Effect In of the internal scene is changed to the one specified.

 Property: ElseEffectOutResponse - The alternate Effect Out Response of the rule.  If the rule fails, the Effect Out of the external scene is changed to the one specified.

TransitionRulesMgr - Object that represents the set of transition rules for a scene

 Method: TestRule - Test a rule to determine if it would pass/fail under current conditions.

 Method: SwapRuleUp - Swaps the current Rule with that at the next highest position (priority). Lower Values are higher priority.

 Method: GetRule - Gets a rule from the rules manager by name or by position

 Method: AddEmptyRule - Adds a rule to the rules manager.

 Method: AddRule - Adds a specified rule to the rules manager at a position. If overwriting, a name can be specified instead of a position.

 Method: SwapRuleDown - Swaps the current Rule with that at the next "lowest" position (priority). Lower Values are higher priority.

 Method: RemoveRule - Removes a rule from the rules manager by name or by position

 Method: Evaluate - Evaluates all rules that are set to evaluate on the given event.

Verticies - Object used to access the verticies of a 2DObjElement

 Property: X - Gets the objects X Vertex

 Property: Y - Gets the objects Y Vertex

VideoCapture -   The Video Capture interface is currently disabled

 Method: CapturePreviewVideoDisplayOn -

 Method: CaptureAllSamples -

 Method: SaveFrame -

 Method: CaptureCleanMotionArtifacts -

 Method: Display -

 Method: DisplaySample -

 Method: Blank -

 Method: VideoCaptureDisplay -

 Method: DisplayAllSamples -

 Method: TransferToCanvas -

 Method: Transfer -

 Method: VideoCaptureSample -

 Method: CapturePreviewVideoDisplayOff -

 Method: CaptureSample -


Appendix
APPENDIX A

Constants available for use in macros

Public Const scCtrl = 1

Public Const scAlt = 2

Public Const scCtrlAlt = 3

Public Const scShift = 4

Public Const scCtrlShift = 5

Public Const scAltShift = 6

Public Const scCtrlAltShift = 7

Public Const kfXPos = 0

Public Const kfYPos = 1

Public Const kfZPos = 2

Public Const kfXRot = 3

Public Const kfYRot = 4

Public Const kfZRot = 5

Public Const kfXScale = 6

Public Const kfYScale = 7

Public Const kfZScale = 8

Public Const kfXCenter = 9

Public Const kfYCenter = 10

Public Const kfZCenter = 11

Public Const kfRGBADiffuse = 12

Public Const kfFocus = 13

Public Const kfShine = 14

Public Const kfLoopEnabled = 15

Public Const kfTransp = 16

Public Const kfEffectPct = 17

Public Const kfUnused = 18

Public Const kfLoopFrames = 19

Public Const kfLoopIterations = 20

Public Const kfPauseEnabled = 21

Public Const kfPauseType = 22

Public Const kfPauseTimeout = 23

Public Const kfLinear = 0

Public Const kfSpline = 1

Public Const kfJump = 2

Public Const kfEaseIn = 3

Public Const kfEaseOut = 4

Public Const kfEaseInOut = 5

Public Const kfEaseOutIn = 6

Public Const soAbsolute = 0

Public Const soRelative = 1

Public Const otText = 0

Public Const otCrawl = 1

Public Const otRoll = 2

Public Const otTypeOn = 3

Public Const otClock = 4

Public Const otTimer = 5

Public Const otImage = 6

Public Const otBkgCentered = 7

Public Const otBkgSizeToFit = 8

Public Const otAprisa = 9

Public Const otInfinitMsg = 10

Public Const ot3DObj = 11

Public Const otTimerUp = 12

Public Const otTimerDown = 13

Public Const otMovie = 14

Public Const ot3DTemplate = 15

Public Const otSplineWnd = 16

Public Const ot3DRoll = 17

Public Const ot3DCrawl = 18

Public Const ot3DTypeOn = 19

Public Const ot3DPlugin = 20

Public Const otPhotoshopLayers = 21

Public Const otBulletRegion = 22

Public Const EraseTextActiveWindow = 0

Public Const EraseAllText = 1

Public Const EraseScene = 2

Public Const EraseAllOutput = 3

Public Const EraseActiveOutput = 4

Public Const EraseOutput1 = 5

Public Const EraseOutput2 = 6

Public Const EraseOutput3 = 7

Public Const EraseOutput4 = 8

Public Const EraseTemplatesLeaveText = 9

Public Const EraseScenes = 10

Public Const PlayPreview = 0

Public Const PlayOutput = 1

Public Const PlayOutputAll = 2

Public Const PlayOutputCurrentFrame = 3

Public Const PlayImmediate = 0

Public Const PlayWait = 1

Public Const Unknown = 0

Public Const ThreeDCharacter = 1

Public Const WavefrontObject = 2

Public Const ThreeDStudioObject = 3

Public Const ImageObject = 4

Public Const OrthographicCamera = 5

Public Const PerspectiveCamera = 6

Public Const GlobalLight = 7

Public Const DirectionalLight = 8

Public Const PositionalLight = 9

Public Const Spotlight = 10

Public Const TextWindow = 11

Public Const LoopObject = 12

Public Const PauseObject = 13

Public Const Clip = 14

Public Const VideoRegion = 15

Public Const ClockTimer = 16

Public Const AnimatedElement = 17

Public Const Mix = 18

Public Const Flipbook = 19

Public Const ITVEvent = 20

Public Const MultiFXObj = 21

Public Const SplineWindow = 22

Public Const SqueezeBackRegion = 23

Public Const ThreeDTemplate = 24

Public Const Custom = 25

Public Const ProxyBased = 26

Public Const Media = 27

Public Const EventObject = 28

Public Const CameraTarget = 29

Public Const TwoDTemplate = 30

Public Const TwoDRow = 31

Public Const GeoPlugin = 32

Public Const ImageElement = 0

Public Const TemplateElement = 1

Public Const WindowElement = 2

Public Const BrowserBitmapElement = 3

Public Const BrowserMessageElement = 4

Public Const StaticElement = 5

Public Const FlipbookElement = 6

Public Const RowElement = 7

Public Const ClipElement = 8

Public Const Character2D = 9

Public Const MovieElement = 10

Public Const ThreeDObjectElement = 11

Public Const Template3D = 12

Public Const BottomToTop = 0

Public Const TopToBottom = 1

Public Const RightToLeft = 0

Public Const LeftToRight = 1

Public Const MTExact = 0

Public Const MTBegins = 1

Public Const MTEnds = 2

Public Const MTContains = 3

Public Const elyrErrAbort = &HA001F104

Public Const elyrErrFileNotFound = &HA001A104

Public Const elyrErrInvalidItem = &HA001F200

Public Const elyrErrNotEnoughValues = &HA001F106

Public Const elyrErrInvalidArgument = &HA001F105

Public Const elyrErrOutOfMemory = &HA0019101

Public Const elyrErrLEIFNotRegistered = &HA001B101

Function ActiveCanvas

Set ActiveCanvas = Lyric.ActiveCanvas

End Function